#
# Structure de la table `connexions`
#


CREATE TABLE IF NOT EXISTS connexions (
  id bigint(20) unsigned NOT NULL auto_increment,
  username varchar(20) NOT NULL default '',
  ip_address varchar(15) NOT NULL default '',
  netbios_name varchar(15) NOT NULL default '',
  logintime datetime NOT NULL default '0000-00-00 00:00:00',
  logouttime datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (id),
  KEY (netbios_name),
  KEY (username),
  KEY (logouttime)
 ) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# Contenu de la table `connexions`
#

#
# Structure de la table `machines`
#


CREATE TABLE IF NOT EXISTS machines (
  id bigint(20) unsigned NOT NULL auto_increment,
  name varchar(20) NOT NULL default '',
  starttime datetime NOT NULL default '0000-00-00 00:00:00',
  stoptime datetime NOT NULL default '0000-00-00 00:00:00',
  os varchar(20) NOT NULL default '',
  wol int NOT NULL default '0',
  ipxe int NOT NULL default '0',
  error int NOT NULL default '0',
  PRIMARY KEY  (id),
  KEY name (name, stoptime),
  KEY (stoptime)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

#
# Contenu de la table `machines`
#


# --------------------------------------------------------

CREATE TABLE IF NOT EXISTS `actions` (
  `action` varchar(30) NOT NULL default '',
  `parc` varchar(50) NOT NULL default '',
  `jour` varchar(30) NOT NULL default '',
  `heure` time NOT NULL default '00:00:00',
  UNIQUE KEY `parc` (`parc`,`jour`,`heure`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


-- 
-- Structure de la table `quotas`
-- 

CREATE TABLE IF NOT EXISTS `quotas` (
  `nom` varchar(255) default NULL,
  `quotasoft` mediumint(9) default NULL,
  `quotahard` mediumint(9) default NULL,
  `partition` varchar(20) default NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


