#!/bin/bash
# script vérifiant si les DC du domaine ont changé.
# lancé par cron, ou à la demande sur le se4fs
# ne prend en compte que les AD joignables
#
. /usr/share/sambaedu/includes/config.inc.sh
. /usr/share/sambaedu/includes/utils.inc.sh

function copy_ssh_key_ad(){
	IFS="
	"
	for ad in $(host ${config_domain} | cut -d" " -f4); do
		if ping -c1 -w1 $ad; then 
			[ -f /etc/ssh/ssh_known_hosts ] && ssh-keygen -q -R $ad -f /etc/ssh/ssh_known_hosts || true
			ssh-keyscan -t rsa $ad >> /etc/ssh/ssh_known_hosts
#			scp -q -i /etc/sambaedu/id_rsa /etc/sambaedu/sambaedu.conf root@${ad}:/etc/sambaedu/ || true
#			scp -q -i /etc/sambaedu/id_rsa /etc/sambaedu/id_rsa root@${ad}:/etc/sambaedu/ || true		
			if [ "$config_se4ad_ip" == "$ad" ]; then
				# ad principal
				echo "rien à faire"	
			else
				if [ "$config_se4ad_etab_ip" != "$ad" ]; then
					set_config sambaedu se4ad_etab_ip $ad || true
					# make_krb5.conf
					scp -q -i /etc/sambaedu/id_rsa /etc/sambaedu/sambaedu.conf root@${ad}:/etc/sambaedu/ || true
					ssh -q -i /etc/sambaedu/id_rsa root@${config_se4ad_ip} /usr/share/sambaedu/sbin/sync_sysvol.sh master || true
				fi
			fi
		fi
	done
	IFS=
}

#copy_ssh_key_ad > /dev/null 2>&1
