<?php

/**

 * Stop ou reboot le serveur

 * @Projet SambaÉdu

 * @auteurs Equipe SambaÉdu

 * @Licence Distribue selon les termes de la licence GPL

 * @note

 */

/**
 *
 * @Repertoire: /
 * file: alction_serv.php
 *
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;

$action = (isset($_GET['action']) ? $_GET['action'] : "");

$texte_alert = "Vous allez stopper ou redemarrer le serveur. Voulez vous vraiment continuer ?";
?>

<script type="text/javascript">


/**
* Demande confirmation avant
* @language Javascript
* @Parametres
* @Return true si on confirme
* @Return false si on refuse
*/

function areyousure()
       {
       var messageb = "<?php echo "$texte_alert"; ?>";
       if (confirm(messageb))
               return true;
        else
                return false;
      }
</script>

<?php
if (! have_right($config, SE_ADMIN)) {
    die("Vous n'avez pas les droits suffisants pour accéder à cette fonction</BODY></HTML>");
}

echo "<h1>Action sur le serveur</H1>";

if ($action == "stop") {
    echo "<center>Arrêt du serveur en cours ...!";
    echo "<br>";
    echo "Veuillez patienter ...";
    echo "</center>";
    exec("/usr/bin/sudo /sbin/shutdown -P now");
}

if ($action == "restart") {
    echo "<center>Redémarrage du serveur en cours ...!";
    echo "<br>";
    echo "Veuillez patienter ...";
    echo "</center>";
    exec("/usr/bin/sudo /sbin/shutdown -r now");
}

echo "<br><br>";
echo "<center>";
echo "<table class='table-bordered' width=\"80%\">";

/**
 * ******************** Modules ***************************************************
 */

// Modules disponibles
echo "<TR><TD align=\"center\" class=\"menuheader\" height=\"30\">\n";
echo "Actions disponibles";
echo "</TD></TR>";

echo "<TR><TD align=\"center\">";
echo "<a href=action_serv.php?action=stop onClick=\"return areyousure('Vous allez stopper le serveur. Voulez vous vraiment continuer ?')\">";
echo "Stopper le serveur";
echo "</a>";
echo "</td></tr>\n";

echo "<TR><TD align=\"center\">";
echo "<a href=action_serv.php?action=restart onClick=\"return areyousure('Vous allez redémarrer le serveur. Voulez vous vraiment continuer ?')\">";
echo "Redémarrer le serveur";
echo "</a>";
echo "</td></tr>\n";

echo "<TR><TD align=\"center\">";
echo "<a href=parcs/rdp.php?machine=" . $config['se4fs_name'] . "&window=1 >";
echo "Ouvrir une console root";
echo "</a>";
echo "</td></tr>\n";

echo "</table></center>";

$html = "";
admin_footer_html($html);
echo $html;
?>
