<?php

/**

 * Ajoute des groupe dans l'annuaire
 * @Version $Id$
 * @Projet LCS / SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL
 * @Repertoire: annu
 * file: constitutiongroupe.php
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
include_once "ldap.inc.php";
include "ihm.inc.php";

if (have_right($config, SE_USER_ADMIN)) {

    $eleves = $_POST['eleves'];
    $grp = urldecode($_POST['cn']);
    $err = 0;

    echo "<h1>Annuaire</h1>";

    // Ajout des membres au groupe

    echo "<H4>Ajout des membres au groupe : <A href=\"/annu/group.php?filter=$grp\">$grp</A></H4>\n";
    for ($loop = 0; $loop < count($eleves); $loop ++) {
        $nomComplet = search_ad($config, $eleves[$loop], "user");
        echo "Ajout de l'utilisateur &nbsp;" . $nomComplet[0]["fullname"] . "&nbsp;";
        if (groupaddmember($config, $eleves[$loop], $grp . $config['suffix'])) {
            echo "<strong>Réussi</strong><BR>";
        } else {
            echo "</strong><font color=\"orange\">Échec</font></strong><BR>";
            $err ++;
        }
    }

    $html = "";
    admin_footer_html($html);
    echo $html;
} // fin is_admin
?>