<?php

/**
 * Ajoute des groupe dans l'annuaire
 * @Version $Id$
 * @Projet LCS / SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL
 * @Repertoire: annu
 * file: del_user.php
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
include "ihm.inc.php";

echo "<h1>Annuaire</h1>\n";

echo aff_trailer("3");
if (have_right($config, SE_USER_ADMIN)) {

    $cn = $_GET['cn'];
    // suppression d'un d'utilisateur
    if ($cn == "admin") {
        echo "<div class=error_msg>Vous ne pouvez pas effacer le compte administrateur !</div>";
    } elseif (! $cn) {
        echo "<div class=error_msg>Vous devez préciser le login du compte à effacer !</div>";
    } else {
        if (userdel($config, $cn)) {
            echo "Le compte <strong>$cn</strong> a été effacé avec succès !<BR>\n";
        } else {
            echo "<div class=error_msg>Echec, l'utilisateur $cn n'a pas été effacé !";
        }
    }
} else {
    echo "<div class=error_msg>Cette fonctionnalité, nécessite les droits d'administrateur du serveur SambaEdu !</div>";
}
$html = "";
admin_footer_html($html);
echo $html;
?>