<?php
/**

 * Supprime les utilisateurs des groupes
 * @Version $Id$
 * @Projet LCS / SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL
 * @Repertoire: annu
 * file: del_user_group.php
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
include_once "ldap.inc.php";
include "ihm.inc.php";

$cn = $_POST['cn'] ?? $_GET['cn'] ?? '';
$group_del_user = $_POST['group_del_user'] ?? "";
$members = $_POST['members'] ?? "";

echo "<h1>Annuaire</h1>";

if (have_right($config, SE_USER_ADMIN)) {
    $filter = "8_" . $cn;
    echo aff_trailer("$filter");
    if ($cn != "Eleves" && $cn != "Profs" && $cn != "Administratifs") {
        $people = search_people_group($config, $cn);
        echo "<h4>Modification des membres du groupe $cn</h4>\n";
        if (! $group_del_user || ($group_del_user && ! count($members))) {
            ?>
<form action="del_user_group.php" method="post">
    <p><?php echo "Sélectionnez les membres à supprimer :"; ?></p>
    <p>
        <select size="15" name="<?php echo "members[]"; ?>"
            multiple="multiple">
        <?php
            for ($loop = 0; $loop < count($people); $loop ++) {
                echo "<option value=\"" . $people[$loop]['cn'] . "\">" . $people[$loop]["fullname"];
            }
            ?>
        </select>
    </p>
    <p>
        <input type="hidden" name="cn" value="<?php echo $cn; ?>"> <input
            type="hidden" name="group_del_user" value="true"> <input
            type="reset"
            value="<?php echo "Réinitialiser la sélection"; ?>"> <input
            type="submit" value="<?php echo "Valider"; ?>">
    </p>
</form>
<?php
            // Affichage message d'erreur
            if ($group_del_user && ! count($members)) {
                echo "<div class=error_msg>Vous devez sélectionner au moins un membre à supprimer !</div>\n";
            }
        } else {
            // suppression des utilisateurs selectionnes
            $ReturnCode = true;
            for ($loop = 0; $loop < count($members); $loop ++) {
                $ReturnCode &= groupdelmember($config, $members[$loop], $cn);
            }

            // Compte rendu de suppression
            if ($ReturnCode) {
                echo "<div class=error_msg>Les membres sélectionnés ont été supprimé du groupe <font color='#0080ff'><A href='group.php?filter=$cn'>$cn</A></font> avec succès.</div><br>\n";
            } else {
                echo "<div class=error_msg>Echec, les membres sélectionnés n'ont pas été supprimé du groupe<font color='#0080ff'>$cn</font>";
            }
        }
    } else {
        echo "<div class=error_msg>La suppression d'un utilisateur de son groupe principal (Eleves, Profs, Administratifs) n'est pas autorisée !</div>";
    }
} else {
    echo "<div class=error_msg>Cette application, nécessite les droits d'administrateur du serveur !</div>";
}

$html = "";
admin_footer_html($html);
echo $html;
?>