<?php

/**

 * Desactive des comptes
 * @Version $Id$

 * @Projet LCS / SambaEdu

 * @auteurs Sandrine Dangreville ( academie de creteil )

 * @Licence Distribue selon les termes de la licence GPL

 * @note
 */

/**
 *
 * @Repertoire: annu
 * file: desac_user_entry.php
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
include_once "ldap.inc.php";
include "ihm.inc.php";

echo "<title>Activation / Désactivation des comptes</title><body>";

echo "<h1>Annuaire</h1>\n";
$act = $_GET['action'] ?? '';
$cn = $_GET['cn'];

if (have_right($config, SE_USER_ADMIN)) {
    if ($cn) {
        if ($act == "activ") {
            modify_ad($config, $cn, "user", array(
                'useraccountcontrol' => 512
            ));
            echo "Le compte <a href='people.php?cn=$cn'>$cn</a> a été réactivé.<br />";
        } else {
            modify_ad($config, $cn, "user", array(
                'useraccountcontrol' => 514
            ));
            echo "Le compte <a href='people.php?cn=$cn'>$cn</a> a été désactivé.<br />";
        }
    } else {
        echo "Aucun utilisateur sélectionné.";
    }
} else {
    echo "<div class=error_msg>Cette fonctionnalité, nécessite les droits d'administrateur du serveur SambaEdu !</div>";
}

$html = "";
admin_footer_html($html);
echo $html;
?>