<?php

/**
 * @Version $Id$
 * @Projet LCS / SambaEdu
 * @auteurs
 * @Licence Distribue selon les termes de la licence GPL
 * @note
 */

/**
 *
 * @Repertoire: annu
 * file: listing.php
 *
 */
session_start();
set_time_limit(1800);

require "config.inc.php";
$config = get_config();
require_once "ldap.inc.php";
require_once "functions.inc.php";
require "ihm.inc.php";
require_once 'ent.inc.php';
require "asm.inc.php";

// HTMLPurifier
require_once ("traitement_data.inc.php");

// if (!have_right(SE_USER_ADMIN, "admin")) {
// dégage crétin
// echo "dégage...";
// } else {
$name = $_POST['name'] ?? "listing";
$listing = apcu_fetch($name);

switch ($_POST['action'] ?? $_GET['action']) {
    case "télécharger pdf":
        echo generate_listing_pdf($config, $listing);
        break;
    case "télécharger csv":
        $nom_fic = "listing.csv";
        header('Content-Type: text/x-csv');
        header('Content-Disposition: attachment; filename="' . $nom_fic . '"');
        header('Pragma: no-cache');
        echo generate_listing_csv($config, $listing);
        break;
    case 'activation':
        header('Content-Type: text/x-csv');
        header('Content-Disposition: attachment; filename="activation_' . date("H\:d.m.Y") . '.csv"');
        header('Pragma: no-cache');
        echo stats_users($config, true);
        break;
    case 'asm':
        header_authorize_script($config);
        echo export_asm($config);
        break;
    case "effacer les fichiers":
        apcu_delete($name);
        $html = "";
        admin_footer_html($html);
        echo $html;
        break;
    case "réinitialiser les mots de passe":
        echo reinit_listing_passwords($config, $listing);
        apcu_delete($name);
        $html = "";
        admin_footer_html($html);
        echo $html;
}

?>