<?php

/**
 * Modifie le mot de passe
 * @Projet SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL
 * @note
 */

/**
 *
 * @Repertoire: annu
 * file: mod_pwd.php
 */
require "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
require "ihm.inc.php";

// HTMLPurifier
require_once ("traitement_data.inc.php");

echo "Modification mot de passe";

$DEBUG = "0";

$mod_pwd = $_POST['mod_pwd'] ?? '';
$login = $config['login'];

$ent = (isset($_SESSION['auth']) && $_SESSION['auth'] == "ent");
$old_password = $_POST['old_password'] ?? "";

echo "<h1>Changement du mot de passe</h1>\n";

echo aff_trailer("5");
$rules = get_password_rule($config);
$length = $rules['min-pwd-length'];
if ($rules['complexity'] == "on")
    $complexity = true;
else
    $complexity = false;
if ($mod_pwd) {
    // decryptage des mdp
    // $string_auth = $_POST['string_auth'];
    // $string_auth1 = $_POST['string_auth1'];
    // exec ("/usr/bin/python ".$path_to_wwwse3."/includes/decode.py '$string_auth'",$Res);
    // exec("/usr/bin/python /var/www/sambaedu/includes/decode.py '$string_auth'", $Res);
    $new_password = $_POST['dummy'];
    $verif_password = $_POST['dummy1'];
    // exec ("/usr/bin/python ".$path_to_wwwse3."/includes/decode.py '$string_auth1'",$Res1);
    // exec("/usr/bin/python /var/www/sambaedu/includes/decode.py '$string_auth'", $Res1);
    // DEBUG
    if ($DEBUG == "1") {
        echo "crypto new mdp  :  $string_auth<br>crypto verif mdp  : $string_auth1<br>";
        echo "old_mdp : " . $old_password . " new mdp  : $new_password verif mdp  : $verif_password<br>";
    }
}
if (! $ent)
    $test_old = user_valid_passwd($config, $login, $old_password);
else
    $test_old = true;
// teste si il faut reservir le formulaire de saisie
if ((! $mod_pwd) || (($mod_pwd) && (! verifPwd($new_password, $length, $complexity)[0])) || (($mod_pwd) && ($new_password != $verif_password)) || (($mod_pwd) && (! $test_old))) {

    echo "<h3>Changement de mot de passe</h3>";
    ?>
<form name="auth" action="mod_pwd.php" method="post">
    <table>
  <?php
    if (! $ent) {
        ?>
          <tr>

            <td><?php echo "Mot de passe actuel";?> : </td>
            <td><input type="password" name="old_password" size="20"></td>
        </tr>
          <?php }?>
          <tr>
            <td><?php echo "Nouveau mot de passe";?> : </td>
            <td><input type="password" value="" name="dummy" size='20'
                maxlength='20'> <input type="hidden" name="string_auth"
                value=""></td>
        </tr>
        <tr>
            <td><?php echo "Ressaisir nouveau mot de passe";?> : </td>
            <td><input type="password" value="" name="dummy1" size='20'
                maxlength='20'> <input type="hidden" name="string_auth1"
                value=""></td>
        
        
        <tr>
        
        
        <tr>
            <td colspan=2 align=center><input type="hidden"
                name="mod_pwd" value="true"> <input type="submit"
                value=<?php echo "Valider"; ?>></td>
        </tr>
    </table>
</form>
<?php
    if ($mod_pwd) {
        // Verification de l'ancien mot de passe
        if (! $ent) {
            $ret = user_valid_passwd($config, $login, $old_password);
            if ($ret == 0) {
                echo "<div class='error_msg'>Votre mot de passe actuel est erroné !</div><BR>\n";
            } elseif ($ret == - 1) {
                echo "<div class='error_msg'>Votre mot de passe doit être changé</div><BR>\n";
            } elseif ($ret == - 2) {
                echo "<div class='error_msg'>le mot de passe saisi pour pouvoir changer de mot de passe est erroné</div><BR>\n";
            }
        } // Verification du nouveau mot de passe
        elseif (! verifPwd($new_password, $length, $complexity)[0]) {
            echo "<div class='error_msg'>" . verifPwd($new_password, $length, $complexity)[1] . "</div><BR>\n";
        } // Verification de la coherence des deux mots de passe
        elseif ($new_password != $verif_password) {
            echo "<div class='error_msg'>La vérification de votre nouveau mot de passe a échouée !</div><BR>\n";
        }
    }
} else {
    // Changement du mot de passe

    if (usersetpassword($config, $login, $new_password))
        echo "Votre mot de passe est modifié<br/>";
    else
        echo "Votre mot de passe n'a pas été modifié<br/>";
}

$html = "";
admin_footer_html($html);
echo $html;
?>