<?php

/*
 * Modifie l'entree d'un utilisateur
 * @Version $Id$
 * @Projet LCS / SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL
 * @Repertoire: annu
 * file: mod_user_entry.php
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
require "ihm.inc.php";

require_once "partages.inc.php";
require_once "ent.inc.php";
// HTMLPurifier
require_once ("traitement_data.inc.php");

$login = $config['login'];
// if ($login != "") {

// echo "Modification parametres utilisateur";

@session_start();

echo "<h1>Annuaires</h1>\n";

echo aff_trailer("4");

$isadmin = have_right($config, SE_USER_ADMIN);

$cn = isset($_GET['cn']) ? $_GET['cn'] : (isset($_POST['cn']) ? $_POST['cn'] : NULL);

if (! isset($cn)) {
    echo "<p style='color:red'>Erreur&nbsp;: Aucun utilisateur n'a été choisi.</p>\n", $html = "";
    admin_footer_html($html);
    echo $html;
    die();
}

// debug_var();
$corriger_givenname_si_diff = "Y";
$user_entry = isset($_POST['user_entry']) ? $_POST['user_entry'] : '';
$nom = isset($_POST['nom']) ? $_POST['nom'] : '';
$prenom = isset($_POST['prenom']) ? $_POST['prenom'] : '';
$description = isset($_POST['description']) ? $_POST['description'] : '';
$userpwd = isset($_POST['userpwd']) ? $_POST['userpwd'] : '';
$mail = isset($_POST['mail']) ? $_POST['mail'] : '';
$naissance = isset($_POST['naissance']) ? $_POST['naissance'] : '';
$idg = $_POST['idg'] ?? "";
$idsi = $_POST['idsi'] ?? "";
$idnc = $_POST['idnc'] ?? "";
$newtitles = $_POST['titles'] ?? [];

if (have_right($config, SE_USER_ADMIN) or ((is_my_eleve($config, $login, $cn)) and (have_right($config, SE_USER_PASSWORD_INIT | SE_USER_READ | SE_USER_MODIFY)))) {
    // Recuperation des entrees de l'utilisateur a modifier
    $user = search_user($config, $cn);
    if (isset($user['hash'])) {
        $user['date'] = decode_birthdate($user['hash']);
    }
    $ids[1] = $user['Id GPEI'] ?? "";
    $ids[0] = $user['Id Siecle'] ?? "";
    $ids[2] = $user['Id ASM'] ?? "";
    $ids[3] = $user['Id Pronote'] ?? "";
    $ids[4] = $user['Id NC'] ?? "";
    $id = implode(",", $ids);

    $titles[0] = $user['id'] ?? "";
    $titles[1] = $user['externalId'] ?? "";
    $title = implode(",", $titles);

    if (! verifEntree($nom) || ! verifEntree($prenom) || ! verifDescription($description) || ($userpwd && ! verifPwd($userpwd)[0]) || (($naissance != '') && (! verifDateNaissance($naissance)))) {
        ?>
<form name="auth" action="mod_user_entry.php" method="post"
    onSubmit="encrypt(document.auth)">
    <table align="center" border="0" width="90%">
        <tbody>
            <tr>
                <td width="30%">Login :&nbsp;</td>
                <td width="70%" colspan="5"><tt>
                        <strong><?php echo $user["cn"]?></strong>
                    </tt></td>
            </tr>

            <tr>
                <td>Id unique AD :&nbsp;</td>
                <td colspan="5"><tt>
                        <strong><?php echo strtoupper(to_guid($user["objectguid"]))?></strong>
                    </tt></td>
            </tr>

            <tr>
                <td><?php echo "Prénom"; ?> :&nbsp;</td>
                <td colspan="5"><input type="text" name="prenom"
                    value="<?php echo $user["prenom"] ?? ""?>" size="20"></td>
            </tr>

            <tr>
                <td><?php echo "Nom"; ?>&nbsp;:&nbsp;</td>
                <td colspan="5"><input type="text" name="nom"
                    value="<?php echo $user["nom"] ?? ""?>" size="20"></td>
            </tr>

            <?php
        if ($isadmin) {
            if (isset($user['date']) && preg_match("/^[0-9]{8}$/", $user['date'])) {
                $naissance = $user['date'];
            } else {
                $naissance = "";
            }
            $user['email'] = $user['email'] ?? "";
            ?>

            <tr>
                <td><?php echo "Login"; ?>&nbsp;:&nbsp;</td>
                <td colspan="5"><input type="text" name="login"
                    value="<?php echo $user['cn']?>" size="19"></td>
            </tr>

            <tr>
                <td>Date de naissance (Facultatif)</td>
                <td colspan="5"><input type="text" name="naissance"
                    value="<?php echo $naissance?>" size="8"></td>
            </tr>

            <tr>
                <td valign='top'><?php echo "Identifiants uniques"; ?>&nbsp;:&nbsp;</td>
                <td colspan='5'><font color="orange"> <u>Attention</u> :
                        Les numéros correspondent aux attributs 'title'
                        et 'employeeNumber' dans l'annuaire LDAP.<br>Ces
                        numéros sont utilisés lors d'une importation des
                        comptes pour déterminer si le compte existe déjà
                        ou non.<br>Ne les changez pas sans bonne raison
                        !
                </font></td>
            </tr>

            <tr>
                <td></td>
                <td>Id ENT</td>
                <td>Id AAF</td>
                <td colspan='3'></td>
            </tr>

            <tr>
                <td></td>
                <td><input type="text" name="titles[0]"
                    value="<?php echo $titles[0]?>" size="20"></td>
                <td><input type="text" name="titles[1]"
                    value="<?php echo $titles[1]?>" size="20"></td>
                <td colspan='3'></td>
            </tr>

            <tr>
                <td></td>
                <td>Id GPEI</td>
                <td>Id Siecle</td>
                <td>Id NC</td>
            </tr>

            <tr>
                <td></td>
                <td><input type="text" name="idg"
                    value="<?php echo $ids[1]?>" size="20"></td>
                <td><input type="text" name="idsi"
                    value="<?php echo $ids[0]?>" size="20"></td>
                <td><input type="text" name="idnc"
                    value="<?php echo $ids[4]?>" size="36"></td>
            </tr>

            <tr>
                <td><?php echo "Adresse mèl"; ?>&nbsp;:&nbsp;</td>
                <td colspan="5"><input type="text" name="mail"
                    value="<?php echo $user["email"]?>" size="20"></td>
            </tr>

                <?php } ?>
            <tr>
                <td><?php echo "Mot de passe"; ?>:&nbsp;</td>
                <td colspan='2'><input type="password" value=""
                    name="userpwd" size='20' maxlength='20'></td>
                <td colspan='3'><font color="orange"> <u><?php echo "Attention"; ?></u> : <?php echo "Si vous laissez ce champ vide,&nbsp;c'est l'ancien mot de passe qui sera conservé."; ?>
                    </font></td>
            </tr>
            <!-- 
            <tr>
                <td colspan='4' style="border: 1px solid black"></td>
            </tr>
            -->
            <tr>
                <td align="left" colspan='6'><p>
                        <input type="hidden" name="cn"
                            value="<?php echo $cn ?>"> <input
                            type="hidden" name="user_entry" value="true">
                        <input type="submit"
                            value="<?php echo "Valider les modifications"; ?>">
                    </p></td>
                <td></td>
            </tr>
        </tbody>
    </table>
</form>
<?php
        if ((isset($user_entry)) && ($user_entry)) {
            // verification des saisies
            // nom prenom
            if (! verifEntree($nom) || ! verifEntree($prenom)) {
                echo "<div class=\"error_msg\">Les champs nom et prenom, doivent comporter au minimum 3 caractères alphabétiques.</div><br />\n";
            }
            // profil
            if ($description && ! verifDescription($description)) {
                echo "<div class=\"error_msg\">Veuillez reformuler le champ description.</div><br />\n";
            }
            // Date de naissance
            if ($naissance != '' && ! verifDateNaissance($naissance)) {
                echo "<div class=\"error_msg\">La date de naissance que vous avez saisie, n'est pas conforme.</div><br />\n";
            }

            // mot de passe
            if ($userpwd && ! verifPwd($userpwd)[0]) {
                echo "<div class='error_msg'>";
                echo verifPwd($userpwd)[1] . "</div><br />\n";
            }

            // fin verification des saisies
        }

        echo "<p><a href='people.php?cn=" . $cn . "'>Retour sans modification vers la fiche de $cn</a></p>\n";
    } else {

        if (! empty($_POST['login']) && $_POST['login'] != $user['cn']) {
            $mod = [
                'ad' => $user,
                'ent' => [
                    'login' => $_POST['login']
                ]
            ];
            $html = "Modification du login : <br>";
            modify_ad_login($config, $mod, $html);
            $user = search_user($config, $_POST['login']);
            $cn = $user['cn'];
            echo $html;
        }

        $mode = "replace";
        // Positionnement des entrees a modifier
        // $entry["sn"] = stripslashes ( utf8_encode($nom) );
        // $entry["cn"] = stripslashes ( utf8_encode($prenom)." ".utf8_encode($nom) );
        $entry["sn"] = stripslashes(ucfirst(strtolower(strtr(preg_replace("/Æ/", "AE", preg_replace("/æ/", "ae", preg_replace("/¼/", "OE", preg_replace("/½/", "oe", "$nom")))), "'ÂÄÀÁÃÄÅÇÊËÈÉÎÏÌÍÑÔÖÒÓÕ¦ÛÜÙÚÝ¾´áàâäãåçéèêëîïìíñôöðòóõ¨ûüùúýÿ¸", "_AAAAAAACEEEEIIIINOOOOOSUUUUYYZaaaaaaceeeeiiiinoooooosuuuuyyz"))));
        $entry["displayname"] = stripslashes(ucfirst(strtolower(strtr(preg_replace("/Æ/", "AE", preg_replace("/æ/", "ae", preg_replace("/¼/", "OE", preg_replace("/½/", "oe", "$prenom")))), "'ÂÄÀÁÃÄÅÇÊËÈÉÎÏÌÍÑÔÖÒÓÕ¦ÛÜÙÚÝ¾´áàâäãåçéèêëîïìíñôöðòóõ¨ûüùúýÿ¸", "_AAAAAAACEEEEIIIINOOOOOSUUUUYYZaaaaaaceeeeiiiinoooooosuuuuyyz"))) . " " . ucfirst(strtolower(strtr(preg_replace("/Æ/", "AE", preg_replace("/æ/", "ae", preg_replace("/¼/", "OE", preg_replace("/½/", "oe", "$nom")))), "'ÂÄÀÁÃÄÅÇÊËÈÉÎÏÌÍÑÔÖÒÓÕ¦ÛÜÙÚÝ¾´áàâäãåçéèêëîïìíñôöðòóõ¨ûüùúýÿ¸", "_AAAAAAACEEEEIIIINOOOOOSUUUUYYZaaaaaaceeeeiiiinoooooosuuuuyyz"))));

        // ======================================
        if ($corriger_givenname_si_diff == "Y") {
            // Le givenName est destiné à prendre pour valeur le Prenom de l'utilisateur
            $entry["givenname"] = ucfirst(strtolower(strtr(preg_replace("/Æ/", "AE", preg_replace("/æ/", "ae", preg_replace("/¼/", "OE", preg_replace("/½/", "oe", "$prenom")))), "'ÂÄÀÁÃÄÅÇÊËÈÉÎÏÌÍÑÔÖÒÓÕ¦ÛÜÙÚÝ¾´áàâäãåçéèêëîïìíñôöðòóõ¨ûüùúýÿ¸", "_AAAAAAACEEEEIIIINOOOOOSUUUUYYZaaaaaaceeeeiiiinoooooosuuuuyyz")));
        }

        if ($isadmin) {
            if ($mail != "")
                $entry["mail"] = $mail;
            if ($description && verifDescription($description))
                $entry["description"] = utf8_encode(stripslashes($description));

            if ($naissance != '' && verifDateNaissance($naissance)) {
                $entry['physicaldeliveryofficename'] = encode_birthdate($naissance);
                if (! isset($user['hash'])) {
                    // $mode = "add";
                }
            }
            $newid = $idsi . "," . $idg . "," . $ids[2] . "," . $ids[3] . "," . $idnc;
            if ($newid != $id) {
                $entry["employeenumber"] = $newid;
            }

            if (implode(",", $newtitles) != $title) {
                $entry["title"] = implode(",", $newtitles);
            }
        }
        // Modification des entrees
        $res = modify_ad($config, $user['cn'], "user", $entry, $mode);
        if ($res) {
            echo "<strong>Les entrées ont été modifiées avec succès.</strong><br />\n";
        } else {
            echo "<strong>Echec de la modification</strong><br />\n";
        }

        // Fin modification des entrees
        // Changement du mot de passe
        if ($userpwd && verifPwd($userpwd)[0]) {
            usersetpassword($config, $cn, $userpwd);
        }

        echo "<p><a href='" . $_SERVER['PHP_SELF'] . "?cn=" . $cn . "'>Retour vers la modification des informations $cn</a></p>\n";
        echo "<p><a href='people.php?cn=" . $cn . "'>Retour vers la fiche de $cn</a></p>\n";
    }
} else {
    echo "<div class=error_msg>Cette fonctionnalité nécessite des droits d'administration SambaEdu !</div>";
}

$html = "";
admin_footer_html($html);
echo $html;
?>