<?php

/**
 * Reinitialise les mots de passe
 * @Version $Id$
 * @Projet SambaEdu
 * @auteurs Equipe SambaÉdu
 * @Licence Distribue selon les termes de la licence GPL
 * @note
 */

/**
 *
 * @Repertoire: annu
 * file: pass_user_init.php
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;

include_once "samba-tool.inc.php";
include_once "ent.inc.php";
include "ihm.inc.php";
$listing = [];
if (have_right($config, SE_USER_PASSWORD_INIT)) { // || have_right($config, SE_USER_ADMIN) || have_right($config, SE_USER_PASSWORD_INIT | SE_USER_READ | SE_USER_MODIFY)) {

    echo "<h1>Annuaire</h1>\n";

    $cn_init = $_GET['cn'];

    // Recherche d'utilisateurs dans la branche people
    $info = search_user($config, $cn_init);
    if (count($info) > 0) {
        $prenom = $info["prenom"];
        $info['structure'] = $info['etab'];
        $nom = $info["nom"];
        echo "<pre class='listing'>";
        echo "<a href='people.php?cn=" . $cn_init . "' title=\"Retour à la fiche de l'utilisateur " . $nom . " " . $prenom . "\">" . $nom . " " . $prenom . "</a>: ";
        echo reinit_passwd($config, $info, $listing, true);
        echo "</pre>";
    }
    apcu_store('listing_' . session_id(), $listing);
    echo generate_listing('listing_' . session_id(), false);
}
$html = "";
admin_footer_html($html);
echo $html;
?>