<?php
/**
 *
 * Reçoit la requête POST du code SMS via JS du menu.php
 *
 * @Projet SambaEdu
 *
 * @auteurs Denis Bonnenfant, Tom Ricci
 *
 * @Licence Distribue selon les termes de la licence GPL
 *
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
include "ihm.inc.php";
require_once ("fonc_outils.inc.php");
require_once 'ent.inc.php';

$code = $_POST['mfa_code'] ?? "";

$debug_mfa_ent = $config['debug_mfa_ent'] ?? 0;

if ($debug_mfa_ent == 1) {
    trigger_error("Code reçu au début de post_mfa_ent.php : !!" . $code . "!!");
    $fp = fopen('/tmp/f2a.txt', 'a');
    $date = new DateTime();
    $date = $date->format("d-m-Y H:i:s");
    fwrite($fp, $date . ' : ');
}

if (have_right($config, SE_ADMIN)) {
    if ($debug_mfa_ent == 1) {
        trigger_error("Code reçu sur post_mfa_ent.php après have_right : !!" . $code . "!!");
    }
    $msg = "";
    if (openent_admin_logon($config, $msg, true, true, $code)) {
        header($_SERVER["SERVER_PROTOCOL"] . " 200 OK");
    } else {
        header($_SERVER["SERVER_PROTOCOL"] . " 403 Forbidden");
    }
    $html = '
        <script src="/javascript/jquery/jquery.min.js"></script>
        <script>
        jQuery(document).ready(function($) {
            alert("' . $msg . '");
        });
        </script>';
} else {
    header($_SERVER["SERVER_PROTOCOL"] . " 403 Forbidden");
    header("Location:/interdit.html");
    exit();
}

echo $html;
?>