<?php

/**

 * Partie du haut de l'interface
 * @Version 12-2018
 * @Projet LCS / SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL
 * @Repertoire: /
 * file: barre.php
 */
include "config.inc.php";
$config = get_config();
$LogoNormal = replace_element($config, "LogoNormal", "elements/images/logo-normal.gif");

?>

<!DOCTYPE HTML>

<html>
<head>
<title>Barre</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<link type="text/css" rel="stylesheet"
    href="elements/style_sheets/sambaedu.css" />
</head>

<body bgcolor="#242e42" text="#000000">
    <div id="topbar"
        style="position: absolute; left: 0px; top: 0; height: 85; z-index: 1">
        <table width="100%" border="0">
            <!-- height="86"-->
            <tr>
                <td><a href="https://www.sambaedu.org/" target="_blank">
                        <img name="logo" src="<?php echo $LogoNormal?>"
                        border="0" alt="Logo" height="85" />
                </a></td>
                <td width="420">
                    <table border="0" cellpadding="0" cellspacing="0"
                        width="420">
                        <!-- height="85"-->
                        <tr>
                            <td width="100"><a
                                href="https://www.sambaedu.org/-La-documentation-"
                                target="_blank"
                                title="Consulter la documentation"><h1>&#128218;</h1></a></td>
                            <td width="100"><a
                                href="https://www.sambaedu.org/Les-canaux-de-communication"
                                target="_blank" title="Nous contacter"><h1>&#127384;</h1></a></td>
                            <td width="100"><a href="logout.php"
                                target="page" title="Se déconnecter"><h1>&#128274;</h1></a></td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
</body>
</html>