<?php
/**

 * Page qui permet d'enregistrer le serveur la premiere fois que l'on se connecte
 * @Projet SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL

 */

/**
 *
 * @Repertoire: /
 * file: blank.php
 *
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
include_once 'admin_ui.inc.php';
include ("fonc_outils.inc.php");
// require_once ("traitement_data.inc.php");
$config = get_config();
// hack en cas de changement de serveur ?
if (! empty($_SESSION['login'])) {
    $config['login'] = $_SESSION['login'];
}

$html = "";

admin_header_html($config, $html);

admin_topbar_html($config, $html);

admin_menu_html($config, $html);

$html .= header_authorize($config);

$login = $config['login'];
// var_dump($_SESSION);
if (have_right($config, SE_USER_READ, $login) || have_right($config, SE_COMPUTER_VIEW, $login)) {
    $html .= "<h1>Interface " . replace_element($config, "SambaEdu", "SambaEdu") . "</h1>";

    $html .= "<BR><BR>";
    // echo "<pre>" . print_r($_SESSION['userinfo'], true) . "</pre><br>";
    $nom = exec("/bin/hostname");

    $la = date("G:i:s d/m/Y");
    $html .= "<CENTER><table class='table-bordered' width=\"60%\">";

    $html .= "<TR>\n";
    $html .= "<TD class=\"menuheader\" height=\"30\" align=center colspan=\"5\">Informations\n";

    $html .= "&nbsp;&nbsp;";

    $html .= "<u onmouseover=\"return escape('Cliquer ici pour voir plus d\'information et lancer un diagnostique.<br><b>Attention : </b> Cela peut être gourmand en ressources et relativement long.<br><br>Vous pouvez remplacer cette page par défaut par la page de diagnostique, en activant l\'option Affichage de la page d\'état dans configuration générale.')\">";
    $html .= "<a href=\"test.php\"><IMG style=\"border: 0px solid ;\" SRC=\"../elements/images/plus.png\" ALT=\"Voir plus\"></a>\n";
    $html .= "</u>\n";
    $html .= "</TD></TR>\n";
    $html .= "<TR><TD align=\"center\">";
    $html .= $nom . "." . $config['domain'];
    $html .= "</TD></TR>\n";

    $html .= "<TR><TD align=\"center\">";
    $html .= "$la";
    $html .= "</TD></TR>\n";

    $html .= "<TR><TD align=\"center\">";
    $version = exec("dpkg -s sambaedu|grep Version|cut -d ' ' -f2");
    $html .= "Version " . replace_element($config, "SambaEdu", "SambaEdu") . " : " . $version . " - Canal de mise à jour " . replace_element($config, "SambaEdu", "SambaEdu") . " : " . $config['depot_type'];
    $html .= "</TD></TR>\n";

    $html .= "</table></CENTER>\n";
} else {
    $html .= "Vous n'avez pas les droits suffisants pour accéder à ces pages";
}

admin_footer_html($html);

echo $html;
?>