<?php
/**

 * Permet de changer l'ip des serveurs sambaedu

 * @Projet SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL
 * @Repertoire: /
 * file: conf_params.php
 */
require_once "config.inc.php";
$config = get_config();
require_once "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
require_once ("samba.inc.php");
require_once ("partages.inc.php");

// debug_var();

if (! have_right($config, SE_ADMIN)) {
    die("Vous n'avez pas les droits suffisants pour accéder à cette fonction</BODY></HTML>");
}

$etape = $_GET['etape'] ?? "";

switch ($etape) {
    case "Valider les changements":
        // changement des ip dans les fichiers conf du se4fs.
        $params = $_POST['params'] ?? [];
        foreach ($params as $param => $valeur) {
            $config = replace_param($config, $param, $valeur);
        }
        $html = "<h1>Changement d'adressage IP</h1>
La configuration des serveurs AD et FS sera modifiée dans quelques instants, Veuillez attendre quelques minutes, puis reconfigurer les équipements réseau.<br>
Une fois le réseau migré, redémarrer le se4AD, puis le se4FS";

        break;
    default:
        $liste = [
            'se4ad_ip' => 'Adresse IP du serveur AD',
            'se4fs_ip' => "Adresse IP du serveur FS",
            'dhcp_gateway' => "Adresse IP de la passerelle du sous-réseau serveurs",
            'dhcp_reseau' => "Adresse IP du sous-réseau serveurs",
            'dhcp_masque' => "Masque du sous-réseau serveurs",
            'proxy_address' => "Adresse IP du serveur proxy (Amon)",
            'nameserver' => "Adresse IP du DNS externe (Amon)"
        ];

        $html = "<h1>Changement d'adressage IP</h1>";
        $html .= '<form class="form" action="" method="post">';
        $key = 0;
        foreach ($liste as $param => $texte) {
            $html .= $texte . ' : ';
            $html .= '<input type="text" name="params[' . $param . ']" id="params[' . $param . ']" value="' . $config[$param] . '" size="20"  />';
            $html .= '<br />';
        }
        $html .= '<input type="submit" name="valider" value="Valider les changements"/>';
        $html .= '</form>';
}

echo $html;
$html = "";
admin_footer_html($html);
echo $html;
?>
