<?php

/**
 * Page qui affiche les contacts et le team SE
 * @Version $Id$
 * @Projet LCS / SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL
 * @Repertoire: /
 * file: contact.php
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;


$texte = "<P>SambaEdu est distribué selon <A HREF='http://www.gnu.org/licenses/quick-guide-gplv3.fr.html'>les termes de la licence GPL</A>.";
echo mktable("SambaEdu Version 4", $texte);
print "<BR>";

$texte = "<p>SambaÉdu est une solution libre de serveur pédagogique sous <a href='https://fr.wikipedia.org/wiki/Linux_ou_GNU/Linux' rel='external'>GNU/Linux</a> (<a href='https://www.debian.org/index.fr.html' rel='external'>Debian</a>). Il utilise entre autre les technologies de l&#8217;opensource&nbsp;: <a href='https://fr.wikipedia.org/wiki/Samba_(informatique)'  rel='external'>Samba</a> -  <a href='https://fr.wikipedia.org/wiki/MySQL' class='spip_out' rel='external'>MySQL</a>.</p>
<p>Il comporte une interface web permettant l&#8217;administration du dispositif par une personne non initiée à <a href='https://fr.wikipedia.org/wiki/Linux_ou_GNU/Linux' rel='external'>GNU/Linux</a>.</p>
<p>Il automatise le déploiement des applications sur les clients Windows et les clients <a href='https://fr.wikipedia.org/wiki/Linux_ou_GNU/Linux' rel='external'>GNU/Linux</a>.</p>
<p>Il installe automatiquement les clients <a href='https://fr.wikipedia.org/wiki/Linux_ou_GNU/Linux' >GNU/Linux</a>, en simple ou double boot.</p>
<p>Il gère de façon globale la politique de sécurité sur le parc des clients Windows en se basant sur les stratégies de groupes Windows Server 200X (GPO).</p>
<p>Les postes sous Windows Seven ou 10 sont pris en charge.</p>

<P>Un grand merci à tous ceux qui contribuent au développement, aux tests, ou à la documentation du projet</P>
<UL>
<LI><A HREF='mailto:***'>Denis Bonnenfant</A> qui a développé une grande partie du projet SambaEdu4 !</LI>
<LI><A HREF='mailto:***'>Franck Molle</A> auteur des scripts de migration et développeur à temps plein (la nuit) du projet.</LI>
</UL>

<P>Et tous les autres contributeurs au projet, qu'ils soient développeurs, testeurs ou rédacteurs sur la documentation.
<P>SambaEdu est un produit libre et indépendant, développé par des professeurs bénévoles pour l'ensemble de la communauté éducative. C'est un projet en constante évolution depuis 2000 et qui est officiellement supporté et déployé dans plusieurs académies comme Paris, Caen, Rouen, Versailles, Strasbourg, Nantes, Clermont Ferrand ...  
";

echo mktable("A Propos", $texte);

print "<BR>";

$texte = "
<P>Pour que ce projet vive, nous avons besoin de contributeurs !
<UL>
<LI>
Participez au financement de <a href='https://www.sambaedu.org/'>l'association SambaEdu </a>. Vous pouvez adhérer et faire des dons à cette association, à votre titre personnel, au titre d'un établissement scolaire, en tant qu'entreprise...
</LI>
<LI>
Participer au développement, à différent niveaux : traduction de page, écriture de documentation.  <a href='https://www.sambaedu.org/'>Contactez-nous !</a>.
</LI>
</UL>
<CENTER>
<H2>
Merci !
</H2>
</CENTER>
";

echo mktable("Contribuez au projet", $texte);

$html = "";
admin_footer_html($html);
echo $html;
?>
