<?php

function gpo_form_no_roam($config, $values)
{
    $html = "<h1>Exclusions du profil itinérant</h1>";
    $html .= '<form class="form" action="" method="post">';
    $key = 0;
    if (count($values) > 0) {
        foreach ($values as $key => $value) {
            $html .= '<p>Fichier ou dossier : %USERPROFILE%\\';
            $html .= '<input type="text" name="Value[' . $key . ']" id="Value[' . $key . ']" value="' . $value . '" size="20"  />';
            $html .= '<input type="submit" name="valider" value="Modifier"/>';
            $html .= '<input type="submit" name="suppr[' . $key . ']" value="Supprimer"/></p>';
            $html .= '<br />';
        }
    }
    /**
     * Ajout d'un dossier
     */
    $key ++;
    $html .= "<h1>Ajouter une exclusion</h1>";
    $html .= 'Fichier ou dossier : %USERPROFILE%\\';
    $html .= '<input type="text" name="Value[' . $key . ']" id="Value[' . $key . ']" value="" size="20"  />';
    $html .= '<input type="submit" name="valider" value="Ajouter"/>';

    $html .= "<h1>Appliquer</h1>";
    $html .= '<input type="submit" name="apply" value="Mettre à jour la GPO"/>';
    $html .= '</form>';
    return $html;
}

function table_roam_stats()
{
    $result = roaming_profiles_stats() ?? [];
    if (count($result) > 0) {
        $html = "<h1>Statistiques des dossiers du profil itinérant dont la taille dépasse 8 Mo</h1>";
        $html .= "<table align='center' class='table-bordered'>\n";
        $html .= "<tr><td class='menuheader'>Chemin</td><td class='menuheader'>taille moyenne (Mo)</td><td  class='menuheader'>taille totale (Mo)</td><td class='menuheader'>nombre</td></tr>";
        foreach ($result as $path => $r) {
            $html .= "<td><A href=\"user_profile_stats.php?path=" . $path . "\">" . str_replace('/', '\\', $path) . "</A></td>\n";
            $html .= "<td>" . $r["average"] . "</td>\n";
            $html .= "<td>" . $r["sum"] . "</td><td>" . $r["nb"] . "</td></tr>\n";
        }
        $html .= "</table>\n";
        $html .= "<br>Les dossiers apparaissant dans le tableau sont transférés entre le serveur et le poste à l'ouverture et à la fermeture de la session. 
Si ils sont volumineux cela va rendre les ouvertures et fermetures très lentes. Ces statistiques sont mises à jour toutes les nuits. Si la présence de dossiers très volumineux persiste, il est nécessaire d'agir : <br>
Normalement les applications ne devraient pas stocker dans ces dossiers de données volumineuses. Si c'est malgré tout le cas, cela peut avoir trois causes : <br>
<li> Des postes sont mal configurés et / ou ne prennent pas en compte les GPO, et mettent les données utilisateur dans les profils. Si le problème persiste, il faudra songer à les réinstaller.
<li> L'application ne respecte pas les standards de stockage des données et enregistre des données temporaires au mauvais endroit. Dans ce cas on ajoute le dossier à la liste des exclusions,
<li> L'application est mal configurée et enregistre les données utilisateur dans le profil, dans ce cas il faut configurer l'application de façon centralisée, car si on exclut le dossier, les données vont être perdues.<br>";
    } else {
        $html = "Pas de fichiers volumineux dans les profiles ou fichier /tmp/du.txt inexistant\n";
    }
    return $html;
}

function table_roam_stats_user($path)
{
    $html = "";
    $result = roaming_profiles_stats() ?? [];
    if (count($result) > 0) {
        $html .= "<h1>Utilisateurs dont le dossier %USERPROFILE%\\" . str_replace('/', '\\', $path) . " du profil itinérant dépasse 8 Mo</h1>";
        $html .= "<table align='center' class='table-bordered'>\n";
        $html .= "<tr><td class='menuheader'>Utilisateur</td><td class='menuheader'>taille (Mo)</td></tr>";
        foreach ($result[$path]['user'] as $user => $size) {
            $html .= "<td>" . $user . "</td>\n";
            $html .= "<td>" . $size . "</td></tr>\n";
        }
        $html .= "</table>\n";
    } else {
        $html .= "Pas de fichiers volumineux dans les profiles ou fichier /tmp/du.txt inexistant\n";
    }
    return $html;
}

?>
