<?php

/**
 * Menu Information systeme

 *  @Projet SambaEdu

 * @Auteurs Equipe Sambaedu

 * @Note: Ce fichier de fonction doit etre appele par un include

 * @Licence Distribue sous la licence GPL
 */

/**
 *
 * file: 40infos.inc
 *
 * @Repertoire: includes/menu.d/
 */
$liens1 = array(
    array(

        'text' => "Informations système",
        'right' => SE_SERVER_ADMIN,
        'level' => 1,
        'sub' => [
            [
                'text' => "Diagnostic",
                'link' => "test.php",
                'right' => SE_SERVER_ADMIN,
                'level' => 1
            ],
            [
                'text' => "Test des connexions AD",
                'link' => "infos/test_ldap.php",
                'right' => SE_SERVER_ADMIN,
                'level' => 1
                // ], ['text' => 'link' => "Tableau de bord","sysmon/index.php",'right' => SE_SERVER_ADMIN,'level' => 1
            ],
            [
                'text' => "Informations générales",
                'link' => "infos/infose.php",
                'right' => SE_SERVER_ADMIN,
                'level' => 1
            ],
            [
                'text' => "Connexions actives",
                'link' => "parcs/smbstatus.php",
                'right' => SE_COMPUTER_ADMIN,
                'level' => 1
            ],
            [
                'text' => "Historique",
                'link' => "parcs/show_histo.php",
                'right' => SE_COMPUTER_ADMIN,
                'level' => 1
            ],
            [
                'text' => "Espace disque",
                'link' => "infos/df.php",
                'right' => SE_SERVER_ADMIN,
                'level' => 1
            ],
            [
                'text' => "Occupation disque",
                'link' => "infos/du.php",
                'right' => SE_SERVER_ADMIN,
                'level' => 1
            ],
            [
                'text' => "Fixer des quotas",
                'link' => "infos/quota_fixer.php",
                'right' => SE_SERVER_ADMIN,
                'level' => 2
            ],
            [
                'text' => "Quotas effectifs",
                'link' => "infos/quota_visu.php",
                'right' => SE_SERVER_ADMIN,
                'level' => 2
            ],
            [
                'text' => "Actions de maintenance",
                'link' => "infos/fix_se4.php",
                'right' => SE_SERVER_ADMIN,
                'level' => 2
            ],
            [
                'text' => "Statistique d'un poste",
                'link' => "stats/stats_poste.php",
                'right' => SE_COMPUTER_ADMIN,
                'level' => 1
            ],
            [
                'text' => "Statistique des postes",
                'link' => "stats/stats_postes.php",
                'right' => SE_COMPUTER_ADMIN,
                'level' => 1
            ],
            [
                'text' => "Statistique des postes2",
                'link' => "stats/stats_postes2.php",
                'right' => SE_COMPUTER_ADMIN,
                'level' => 1
            ]
        ]
    )
);
$liens = array_merge($liens, $liens1);
?>
