<?php

/**
 * Menu Clients Windows GPO


 * @Projet SambaEdu

 * @Auteurs Equipe Sambaedu

 * @Note: Ce fichier de fonction doit etre appele par un include

 * @Licence Distribue sous la licence GPL
 */

/**
 *
 * file: 70wondoz.inc
 *
 * @Repertoire: includes/menu.d/
 */
$liens1 = array(
    array(
        'text' => "Clients et applications",
        'right' => SE_COMPUTER_VIEW,
        'level' => 1,
        'sub' => [
            [
                'text' => "Gestion des GPOs et statistiques profils itinérants",
                'link' => "gpo/gestion_gpo.php",
                'right' => SE_COMPUTER_ADMIN,
                'level' => 1
            ],
            [
                'text' => "Configuration des applications",
                'link' => "gpo/gestion_apps.php",
                'right' => SE_COMPUTER_INSTALL,
                'level' => 1
            ],
            [
                'text' => "Configuration des fonds d'écrans",
                'link' => "gpo/wallpaper.php",
                'right' => SE_COMPUTER_ADMIN,
                'level' => 1
            ],
            [
                'text' => "Configuration des raccourcis",
                'link' => "gpo/shortcuts.php",
                'right' => SE_COMPUTER_INSTALL,
                'level' => 1
            ],
            [
                'text' => "Configuration des applications Wine",
                'link' => "gpo/wine.php",
                'right' => SE_COMPUTER_ADMIN,
                'level' => 1
            ],
            [
                'text' => "Mise en place des sources Windows",
                'link' => "ipxe/Win10/win_iso.php",
                'right' => SE_COMPUTER_ADMIN,
                'level' => 1
            ]
        ]
    )
);
$liens = array_merge($liens, $liens1);
?>