<?php
/* $Id$ */

/**
 * Menu Wpkg
 *
 * @Projet  SambaEdu
 *
 * @Auteurs équipe SambaEdu
 *
 * @Note: Menu de WPKG
 *
 * @Licence Distribue sous la licence GPL
 */

/**
 *
 * file: 98wpkg.inc
 *
 * @Repertoire: includes/menu.d/
 */
$liens1 = array(
    array(
        'text' => "Applications Windows",
        'right' => SE_WPKG_ASSIGN,
        'level' => 3,
        'sub' => [
            [
                'text' => "Thèmes de l'interface",
                'link' => "wpkg/mef_accueil.php",
                'right' => SE_SERVER_ADMIN,
                'level' => 3
            ],
            [
                'text' => "Mise à jour des applications",
                'link' => "wpkg/depot_accueil.php",
                'right' => SE_WPKG_ASSIGN,
                'level' => 3
            ],
            [
                'text' => "Gestion des applications",
                'link' => "wpkg/app_liste.php",
                'right' => SE_WPKG_ASSIGN,
                'level' => 3
            ],
            [
                'text' => "Gestion des parcs",
                'link' => "wpkg/parc_statuts.php",
                'right' => SE_WPKG_ASSIGN,
                'level' => 3
            ],
            [
                'text' => "Gestion des postes",
                'link' => "wpkg/poste_statuts.php",
                'right' => SE_WPKG_ASSIGN,
                'level' => 3
            ],
            [
                'text' => "Maintenance",
                'link' => "wpkg/maintenance_accueil.php",
                'right' => SE_SERVER_ADMIN,
                'level' => 3
            ]
        ]
    )
);

$liens = array_merge($liens, $liens1);
?>
