<?php

/**

 * Opérations de maintenance
 * @Projet SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL
 * @Repertoire: /
 * file: se_fix.php

 */
require_once "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
require_once ("samba.inc.php");
require_once ("partages.inc.php");

$action = $_GET['action'] ?? "";
$login = $config['login'];

$login = $config['login'];
if (! have_right($config, SE_ADMIN)) {
    die("Vous n'avez pas les droits suffisants pour accéder à cette fonction</BODY></HTML>");
}

echo "<h1>Actions de maintenance</h1>\n";
if ($action != "") {
    if ($action == "rmprofiles") {
        echo "<h2>Regénérer tous les profils errants Windows...</h2>";
        $command = "/bin/rm /home/profiles/* -rf";
        batch_command($command);
        $queue = "slow";
        batch_write($queue);
        // system("sudo /bin/rm /home/profiles/* -rf");
        echo "Action programmée pour 21h00 !";
    }
    // if ($action == "permse3") {
    // echo "<h2>Remise en place des droits système...</h2>";
    // system("sudo /usr/share/sambaedu/scripts/permse3");
    // echo "Terminé.";
    // }
    if ($action == "se4installpass") {

        if ($login == "admin") {

            echo "<h2>Affichage du mot de passe se4install...</h2>";
            echo "Le mot de passe de se4install est actuellement <b>" . $config['se4install_passwd'] . "</b>";
        } else {
            echo "<h2>Affichage du mot de passe se4install...</h2>";
            echo "Affichage non permis avec votre compte";
        }
    }
    if ($action == "restore_droits_home") {
        echo "<h2>Remise en place des droits sur les comptes utilisateurs...</h2>";
        // system("sudo /usr/share/sambaedu/scripts/restore_droits.sh --home html");
        $command = "/usr/share/sambaedu/sbin/rest_rights.sh -u";
        batch_command($command);
        $queue = "slow";
        batch_write($queue);
        echo "Action programmée pour 21h00 !";
    }
    // if ($action == "restore_droits_full") {
    // echo "<h2>Remise en place de tous les droits...TODO !</h2>";
    // //system("sudo /usr/share/sambaedu/scripts/restore_droits.sh acl_default auto html");
    // }
    if ($action == "restore_droits_sambaedu") {
        echo "<h2>Remise en place des droits sur les dossiers /var/sambaedu...</h2>";
        $command = "/usr/share/sambaedu/sbin/rest_rights.sh -s";
        batch_command($command);
        $queue = "fast";
        batch_write($queue);
        echo "Action lancée dans une minute !";
    }
    if ($action == "restore_droits_printers") {
        echo "<h2>Remise en place des droits sur le dossier de partage des pilotes des imprimantes...</h2>";
        $command = "/usr/share/sambaedu/sbin/rest_rights.sh -p";
        batch_command($command);
        $queue = "fast";
        batch_write($queue);
        echo "Action lancée dans une minute !";
    }
    if ($action == "restore_droits_wpkg") {
        echo "<h2>Remise en place des droits sur les dossiers wpkg...</h2>";
        $command = "/usr/share/sambaedu/sbin/rest_rights.sh -w";
        batch_command($command);
        $queue = "fast";
        batch_write($queue);
        echo "Action lancée dans une minute !";
    }
    if ($action == "force_profils_wpkg") {
        echo "<h2>Rafraichissement des machines visibles dans wpkg...</h2>";
        system("/usr/bin/php '/var/www/sambaedu/wpkg/wpkg_ldap_update.php'");
        echo "ok";
    }
    if ($action == "force_rapports_wpkg") {
        echo "<h2>Suppression des rapports wpkg...</h2>";
        // system("rm -f /var/sambaedu/unattended/install/wpkg/rapports/*.log");
        // system("rm -f /var/sambaedu/unattended/install/wpkg/rapports/*.txt");
        echo "ok";
    }
    if ($action == "del_reservation_dhcp") {
        echo "<h2>Suppression des réservation DHCP</h2>";
        set_param($config, "del_reservations", "1", "dhcp");
        echo "ok";
    }
} else {
    echo "<h2>Système</h2>";
    if ($login == "admin") {
        echo "<a href=\"fix_se4.php?action=se4installpass\" onClick=\"alert('Vous allez afficher un mot de passe important, attention aux regards indiscrets !!');\">Afficher le mot de passe de se4install</a>&nbsp;<u onmouseover=\"return escape('Effectuez cette action afin de pouvoir utiliser le compte se4install')\"><img name=\"action_image1\"  src=\"../elements/images/system-help.png\"></u><br>";
    }
    echo "<a href=\"fix_se4.php?action=restore_droits_sambaedu\">Remise en place des droits sur les dossiers /var/sambaedu</a>&nbsp;<u onmouseover=\"return escape('Effectuez cette action pour remettre les droits par défaut sur /var/sambaedu/')\"><img name=\"action_image3\"  src=\"../elements/images/system-help.png\"></u><br>";
    echo "<a href=\"fix_se4.php?action=restore_droits_printers\">Remise en place des droits sur le dossier de partage des pilotes des imprimantes</a>&nbsp;<u onmouseover=\"return escape('Effectuez cette action pour remettre les droits par défaut sur /var/lib/samba/printers.<br>Ce dossier est utilisé pour stocker les pilotes d\'impression')\"><img name=\"action_image3\"  src=\"../elements/images/system-help.png\"></u><br>";
    echo "<a href=\"fix_se4.php?action=del_reservation_dhcp\" onclick=\"return getconfirm();\">Suppression de toutes les réservations DHCP</a>&nbsp;<u onmouseover=\"return escape('Effectuez cette action si vous voulez effacer toutes les réservations immédiatement')\"><img name=\"action_image4\"  src=\"../elements/images/system-help.png\"></u><br>";

    // echo "<a href=\"fix_se4.php?action=permse3\" onclick=\"return getlongconfirm();\">Remise en place des droits système par défaut</a>&nbsp;<u onmouseover=\"return escape('Effectuez cette action si vous constatez des dysfonctionnements dans l\'interface ou lors des connexions')\"><img name=\"action_image2\" src=\"../elements/images/system-help.png\"></u><br>";
    echo "<br>";
    echo "<h2>Utilisateurs</h2>";
    echo "<a href=\"fix_se4.php?action=restore_droits_home\">Remise en place des droits sur les comptes utilisateurs</a>&nbsp;<u onmouseover=\"return escape('Effectuez cette action pour remettre les droits par défaut sur les homes.<br>Elle sera programmée pour 21h')\"><img name=\"action_image3\"  src=\"../elements/images/system-help.png\"></u><br>";
    echo "<a href=\"fix_se4.php?action=rmprofiles\" onclick=\"return getconfirm();\">Regénérer l'ensemble des profils errants Windows</a>&nbsp;<u onmouseover=\"return escape('Effectuez cette action pour supprimer tous les profils errants Windows dans /home/profiles.<br>Elle sera programmée pour 21h.<br>Les données personnelles seront conservées')\"><img name=\"action_image1\"  src=\"../elements/images/system-help.png\"></u><br>";
    echo "<br>";
    // echo "<a href=\"fix_se4.php?action=restore_droits_full\" onclick=\"return getlongconfirm();\">Remise en place de tous les droits</a>&nbsp;<u onmouseover=\"return escape('Effectuez cette action si vous constatez des problèmes de droits')\"><img name=\"action_image4\" src=\"../elements/images/system-help.png\"></u><br>";
    if (file_exists("/var/sambaedu/unattended/install/wpkg")) {
        echo "<h2>WPKG</h2>";
        echo "<a href=\"fix_se4.php?action=restore_droits_wpkg\">Remise en place des droits sur la structure des dossiers de wpkg</a>&nbsp;<u onmouseover=\"return escape('Effectuez cette action si vous constatez des problèmes de droits sur les sous dossiers de wpkg')\"><img name=\"action_image4\"  src=\"../elements/images/system-help.png\"></u><br>";
        echo "<a href=\"fix_se4.php?action=force_profils_wpkg\">Rafraichissement des machines visibles dans wpkg</a>&nbsp;<u onmouseover=\"return escape('Effectuez cette action si vous constatez que certaines machines sont manquantes dans wpkg ou pour accélérer la synchronisation AD --> wpkg')\"><img name=\"action_image4\"  src=\"../elements/images/system-help.png\"></u><br>";
        // echo "<a href=\"fix_se4.php?action=force_rapports_wpkg\">Suppression de tous les rapports wpkg</a>&nbsp;<u onmouseover=\"return escape('Effectuez cette action si vous constatez des problèmes de remontées des rapport wpkg')\"><img name=\"action_image4\" src=\"../elements/images/system-help.png\"></u><br>";
    }
}
$html = "";
admin_footer_html($html);
echo $html;

?>