<?php

/**

 * Affiche l'espace libre sur les partitions

 * @Projet / SambaEdu

 * @auteurs Equipe SambaÉdu

 * @Licence Distribue selon les termes de la licence GPL

 * @note

 */

/**
 *
 * @Repertoire: /
 * file: df.php
 *
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
require ("ihm.inc.php");

// aide
$login = $config['login'];
if (! have_right($config, SE_ADMIN, $login)) {
    die("Vous n'avez pas les droits suffisants pour accéder à cette fonction</BODY></HTML>");
}

echo "<H1>Test des performances AD</H1>";

if (test_ad($config) > 0) {
    $temps = round((10 / test_ad($config)), 3);
    echo "Temps moyen pour une requête AD : " . $temps . " s\n";
    if ($temps > 0.1) {
        echo "Votre serveur est lent ! vous allez avoir des problèmes.";
    }
} else {
    echo "ERREUR, connexion au serveur AD impossible !";
}

$html = "";
admin_footer_html($html);
echo $html;
?>
