<?php

/**

 * Page du menu
 * @Version $Id$

 * @Projet SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL

 * @note

 */

/**
 *
 * @Repertoire: /
 * file: menu.php
 */
require_once ("config.inc.php");
$config = get_config();
require_once ("functions.inc.php");
require_once ("ent.inc.php");
require_once ("ldap.inc.php");

$login = $_SESSION['login'] ?? "";

if ($login == "") {
    $request = $_SERVER['PHP_SELF'];
    if ($_SERVER['QUERY_STRING'] != "") {
        $request .= "?" . $_SERVER['QUERY_STRING'];
    }
    echo "<script type=\"text/javascript\">\n";
    echo "window.location.href = '/auth.php?request=" . rawurlencode($request) . "';\n";
    echo "</script>\n";
    exit();
} else {
    require_once ("menu.inc.php");
    ?>
<!DOCTYPE HTML>
<HTML>
<HEAD>
<title>Interface d'administration de SambaEdu</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<link type="text/css" rel="stylesheet"
    href="elements/style_sheets/sambaedu.css" />
<script type="text/javascript">
function MM_reloadPage(init)
{
//reloads the window if Nav4 resized
    if (init==true) with (navigator) {
        if ((appName=="Netscape")&&(parseInt(appVersion)==4)) {
            document.MM_pgW=innerWidth;
            document.MM_pgH=innerHeight;
            onresize=MM_reloadPage;
        }
    }
    else if (innerWidth!=document.MM_pgW || innerHeight!=document.MM_pgH) {
        location.reload();
    }
}

MM_reloadPage(true);

function MM_findObj(n, d)
{
//v4.01
    var p,i,x;
    if(!d) d=document;
    if((p=n.indexOf("?"))>0&&parent.frames.length) {
        d=parent.frames[n.substring(p+1)].document;
        n=n.substring(0,p);
    }
    if(!(x=d[n])&&d.all) x=d.all[n];
    for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
    for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
    if(!x && d.getElementById) x=d.getElementById(n);
    return x;
}

function P7_autoLayers()
{
//v1.1 PVII
    var g,b,k,f,args=P7_autoLayers.arguments;
    if(!document.p7setc) {
        p7c=new Array();
        document.p7setc=true;
    }
    for(k=0; k<p7c.length; k++) {
        if((g=MM_findObj(p7c[k]))!=null) {
            b=(document.layers)?g:g.style;
            b.visibility="hidden";
        }
    }
    for(k=0; k<args.length; k++) {
        if((g=MM_findObj(args[k])) != null) {
            b=(document.layers)?g:g.style;
            b.visibility="visible";
            f=false;
            for(j=0;j<p7c.length;j++) {
                if(args[k]==p7c[j]) {f=true;}
            }
            if(!f) {p7c[p7c.length++]=args[k];}
        }
    }
}
</script>
<?php
    echo '<script src="/javascript/jquery/jquery.min.js"></script>';
    if (isset($config['ent_type']) && $config['ent_type'] == "openent") {
        echo ask_ent_mfa_code($config);
    }
    if (! isset($config['UAI']) || ! preg_match('/^\d{7}[A-Z]$/i', $config['UAI'])) {
        echo '
            <script>
            var UAI = prompt("Merci d\'indiquer l\'UAI de votre établissement.\nEntrer 0000000X pour les serveurs de test ou sans UAI.\nDans ce cas, merci de préciser le nom de votre établissement dans la page « Paramètres serveur »");
            $.ajax(
            {
                type: "GET",
                url: "conf_params.php",
                data: {
                        "action":"change",
                        "varb":"UAI",
                        "valeur":UAI
                    },
                success: function(data)
                {
                    alert("Paramétrage de l\'UAI OK");
                }
            });
            </script>';
    }
    ?>
</head>
<?php
    if (! isset($menu))
        $menu = 0;
    // echo "<body bgcolor=\"ghostwhite\" onLoad=\"P7_autoLayers('menu" . $menu ."')\">";
    echo "<body bgcolor=\"#f8f8ff\" onLoad=\"P7_autoLayers('menu" . $menu . "')\">";
    menuprint($config, $liens, $menu);

    $html = "";
    admin_footer_html($html, false);
    echo $html;
}
?>