<?php

/**

 * Action sur un parc (page principale)
 @Projet LCS / SambaEdu

 * @Auteurs Equipe Sambaedu

 * @Note: 

 * @Licence Distribue sous la licence GPL

 * @note
 * Ajaxification des pings - script parc_ajax_lib.php
 */
/**
 *
 * @Repertoire: parcs/
 * file: action_parc.php
 *
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
// include "ihm.inc.php";
require_once "printers.inc.php";
require_once "fonc_parc.inc.php";
if (file_exists("/var/www/sambaedu/wpkg/")) {
    include "wpkg_libsql.php";
    require_once "wpkg_lib.php";
    $wpkg_installed = true;
} else {
    $wpkg_installed = false;
}
require_once ("logs.inc.php");
require_once ("remote.inc.php");
require_once ("actions.inc.php");

// ##########

// ** Ajout de javascript local
// #########
echo "<script type=\"text/javascript\" src=\"/elements/js/wz_tooltip_new.js\"></script>";
// ########
// ***************Definition des droits de lecture
// Verifie les droits
if (have_right_or_delegation($config, SE_COMPUTER_VIEW)) {

    echo "<h1>Actions sur les stations</h1>";

    /* * *********************** Declaration des variables *********************************** */
    $action = $_POST['action'] ?? $_GET['action'] ?? "";
    $parc = isset($_POST['parc']) ? $_POST['parc'] : (isset($_GET['parc']) ? $_GET['parc'] : NULL);
    // $filtrecomp = $user['cn'] ?? $_GET['filtrecomp'] ?? "";
    $action_poste = $_POST['action_poste'] ?? $_GET['action_poste'] ?? "";
    if ($action_poste == "check") {
        $refresh = 1;
    } else {
        $refresh = 0;
    }
    $nomjour = date("l");
    if ($action == "") {
        $action = "detail";
    }
    if ($action == "choix_time") {
        $action = "detail";
    }

    switch ($action) {

        case "detail":

            $list_parcs = search_parcs($config, "*");
            $delegations = list_delegations($config);
            if (count($list_parcs) > 0) {
                echo "<h3> Sélectionner un parc :</h3>";
                echo "<CENTER>";
                echo "<FORM id=\"select\" method=\"post\" action=\"action_parc.php\">\n";
                echo "<SELECT NAME=\"parc\" SIZE=\"1\" onchange=submit()>";
                echo "<option value=\"SELECTIONNER\">Sélectionner</option>";
                /*
                 * if ($delegate == "yes") {
                 *
                 * foreach ($list_delegate as $info_parc_delegate) {
                 * echo "<option value=\"" . $info_parc_delegate . "\"";
                 * if ($parc == $info_parc_delegate['cn']) {
                 * echo " selected";
                 * }
                 * echo ">" . $info_parc_delegate['cn'] . "</option>\n";
                 * }
                 * } else {
                 */
                $nb_etab = count(activated_etabs($config));
                foreach ($list_parcs as $value_tmp) {
                    if (! empty($value_tmp["samaccountname"]) && (empty($delegations) || in_array($value_tmp["gdn"], array_column($delegations, "parcdn")))) {
                        echo "<option value=\"" . $value_tmp["samaccountname"] . "\"";
                        if ($parc == $value_tmp["samaccountname"]) {
                            echo " selected";
                        }
                        $nom_etab = "";
                        if ($nb_etab > 1) {
                            $nom_etab = " " . etab_to_name($config, $value_tmp["etab"]);
                        }
                        echo ">" . $value_tmp["name"] . " " . " de type " . $value_tmp["type"] . $nom_etab . "\n";
                        echo "</option>";
                    }
                }
                // }

                echo "</SELECT>&nbsp;&nbsp;\n";
                echo "<img onmouseout=\"UnTip();\" onmouseover=\"Tip('Sélectionner un parc',WIDTH,250,SHADOW,true,DURATION,5000);\" name=\"action_image2\"  src=\"../elements/images/system-help.png\" alt=\"help\"> ";
                // echo "<input type=\"submit\" value=\"Valider\">\n";
                echo "</FORM>\n";
                echo "</CENTER>\n";
                echo "<br>";
            } else {
                echo "<br><center>";
                echo "Il n'existe pas encore de parc";
                echo "</center>\n";
            }

            if (($parc != "") && ($parc != "SELECTIONNER")) {
                // smbstatus();
                echo "<CENTER><table align=center><tr>\n";

                echo "<td>";
                echo "<form id=\"stop\" action=\"wolstop_station.php\" method=\"post\">\n";
                echo "<input type=\"hidden\" name=\"parc\" value=\"$parc\" />";
                echo "<input type=\"hidden\" name=\"action\" value=\"stop\" />";
                echo "<input type=\"submit\" value=\"Eteindre tous les postes\" onclick=\"if (window.confirm('Etes-vous sur de vouloir éteindre le parc ?')) {return true;} else {return false;}\" />";
                echo "</form>\n";
                echo "</td>";

                echo "<td>";
                echo "<form id=\"start\" action=\"wolstop_station.php\" method=\"post\">\n";
                echo "<input type=\"hidden\" name=\"action_poste\" value=\"wol\" />";
                echo "<input type=\"hidden\" name=\"parc\" value=\"$parc\" />";
                echo "<input type=\"hidden\" name=\"action\" value=\"start\" />";
                echo "<input type=\"submit\" value=\"Allumer tous les postes\" />";
                echo "</form>\n";
                echo "</td>";

                // ===================================
                echo "<td>";
                echo "<form id=\"reboot\" action=\"wolstop_station.php\" method=\"post\">\n";
                echo "<input type=\"hidden\" name=\"action_poste\" value=\"reboot\" />";
                echo "<input type=\"hidden\" name=\"parc\" value=\"$parc\" />";
                echo "<input type=\"hidden\" name=\"action\" value=\"reboot\" />";
                echo "<input type=\"submit\" value=\"Rebooter tous les postes\" onclick=\"if (window.confirm('Etes-vous sur de vouloir rebooter le parc ?')) {return true;} else {return false;}\" />";
                echo "</form>\n";
                echo "</td>";
                // ===================================
                // Test le niveau de delegation
                // manage ou view
                // Si manage on peut aller sur programmer
                $niveau_delegation = type_delegation($config, $parc);
                if ($niveau_delegation & ~ SE_COMPUTER_VIEW) {
                    echo "<td>";
                    echo "<form id=\"program\" action=\"wolstop_station.php\" method=\"post\">\n";
                    echo "<input type=\"hidden\" name=\"programmation\" value=\"check\" />";
                    echo "<input type=\"hidden\" name=\"parc\" value=\"$parc\" />";
                    echo "<input type=\"hidden\" name=\"action\" value=\"timing\" />";
                    echo "<input type=\"submit\" value=\"Programmer l'allumage\" />";
                    echo "</form>\n";
                    echo "</td></tr><tr>\n";
                    echo "<td>";
                    echo "<form id=\"install_l\" action=\"lance_action.php\" method=\"post\">\n";
                    echo "<input type=\"hidden\" name=\"parc\" value=\"$parc\" />";
                    echo "<input type=\"hidden\" name=\"type\" value=\"install\" />";
                    echo "<input type=\"submit\" value=\"Installer Linux/Windows\" />";
                    echo "</form>\n";
                    echo "</td>\n";
                    echo "<td><form id=\"renomme\" action=\"lance_action.php\" method=\"post\">\n";
                    echo "<input type=\"hidden\" name=\"parc\" value=\"$parc\" />";
                    echo "<input type=\"hidden\" name=\"type\" value=\"renomme\" />";
                    echo "<input type=\"submit\" value=\"Renommer les postes\" />";
                    echo "</form>\n";
                    echo "</td>\n";
                    if ($wpkg_installed) {
                        echo "<td>";
                        echo "<form id=\"wpkg\" action=\"lance_action.php\" method=\"post\">\n";
                        echo "<input type=\"hidden\" name=\"parc\" value=\"$parc\" />";
                        echo "<input type=\"hidden\" name=\"type\" value=\"wpkg\" />";
                        echo "<input type=\"submit\" value=\"Lancer Wpkg en mode interactif\" />";
                        echo "</form>\n";
                        echo "</td>\n";
                    }
                    echo "<td>";
                    echo "<form id=\"clone\" action=\"lance_action.php\" method=\"post\">\n";
                    echo "<input type=\"hidden\" name=\"parc\" value=\"$parc\" />";
                    echo "<input type=\"hidden\" name=\"type\" value=\"clonage\" />";
                    echo "<input type=\"hidden\" name=\"action\" value=\"new\" />";
                    echo "<input type=\"submit\" value=\"Cloner\" />";
                    echo "</form></td>\n";
                }

                if (count(list_members_parc($config, "serveurs_ltsp"), false) > 0) {
                    echo "<td>";
                    echo "<form id=\"ltsp\" action=\"lance_action.php\" method=\"post\">\n";
                    echo "<input type=\"hidden\" name=\"parc\" value=\"$parc\" />";
                    echo "<input type=\"hidden\" name=\"type\" value=\"ltsp\" />";
                    echo "<input type=\"submit\" value=\"Demarrer les postes en client LTSP\" />";
                    echo "</form>";
                    echo "</td></tr>\n";
                }

                echo "<tr><td colspan=\"2\" align=\"center\">";
                echo "<form id=\"show\" action=\"show_parc.php\" method=\"post\">\n";
                echo "<input type=\"hidden\" name=\"parc\" value=\"$parc\" />";
                echo "<input type=\"submit\" value=\"Lister le parc\" />";
                echo "</form>\n";
                echo "</td>\n";
                // echo "<td colspan=\"3\" align=\"center\"><form action=\"action_parc.php\" method=\"post\">\n";
                echo "<td colspan=\"2\" align=\"center\"><form id=\"action\" action=\"action_parc.php\" method=\"post\">\n";
                echo "<input type=\"hidden\" name=\"action_poste\" value=\"check\" />";
                echo "<input type=\"hidden\" name=\"parc\" value=\"$parc\" />";
                echo "<input type=\"hidden\" name=\"action\" value=\"detail\" />";
                echo "<input type=\"submit\" value=\"Rafraîchir la page\" />";
                echo "</form>\n";

                echo "</td></tr></table>\n";

                echo "</center>\n";

                // require_once ("printers.inc.php");

                echo "\n<br>\n<CENTER>\n";
                echo "<table class='table-bordered' width=\"80%\">\n<tr class=menuheader style=\"height: 30\">\n";
                echo "<td align=\"center\"></td>\n";
                echo "<td align=\"center\">STATIONS CONCERNEES</td>\n";
                echo "<td align=\"center\">ADRESSE IP</td>\n";
                echo "<td align=\"center\">ETAT</td>\n";
                echo "<td align=\"center\">CONNEXION</td>\n";
                echo "<td align=\"center\">CONTROLE</td>\n";
                if ($wpkg_installed) {
                    echo "<td align=\"center\">Wpkg</td>\n";
                }
                echo "<td align=\"center\">Erreurs</td></tr>\n";
                echo "</tr>\n";
                $mp = list_members_parc($config, $parc, true);
                if ($wpkg_installed) {
                    $wpkg = wpkg_parc_info($config, $parc);
                }
                // Filtrage selon critere
                /*
                 * if ("$filtrecomp" == "") {
                 * $mp = $mp_all;
                 * } else {
                 * $lmloop = 0;
                 * for ($loop = 0; $loop < count($mp_all); $loop ++) {
                 * $mach = $mp_all[$loop]['cn'];
                 * if (preg_match("/$filtrecomp/", $mach)) {
                 * $mp[$lmloop ++] = $mach;
                 * }
                 * }
                 * }
                 */
                if (is_array($mp) && count($mp) > 0) {
                    // array_multisort($mp, SORT_ASC, SORT_NATURAL | SORT_FLAG_CASE);
                    foreach ($mp as $loop => $machine) {
                        $mpenc = ldap_hostname($config, $machine);
                        $mp_en_cours = urldecode($mpenc);
                        $resultat = get_os_icon($config, $machine);
                        // élimination des imprimantes de la liste
                        if ($resultat['os'] == "imprimante" || $resultat['os'] == "equipement") {
                            // unset ($mp[$loop]);
                            continue;
                        }
                        $resultat = array_merge($resultat, get_machine_status($config, $machine['cn']));
                        $from = urlencode("../parcs/action_parc.php?action=detail&parc=" . $parc);

                        // Affichage du tableau
                        echo "<tr>\n";
                        // Affichage de l'icone informatique
                        echo "<td align=\"center\">\n";
                        $machine['state'] = $machine['state'] ?? "";
                        $iphost = $machine['iphostnumber'] ?? "";
                        $machine['networkaddress'] = $machine['networkaddress'] ?? "";
                        $systemid = $iphost;
                        $ip_link = "";
                        echo "<img style=\"border: 0px solid ;\" src=\"../elements/images/" . $resultat['icone'] . "\" title=\"" . $resultat['os'] . " - " . $iphost . "\" alt=\"" . $resultat['os'] . "\" WIDTH=20 HEIGHT=20 onclick=\"popuprecherche('../ocsreports/machine.php?systemid=$systemid','popuprecherche','scrollbars=yes,width=500,height=550');\">";

                        // echo "<img style=\"border: 0px solid ;\" src=\"../elements/images/computer.png\" onclick=\"popuprecherche('../ocsreports/machine.php?systemid=$systemid','popuprecherche','scrollbars=yes,width=500,height=550');\" title=\"Station\" alt=\"Station\"></td>\n";
                        echo "<td align=center ><a href=\"cherche_machine.php?mpenc=" . $machine['cn'] . "&from=$from\">$mp_en_cours</a></td>\n";
                        if ($machine['state'] == "reservation") {
                            $ip_link = "ip réservée : " . $iphost;
                        } elseif ($machine['state'] == "active") {
                            $ip_link = "<a href=action_machine.php?retour=action_parc&action=reservation&machine=" . $machine['cn'] . "&mac=" . $machine['networkaddress'] . " onmouseout=\"UnTip();\" onmouseover=\"Tip('Réserver une ip pour ce poste.',WIDTH,250,SHADOW,true,DURATION,5000);\"> ip dynamique : $iphost</a>";
                        } elseif ($machine['state'] == "dns") {
                            $ip_link = "ip dns : " . $iphost;
                        } else {
                            $ip_link = "ip " . $iphost . " : " . $machine['state'];
                        }
                        echo "<td align=center>$ip_link</td>\n";
                        echo "<td align=center>\n";
                        // $etat
                        // echo "<div id='divip$loop'><img src=\"../elements/images/spinner.gif\"></img></div>\n";
                        switch (@$resultat['state']) {
                            case "windows":
                            case "linux":
                                if (isset($machine['cn'])) {
                                    echo "<a target=\"main\" href=\"action_machine.php?machine=" . $machine['cn'] . "&action=shutdown&parc=$parc&retour=action_parc\"" . "onmouseout=\"UnTip();\" onmouseover=\"Tip('La machine est actuellement allumée, cliquez pour l\'éteindre',WIDTH,250,SHADOW,true,DURATION,5000);\"" . "onclick=\"if (window.confirm('Etes-vous sur de vouloir éteindre la machine " . $machine['cn'] . " ?')) {return true;} else {return false;}\"/>" . "<img type=\"image\" border=\"0\" title=\"La machine est actuellement allumée, cliquez pour l\'éteindre\" src=\"../elements/images/enabled.png\"></a>\n";
                                } else {
                                    echo "<img type=\"image\" src=\"../elements/images/enabled.png\" border=\"0\" title=\"" . $machine['cn'] . "\" title=\"" . $machine['cn'] . "\" />";
                                }
                                break;
                            case "wol":
                            case "ipxe":
                                if (isset($machine['cn'])) {

                                    echo "<a target=\"main\" href=\"action_machine.php?machine=" . $machine['cn'] . "&action=wol&parc=$parc&retour=action_parc\" target='_blank' " . "onmouseout=\"UnTip();\" onmouseover=\"Tip('Etat la machine : " . $resultat['state'] . "',WIDTH,250,SHADOW,true,DURATION,5000);\" >" . "<img type=\"image\" border=\"0\" title='Etat la machine : " . $resultat['state'] . "' src=\"../elements/images/spinner.gif\">" . "</a>\n";
                                } else {
                                    echo "<img type=\"image\" src=\"../elements/images/spinner.gif\" border=\"0\" title=\"" . $_POST['ip'] . "\" title=\"" . $_POST['ip'] . "\" />";
                                }
                                break;
                            default:

                                if (isset($machine['cn'])) {

                                    echo "<a target=\"main\" href=\"action_machine.php?machine=" . $machine['cn'] . "&action=wol&parc=$parc&retour=action_parc\" target='_blank' " . "onmouseout=\"UnTip();\" onmouseover=\"Tip('La machine est actuellement éteinte, cliquez pour l\'allumer',WIDTH,250,SHADOW,true,DURATION,5000);\" >" . "<img type=\"image\" border=\"0\" title=\"La machine est actuellement éteinte, cliquez pour l\'allumer\" src=\"../elements/images/disabled.png\">" . "</a>\n";
                                } else {
                                    echo "<img type=\"image\" src=\"../elements/images/disabled.png\" border=\"0\" title=\"" . $_POST['ip'] . "\" title=\"" . $_POST['ip'] . "\" />";
                                }
                        }

                        /*
                         * echo "<script type='text/javascript'>
                         * // <![CDATA[
                         * new Ajax.Updater($('divip$loop'),'parcs_ajax_lib.php',{method: 'post', parameters: '?ip=$iphost&parc=$parc&nom_machine=" . $machine['cn'] . "&mode=ping_ip' });
                         * //]]>
                         * </script>\n";
                         */
                        echo "</td>\n";
                        echo "<td align=center>\n";
                        // $etat_session
                        // if (fping($iphost)){
                        // echo "<div id='divsession$loop'><img src=\"../elements/images/spinner.gif\"></img></div>\n";
                        echo "<a target=\"main\" href=\"show_histo.php?selectionne=2&amp;mpenc=" . $machine['cn'] . "&from=$from\">";
                        if (empty($resultat['user'][0]['name'])) {
                            echo "<img type=\"image\" src=\"../elements/images/disabled.png\">\n";
                        } elseif ($resultat['user'][0]['name'] == $config['se4install_name']) {
                            $texte = $resultat['user'][0]['name'] . " est actuellement connecté sur ce poste";
                            echo "<img onmouseout=\"UnTip();\" onmouseover=\"Tip('" . $texte . "',WIDTH,250,SHADOW,true,DURATION,5000);\" src=\"../elements/images/travaux2.png\" border=\"0\" />";
                        } elseif ($resultat['user'][0]['name'] == "wpkg") {
                            $texte = $resultat['user'][0]['name'] . " est actuellement connecté sur ce poste";
                            echo "<img onmouseout=\"UnTip();\" onmouseover=\"Tip('" . $texte . "',WIDTH,250,SHADOW,true,DURATION,5000);\" src=\"../elements/images/travaux2.png\" border=\"0\" />";
                        } else {
                            $texte = $resultat['user'][0]['name'] . " est actuellement connecté sur ce poste";
                            echo "<img onmouseout=\"UnTip();\" onmouseover=\"Tip('" . $texte . "',WIDTH,250,SHADOW,true,DURATION,5000);\" src=\"../elements/images/enabled.png\" border=\"0\" />";
                        }

                        /*
                         * echo "<script type='text/javascript'>aigle
                         * // <![CDATA[
                         * new Ajax.Updater($('divsession$loop'),'parcs_ajax_lib.php',{method: 'post', parameters: '?nom_machine=" . $machine['cn'] . "&mode=session'});
                         * //]]>
                         * </script>\n";
                         */
                        /*
                         * } else {
                         * $ret = "<span onmouseout=\"UnTip();\" onmouseover=\"Tip('Echec du ping',WIDTH,250,SHADOW,true,DURATION,5000);\">" . "<img type=\"image\" border=\"0\" title=\"Echec du ping\" src=\"../elements/images/disabled.png\">" . "</span>\n";
                         * echo ($ret);
                         * }
                         */
                        echo "</a></td>\n";
                        echo "<td align=\"center\">";
                        // if (fping($iphost)){
                        echo "<a href=\"rdp.php?machine=" . $machine['cn'] . "&window=1&from=" . $from . "\" target=_self><img src=\"../elements/images/rdp-small.png\" alt=\"Accès distant...\"></a>";
                        // echo "<div id='divtsvnc$loop'><img src=\"../elements/images/spinner.gif\"></img></div>\n";
                        /*
                         * echo "<script type='text/javascript'>
                         * // <![CDATA[
                         * new Ajax.Updater($('divtsvnc$loop'),'parcs_ajax_lib.php',{method: 'post', parameters: '?ip=$iphost&mode=ts_vnc'});
                         * //]]>
                         * </script>\n";
                         */
                        /*
                         * } else {
                         * $ret = "<span onmouseout=\"UnTip();\" onmouseover=\"Tip('Echec du ping',WIDTH,250,SHADOW,true,DURATION,5000);\">" . "<img type=\"image\" border=\"0\" title=\"Echec du ping\" src=\"../elements/images/disabled.png\">" . "</span>\n";
                         * echo ($ret);
                         * }
                         */
                        echo "</td>";
                        if ($wpkg_installed) {
                            echo "<td align=\"center\">";
                            $r = $resultat['error'] & SAMBAEDU_WPKG_RUNNING;
                            echo "<a target=\"main\" href=\"../wpkg/poste_statuts.php?id_host=" . $machine['cn'] . "&from=$from\">";
                            $w = isset($wpkg[$machine['cn']]) ?? "";
                            if ($r) {
                                $texte = "<li>" . implode("<li>", error_message($r));
                                $img = "../elements/images/spinner.gif";
                            } else {
                                switch ($w) {
                                    case 0:
                                        $texte = "Applications OK";
                                        $img = "../elements/images/enabled.png";
                                        break;
                                    case 1:
                                        $texte = "Au moins une mise à jour est en attente";
                                        $img = "../elements/images/warning.png";
                                        break;
                                    case 2:
                                        $texte = "Au moins une application n&lsquo;est pas installée";
                                        $img = "../elements/images/dialog-warning.png";
                                        break;
                                    default:
                                        $texte = "Pas de rapport wpkg";
                                        $img = "../elements/images/help.png";
                                        break;
                                }
                            }
                            echo "<img onmouseout=\"UnTip();\" onmouseover=\"Tip('" . $texte . "',WIDTH,250,SHADOW,true,DURATION,5000);\" type=\"image\" src=\"" . $img . "\" border=\"0\" title=\"" . $machine['cn'] . "\" title=\"" . $texte . "\" />";
                            echo "</a></td>\n";
                            echo "</td>\n";
                        }
                        echo "<td align=\"center\">";
                        $r = $resultat['error'] & ~ SAMBAEDU_WPKG_RUNNING;
                        echo "<a target=\"main\" href=\"show_histo.php?selectionne=2&amp;mpenc=" . $machine['cn'] . "&from=$from\">";
                        if ($r > 0) {
                            $texte = "<li>" . implode("<li>", error_message($r));
                            echo "<img onmouseout=\"UnTip();\" onmouseover=\"Tip('" . $texte . "',WIDTH,250,SHADOW,true,DURATION,5000);\" src=\"../elements/images/dialog-warning.png\" border=\"0\" />";
                        } else {
                            echo "<img type=\"image\" src=\"../elements/images/enabled.png\" border=\"0\" title=\"" . $machine['cn'] . "\" title=\"" . $machine['cn'] . "\" />";
                        }
                        echo "</a></td>\n";

                        echo "</tr>\n";
                    }
                }
                echo "</table>\n";
                echo "</center>\n";
                echo "<br>";
                // detail_parc_printer($parc);
                // $heure_act=date("H");
                // echo $nomjour;
                if ($refresh == 1)
                    echo refresh_page("action", 30);
            }

            switch ($nomjour) {

                case "Monday":
                    $nomjour = "l";
                    break;

                case "Tuesday":
                    $nomjour = "ma";
                    break;

                case "Wednesday":
                    $nomjour = "me";
                    break;

                case "Thursday":
                    $nomjour = "j";
                    break;

                case "Friday":
                    $nomjour = "v";
                    break;

                case "Saturday":
                    $nomjour = "s";
                    break;

                case "Sunday":
                    $nomjour = "d";
                    break;
            }
            break;
        default:
            echo "coucou toi";
            break;
    }

    // echo "</div>";
}

$html = "";
admin_footer_html($html, false);
echo $html;
?>