<?php

/**

 * Recherche une machine par son adresse IP ou son nom

 * @Projet LCS / SambaEdu

 * @Auteurs Equipe Sambaedu

 * @Note:

 * @Licence Distribue sous la licence GPL

 */

/**
 *
 * @Repertoire: parcs/
 * file: cherche_machine.php
 *
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
require_once ("ldap.inc.php");
require_once ("printers.inc.php");
require_once ("ihm.inc.php");
require_once ("actions.inc.php");
// require_once ("printers.inc.php");

require_once ("fonc_outils.inc.php");

// include ("siecle.inc.php"); // Pour les recherches de doublons

$parc = isset($_POST['parc']) ? $_POST['parc'] : (isset($_GET['parc']) ? $_GET['parc'] : NULL);
$parcs = isset($_POST['parcs']) ? $_POST['parcs'] : NULL;

$mpenc = isset($_POST['mpenc']) ? $_POST['mpenc'] : (isset($_GET['mpenc']) ? $_GET['mpenc'] : NULL);
$choix = $_POST['choix'] ?? $_GET['choix'] ?? 0;
$action = $_POST['action'] ?? $_GET['action'] ?? "";
$filtre = $_POST['filtre'] ?? 0;

if (have_right_or_delegation($config, SE_COMPUTER_VIEW)) {

    // titre
    echo "<h1>Rechercher</h1>";

    // Affichage des machines sans parc
    if (! empty($_POST['sansparc'])) {
        echo "<h3>Machines sans salles</h3>\n";
        echo "<br />\n";

        echo "<FORM method=\"post\" action=\"cherche_machine.php\">\n";
        echo "<input type=\"hidden\" name=\"sansparc\" value=\"oui\">\n";
        if ((isset($_POST['affiche_all'])) && ($_POST['affiche_all'] == "yes")) {
            echo "<input type=\"submit\" value=\"Voir uniquement les machines sans Salles\">\n";
        } else {
            echo "<input type=\"hidden\" name=\"affiche_all\" value=\"yes\">\n";
            echo "<input type=\"submit\" value=\"Voir toutes les machines\">\n";
        }
        echo "</form>\n";
        echo "<br /><br />\n";

        echo "<form method=\"post\" action=\"create_parc.php\">\n";
        // echo "<table>\n";
        $list_computer = list_members_parc($config, "Computers", "true");
        // echo "count(\$list_computer)=".count($list_computer)."<br />\n";
        if (count($list_computer) > 0) {
            $color = "#B4CDCD";
            echo "<table>\n";
            for ($loopa = 0; $loopa < count($list_computer); $loopa ++) {
                // if ($list_computer[$loopa]['cn'] != $netbios_name) {
                // echo "<p>\$list_computer[$loopa]['cn']=" . $list_computer[$loopa]["cn"] . "<br />\n";
                // $exist_parc = list_parcs($config, $list_computer[$loopa]['cn']);
                // echo "\$exist_parc[0]['cn']=".$exist_parc[0]["cn"]."<br />\n";
                // if ((! isset($exist_parc[0]["name"])) || ($exist_parc[0]["name"] == "")) {
                $computer_parc = "no";
                // } else {
                // $computer_parc = "yes";
                // }
                // echo "\$computer_parc=$computer_parc<br />";

                $mpenc = ldap_hostname($config, $list_computer[$loopa]);
                $icone = "computer.png";
                // $inventaire_act=inventaire_actif();
                // Initialisation
                $retourOs = "";
                // if ($inventaire == "1") {
                // // Type d'icone en fonction de l'OS
                // $retourOs = type_os($mpenc);
                // if ($retourOs == "0") {
                // $icone = "computer.png";
                // } elseif ($retourOs == "Linux") {
                // $icone = "linux.png";
                // } elseif ($retourOs == "XP") {
                // $icone = "winxp.png";
                // } elseif ($retourOs == "98") {
                // $icone = "win.png";
                // } elseif ($retourOs == "10") {
                // $icone = "win10.png";
                // } elseif ($retourOs == "vista") {
                // $icone = "winvista.png";
                // } elseif ($retourOs == "7") {
                // $icone = "win7.png";
                // } else {
                // $icone = "computer.png";
                // }
                // }
                $ip = $list_computer[$loopa]['iphostnumber'];
                if ((isset($_POST['affiche_all'])) && ($_POST['affiche_all'] == "yes")) {
                    if ($color == "#E0EEEE") {
                        $color = "#B4CDCD";
                    } else {
                        $color = "#E0EEEE";
                    }
                    $affiche_result_prov = "<tr bgcolor=$color><td>&nbsp;&nbsp;";
                    $affiche_result_prov .= "<img width=\"15\" height=\"15\" style=\"border: 0px solid ;\" src=\"../elements/images/$icone\" title=\"$retourOs\">\n";
                    $affiche_result_prov .= $mpenc; // $list_computer[$loopa]['cn'];
                    echo "$affiche_result_prov";
                    echo "</td><td>$ip";
                    echo "</td></tr>\n";
                } else {
                    if ($computer_parc == "no") {
                        if ($color == "#E0EEEE") {
                            $color = "#B4CDCD";
                        } else {
                            $color = "#E0EEEE";
                        }
                        $affiche_result_prov = "<tr bgcolor=$color><td>&nbsp;&nbsp;";
                        $affiche_result_prov .= "<input type=\"checkbox\" name=\"new_computers[]\" id=\"new_computers_$loopa\" value=\"$mpenc\"></td><td>&nbsp;&nbsp;";

                        $affiche_result_prov .= "<input type=\"hidden\" name=\"create_parc\" value=\"true\">\n";
                        $affiche_result_prov .= "<img width=\"15\" height=\"15\" style=\"border: 0px solid ;\" src=\"../elements/images/$icone\" title=\"$retourOs\">\n";

                        $affiche_result_prov .= "<label for=\"new_computers_$loopa\">$mpenc</label>";
                        echo "$affiche_result_prov";
                        echo "</td><td><label for=\"new_computers_$loopa\">$ip</label>";
                        echo "</td></tr>\n";
                    }
                }
            }
            // }
            echo "</table>\n";
            if ((! isset($_POST['affiche_all'])) || ($_POST['affiche_all'] != "yes")) {
                echo "<p><a href='javascript: checkAll();'>Tout cocher</a> / <a href='javascript:UncheckAll();'>Tout d&eacute;cocher</a></p>";

                echo "<script type='text/javascript'>
	function checkAll(){
		champs_input=document.getElementsByTagName('input');
		for(i=0;i<champs_input.length;i++){
			type=champs_input[i].getAttribute('type');
			if(type==\"checkbox\"){
				champs_input[i].checked=true;
			}
		}
	}

	function UncheckAll(){
		champs_input=document.getElementsByTagName('input');
		for(i=0;i<champs_input.length;i++){
			type=champs_input[i].getAttribute('type');
			if(type==\"checkbox\"){
				champs_input[i].checked=false;
			}
		}
	}
</script>";
            }

            echo "<input type=\"submit\" value=\"Ajouter à un parc\">\n";

            echo "</form>\n";
        } else {
            echo "Il n'y a aucune machine";
        }
    } else {

        echo "<h3>Modifier une machine</h3>\n";
        echo "<FORM method=\"post\" action=\"cherche_machine.php\">\n";
        echo "Filtre sur les noms, ip, mac  : ";

        echo " <INPUT TYPE=\"text\" NAME=\"filtre\" VALUE=\"$mpenc\" SIZE=\"14\">";
        echo " <input type=\"submit\" value=\"Valider\">\n";
        echo "<input type=\"hidden\" name=\"choix\" value=\"1\">\n";
        echo "<u onmouseover=\"return escape('Donner le début du nom ou de l\'adresse IP de la machine que vous souhaitez trouver.')\"><img name=\"action_image2\"  src=\"../elements/images/system-help.png\" alt=\"help\"></u> ";

        echo "</FORM>\n";
        if (empty($filtre))
            $filtre = ".*";
        else
            $filtre = ".*" . $filtre . ".*";
        $filtre = strtr($filtre, "()[]", "");
        if ($choix == 1) {
            $list_computer = search_dhcp_leases($config, $filtre);
            array_multisort(array_column($list_computer, 'state'), SORT_ASC, array_column($list_computer, 'cn'), SORT_ASC, $list_computer);
            if (count($list_computer) > 15)
                $size = 15;
            else
                $size = count($list_computer);

            if (count($list_computer) > 0) {
                sort($list_computer);
                if (count($list_computer) == 1) {
                    $selected = "selected";
                } else {
                    $selected = "";
                }
                echo "<FORM method=\"post\" action=\"cherche_machine.php\">\n";
                echo "Nom ou adresse IP de la machine : ";
                echo "<p><select size=\"" . $size . "\" name=\"mpenc\" multiple=\"multiple\">\n";
                foreach ($list_computer as $machine) {
                    $os = get_os_icon($config, $machine);
                    $type = $os['os'];
                    echo "<option value=\"" . $machine['cn'] . "\" " . $selected . ">" . $type . " : " . ldap_hostname($config, $machine) . " (" . $machine['state'] . " : " . $machine['iphostnumber'] . ")\n";
                }
                echo "</select>\n";

                echo "<input type=\"hidden\" name=\"choix\" value=\"0\">\n";
                echo " <input type=\"submit\" value=\"Valider\">\n";

                echo "<u onmouseover=\"return escape('Donner le début du nom ou de l\'adresse IP de la machine que vous souhaitez trouver.')\"><img name=\"action_image2\"  src=\"../elements/images/system-help.png\" alt=\"help\"></u> ";

                echo "</FORM>\n";
                echo "<br>";
            }
        }
        if (! empty($mpenc)) {
            $computer = search_machine($config, $mpenc, true);
            if ((count($computer) > 0)) {
                $ipHost = $computer['iphostnumber'] ?? "";
                $mac = $computer['networkaddress'] ?? "";
                $mpenc = ldap_hostname($config, $computer);
                echo "Etat dhcp  : " . $computer['state'] . " adresse mac : " . $mac . " \n";
                if (($computer['state'] == "active") || ($computer['state'] == "free") || ($computer['state'] == "reservation")) {
                    echo "<FORM method=\"post\" action=\"action_machine.php\">\n";
                    echo "<input type=\"hidden\" name=\"machine\" value=\"" . $computer['cn'] . "\">\n";
                    echo "<input type=\"text\" size=\"16\" name=\"ip\" value=\"$ipHost\">\n";
                    echo form_choix_reservation($action);
                    echo "</form>\n";
                } else {
                    echo "inconnus : allumez le poste ?";
                }
                echo "<form method=\"post\" action=\"delete_parc.php\">\n";
                echo "<input type=\"hidden\" name=\"supprime_all[]\" value=\"" . $computer['cn'] . "\">\n";
                echo "<input type=\"submit\" value=\"Supprimer totalement la machine\">\n";
                echo "</form>\n";

                if (is_printer($config, $computer)) {
                    echo "<a href=\"../printers/config_printer.php?nom=" . $computer['cn'] . "\"> configurer en tant qu'imprimante : " . $computer['cn'] . "</a>";
                } else {
                    echo "<table width='100%' class='table-bordered'>";
                    echo "<tr>";
                    echo "<td width='40%'>";

                    echo "<FORM method=\"post\" action=\"cherche_machine.php\">\n";
                    echo "<b>OS installés sur la machine </b>";
                    echo "<p><select size=\"2\" name=\"os[]\" multiple=\"multiple\">\n";
                    $new_os = $_POST['os'] ?? $_GET['os'] ?? [];
                    $os = get_os($config, $computer);

                    if (count($new_os) > 0) {
                        $del = array_diff($os, $new_os);
                        if (count($del) > 0) {
                            remove_dual_boot($config, $computer['cn']);
                            $add = $new_os;
                        } else {
                            $add = array_diff($new_os, $os);
                        }
                        foreach ($add as $a) {
                            set_os($config, $computer['cn'], $a);
                        }
                        $os = get_os($config, search_machine($config, $mpenc, true));
                    }
                    $liste = [
                        "windows",
                        "linux"
                    ];
                    foreach ($liste as $ligne) {
                        if (in_array($ligne, $os)) {
                            $selected = "selected";
                        } else {
                            $selected = "";
                        }
                        echo "<option value=\"" . $ligne . "\" " . $selected . ">" . $ligne . "</option>\n";
                    }

                    echo "</select>\n";

                    echo "<input type=\"hidden\" name=\"mpenc\" value=\"" . $mpenc . "\">\n";
                    echo "<input type=\"submit\" value=\"Choisir le(s) OS installé(s)\">\n";
                    echo "</FORM>\n";

                    echo "<br><b>Se trouve dans les parcs&nbsp;: </b>";
                    for ($loopa = 0; $loopa < 1; $loopa ++) {
                        // echo $computer[$loopa]["cn"];
                        echo "<br />\n";
                        $list_parcs = list_parcs($config, $computer['cn']);
                        if (count($list_parcs) > 0) {
                            for ($loop = 0; $loop < count($list_parcs); $loop ++) {
                                $parc = $list_parcs[$loop]["samaccountname"];
                                if ($parc != "windows" && $parc != "linux") {
                                    if (($loop == 0) && ($list_parcs[$loop]['type'] == "salle"))
                                        $ligne = "Salle : " . $list_parcs[$loop]["name"];
                                    elseif ($list_parcs[$loop]['type'] == "salle")
                                        $ligne = "Parc : " . $list_parcs[$loop]["name"] . " : Hérité";
                                    else
                                        $ligne = "Parc : " . $list_parcs[$loop]["name"];
                                    echo "<A HREF=\"show_parc.php?parc=$parc\">" . $ligne . "</A>";
                                    echo "<br />\n";
                                }
                            }
                        }
                        if (count($list_parcs) == 0) {
                            echo "<br />\n";
                            echo "La machine $mpenc ne se trouve dans aucun parc.";
                            echo "<br /><br /><center>";
                            echo "<a href=../parcs/cherche_machine.php>Retour</a>\n";
                            echo "</center>\n";
                        }
                        echo "<br><b>";
                        echo "Déplacement de la machine";
                        echo "<u onmouseover=\"return escape('Indiquer le nom de la salle où vous voulez déplacer la machine.')\"><img name=\"action_image2\"  src=\"../elements/images/system-help.png\" alt=\"help\"></u> ";
                        echo "</b>";

                        $list_newparcs = search_parcs($config, "*", "salle");
                        sort($list_newparcs);
                        if (count($list_newparcs) > 0) {
                            echo "<FORM method=\"post\" action=\"create_parc.php\">\n";
                            echo "<table>\n";
                            echo "<tr><td valign=\"top\">Choisir un parc parent : </td>\n";
                            if (count($list_newparcs) > 10)
                                $size = 10;
                            else
                                $size = count($list_newparcs);

                            echo "<td><SELECT NAME=\"parc\" SIZE=\"$size\" >";
                            for ($loop = 0; $loop < count($list_newparcs); $loop ++) {
                                if ($list_parcs[0]["name"] != $list_newparcs[$loop]["samaccountname"])
                                    echo "<option value=\"" . $list_newparcs[$loop]["samaccountname"] . "\">" . $list_newparcs[$loop]["name"] . " " . etab_to_name($config, $list_newparcs[$loop]["etab"]) . "</option>\n";
                            }

                            echo "</SELECT></td></tr>\n";
                            echo "</table>\n";
                        }
                        echo "<input type=\"hidden\" name=\"new_computers[]\" value=\"" . $computer['cn'] . "\">\n";
                        echo "<input type=\"submit\" value=\"Valider\">\n";
                        echo "</FORM>\n";
                    }
                    // if (($computer['state'] == "active") || ($computer['state'] == "free") || ($computer['state'] == "reservation") || ($computer['state'] == "dns")) {
                    echo "<br><FORM method=\"post\" action=\"lance_action.php\">\n";
                    echo form_action_type($config);
                    echo "<input type=\"hidden\" name=\"clones[]\" value=\"" . $computer['cn'] . "\">\n";
                    echo "</FORM>\n";
                    // }
                    echo "</td>";
                    echo "<td width='60%*'>";
                    $from = urlencode("cherche_machine.php?mpenc=" . $computer['cn']);
                    echo "<a href=\"rdp.php?machine=" . $computer['cn'] . "&window=1&from=" . $from . "\" target=_self><img src=\"../elements/images/rdp.png\" alt=\"Accès distant...\"></a><br>";

                    echo "<a href=show_histo.php?selectionne=2&mpenc=" . $computer['cn'] . " target=_self>Voir l'historique des connexions</a><br>\n";

                    echo "<br><img src='../stats/planning_semaine_poste.php?netbios_name=" . $computer['cn'] . "' width='600'><br>\n";

                    if (@$config['wpkg'] == "1") {
                        echo "<br><a href='../wpkg/poste_statuts.php?id_host=" . $computer['cn'] . "' target=_self>Voir les applications installées par Wpkg</a><br>\n";
                    }
                    echo "</tr>";
                    echo "</table>";
                }

                $html = "";
                admin_footer_html($html);
                echo $html;

                exit();
            }
        }

        // echo "<h3>Afficher toutes les machines sans parc</h3>\n";
        //
        // echo "<FORM method=\"post\" action=\"cherche_machine.php\">\n";
        // echo "Afficher toutes les machines sans parc ";
        // echo "<input type=\"hidden\" name=\"sansparc\" value=\"oui\">\n";
        // echo "<input type=\"submit\" value=\"Valider\">\n";
        // echo "</form>";
        //
        // echo "<br />\n";
    }
}

$html = "";
admin_footer_html($html);
echo $html;
?>