<?php

/**
 * affiche les parcs et le contenu

 * @Projet LCS / SambaEdu

 * @Auteurs Equipe Sambaedu

 * @Note:

 * @Licence Distribue sous la licence GPL

 */

/**
 *
 * @Repertoire: parcs/
 * file: show_parc.php
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
include "ihm.inc.php";
include "printers.inc.php";
require_once ("fonc_outils.inc.php");
require "wallpaper.inc.php";
require "shortcuts.inc.php";

$parc = isset($_POST['parc']) ? $_POST['parc'] : (isset($_GET['parc']) ? $_GET['parc'] : "");
$mpenc = isset($_POST['mpenc']) ? $_POST['mpenc'] : "";
$description = isset($_GET['description']) ? $_GET['description'] : "";
$parent = $_POST['parent'] ?? $_GET['parent'] ?? "";
$order = isset($_GET['order']) ? $_GET['order'] : "";

// ** Ajout de javascript local
// ######### (pour les TIPs)
echo "<script type=\"text/javascript\" src=\"/elements/js/wz_tooltip_new.js\"></script>";

// debug_var();
// search_machine($_SESSION, $parc_type);
if (! have_right_or_delegation($config, SE_COMPUTER_VIEW)) {
    die("Droits insufisants pour accéder à cette fonction");
}

// titre
echo "<h1>Liste des parcs</h1>";
echo "<h3>Sélectionner un parc :</h3>";
if (! empty($parent) && ! empty($parc)) {
    $res = move_parc($config, $parc, $parent);
    if ($res)
        echo "Parc correctement déplacé<br>";
    else
        echo "ERREUR déplacement du parc<br>";
}
$list_parcs = search_parcs($config, "*");
$delegations = list_delegations($config);
if (count($list_parcs) > 0) {
    $nb_etab = count(activated_etabs($config));
    echo "<CENTER>";
    echo "<FORM method=\"post\" action=\"show_parc.php\" enctype=\"multipart/form-data\">\n";
    echo "<SELECT NAME=\"parc\" SIZE=\"1\" onchange=submit()>";
    echo "<option value=\"\">Sélectionner</option>";
    foreach ($list_parcs as $value_tmp) {
        if (! empty($value_tmp["samaccountname"]) && (empty($delegations) || in_array($value_tmp["gdn"], array_column($delegations, "parcdn")))) {
            echo "<option value=\"" . $value_tmp["samaccountname"] . "\"";
            if ($parc == $value_tmp["samaccountname"]) {
                echo " selected";
            }
            $nom_etab = "";
            if ($nb_etab > 1) {
                $nom_etab = " " . etab_to_name($config, $value_tmp["etab"]);
            }
            echo ">" . $value_tmp["name"] . " " . " de type " . $value_tmp["type"] . $nom_etab . "\n";
            echo "</option>";
        }
    }
    echo "</SELECT>&nbsp;&nbsp;\n";
    echo "<img onmouseout=\"UnTip();\" onmouseover=\"Tip('Sélectionnez un parc',WIDTH,250,SHADOW,true,DURATION,5000);\" name=\"action_image2\"  src=\"../elements/images/system-help.png\" alt=\"help\"> ";

    if (count($info = search_parcs($config, $parc)) > 0) {
        if (strtolower($info[0]['name']) == "computers") {
            echo "<h2> Parc racine, non modifiable</h2><br>";
        } else {
            if ($info[0]['type'] == "salle") {
                $parc_type = "salle";
                echo "<h2>  Parc de type salle, parent : <a href=\"show_parc.php?parc=" . $info[0]["parent"] . "\"><b>" . $info[0]["parent"] . "</b></a>" . "</h2>";
                $list_new = search_parcs($config, "*", "salle");
                if (count($list_new) > 0) {
                    echo upload_wallpaper($config, "/etc/sambaedu/applications/wallpaper/wallpaper@" . $info[0]['name'] . ".jpg");
                    echo upload_wallpaper($config, "/etc/sambaedu/applications/wallpaper/lockscreen@" . $info[0]['name'] . ".jpg");
                    echo "<b>Raccourcis</b>\n";
                    echo list_shortcuts($config, $info[0]['samaccountname']);

                    echo "<SELECT NAME=\"parent\" SIZE=\"1\" onchange=submit()>";
                    echo "<option value=\"\">Nouveau parent...</option>";
                    for ($loop = 0; $loop < count($list_new); $loop ++) {
                        if (! preg_match("/=" . $info[0]["samaccountname"] . ",/", $list_new[$loop]['dn'])) {
                            echo "<option value=\"" . $list_new[$loop]["samaccountname"] . "\"";
                            $nom_etab = "";
                            if ($nb_etab > 1) {
                                $nom_etab = " " . etab_to_name($config, $value_tmp["etab"]);
                            }
                            echo ">" . $list_new[$loop]["name"] . $nom_etab . "\n";
                            echo "</option>";
                        }
                    }
                    echo "</SELECT>&nbsp;&nbsp;\n";
                }
            }
        }
    }
    echo "</FORM><CENTER>\n";
} else {
    echo "<center>";
    echo "Il n'existe encore aucun parc";
    echo "</center>";
    exit();
}

// Test si le parc possede un template
if (empty($parc))
    exit();
// Lecture des membres du parc
$mp = list_members_parc($config, $parc, true, false);

$nombre_machine = count($mp);
// $printers = list_group_printers($config, $parc)['printers'] ?? [];
$printers = search_printers($config, $parc, "parc");
$nombre_printers = count($printers);

echo "
<script type='text/javascript'>
    /**
    * Coche des boutons radio pour selection
    * @language Javascript
    * @Parametres
    * @Return
    */

    function coche_delete(mode,statut){
        for(k=0;k<$nombre_machine;k++){
            if(document.getElementById(mode+'_'+k)){
                document.getElementById(mode+'_'+k).checked=statut;
                document.getElementById('del_'+k).checked=statut;
            }
        }
    }


    /**
    * Coche des boutons radio pour selection de machine
    * @language Javascript
    * @Parametres
    * @Return
    */

    function coche_machine(mode,statut){
        if(document.getElementById(mode)){
            document.getElementById(mode).checked=statut;
        }
    }
</script>\n";

// if (count($mp) > 15)
// $size = 15;
// else
// $size = count($mp);
// echo "<p>Liste des machines dans le parc : (".count($mp).")</p>\n";
echo "<center>\n";
echo "<br>";

echo '
    <table>
        <tr>
            <td>
                <form action="../parcs/create_parc.php?parc=' . $parc . '" method="post">
                    <input type="submit" value="Ajouter une machine">
                </form>
            </td>
';
if ($parc != "computers") {
    echo '
            <td>
                <form action="../printers/add_printer.php?parc=' . $parc . '" method="post">
                    <input type="submit" value="Ajouter une imprimante">
                </form>
            </td>
';
}
echo '
            <td>
                <form action="../parcs/wolstop_station.php?parc=' . $parc . '&amp;action=timing" method="post">
                    <input type="submit" value="Programmer l\'arrêt et l\'allumage des machines">
                </form>
            </td>
            <td>
                <form action="../parcs/action_parc.php?parc=' . $parc . '" method="post">
                    <input type="submit" value="Action sur les machines">
                </form>
            </td>
        </tr>
    </table>
';

echo "<br/>";

if (count($mp) > 0) {
    if ($order == "ip") {
        foreach ($mp as $machine) {
            if (isset($machine["iphostnumber"])) {
                $tri_ip[] = ip2long($machine["iphostnumber"]);
            } else {
                $tri_ip[] = 0;
            }
        }
    }

    echo "<FORM action=\"delete_parc.php\" method=\"post\">\n";
    echo "<input type=\"hidden\" name=\"parc\" value=\"$parc\">\n";
    echo "<input type=\"hidden\" name=\"delparc\" value=\"0\">\n";

    echo "<input type=\"hidden\" name=\"delete_parc\" value=\"1\">\n";

    echo "<TABLE class='table-bordered' width=\"80%\">\n<tr class=menuheader style=\"height: 30\">\n";

    if ($description == "1") {
        echo "Cliquer sur <img style=\"border: 0px solid ;\" width=\"20\" height=\"20\" src=\"../elements/images/notify.gif\" title=\"Choisir la machine professeur\"> pour choisir une  machine comme machine professeur";
        echo "<br>ou recliquer sur le menu pour ne plus en avoir";
        echo "<br><br>";
    }

    echo "<tr><td class='menuheader' align=\"center\"><img src='../elements/images/computer_ocs.png'></td>";
    echo "<td class='menuheader' align=\"center\"><p>" . "Détails..." . "</p>" . "</td>";
    echo "<td class='menuheader' align=\"center\"><p>" . "Adresse IP" . "</p>" . "</td>";
    echo "<td class='menuheader' align=\"center\"><p>" . "Dernière connexion" . "</p>" . "</td>";
    echo "<td class='menuheader' align=\"center\">Supprimer du parc<br><a href=\"javascript:coche_delete('del',true)\">";
    echo "<img src='../elements/images/enabled.png' alt='Cocher tout' title='Cocher tout' border='0' /></a>";
    echo " / \n";
    echo "<a href=\"javascript:coche_delete('del',false)\">";
    echo "<img src='../elements/images/disabled.gif' alt='Décocher tout' title='Décocher tout' border='0' /></a>\n";
    echo "</td>";
    echo "<td class='menuheader' align=\"center\">Supprimer complètement<br>";
    echo "<a href=\"javascript:coche_delete('sup',true)\">";
    echo "<img src='../elements/images/enabled.png' alt='Cocher tout' title='Cocher tout' border='0' /></a>";
    echo " / \n";
    echo "<a href=\"javascript:coche_delete('sup',false)\">";
    echo "<img src='../elements/images/disabled.gif' alt='Décocher tout' title='Décocher tout' border='0' /></a>\n";
    echo "</td></tr>\n";

    $loop_id = 0;
    foreach ($mp as $machine) {
        if (strcasecmp(ldap_dn2oudn($machine['dn']), $config['dn']['equipements']) != 0) {
            if (isset($machine['lastlogon'])) {
                $lastlogontimestamp = ldapTimeToUnixTime($machine['lastlogon']);
                $last_cnx = date("d-m-Y H:i:s", $lastlogontimestamp);
                $nologin = ($lastlogontimestamp < time() - 12430000);
            } else {
                $nologin = true;
            }
            $delete = $old = $reservation = "";
            if (! isset($machine['state']) && $nologin) {
                $delete = "checked";
            } elseif ($machine['state'] == "dns" && $nologin) {
                $delete = "checked";
            } elseif (($machine['state'] == "active") || ($machine['state'] == "active")) {
                $reservation = "checked";
            }
            $systemid = $mpenc = ldap_hostname($config, $machine);
            $resultat = get_os_icon($config, $machine);
            echo "<tr>";
            $ip = $machine['iphostnumber'] ?? "";
            echo "<td align='center'><img style=\"border: 0px solid ;\" src=\"../elements/images/" . $resultat['icone'] . "\" title=\"" . $resultat['os'] . " - " . $ip . "\" alt=\"" . $resultat['os'] . "\" WIDTH=20 HEIGHT=20 onclick=\"popuprecherche('../ocsreports/machine.php?systemid=$systemid','popuprecherche','scrollbars=yes,width=500,height=550');\">";
            echo "<td align=\"center\"><A href='cherche_machine.php?mpenc=" . $machine['cn'] . "'>" . $mpenc . "</A></td>\n";
            $ip_link = "";
            $machine['state'] = $machine['state'] ?? "";
            $machine['networkaddress'] = $machine['networkaddress'] ?? "";
            if (empty($machine['state']) || $machine['state'] == "reservation") {
                $ip_link = "<a href=\"action_machine.php?retour=show_parc&action=dynamique&machine=" . $machine['cn'] . "&mac=" . $machine['networkaddress'] . "\" onclick=\"return getconfirm();\"> ip réservée :" . $ip . "(supprimer)</a>";
            } elseif ($machine['state'] == "active") {
                $ip_link = "<a href=\"action_machine.php?retour=show_parc&action=reservation&machine=" . $machine['cn'] . "&mac=" . $machine['networkaddress'] . "\"> ip dynamique : $ip (réserver)</a>";
            } elseif ($machine['state'] == "dns") {
                // $ip_link = "<a href=action_machine.php?retour=show_parc&action=reservation&machine=" . $machine['cn'] . "&mac=" . $machine['networkaddress'] . "> ip dns : $ip (réserver</a>";
                $ip_link = "ip dns : " . $ip;
            } else {
                $ip_link = "ip " . $ip . " (machine éteinte ?)";
            }
            echo "<td align=center>$ip_link</td>\n";

            if ($nologin) {
                if (! isset($machine['lastlogon'])) {
                    echo "<td align=\"center\"><STRONG><FONT color='red'>Jamais</FONT></STRONG></td>\n";
                } else {
                    echo "<td align=\"center\"><STRONG><FONT color='red'>" . $last_cnx . "</FONT></STRONG></td>\n";
                }
                $delete = "checked";
            } else {
                echo "<td align=\"center\">" . $last_cnx . "</td>\n";
            }
            echo "<td align=\"center\"><INPUT type=\"checkbox\" name=\"old_computers[]\" id=\"del_$loop_id\"  value=\"" . $machine['cn'] . "\" $delete >";
            echo "</td>\n";

            echo "<td align=\"center\"><INPUT type=\"checkbox\" name=\"supprime_all[]\" id=\"sup_$loop_id\"  value=\"" . $machine['cn'] . "\" $delete onClick=\"coche_machine('del_$loop_id',true)\"></td>\n";
            echo "</tr>";
            $loop_id ++;
        }
    }

    // echo " $ip";

    echo "</TABLE>\n";
    echo "<input type=\"submit\" value=\"Valider\">\n";
    echo "</FORM>\n";
    $nb_machines = count($mp);
    echo "<h3>" . $nb_machines . " station(s) dans le parc $parc</h3>";
} else {
    echo "<h3> Aucune station pour le moment dans le parc $parc</h3>";
    // var_dump($mp) ;
}
// completion tableau par les donnees imprimantes
if ($nombre_printers > 0) {
    echo "<FORM action=\"../printers/delete_printer.php\" method=\"post\">\n";
    echo "<input type=\"hidden\" name=\"parc\" value=\"$parc\">\n";
    echo "<input type=\"hidden\" name=\"delete_printer\" value=\"true\">\n";

    $tableau_printer = "<tr>";

    $tableau_printer .= "<table class='table-bordered' width=\"80%\">\n<tr class=menuheader style=\"height: 30\">\n";
    $tableau_printer .= "<tr class='menuheader'>\n";
    $tableau_printer .= "<td class='menuheader' align=\"center\"><img style=\"border: 0px solid ;\" src=\"../elements/images/printer.png\" title=\"Imprimante\" alt=\"Imprimante\" WIDTH=20 HEIGHT=20 ></td>";
    $tableau_printer .= "<td class='menuheader' align=\"center\">Nom</td>\n";
    $tableau_printer .= "<td class='menuheader' align=\"center\">URI</td>\n";
    $tableau_printer .= "<td class='menuheader' align=\"center\">Supprimer du parc</td>\n";
    $tableau_printer .= "<td class='menuheader' align=\"center\">Supprimer complètement</td>\n";
    $tableau_printer .= "<td class='menuheader' align=\"center\">Par défaut</td>";
    $tableau_printer .= "</tr>\n";

    foreach ($printers as $loop => $printer) { // ***************************************************
        $printer = list_printers($config, $printer, false)[0];
        $tableau_printer .= "<td align=\"center\"><img style=\"border: 0px solid ;\" src=\"../elements/images/printer.png\" title=\"Imprimante\" alt=\"Imprimante\" WIDTH=20 HEIGHT=20 ></td>";
        $tableau_printer .= "<td align=\"center\"><A href='../printers/view_printers.php?one_printer=" . $printer['name'] . "'>" . $printer['name'] . "</A></td>\n";
        $tableau_printer .= "<td align=\"center\">" . $printer['url'] . "</td>";
        $tableau_printer .= "<td align=\"center\"><INPUT type=\"checkbox\" name=\"remove_printers[]\" id=\"remove_$loop\" value=\"" . $printer['name'] . "\" onClick=\"coche_machine('delete_$loop',false)\"></td>";
        $tableau_printer .= "<td align=\"center\"><INPUT type=\"checkbox\" name=\"delete_printers[]\" id=\"delete_$loop\" value=\"" . $printer['name'] . "\"></td>\n";
        $tableau_printer .= "<td align=\"center\">";

        /*
         * if ($imprim_defaut == $mp[$loop]) {
         * $tableau_printer .= "<img style=\"border: 0px solid ;\" src=\"../elements/images/enabled.png\" title=\"par defaut\" alt=\"par defaut\" >";
         * }
         */
        $tableau_printer .= "</td>\n";
        $tableau_printer .= "</tr>";
    }
    $tableau_printer .= "</table>";
    echo $tableau_printer;
    echo "<input type=\"submit\" value=\"Valider\">\n";
    echo "</FORM>\n";
    echo "</center>";

    echo "<br>";

    echo "<h3>" . count($printers) . " imprimantes(s) dans le parc " . "$parc</h3>";
} else {
    if ($parc != "") {
        echo "<br>";
        echo "<h3>Il n'y a pas d'imprimantes dans ce parc !</h3>";
        echo "</center>";
    }
}
if (@$config['wpkg'] == "1") {
    echo "<p>";
    echo "<br><a href='../wpkg/parc_statuts.php?parc=" . $parc . "'>Voir les applications Wpkg pour ce parc</a><br>\n";
    echo "</p>";
}
$html = "";
admin_footer_html($html);
echo $html;
?>