<?php

/**

 * affiche l'etat des connexions
 * @Version $Id$ 

 * @Projet LCS / SambaEdu 

 * * @Projet SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL

 */

/**
 *
 * @Repertoire: parcs/
 * file: smbstatus.php
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
require ("ihm.inc.php");

// Internationnalisation
require_once ("fonc_parc.inc.php");
require_once ("logs.inc.php");
$login = $config['login'];

if (! have_right($config, SE_ADMIN, $login)) {
    die("Vous n'avez pas les droits suffisants pour accéder à cette fonction</BODY></HTML>");
}

// $smb_login = smbstatus($config);
$smb_login = open_sessions($config);
echo "<H1>Connexions aux ressources Samba</H1>\n";
echo "<H3>Il y a " . count($smb_login) . " connexions en cours</H3>";

// Si on a des connexions
if (count($smb_login) > 0) {

    echo "<table WIDTH=90% class='table-bordered' ALIGN=center>\n";
    echo "<TR><TD class='menuheader'>Identifiant</TD>";
    echo "<TD class='menuheader'>Machine</TD>";
    echo "<TD class='menuheader'>heure de connexion</TD></TR>\n";

    foreach ($smb_login as $nom => $val) {
        echo "<TR>";
        echo "<TD><a href=\"show_histo.php?selectionne=3&user=" . $val['user'] . "\">" . $val['user'] . "</a></TD>";
        echo "<TD><a href=\"show_histo.php?selectionne=2&mpenc=" . $val['machine'] . "\">" . $val['machine'] . "</a></TD>";
        echo "<TD>" . $val['logintime'] . "</TD>";
        echo "</TR>";
    }
}
echo "</table>\n";

$html = "";
admin_footer_html($html);
echo $html;
?>
