<?php

/**

 * affiche l'historique des connexions 

 * @Projet SambaEdu 

 * @auteurs Equipe Tice academie de Caen
 * @auteurs Equipe SambaEdu

 * @Licence Distribue selon les termes de la licence GPL

 * @note 

 */

/**
 *
 * @Repertoire: parcs/
 * file: show_histo.php
 *
 *
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
include_once "ldap.inc.php";
include "ihm.inc.php";
include "logs.inc.php";
echo "<script type=\"text/javascript\" src=\"/elements/js/wz_tooltip_new.js\"></script>";

$selectionne = isset($_GET['selectionne']) ? $_GET['selectionne'] : NULL;
$cnx_start2 = isset($_GET['cnx_start2']) ? $_GET['cnx_start2'] : NULL;
$cnx_start1 = isset($_GET['cnx_start1']) ? $_GET['cnx_start1'] : NULL;
$cnx_start = isset($_GET['cnx_start']) ? $_GET['cnx_start'] : NULL;
$user = isset($_GET['user']) ? $_GET['user'] : NULL;
$mpenc = isset($_GET['mpenc']) ? $_GET['mpenc'] : NULL;
$login = $config['login'];

// debug_var();

// Affichage du formulaire de saisie d'adresse IP
echo "<H1>Historique des connexions</H1>";

if (have_right($config, SE_COMPUTER_VIEW) || have_right($config, SE_USER_READ) || $login == $user) {

    $list_delegate = list_delegations($config, $login);
    if (count($list_delegate) > 0) {
        echo "<h3>Votre délégation a été prise en compte pour l'affichage de cette page.</h3>";
        $acces_restreint = 1;
        $delegate = "yes";
    } else {
        echo "<FORM action=\"show_histo.php\" method=\"GET\">\n";
        echo "<SELECT NAME=\"selectionne\" SIZE=\"1\" onchange=submit()>\n";

        echo "<option value=\"0\"";
        if ((! isset($selectionne)) || ($selectionne == "0")) {
            echo " selected";
        }
        echo ">Sélectionner\n";
        echo "<option value=\"2\"";
        if ($selectionne == "2") {
            echo " selected";
        }
        echo ">Par nom de machine\n";
        echo "<option value=\"3\"";
        if ($selectionne == "3") {
            echo " selected";
        }
        echo ">Par utilisateur\n";
        echo "</SELECT>\n";
    }

    if ($selectionne == "2") {
        echo " <INPUT TYPE=\"text\" NAME=\"mpenc\" VALUE=\"$mpenc\" SIZE=\"12\">";
    } elseif ($selectionne == "3") {
        echo " <INPUT TYPE=\"text\" NAME=\"user\" VALUE=\"$user\" SIZE=\"12\">";
    }
    echo " <input type=\"submit\" value=\"Valider\">\n";
    echo "</FORM>\n";
    echo "<BR>";
    echo "<HR>";

    // Si recherche sur le nom de la machine
    if (($selectionne == "2") && (isset($mpenc))) {
        // Affichage des renseignements sur la machine depuis la table connexions
        echo "<BR>";
        echo "Table des connexions sur la machine <A HREF='cherche_machine.php?mpenc=" . $mpenc . "'><STRONG><FONT color='red'>$mpenc</FONT></STRONG></A>\n";
        $machine = get_machine_status($config, $mpenc);
        echo "<P>Etat de la machine : <B>" . $machine['state'] . "</B></P>\n";
        if (! isset($machine['user']) || count($machine['user']) == 0)
            echo "<P>Aucune connexion en cours sur cette machine</P>\n";
        else {
            foreach ($machine['user'] as $cnx) {
                $login = $cnx['name'];
                echo "<P><STRONG><FONT color='red'>" . $login . "</FONT></STRONG> est actuellement connecté sur cette machine</P>\n";
            }
        }

        if (! isset($cnx_start))
            $cnx_start = 0;
        echo "<P><STRONG>Etat des 10 dernières connexions sur la machine</STRONG></P>\n";

        $result = list_machine_connexions($config, $mpenc, $cnx_start, 10);
        if (count($result) > 0) {
            // Affichage des liens de navigation
            if ($cnx_start < 10) {
                $cnx_start1 = 0;
                $cnx_start2 = $cnx_start + 10;
            } else if (count($result) == 0) {
                $cnx_start2 = $cnx_start;
                $cnx_start1 = $cnx_start - 10;
            } else {
                $cnx_start1 = $cnx_start - 10;
                $cnx_start2 = $cnx_start + 10;
            }
            echo "<TABLE width='100%'><TR><TD WIDTH='50%'>";
            if ($cnx_start >= 10)
                echo "<A HREF='show_histo.php?mpenc=$mpenc&cnx_start=$cnx_start1&selectionne=2'><-- Voir les 10 connexions précédentes</A>&nbsp;&nbsp;&nbsp;&nbsp;";
            echo "</TD><TD>";
            if ($cnx_start2 != $cnx_start)
                echo "<A HREF='show_histo.php?mpenc=$mpenc&cnx_start=$cnx_start2&selectionne=2'>Voir les 10 connexions suivantes --></A>\n";
            echo "</TD></TR></TABLE>\n";
            // affichage de la table connexions
            echo "<TABLE  align='center' class='table-bordered'>\n";
            echo "<TR><TD  class='menuheader'>Utilisateur connecté</TD><TD  class='menuheader'>Date/Heure de connexion</TD><TD  class='menuheader'>Date/Heure de déconnexion</TD></TR>";
            foreach ($result as $r) {
                echo "<TR align='center'><TD><A HREF='show_histo.php?selectionne=3&user=" . $r["user"] . "'>" . $r["user"] . "</A></TD>\n";
                echo "<TD>" . $r["logintime"] . "</TD>\n";
                echo "<TD>" . $r["logouttime"] . "</TD></TR>\n";
            }
            echo "</TABLE>\n";
        } else
            echo "Pas de logs pour cette machine\n";

        echo "<P><STRONG>Etat des 10 derniers allumages de la machine</STRONG></P>\n";

        $result = list_machine_startups($config, $mpenc, $cnx_start, 10);
        if (count($result) > 0) {
            // Affichage des liens de navigation
            if ($cnx_start < 10) {
                $cnx_start1 = 0;
                $cnx_start2 = $cnx_start + 10;
            } else if (count($result) == 0) {
                $cnx_start2 = $cnx_start;
                $cnx_start1 = $cnx_start - 10;
            } else {
                $cnx_start1 = $cnx_start - 10;
                $cnx_start2 = $cnx_start + 10;
            }
            echo "<TABLE width='100%'><TR><TD WIDTH='50%'>";
            if ($cnx_start >= 10)
                echo "<A HREF='show_histo.php?mpenc=$mpenc&cnx_start=$cnx_start1&selectionne=1'><-- Voir les 10 connexions précédentes</A>&nbsp;&nbsp;&nbsp;&nbsp;";
            echo "</TD><TD>";
            if ($cnx_start2 != $cnx_start)
                echo "<A HREF='show_histo.php?mpenc=$mpenc&cnx_start=$cnx_start2&selectionne=1'>Voir les 10 connexions suivantes --></A>\n";
            echo "</TD></TR></TABLE>\n";
            // affichage de la table connexions
            echo "<TABLE  align='center' class='table-bordered'>\n";
            echo "<TR><TD  class='menuheader'>OS</TD><TD  class='menuheader'>Date/Heure d'allumage</TD><TD  class='menuheader'>Date/Heure d'extinction</TD><TD class='menuheader'>Erreurs</TD></TR>";
            foreach ($result as $r) {
                echo "<TD><A>" . $r["os"] . "</A></TD>\n";
                echo "<TD>" . $r["starttime"] . "</TD>\n";
                echo "<TD>" . $r["stoptime"] . "</TD><TD>";
                if ($r['error'] > 0) {
                    $err = error_message($r['error']);
                    $texte = implode(", ", $err);
                    echo $texte;
                } else {
                    echo "aucune";
                }
                echo "</TD></TR>\n";
            }
            echo "</TABLE>\n";
        } else
            echo "Pas d'enregistrements pour cette machine\n";
    }

    // Affichage des renseignements sur l'utilisateur

    if (($selectionne == "3") && (isset($user))) {
        $smb_sess = get_user_status($config, $user);
        $nbmach = count($smb_sess);
        if ($nbmach > 0) {
            echo "<P><STRONG><FONT color='red'>";
            echo $nbmach;
            // echo "</FONT></STRONG> connexion(s) en cours sous le login <STRONG><FONT color='red'>$user</FONT></STRONG> sur ";
            echo "</FONT></STRONG> connexion(s) en cours sous le login <A HREF='../annu/people.php?cn=$user'><STRONG><FONT color='red'><U>$user</U></FONT></STRONG></A> sur ";
            foreach ($smb_sess as $machine) {
                if (have_right($config, SE_COMPUTER_ADMIN))
                    echo "<A HREF='show_histo.php?selectionne=2&mpenc=" . urlencode($machine['machine']) . "'><U>" . $machine['machine'] . "</U></A> ";
                else
                    echo "<STRONG>" . $machine['machine'] . "</STRONG> ";
            }
        } else {
            echo "<BR>";
            // echo "Aucune connexion en cours sous le login <STRONG><FONT color='red'>$user</FONT></STRONG>";
            echo "Aucune connexion en cours sous le login";
            echo " <A HREF='../annu/people.php?cn=$user'><STRONG><FONT color='red'><U>$user</U></FONT></STRONG></A>";
        }
        echo "\n";

        if (! isset($cnx_start))
            $cnx_start = 0;
        $result = list_user_connexions($config, $user, $cnx_start, 10);

        echo "<P><STRONG>Etat des 10 dernières connexions de l'utilisateur $user</STRONG></P>\n";
        if (count($result) > 0) {
            // Affichage des liens de navigation
            if ($cnx_start < 10) {
                $cnx_start1 = 0;
                $cnx_start2 = $cnx_start + 10;
            } elseif (count($result) == 0) {
                $cnx_start2 = $cnx_start;
                $cnx_start1 = $cnx_start - 10;
            } else {
                $cnx_start1 = $cnx_start - 10;
                $cnx_start2 = $cnx_start + 10;
            }
            echo "<table width='100%'><TR><TD WIDTH='50%'>";
            if ($cnx_start >= 10)
                echo "<A HREF='show_histo.php?user=$user&cnx_start=$cnx_start1&selectionne=3'><-- Voir les 10 connexions précédentes</A>&nbsp;&nbsp;&nbsp;&nbsp;";
            echo "</TD><TD>";
            if ($cnx_start2 != $cnx_start)
                echo "<A HREF='show_histo.php?user=$user&cnx_start=$cnx_start2&selectionne=3'>Voir les 10 connexions suivantes --></A>\n";
            echo "</TD></TR></table>\n";
            // affichage de la table connexions
            echo "<table align='center' class='table-bordered'>\n";
            echo "<TR><TD class='menuheader'>Nom machine</TH>";
            echo "<TD class='menuheader'>Date/Heure de connexion</TH><TD class='menuheader'>Date/Heure de déconnexion</TH></TR>";
            foreach ($result as $r) {
                echo "<TR align='center'><TD>";
                if (have_right($config, SE_COMPUTER_ADMIN)) {
                    echo "<A HREF='show_histo.php?selectionne=2&mpenc=" . $r['machine'] . "'>";
                }
                echo $r['machine'];
                if (have_right($config, SE_COMPUTER_ADMIN))
                    echo "</A>";
                echo "</TD>\n";
                echo "<TD>" . $r['logintime'] . "</TD>\n";
                echo "<TD>" . $r['logouttime'] . "</TD></TR>\n";
            }
            echo "</table>\n";
        } else
            echo "Pas de connexions enregistrées pour cet utilisateur\n";
    }
} else {
    echo "Vous n'avez pas les droits pour accéder à cette page";
}

$html = "";
admin_footer_html($html);
echo $html;
?>