<?php
/**

 * Page qui teste les differents services
 * @Version $Id$
 * @Projet SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL
 * lancement des scripts bash par la technologie asynchrone Ajax.


 */
/**
 *
 * @Repertoire: /
 * file: test.php
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
include_once 'admin_ui.inc.php';
$config = get_config();

$html = "";
admin_header_html($config, $html);

admin_topbar_html($config, $html);

admin_menu_html($config, $html);
$html .= header_authorize($config);
require_once "partages.inc.php";

$action = isset($_GET['action']) ? $_GET['action'] : "";

// Si pas se3_is_admin
if (! have_right($config, SE_ADMIN)) {
    if (empty($config['etab_ou'])) {
        if (empty($_SESSION['etab_ou'])) {
            $root_path = "/";
        } else {
            $root_path = "/" . $_SESSION['etab_ou'] . "/";
        }
    } else {
        $root_path = "/" . $config['etab_ou'] . "/";
    }
    header("Status: 301 Moved Permanently", false, 301);
    header("Location: " . $root_path . "annu/people.php?cn=" . $config['login']);
}

// if ($_GET['action'] == "updatesystem") {
// exec('/usr/bin/sudo /usr/share/se3/scripts/se3_update_system.sh --auto');
// unset($action);
// }
if ((isset($action)) && ($action == "updatesystem")) {

    ob_implicit_flush(true);
    ob_end_flush();
    $info_1 = "Les mises à jour sont à faire en ligne de commande (apt-get update;apt-get upgrade).";
    // Mise à jour système lancée, ne fermez pas cette fen&#234;tre avant que le script ne soit terminé. vous recevrez un mail récapitulatif de tout ce qui sera effectué...
    $html .= $info_1;
    // system('sleep 1; /usr/bin/sudo /usr/share/sambaedu/scripts/sambaedu_update_system.sh 2>&1 --auto & ');
    unset($action);
}
if ((isset($action)) && ($action == "startsamba")) {
    $info_1 = "On relance le service Samba smbd...";
    $html .= $info_1;

    exec('/usr/bin/sudo systemctl restart smbd');
}

if ((isset($action)) && ($action == "mail_test")) {
    $dc_root = exec('grep "^root: " /etc/aliases | cut -d " " -f2');
    $subject = gettext("Test de la configuration de votre serveur SambaÉdu 4");
    $message = gettext("Message envoyé par le serveur SambaÉdu 4");
    mail($dc_root, $subject, $message);
    unset($action);
}
$html .= '
<script type="text/javascript" src="/elements/js/wz_tooltip_new.js"></script>
<script type="text/javascript" src="/tests/js/gest_messages.js"></script>
<script type="text/javascript" src="/tests/js/tests.js"></script>
';

/**
 * ******** Test de la conf du serveur *********************
 */
$html .= "<H1>Etat du serveur</H1>";
// $phpv2 = preg_replace("/[^0-9\.]+/", "", phpversion());
// $phpv = $phpv2 - 0;

/**
 * ****************************************************
 */
// =======================================
// Affichage d'un lien de rafraichissement du cadre.
if (file_exists('/etc/sambaedu/temoin_test_refresh.txt')) {
    $html .= "<div style='position:fixed; top:5px; left:5px; width:20px; height:20px; border:1x solid black;'>\n";
    $html .= "<a href='" . $_SERVER['PHP_SELF'] . "'><img src='elements/images/rafraichir.png' width='16' height='16' border='0' alt='Rafraichir' /></a>\n";
    $html .= "</div>\n";
}
// =======================================

$os = exec("cat /etc/debian_version | cut -d. -f1-2");
$vers = exec("dpkg -s sambaedu|grep Version|cut -d ' ' -f2");
$samba_version = exec("dpkg -s samba|grep Version|cut -d ':' -f3|cut -d '+' -f1");

$html .= "
<center>
    <table class='table-bordered' width='80%'>
        <TR>
            <TD colspan='3' align='center' class='menuheader'>Version SambaÉdu</TD>
        </TR>
        <TR>
            <TD>Version OS</TD>
            <TD align='center' colspan='2'>
";

if ($os < "10.0") {
    $html .= "Stretch";
} elseif ($os < "11.0") {
    $html .= "Buster";
} elseif ($os < "12.0") {
    $html .= "Bullseye";
} else {
    $html .= "Bookworm";
}
$html .= "<I> <img src=\"../elements/images/debian.png\">($os)</I></TD></TR>\n";
$html .= '
    </TD>
        </TR>
        <TR>
            <TD>Version de Samba</TD>
            <TD align="center" colspan="2">
                ' . $samba_version . '
            </TD>
        </TR>
        <TR>
            <TD>Mise à jour de votre serveur SambaEdu <I>(Version actuelle : ' . $vers . ' - Canal de mise à jour Sambaedu : ' . $config['depot_type'] . ')</I></TD>
            <TD align="center"><a id=link_maj href="#"><IMG
                    id="check_maj" style="border: 0px solid;"
                    SRC="../elements/images/info.png"></a></TD>
            <TD align="center"><a id="help_maj_se3"><img
                    name="action_image2"
                    src="../elements/images/system-help.png"></a></TD>
        </TR>
';

// if (isset($config['clonage']) && $config['clonage']==1) {
// $html .= '<TR id="ligne_clonage">';
// }
// else {
$html .= '<TR id="ligne_clonage" style="display: none;">';
// }
$html .= '
        <TD>Contrôle des mise a jour des dispositifs de
            Sambaedu-clonage</TD>
        <TD align="center"><a id=link_clonage href="#"><IMG
                id="check_clonage" style="border: 0px solid;"
                SRC="../elements/images/info.png" /></a></TD>
        <TD align="center"><A id="help_clonage_se3"><img
                name="action_image2"
                src="../elements/images/system-help.png"></A></TD>
        </TR>
        <TR>
            <TD colspan="3" align="center" class="menuheader">Vérification
                des connexions</TD>
        </TR>
        <TR>
            <TD>Vérifie la connexion à la passerelle <I>(
';

// // Ping passerelle
$PING_ROUTEUR = `cat /etc/network/interfaces | grep gateway | grep -v broadcast | cut -d" " -f 2`;
$PING_ROUTEUR = trim($PING_ROUTEUR);
$html .= $PING_ROUTEUR;
$html .= '
)</I>
            </TD>
            <TD align="center"><IMG id="check_gateway"
                style="border: 0px solid;"
                SRC="../elements/images/info.png"></TD>
            <TD align="center"><a id="help_gateway_se3"><img
                    name="action_image2"
                    src="../elements/images/system-help.png"></a></TD>
        </TR>

        <TR>
            <TD>Vérification de la connexion à internet</TD>
            <TD align="center"><IMG id="check_internet"
                style="border: 0px solid;"
                SRC="../elements/images/info.png"></TD>
            <TD align="center"><a id="help_net_se3"><img
                    name="action_image2"
                    src="../elements/images/system-help.png"></a></TD>
        </TR>
        <TR>
            <TD>Vérification de la résolution de nom (DNS)</TD>
            <TD align="center"><IMG id="check_dns"
                style="border: 0px solid;"
                SRC="../elements/images/info.png"></TD>
            <TD align="center"><a id="help_dns_se3"><img
                    name="action_image2"
                    src="../elements/images/system-help.png"></a></TD>
        </TR>
        <TR>
            <TD>Vérification du nom DNS du serveur Sambaedu <span
                id="urlsambaedu" style="font-style: italic;">(' . exec("hostname -f") . ')</span></TD>
            <TD align="center"><IMG id="check_dns_se3"
                style="border: 0px solid;"
                SRC="../elements/images/info.png"></TD>
            <TD align="center"><a id="help_dns2_se3"><img
                    name="action_image2"
                    src="../elements/images/system-help.png"></a></TD>
        </TR>

        <TR>
            <TD>Vérifie l\'accès au web</TD>
            <TD align="center"><IMG id="check_web"
                style="border: 0px solid;"
                SRC="../elements/images/info.png"></TD>
            <TD align="center"><a id="help_web_se3"><img
                    name="action_image2"
                    src="../elements/images/system-help.png"></a></TD>
        </TR>
        <!--        <TR>
            <TD>Vérifie la connexion au serveur de temps</TD>
            <TD align="center"><IMG id="check_ntp" style="border: 0px solid;"
                                    SRC="../elements/images/info.png"></TD>
            <TD align="center"><a id="help_ntp_se3"><img name="action_image2"
                                                         src="../elements/images/system-help.png"></a></TD>
        </TR>-->

        <TR>
            <TD colspan="3" align="center" class="menuheader">Contrôle
                des services</TD>
        </TR>
';

$la = date("G:i:s d/m/Y");
$html .= '
<TR id="ligne_date" style="display: none;">
            <TD>Contrôle la date et l\'heure du serveur <I>(date actuelle ' . $la . ')</I></TD>
            <TD align="center"><A id="link_time"><img id="check_time"
                    style="border: 0px solid;"
                    SRC="../elements/images/info.png"></A></TD>
            <TD align="center"><A id="help_time_se3"><img
                    name="action_image2"
                    src="../elements/images/system-help.png"></A></TD>
        </TR>

        <TR>
            <TD>Configuration de l\'expédition des mails</TD>
            <TD align="center"><IMG id="check_mail"
                style="border: 0px solid;"
                SRC="../elements/images/info.png"></TD>
            <TD align="center"><A id="help_mail_se3"><img
                    name="action_image2"
                    src="../elements/images/system-help.png"></A></TD>
        </TR>

        <TR>
            <TD>Etat du serveur Samba Version: <span id="smb_version"
                style="font-style: italic;">(' . $samba_version . ')</span></TD>
            <TD align="center"><a id="link_samba" href="#"><IMG
                    id="check_smb" style="border: 0px solid;"
                    SRC="../elements/images/info.png"></a></TD>
            <TD align="center"><a id="help_samba_se3"><img
                    src="../elements/images/system-help.png"></a></TD>
        </TR>

        <TR id="ligne_sid" style="display: none;">
            <TD>Controle du SID samba</TD>
            <TD align="center"><IMG id="check_sid"
                style="border: 0px solid;"
                SRC="../elements/images/info.png"></TD>
            <TD align="center"><A id="help_sid_se3"><img
                    name="action_image2"
                    src="../elements/images/system-help.png"></A></TD>
        </TR>
        <!--        <TR>
    <TD>Etat de la base MySQL</TD>
    <TD align="center"><IMG id="check_mysql" style="border: 0px solid;"
                            SRC="../elements/images/info.png"></TD>
    <TD align="center"><A id="help_mysql_se3"><img name="action_image2"
                                                   src="../elements/images/system-help.png"></A></TD>
</TR>-->

        <TR id="ligne_dhcp" style="display: none;">
            <TD>Etat du serveur DHCP</TD>
            <TD align="center"><IMG id="check_dhcp"
                style="border: 0px solid;"
                SRC="../elements/images/info.png"></TD>
            <TD align="center"><A id="help_dhcp_se3"><img
                    name="action_image2"
                    src="../elements/images/system-help.png"></A></TD>
        </TR>


        <TR id="ligne_ondul" style="display: none;">
            <TD>Onduleur</TD>
            <TD align="center"><A id="link_ondul"><IMG id="check_ondul"
                    style="border: 0px solid;"
                    SRC="../elements/images/info.png"></A></TD>
            <TD align="center"><A id="help_ondul_se3"><img
                    name="action_image2"
                    src="../elements/images/system-help.png"></A></TD>
        </TR>

        <TR>
            <TD colspan="3" align="center" class="menuheader">Etat des
                disques</TD>
        </TR>

        <TR>
            <TD>Partition : / <span id="space_disk1"></span><br></TD>
            <TD align="center"><IMG id="check_disk1"
                style="border: 0px solid;"
                SRC="../elements/images/info.png"></TD>
            <TD align="center"><A id="help_disk1"><img
                    src="../elements/images/system-help.png" /></A></TD>
        </TR>
        <TR>
            <TD>Partition : /var/sambaedu <span id="space_disk2"></span></TD>
            <TD align="center"><IMG id="check_disk2"
                style="border: 0px solid;"
                SRC="../elements/images/info.png"></TD>
            <TD align="center"><A id="help_disk2"><img
                    src="../elements/images/system-help.png"></A></TD>
        </TR>
        <TR>
            <TD>Partition : /home <span id="space_disk3"></span><br></TD>
            <TD align="center"><IMG id="check_disk3"
                style="border: 0px solid;"
                SRC="../elements/images/info.png"></TD>
            <TD align="center"><A id="help_disk3"><img
                    src="../elements/images/system-help.png"></A></TD>
        </TR>
        <TR>
            <TD>Partition : /var <span id="space_disk4"></span><br></TD>
            <TD align="center"><IMG id="check_disk4"
                style="border: 0px solid;"
                SRC="../elements/images/info.png"></TD>
            <TD align="center"><A id="help_disk4"><img
                    src="../elements/images/system-help.png"></A></TD>
        </TR>

        <TR>
            <TD colspan="3" align="center" class="menuheader">Sécurité</TD>
        </TR>
        <TR>
            <TD>Mises à jour de sécurité Debian</TD>
            <TD align="center"><A id="link_secu"><IMG id="check_secu"
                    style="border: 0px solid;"
                    SRC="../elements/images/info.png"></A></TD>
            <TD align="center"><A id="help_secu_se3"><img
                    name="action_image2"
                    src="../elements/images/system-help.png"></A></TD>
        </TR>
        <!--        <TR>
    <TD colspan="3" align="center" class="menuheader">Clients</TD>
</TR>-->
        <TR>
            <!--            <TD>Vérifie le compte d\'intégration des clients</TD>-->
            <!--            <TD align="center"><A id="link_client"><IMG id="check_client"
                                                style="border: 0px solid;" SRC="../elements/images/info.png"></A></TD>-->
            <!--            <TD align="center"><A id="help_client_se3"><img name="action_image2"
                                                    src="../elements/images/system-help.png"></A></TD>-->
        </TR>

    </TABLE>
    <!--<TR>  <TD align="center"><A id="help_client_se3"></A><A id="help_mysql_se3"></A></TD></TR>-->
</center>



<!-- //Menu pour mail. -->
<div id="mail_menu" style="width: 100%; display: none;">
    <table width=100%>
        <tr>
            <td colspan=2 align=center bgcolor=#6699CC><font
                face=Verdana size=-1 color=#000000><b>Menu</b></font></td>
        </tr>
        <tr>
            <td><IMG width=15 height=15
                SRC=../elements/images/command.png></td>
            <td onmouseover=chng(this, 0) onmouseout=chng(this,1)><a
                href=conf_smtp.php><font face=Verdana size=-1
                    color=#000000>Tester envoi</font></a></td>
        </tr>
        <tr>
            <td><IMG width=15 height=15
                SRC=../elements/images/comment.gif></td>
            <td onmouseover=chng(this, 0) onmouseout=chng(this,1)><a
                href=../conf_smtp.php><font face=Verdana size=-1
                    color=#000000>Configurer</font></a></td>
        </tr>
    </table>
</div>
';

$html .= "</center>";

admin_footer_html($html, false);

echo $html;
?>