#!/bin/bash
# script d'effacement des profiles
# 

. /usr/share/sambaedu/includes/config.inc.sh
/usr/bin/curl -s -F "se4_key=${config_se4_key}" http://${config_se4fs_name}/gpo/del_roam.php > /tmp/del_roam
chmod 700 /tmp/del_roam
size="8M"
[ -n "$1" ] && size=$1
file=/tmp/du.txt
rm -f $file 
cd /home/profiles
OLDIFS=$IFS
IFS="
"
for username in $(ls -d *);
do
    . /tmp/del_roam
    du --max-depth=1  -b -t $size --exclude AppData $username |sort -nr | tail -n+2 >> $file
    du --max-depth=1  -b -t $size --exclude Mozilla $username/AppData/Roaming |sort -nr | tail -n+2 >> $file
done
rm -f /tmp/del_roam
IFS=$OLDIFS
exit 0
