#!/bin/bash
# déplacement des profiles FF et TB (on garde le + récent)
# rsync des données dans Roaming vers profiles .V6
# 

source /usr/share/sambaedu/includes/libs-common.sh
check_winbind


cd /home
for username in $(ls -d *);
do
    [ "$username" == 'profiles' ] && continue;
    if  ! id $username > /dev/null 2>&1 ; then
    	echo "suppression de $username"
    	# rm -fr /home/$username
    	continue
    fi 
    # rm -rf /home/profiles/$username.V6/AppData/Roaming/*
    echo -n "$username : profil Firefox : "
    if [ ! -d "/home/$username/.mozilla" ];
    then
	    if [ -d "/home/$username/AppData/Roaming/Mozilla" ];
	    then
	    	mv /home/$username/AppData/Roaming/Mozilla /home/$username/AppData/Roaming/.mozilla
	    	mv /home/$username/AppData/Roaming/.mozilla /home/$username/.mozilla
		fi
	fi
  	if [ ! -d "/home/$username/.mozilla/firefox" ] && [ -d "/home/$username/.mozilla/Firefox" ];
   	then
    		mv /home/$username/.mozilla/Firefox /home/$username/.mozilla/firefox
   	fi
	if [ ! -f "/home/$username/.mozilla/firefox/sambaedu.default/prefs.js" ];
	then 
		profile=$(ls -d --group-directories-first --sort=t /home/$username/.mozilla/firefox/Profiles/* 2>/dev/null | head -n1)
		if [ -d "$profile" ];
		then
			echo -n "récupération de $profile... "
			rm -fr "/home/$username/.mozilla/firefox/sambaedu.default"
			mv  $profile "/home/$username/.mozilla/firefox/sambaedu.default"
    	else
	 		profile=$(ls -d --group-directories-first --sort=t /home/$username/.mozilla/firefox/* 2>/dev/null | head -n1)
			if [ -d "$profile" ];
			then
				if  [ "$profile" != "/home/$username/.mozilla/firefox/sambaedu.default" ];
				then
					echo -n "récupération de $profile..."
					rm -fr "/home/$username/.mozilla/firefox/sambaedu.default"
					mv  $profile "/home/$username/.mozilla/firefox/sambaedu.default"
				else
					echo -n " déjà fait " 
				fi
	    	else
    			echo -n " rien trouvé, nouveau profil "
    			mkdir -p "/home/$username/.mozilla/firefox/sambaedu.default"
    			[ -d  "/home/$username/.mozilla/Firefox/" ] && rm -fr "/home/$username/.mozilla/Firefox/"
	    	fi
	    fi   
    else
    	echo -n "déjà fait."
    fi
    mkdir -p /home/profiles/$username.V6/AppData/Roaming/Mozilla/Firefox
	build="3B6073811A6ABF12"

echo "[Profile0]
Name=sambaedu
IsRelative=1
Path=sambaedu.default

[General]
StartWithLastProfile=1
Version=2

[Install${build}]
Default=sambaedu.default
Locked=1
" > /home/$username/.mozilla/firefox/profiles.ini

echo "[${build}]
Default=sambaedu.default
Locked=1
" > /home/$username/.mozilla/firefox/installs.ini

# firefox Windows

echo "[Install308046B0AF4A39CB]
Default=K:\\.mozilla\\firefox\\sambaedu.default
Locked=1

[Profile1]
Name=default-esr
IsRelative=0
Path=k:\\.mozilla\\Firefox\\sambaedu.default
Default=1

[Profile0]
Name=sambaedu
IsRelative=0
Path=K:\\.mozilla\\firefox\\sambaedu.default

[General]
StartWithLastProfile=1
Version=2
">/home/profiles/$username.V6/AppData/Roaming/Mozilla/Firefox/profiles.ini
todos /home/profiles/$username.V6/AppData/Roaming/Mozilla/Firefox/profiles.ini
echo "[308046B0AF4A39CB]
Default=K:\\.mozilla\\firefox\\sambaedu.default
Locked=1
">/home/profiles/$username.V6/AppData/Roaming/Mozilla/Firefox/installs.ini
todos /home/profiles/$username.V6/AppData/Roaming/Mozilla/Firefox/installs.ini
#	chown -R $username /home/profiles/$username.V6/AppData/Roaming/Mozilla
    chown -R $username "/home/$username/.mozilla"
    rm -fr /home/profiles/$username.V6/AppData/Roaming/Mozilla/Firefox/Profiles

#####################################################

echo -n " Thunderbird : "
if [ ! -d "/home/$username/.thunderbird" ];
    then
    if [ -d "/home/$username/AppData/Roaming/Thunderbird" ];
    then
    	mv /home/$username/AppData/Roaming/Thunderbird /home/$username/.thunderbird
	fi
fi
if [ ! -f "/home/$username/.thunderbird/Profiles/sambaedu.default/prefs.js" ];
then 
	profile=$(ls -d --group-directories-first --sort=t /home/$username/.thunderbird/Profiles/* 2>/dev/null | head -n1)
	if [ -d "$profile" ];
	then
		if [ "$profile" != "/home/$username/.thunderbird/Profiles/sambaedu.default" ];
		then
			echo " récupération de $profile..."
			rm -f "/home/$username/.thunderbird/Profiles/sambaedu.default"
			mv  $profile "/home/$username/.thunderbird/Profiles/sambaedu.default"
		else
			echo " déjà fait"
		fi
   	else
   		echo " rien trouvé, nouveau profil"
   		mkdir -p "/home/$username/.thunderbird/Profiles/sambaedu.default"	
   	fi
else
   	echo " déjà fait"
fi

# thunderbird Linux

build="FDC34C9F024745EB"

echo "[Profile0]
Name=sambaedu
IsRelative=1
Path=Profiles/sambaedu.default

[General]
StartWithLastProfile=1
Version=2

[Install${build}]
Default=Profiles/sambaedu.default
Locked=1
" > /home/$username/.thunderbird/profiles.ini

echo "[${build}]
Default=Profiles/sambaedu.default
Locked=1
" > /home/$username/.thunderbird/installs.ini
    
    [ -d "/home/$username/.thunderbird" ] && chown -R $username "/home/$username/.thunderbird"
    rm -fr /home/profiles/$username.V6/AppData/Roaming/Thunderbird/Profiles

########################################
    
    [ -d "/home/$username/AppData/Roaming" ] && rsync -a /home/$username/AppData/Roaming/* /home/profiles/$username.V6/AppData/Roaming/
    rm -fr /home/profiles/$username.V6/MicrosoftEdgeBackups
    rm -fr /home/profiles/$username.V6/Autodesk
    rm -fr /home/profiles/$username.V6/TOSHIBA
    
   	# ajouter si besoin à la liste les dossiers qui grossissent
    
    # effacement Appdata/Roaming dans home
    # rm -fr /home/$username/AppData/Roaming
    rm -fr /home/profiles/$username.V2
    chown -R $username /home/profiles/$username.V6
    
    mkdir -p "/home/$username/Docs"
    if [ -d "/home/$username/Documents" ]; then
    	cp -a "/home/$username/Documents/*" "/home/$username/Docs/" || true
    fi 
    # rm -fr /home/$username/Documents
    #rm -fr /home/$username/Téléchargements
    rm -fr /home/$username/AppData
    # rm -fr /home/$username/Desktop
    chown -R $username /home/$username/Docs
#    chown -R $username /home/$username/Bureau
    #rm -fr /home/$username/.config
    #rm -fr /home/$username/.local
    #rm -fr /home/$username/.cache
    rm -f /home/$username/core
    #for vide in $(du --max-depth=1 /home/$username/ | sort | grep "^0" | cut -f2); do
    #	echo "rm -fr $vide"
    #done
done

echo "Subject: Cron <root@se4fs> Fin de la migration des profils

La mise à jour des profils est terminée, vous pouvez mettre à jour le se4ad si vous le souhaitez
" | sendmail root
