<?php

/**

 * Interface de gestion des acl
 * @Version $Id$
 * @Projet LCS / SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL
 * @Repertoire: acls
 * file: acls.php
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
include_once "ldap.inc.php";
include "ihm.inc.php";

$path = isset($_GET['path']) ? $_GET['path'] : "";
$repsup = isset($_GET['repsup']) ? $_GET['repsup'] : "";
$repinf = isset($_GET['repinf']) ? $_GET['repinf'] : "";
$chemin = isset($_GET['chemin']) ? $_GET['chemin'] : "";

$path = preg_replace("/(\.\.|\$|`|~|\|)/", "", $path);
$repsup = preg_replace("/(\.\.|\$|`|~|\|)/", "", $repsup);
$repinf = preg_replace("/(\.\.|\$|`|~|\|)/", "", $repinf);
$chemin = preg_replace("/(\.\.|\$|`|~|\|)/", "", $chemin);
if (have_right($config, SE_ADMIN)) {

    echo "<H1>Attribution d'ACLs</H1><P>";
    echo "<small>";
    echo "<B>Répertoire dont vous voulez modifier les ACLs :</B><BR>";
    $chemininit = "/var/sambaedu";
    if ($path == "") {
        $chemin = $chemininit;
    }
    if ($repsup == 1) {
        $repinf = substr("$repinf", 0, - 1);
        $ici = $repinf;
        $repinf = explode("/", $repinf);
        $repinf = end($repinf);
        $ici = preg_replace("|" . $repinf . "|", "", $ici);
        $test = $ici;
        $test = substr("$test", 0, - 1);
    } else {
        $ici = $chemin;
        $ici .= $path;
        $test = $ici;
        $ici .= "/";
    }
    if ($test != $chemininit) {
        echo "<a href=\"acls.php?repsup=1&repinf=$ici\">Répertoire parent<BR></a>";
    }
    $repsup = 0;
    if (! preg_match("|" . $chemininit . "|", $ici)) {
        $ici = $chemininit . "/";
    }
    exec("/usr/bin/sudo /usr/share/sambaedu/scripts/ls.sh " . $ici);
    $rep = file("/tmp/resultat");
    for ($i = 0; $i < count($rep); $i ++) {
        echo "<a href=\"acls.php?path=$rep[$i]&chemin=$ici\">$rep[$i]</a><br>";
    }

    $test = substr("$ici", 0, - 1);
    $type = "repertoire";
    exec("/usr/bin/sudo /usr/share/sambaedu/scripts/testfichier.sh " . $test);
    $fich = file("/tmp/testfichier.tmp");
    $fich = trim($fich[0]);
    if ($fich == "oui") {
        $type = "fichier";
    }
    $repertoire = $test;
    echo "<BR><BR>Le <B>$type</B> sélectionné est :<B>$test</B>";

    echo "<form action=\"visuacls.php\" method=\"post\">";
    echo "<input type=\"hidden\" name=\"repertoire\" value=\"$repertoire\">
	<input type=\"hidden\" name=\"type_fich\" value=\"$type\">
	<input type=\"submit\" value=\"valider\">";
    echo "</form></small>";
} // fin is_admin

else
    echo "Vous n'avez pas les droits nécessaires pour ouvrir cette page...";

$html = "";
admin_footer_html($html);
echo $html;

?>