<?php
/**

 * Interface de gestion des acl
 * @Version $Id$
 * @Projet LCS / SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL
 * @Repertoire: acls
 * file: groups_listacls.php
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
$html .= header_authorize($config);
$html .= '
<div style="padding: 1em">
';
$html .= '
<script type="text/javascript">
    function Reporter(l) {
        var nouveau=l.options[l.options.selectedIndex].value;
        window.opener.document.forms["visu"].elements["nouveau"].value=nouveau;
    }
</script>
';
echo $html;
include_once "ldap.inc.php";
include "ihm.inc.php";

$group = $_POST['group'];
$priority_group = $_POST['priority_group'];

if (! $group) {
    $filter = "(cn=*)";
} else {
    if ($priority_group == "contient") {
        $filter = "(cn=*$group*)";
    } elseif ($priority_group == "commence") {
        $filter = "(|(cn=Classe_$group*)(cn=Cours_$group*)(cn=Equipe_$group*)(cn=Matiere_$group*)(cn=$group*))";
    } else {
        $filter = "(|(cn=Classe_*$group)(cn=Cours_*$group)(cn=Equipe_*$group)(cn=Matiere_*$group)(cn=*$group))";
    }
}

$filter = preg_replace("/\*\*\*/", "*", $filter);
$filter = preg_replace("/\*\*/", "*", $filter);
$groups = filter_group($config, $filter);

if (count($groups)) {
    if (count($groups) == 1) {
        echo "<p><STRONG>" . count($groups) . "</STRONG> groupe répond à ces critères de recherche</p>\n";
    } else {
        echo "<p><STRONG>" . count($groups) . "</STRONG> groupes répondent à ces critères de recherche</p>\n";
    }
    echo "\n";
    echo "<form><select name=\"liste\" onChange=\"Reporter(this)\">";
    echo "<option value=\"\">Votre choix ...</option>";
    for ($loop = 0; $loop < count($groups); $loop ++) {
        echo "<option value=\"" . str_replace(" ", "\\\\040", $groups[$loop]["cn"]) . "\">" . $groups[$loop]["cn"] . "</option>";
    }
    echo "</select></form>\n";
} else {
    echo "<STRONG>Pas de résultats</STRONG> correspondant aux critères sélectionnés.<BR>";
}

echo "<br><br><center><B><a href=\"#\" onClick=\"window.close();\">Fermer la fenêtre</a></B></center><br><br>";

$html = "";
admin_footer_html($html);
echo $html;
?>
