<?php
/**

 * Interface de gestion des acl
 * @Version $Id$
 * @Projet LCS / SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL
 * @Repertoire: acls
 * file: peoples_listacls.php
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
$html .= header_authorize($config);
$html .= '
<div style="padding: 1em">
';
$html .= '
<script type="text/javascript">
    function Reporter(l) {
        var nouveau=l.options[l.options.selectedIndex].value;
        window.opener.document.forms["visu"].elements["nouveau"].value=nouveau;
    }
</script>
';
echo $html;
include_once "ldap.inc.php";
include "ihm.inc.php";

$nom = $_POST['nom'] ?? "";
$fullname = $_POST['fullname'] ?? "";
$priority_name = $_POST['priority_name'] ?? "";
$priority_surname = $_POST['priority_surname'] ?? "";

// Convertion en utf_8
$nom = utf8_encode($nom);
$fullname = utf8_encode($fullname);
// Construction du filtre de la branche people
if ($nom && ! $fullname) {
    // Recherche sur sn
    if ($priority_name == "contient") {
        $filter_people = "(sn=*$nom*)";
    } elseif ($priority_name == "commence") {
        $filter_people = "(sn=$nom*)";
    } else {
        $filter_people = "(sn=*$nom)";
    }
} elseif ($fullname && ! $nom) {
    // Recherche sur cn
    if ($priority_surname == "contient") {
        $filter_people = "(cn=*$fullname*)";
    } elseif ($priority_surname == "commence") {
        $filter_people = "(cn=$fullname*)";
    } else {
        $filter_people = "(cn=*$fullname)";
    }
} elseif ($fullname && $nom) {
    // Recherche sur sn ET cn
    if ($priority_name == "contient") {
        if ($priority_surname == "contient") {
            $filter_people = "(&(sn=*$nom*)(cn=*$fullname*))";
        } elseif ($priority_surname == "commence") {
            $filter_people = "(&(sn=*$nom*)(cn=$fullname*))";
        } else {
            $filter_people = "(&(sn=*$nom*)(cn=*$fullname))";
        }
    } elseif ($priority_name == "commence") {
        if ($priority_surname == "contient") {
            $filter_people = "(&(sn=$nom*)(cn=*$fullname*))";
        } elseif ($priority_surname == "commence") {
            $filter_people = "(&(sn=$nom*)(cn=$fullname*))";
        } else {
            $filter_people = "(&(sn=$nom*)(cn=*$fullname))";
        }
    } else {
        if ($priority_surname == "contient") {
            $filter_people = "(&(sn=*$nom)(cn=*$fullname*))";
        } elseif ($priority_surname == "commence") {
            $filter_people = "(&(sn=*$nom)(cn=$fullname*))";
        } else {
            $filter_people = "(&(sn=*$nom)(cn=*$fullname))";
        }
    }
}

if ($filter_people) {
    // // recherche dans la branche People
    // $users = search_people ($filter_people);
    $filter_people = preg_replace("/\*\*\*/", "*", $filter_people);
    $filter_people = preg_replace("/\*\*/", "*", $filter_people);
    // if ($filter_people && !$classe) {
    $peuple = search_ad($config, $filter_people, "filter", $config['dn']['people']);
    $users = array();
    foreach ($peuple as $key => $value) {
        $users[$key] = search_user($config, $value["cn"]);
    }
    usort($users, "cmp_nom");
    if (count($users)) {
        if (count($users) == 1) {
            echo "<p><STRONG>" . count($users) . "</STRONG> utilisateur répond à ces critères de recherche</p>\n";
        } else {
            echo "<p><STRONG>" . count($users) . "</STRONG> utilisateurs répondent à ces critères de recherche</p>\n";
        }

        echo "\n";
        echo "<form><select name=\"liste\" onChange=\"Reporter(this)\">";
        echo "<option value=\"\">Votre choix ...</option>";
        for ($loop = 0; $loop < count($users); $loop ++) {
            echo "<option value=\"" . str_replace(" ", "\\\\040", $users[$loop]["cn"]) . "\">" . $users[$loop]["fullname"] . "</option>";
        }
        echo "</select></form>\n";
    } else {
        echo "<STRONG>Pas de résultats</STRONG> correspondant aux critères sélectionnés.<BR>\n";
    }
} else {
    // Aucun criteres de recherche
    echo "<STRONG>Pas de résultats !</STRONG><BR>
Veuillez compléter au moins l'un des deux champs (nom, prénom) du formulaire de recherche !<BR>\n";
}

echo "<br><br><center><B><a href=\"#\" onClick=\"window.close();\">Fermer la fenêtre</a></B></center><br><br>";

$html = "";
admin_footer_html($html);
echo $html;

?>