<?php
/**

 * Interface de gestion des acl
 * @Version $Id$
 * @Projet LCS / SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL
 * @Repertoire: acls
 * file: acls.php
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
include_once "ldap.inc.php";
include "ihm.inc.php";

if (have_right($config, SE_ADMIN)) {

    $noms = $_POST['noms'];
    $propagation = $_POST['propagation'];
    $choix = $_POST['choix'];
    $nouveau = $_POST['nouveau'];
    $nomformulaire = $_POST['nomformulaire'];
    $repertoire = $_POST['repertoire'];

    $repertoire = preg_replace("/(\.\.|\$|`|~|\|)/", "", $repertoire);

    $nom = explode(",", $noms);
    $valeur = 0;

    if ($propagation == "oui")
        $propagation = "-R";

    for ($loop = 0; $loop < count($nom); $loop ++) {
        $tri = explode(" ", $nom[$loop]);
        if ($nomformulaire[$valeur] == "oui")
            $lecture = "r";
        else
            $lecture = "-";
        $valeur = $valeur + 1;
        if ($nomformulaire[$valeur] == "oui")
            $ecriture = "w";
        else
            $ecriture = "-";
        $valeur = $valeur + 1;
        if ($nomformulaire[$valeur] == "oui")
            $execution = "x";
        else
            $execution = "-";
        $valeur = $valeur + 1;

        if ($tri[0] != "Heritage") {
            $defaut = "non";
            if ($tri[0] == "Utilisateur")
                $type = "u";
            elseif ($tri[0] == "Groupe")
                $type = "g";
            elseif ($tri[0] == "Autres")
                $type = "o";
            elseif ($tri[0] == "Proprietaire")
                $type = "u";

            if ($nomformulaire[$valeur] == "oui")
                $effacer = "eff";
            else
                $effacer = "-m";
            $valeur = $valeur + 1;
            $nom1 = $tri[1];
            if ($tri[0] == "Autres" || $tri[0] == "Proprietaire" || $tri[1] == "proprietaire") {
                $nom1 = "x";
            }

            exec("/usr/bin/sudo /usr/share/sambaedu/scripts/acls.sh $effacer $type $nom1 $lecture $ecriture $execution \"$repertoire\" $defaut $propagation");
        }

        if ($tri[0] == "Heritage") {
            $defaut = "oui";
            if ($tri[1] == "utilisateur")
                $type = "u";
            elseif ($tri[1] == "groupe")
                $type = "g";
            elseif ($tri[1] == "autres")
                $type = "o";
            elseif ($tri[1] == "proprietaire")
                $type = "u";
            if ($nomformulaire[$valeur] == "oui")
                $effacer = "effd";
            else
                $effacer = "-m";
            $valeur = $valeur + 1;
            $nom1 = $tri[2];
            if ($tri[1] == "autres" || $tri[1] == "proprietaire" || $tri[2] == "proprietaire") {
                $nom1 = "x";
            }
            exec("/usr/bin/sudo /usr/share/sambaedu/scripts/acls.sh $effacer $type $nom1 $lecture $ecriture $execution \"$repertoire\" $defaut $propagation");
        }
    } // for ($loop=0; $loop < count ($nom) ; $loop++){

    if ($nouveau != "") {
        $defaut = "non";
        $effacer = "-m";
        if ($_POST['nouveaulecture'] == "oui")
            $lecture = "r";
        else
            $lecture = "-";
        if ($_POST['nouveauecriture'] == "oui")
            $ecriture = "w";
        else
            $ecriture = "-";
        if ($_POST['nouveauexecution'] == "oui")
            $execution = "x";
        else
            $execution = "-";
        $type = $choix;
        $nom1 = $nouveau;
        exec("/usr/bin/sudo /usr/share/sambaedu/scripts/acls.sh $effacer $type $nom1 $lecture $ecriture $execution \"$repertoire\" $defaut $propagation");
        if ($nouveauheritage == "oui") {
            $defaut = "oui";
            exec("/usr/bin/sudo /usr/share/sambaedu/scripts/acls.sh $effacer $type $nom1 $lecture $ecriture $execution \"$repertoire\" $defaut $propagation");
        }
    }
    echo "Les ACLs ont été modifiées";
} // fin is_admin
else
    echo "Vous n'avez pas les droits nécessaires pour ouvrir cette page...";

$html = "";
admin_footer_html($html);
echo $html;

?>