<?php
/**

 * Ajoute des groupe dans l'annuaire
 * @Version $Id$
 * @Projet LCS / SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL

 * @Repertoire: annu
 * file: add_group.php

 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
include_once "ldap.inc.php";
include "ihm.inc.php";

$add_group = "";
$description = "";
$intitule = "";
$prefix = "";
$categorie = "";
foreach ($_POST as $cle => $val) {
    $$cle = $val;
}

echo "<h1>Annuaire</h1>\n";

echo aff_trailer("6");

if (have_right($config, SE_USER_ADMIN)) {
    // Ajout d'un groupe d'utilisateurs
    if ((! $add_group) || (($add_group) && ((! $description || ! verifDescription($description)) || (! $intitule || ! verifIntituleGrp($intitule))))) {
        ?>
<form action="add_group.php" method="post">
    <table>
        <tbody>
            <tr>
                <td><?php echo "Préfix :"; ?></td>
                <td valign="top"><input type="text" name="prefix"
                    size="2">&nbsp;<font color="orange"><u>Exemple</u> :
                        <b>LP, LT</b></font></td>
            </tr>
            <tr>
                <td><?php echo "Catégorie :"; ?></td>
                <td valign="top"><select name="categorie">
                        <option><?php echo "Classe"; ?></option>
                        <option><?php echo "Cours"; ?></option>
                        <option><?php echo "Matiere"; ?></option>
                        <option><?php echo "Projet"; ?></option>
                        <option><?php echo "Autre"; ?></option>
                </select></td>
            </tr>
            <tr>
                <td><?php echo "Intitulé :"; ?></td>
                <td valign="top"><input type="text" name="intitule"
                    size="20"></td>
            </tr>
            <tr>
                <td><?php echo "Description :"; ?></td>
                <td valign="top"><input type="text" name="description"
                    size="40"></td>
            </tr>
            <tr>
                <td></td>
                <td></td>
                <td><input type="hidden" name="add_group" value="true">
                    <input type="submit"
                    value=<?php print("Lancer la requête"); ?>></td>
            </tr>
        </tbody>
    </table>
</form>


<?php
        // Message d'erreurs de saisie
        if ($add_group && (! $intitule || ! $description)) {
            echo "<div class=error_msg>Vous devez saisir un nom de groupe et une description !</div><br>\n";
        } elseif ($add_group && ! verifDescription($description)) {
            echo "<div class=error_msg>Le champ description comporte des caractères interdits !</div><br>\n";
        } elseif ($add_group && ! verifIntituleGrp($intitule)) {
            echo "<div class=error_msg>Le champ intitulé ne doit pas commencer ou se terminer par l'expresssion : Classe, Equipe ou Matiere !</div><br>\n";
        }
    } else {
        $intitule = enleveaccents2($intitule);
        // Construction du cn du nouveau groupe
        if ($prefix)
            $prefix = $prefix . "_";
        if ($categorie == "Autre") {
            $categorie = "";
            $typeGroupe = "other_group";
        } else {
            $typeGroupe = strtolower($categorie);
            $categorie = $categorie . "_";
        }
        $cn = $categorie . $prefix . $intitule;

        // Verification de l'existance du groupe
        $groups = filter_group($config, "(cn=$cn)");

        if (count($groups)) {
            echo "<div class='error_msg'>Attention le groupe <font color='#0080ff'> <a href='group.php?filter=$cn' style='color:#0080ff' target='_blank'>$cn</a></font> est déja présent dans la base, veuillez choisir un autre nom !</div><BR>\n";
        } else {
            // Ajout du groupe
            $description = stripslashes($description);
            $res = create_group($config, $intitule, $description, $typeGroupe);
            if ($res) {
                if ($typeGroupe == "classe") {
                    echo "<div class=error_msg>La classe <a href='add_list_users_group.php?cn=" . ucfirst($cn) . "' title=\"Ajouter des membres au groupe\"> " . ucfirst($cn) . " </a>  a été ajouté avec succès.</div><br>\n";
                } else {
                    echo "<div class=error_msg>Le groupe <a href='aj_ssgroup.php?cn=" . ucfirst($cn) . "' title=\"Ajouter des membres au groupe\"> " . ucfirst($cn) . " </a>  a été ajouté avec succès.</div><br>\n";
                }
            } else {
                echo "<div class=error_msg>Echec, le groupe <font color='#0080ff'>" . ucfirst($cn) . "</font> n'a pas été créé !\n";

                echo "&nbsp;Veuillez contacter</div> l'administrateur du système</A><BR>\n";
            }
        }
    }
} else {
    echo "<div class=error_msg>Cette fonctionnalité, nécessite les droits d'administrateur du serveur SambaEdu !</div>";
}

$html = "";
admin_footer_html($html);
echo $html;
?>