<?php

/**

 * Ajoute des groupe dans l'annuaire
 * @Version $Id$
 * @Projet LCS / SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL
 * @Repertoire: annu
 * file: aj_ssgroup.php
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
include_once "ldap.inc.php";
include "ihm.inc.php";

$classe_gr = $cours_gr = $equipe_gr = $matiere_gr = $autres_gr = "";
echo "<h1>Annuaire</h1>";

if (have_right($config, SE_USER_ADMIN)) {
    $cn = urldecode($_GET["cn"] ?? "");
    $description = (isset($_GET["description"]) ? $_GET["description"] : "");
    echo "<form action=\"affichageleve.php\" method=\"post\">";
    echo "<B>Sélectionner le(s) groupe(s) dans le(s)quel(s) se situent les personnes à mettre dans le groupe : </B><BR><BR>";

    ?>
<table border="0" cellspacing="10">
    <tr>
        <td><?php echo "Classes"; ?></td>
        <td><?php echo "Cours"; ?></td>
        <td><?php echo "Equipes"; ?></td>
        <td><?php echo "Matières"; ?></td>
        <td><?php echo "Autres"; ?></td>
    </tr>
<?php
    echo "<tr>";
    echo "<td valign=\"top\">";

    $action = '1';
    echo "<select name= \"classe_gr[]\" value=\"$classe_gr\" size=\"10\" multiple=\"multiple\">\n";
    $list_classes = filter_group_classes($config);

    // usort($list_classes, "cmp_cn");
    for ($loop = 0; $loop < count($list_classes); $loop ++) {
        echo "<option value='" . $list_classes[$loop]["cn"] . "'>" . $list_classes[$loop]["cn"];
    }
    echo "</select>";
    echo "</td>";

    // Affichage Select groupe cours
    echo "<td>\n";
    echo "<select name= \"cours_gr[]\" value=\"$cours_gr\" size=\"10\" multiple=\"multiple\">\n";
    $list_cours = filter_group_cours($config);
    // usort($list_cours, "cmp_cn");
    for ($loop = 0; $loop < count($list_cours); $loop ++) {
        echo "<option value='" . $list_cours[$loop]["cn"] . "'>" . $list_cours[$loop]["cn"];
    }
    echo "</select>";
    echo "</td>";

    // Affichage Select groupe equipes
    echo "<td>\n";
    echo "<select name= \"equipe_gr[]\" value=\"$equipe_gr\" size=\"10\" multiple=\"multiple\">\n";
    $list_equipes = filter_group_equipes($config);
    // usort($list_equipes, "cmp_cn");
    for ($loop = 0; $loop < count($list_equipes); $loop ++) {
        echo "<option value='" . $list_equipes[$loop]["cn"] . "'>" . $list_equipes[$loop]["cn"];
    }
    echo "</select>";
    echo "</td>";

    // Affichage Select groupe matieres
    echo "<td>\n";
    echo "<select name=\"matiere_gr[]\" value=\"$matiere_gr\" size=\"10\" multiple=\"multiple\">";
    $list_matieres = filter_group_matieres($config);
    // usort($list_matieres, "cmp_cn");
    for ($loop = 0; $loop < count($list_matieres); $loop ++) {
        echo "<option value='" . $list_matieres[$loop]["cn"] . "'>" . $list_matieres[$loop]["cn"];
    }
    echo "</select>";
    echo "</td>";

    // Affichage Select groupe principaux, projets et autres
    echo "<td valign=\"top\">
    <select name=\"autres_gr[]\" value=\"$autres_gr\" size=\"10\" multiple=\"multiple\">";
    echo "<option value=administratifs>administratifs";
    echo "<option value=eleves>eleves";
    echo "<option value=profs>profs";
    $list_autres = filter_group_projets($config);
    // usort($list_autres, "cmp_cn");
    for ($loop = 0; $loop < count($list_autres); $loop ++) {
        echo "<option value='" . $list_autres[$loop]["cn"] . "'>" . $list_autres[$loop]["cn"];
    }
    $list_autres = filter_group_autres($config);
    usort($list_autres, "cmp_cn");
    for ($loop = 0; $loop < count($list_autres); $loop ++) {
        echo "<option value='" . $list_autres[$loop]["cn"] . "'>" . $list_autres[$loop]["cn"];
    }
    echo "</select>";
    echo "</td>";

    echo "</tr></table>";
    ?>

    <input type="submit" value="<?php echo "valider";?>">
    <input type="reset"
        value="<?php echo "Réinitialiser la sélection";?>">
    <input type="hidden" name="cn" value=<?php echo urlencode($cn) ?>>
    <input type="hidden" name="description"
        value=<?php echo $description ?>>
    <input type="hidden" name="action" value=<?php echo $action ?>>
    <?php
    echo "</form></small>";
} else { // fin is_admin
    echo "Vous n'avez pas les droits nécessaires pour ouvrir cette page...";
}
$html = "";
admin_footer_html($html);
echo $html;
?>