<?php

/**
 * Affiche les utilisateurs a partir de l'annuaire
 * @Version $Id$
 * @Projet LCS / SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL
 * @Repertoire: annu
 * file: annu.php
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
require_once "ldap.inc.php";
include "ihm.inc.php";
require_once "fonc_outils.inc.php";
require_once "ent.inc.php";
echo "<h1>Annuaire</h1>\n";

echo aff_trailer("1");
if (! empty($_GET['delete'])) {
    delete_temp_user($config, $html, true);
}
$html = "";
aff_mnu_search(have_right($config, SE_USER_ADMIN), $html);
echo $html;
if (have_right($config, SE_USER_ADMIN)) {
    // echo "<ul><li><b>Administration :</b></li>";
    echo "<ul><li><b>Administration :</b>\n";
    echo "<ul>\n";
    echo "<li><a href=\"delete_right.php\">Enlever un droit d'administration.</a></li>\n";
    // echo "<li><a href=\"peoples_desac.php\">Désactiver des comptes.</a></li>\n";
    // echo "<li><a href=\"peoples_desac.php?action=activ\">Activer des comptes.</a></li>\n";
    echo "<li><a href=\"../infos/infomdp.php\">Tester les mots de passe.</a></li>\n";
    echo "<li><a href=\"reinit_mdp.php\">Réinitialiser/Modifier les mots de passe.</a></li>\n";
    echo "<li><a href=\"remplace.php\">Attribution des droits à un remplaçant.</a></li>\n";
    if (! empty($config['temp_users']) && empty($config['no_temp_users'])) {
        echo "<li><a href=\"annu.php?delete=true\">Effacer les comptes temporaires.</a></li>\n";
    }
    echo "</ul>\n";
    echo "</li>\n";
    echo "</ul>\n";
    if (isset($_POST['hiddeninput'])) {
        include ("listing.inc.php");
    }
} elseif (have_right($config, SE_USER_PASSWORD_INIT)) {
    echo "<li><a href=\"reinit_mdp.php\">Réinitialiser/Modifier les mots de passe.</a></li>\n";
    if (! empty($config['temp_users']) && empty($config['no_temp_users'])) {
        echo "<li><a href=\"annu.php?delete=true\">Effacer les comptes temporaires.</a></li>\n";
    }
    if (isset($_POST['hiddeninput'])) {
        include ("listing.inc.php");
    }
}

$html = "";
admin_footer_html($html);
echo $html;
?>