<?php
/**

 * configure l'integration ENT

 * @Projet SambaEdu

 * @auteurs denis bonnenfant

 * @Licence Distribue selon les termes de la licence GPL

 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
include "ihm.inc.php";
require_once ("ldap.inc.php");
require_once ("fonc_outils.inc.php");
require_once ("fonc_parc.inc.php");
require_once 'ent.inc.php';

if (! isset($_POST['ent'])) {
    $ent = [];
    foreach ($config as $key => $value) {
        $param = [];
        if (preg_match("/^(ent|pronote|openent)_(.*)$/", $key, $param) == 1) {
            $ent[$param[1] . "_" . $param[2]] = $value;
        }
        // $ent[$key] = $value;
    }
} else {
    $ent = $_POST['ent'];
}
if (have_right($config, SE_USER_ADMIN)) {
    echo "<h1>Intégration ENT</h1>\n";
    $page = "config_ent.php";
    // echo refresh_page($page);
    echo "<form action=\"" . $page . "\" method=\"post\">\n";
    echo form_config_ent($config, $ent);
    echo "</form>";
}
$html = "";
admin_footer_html($html);
echo $html;
?>