<?php

/**
 * Supprime les profiles Win 10
 * @Projet SambaEdu
 * @auteurs denis.bonnenfant@sambaedu.org
 * @Licence Distribue selon les termes de la licence GPL
 * @note
 */

/**
 *
 * @Repertoire: annu
 * file: del_nt_profile.php
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
include "ihm.inc.php";
include_once "partages.inc.php";
include_once "fonc_parc.inc.php";
include_once "fonc_outils.inc.php";

$cn = $_GET['cn'];
$action = $_GET['action'];
$login = $config['login'];
echo "<h1>Annuaire</h1>\n";

echo aff_trailer("3");
if ((have_right($config, SE_USER_ADMIN)) || (have_right($config, SE_USER_PASSWORD_INIT | SE_USER_READ | SE_USER_MODIFY)) || ($cn == $login)) {
    if (! $cn) {
        echo "<div class=error_msg>Vous devez préciser le login du compte pour effacer son profil ! !</div>";
    } elseif ($action == "del") {
        $machines = get_smbmachine($config, $cn);
        foreach ($machines as $machine) {
            start_poste($config, "reboot", $machine);
        }
        echo clean_profiles($config, $cn);
    }
} else {
    echo "<div class=error_msg>Cette fonctionnalité, nécessite le droit sovajon_is_admin</div>";
}

$html = "";
admin_footer_html($html);
echo $html;
?>