<?php
/**
 * import de fichiers csv
 * @Projet SambaEdu
 * @auteurs denis bonnenfant
 * @Licence Distribue selon les termes de la licence GPL
 *
 *
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
include "ihm.inc.php";
require_once ("ldap.inc.php");
require_once ("fonc_outils.inc.php");
require_once ("fonc_parc.inc.php");
require_once 'ent.inc.php';
require "pronote.inc.php";
require "partages.inc.php";

$end = false;
$force = false;
$ad_cns = $_POST['ad'] ?? $_GET['ad'] ?? array();
$files = $_FILES;
$action = $_POST['action'] ?? $_GET['action'] ?? "nouveau";
$form = $_POST['form'] ?? $_GET['form'] ?? "match";
$session = $_POST['lock'] ?? "";

if (have_right($config, SE_USER_ADMIN)) {
    echo "<h1>Importation Fichiers ASM</h1><br>\n";
    // echo refresh_page($page);
    $page = "import_asm.php#end";
    echo "<FORM name=\"ent\" enctype=\"multipart/form-data\" action=\"" . $page . "\" method=\"post\">\n";
    if (empty($session)) {
        // nouvel import
        $session = session_id();
    }
    $ent['ent_type'] = "asm";
    if (count($ent) == 0) {
        echo form_config_ent($config, $ent, true);
        echo form_ent_next("nouveau");
        echo "</form>";
    } else {
        $file_type = $_POST['file_type'] ?? $ent['ent_type'];
        echo "<input type=\"hidden\" name=\"file_type\" value=\"" . $file_type . "\">";
        echo "<input type=\"hidden\" name=\"ent[ent_type]\" value=\"" . $file_type . "\">";
        $lock = apcu_fetch('ent_lock');
        if (empty($lock) || $action == "nouveau_force") {
            echo "Suppression du verrou.<br>";
            $session = session_id();
            $lock['lock'] = $session;
            // apcu_add('ent_lock', $lock, $config['ent_timeout']);
            apcu_store('ent_lock', $lock);
        }
        if ($lock['lock'] != $session) {
            echo "session : " . $session . " lock :  " . $lock['lock'] . "<br>";
            echo "Un import est déjà en cours, ou a été interrompu avant d'être fini. Vous pouvez recommencer plus tard, ou forcer une nouvelle importation.<br>\n";
            echo "<input type=\"hidden\" name=\"lock\" value=\"" . $session . "\">";
            echo form_ent_next("nouveau_force");
        } else {
            apcu_add('ent_lock', [
                'lock' => $session
            ], $config['ent_timeout']);
            echo "<input type=\"hidden\" name=\"lock\" value=\"" . $session . "\">";
            if ($action == "nouveau_force") {
                $force = true;
                apcu_delete('ent');
            }
            if ($action == "nouveau" || $action == "nouveau_force") {
                apcu_delete('ent_html');
                apcu_delete('ent');
                apcu_delete('match');
                apcu_delete('group');
                apcu_delete('ent_lock');
                apcu_delete('group');
                apcu_delete('match');
                apcu_delete('total');
                apcu_delete('ad_users');
                apcu_delete('new');
                apcu_delete('listing');
                echo upload_ent($config, $files, $file_type);
                echo form_ent_next("read_file");
            } elseif ($action == "read_file") {
                echo upload_ent($config, $files, $file_type);
                echo form_ent_next("match");
            } elseif ($action == "match") {
                $end = match_ad_from_ent($config, 20, true, true);
                echo apcu_fetch('ent_html');
                if ($end) {
                    // apcu_delete('ent_html');
                    echo form_ent_next("commit");
                } else {
                    echo form_ent_next("match");
                }
            } elseif ($action == "commit") {
                $remove = false;
                $end = update_ad_from_ent($config, 10, $remove, true);
                echo apcu_fetch('ent_html');
                echo apcu_fetch('ent_type') . " : " . apcu_fetch('ent_count') . " comptes restant à traiter...<br>";
                if ($end) {
                    apcu_delete('ent_lock');
                    $headers = 'MIME-Version: 1.0' . "\n";
                    $headers .= 'Content-type: text/html; charset=utf-8' . "\n";
                    mail("root", "[" . $config['se4fs_name'] . "] Fin d'import CSV ASM", "<b>Début d'import :</b><p>" . apcu_fetch('ent_html') . "<b>Fin d'import</b>", $headers);
                    apcu_delete('ent_html');
                    echo form_ent_next("nouveau_force");
                } else {
                    echo form_ent_next("commit");
                }
            }
        }
        echo "</form>";
        echo "<a id=\"end\"></a>";
        if ($end && $action == "commit") {
            echo generate_listing();
            echo "<b> Importation terminée </b>";
            batch_write();
            apcu_delete('ent_lock');
            apcu_delete('ent');
            apcu_delete('match');
        } elseif (! $end && ($action == "commit" || $action == "match")) {
            echo "<script type=\"text/javascript\">";
            // $html .= "document.forms[\"ent\"].submit()";
            echo "var wait = setTimeout(document.ent.submit(), 29000)";
            echo "</script>";
        }
    }
}
$html = "";
admin_footer_html($html);
echo $html;
?>
