<?php
/**

 * Ajoute des groupe dans l'annuaire
 * @Version $Id$
 * @Projet LCS / SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL
 * @Repertoire: annu
 * file: mod_group_descriup.php
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
include_once "ldap.inc.php";
include "ihm.inc.php";

if (! have_right($config, SE_USER_ADMIN)) {
    echo ("Vous n'avez pas les droits suffisants pour accéder à cette fonction");
    $html = "";
    admin_footer_html($html);
    echo $html;
    die();
}
echo "<h1>Annuaire</h1>";

if (isset($_POST['cn']))
    $cn = $_POST['cn'];
elseif (isset($_GET['cn']))
    $cn = $_GET['cn'];
else
    $cn = '';

if ($cn == "") {
    echo "<p>ERREUR : Il faut choisir un nom</p>\n";
    $html = "";
    admin_footer_html($html);
    echo $html;
    die();
}

$mod_descrip = $_POST['mod_descrip'] ?? "";

$filter = "8_" . $cn;
echo aff_trailer("$filter");
$group = filter_group($config, "(cn=" . $cn . ")");
$description = $_POST['description'] ?? "";
// var_dump($description);

if ((! $mod_descrip) || ($mod_descrip && (! $description || ! verifDescription($description)))) {
    echo "Modification de la description du groupe : <b>" . $group[0]["cn"] . "</b>\n";
    ?>
<form action="mod_group_descrip.php" method="post">
    <table border="0" width="90%" align="center">
        <tbody>
            <tr>
                <td><?php echo "Description :"; ?></td>
                <td width="73%" colspan="2"><input type="text"
                    name="description"
                    value="<?php echo $group[0]["description"] ?>"
                    size="60"></td>
                <td></td>
            </tr>
            <td align="left"><input type="hidden" name="cn"
                value="<?php echo $cn ?>"> <input type="hidden"
                name="mod_descrip" value="true"> <input type="submit"
                value="<?php echo "Lancer la requête"; ?>"></td>
            </tr>
        </tbody>
    </table>
</form>
<?php
    if ($mod_descrip) {
        if (! $description) {
            echo "<div class=\"error_msg\">Vous devez saisir une description pour ce groupe !</div><BR>\n";
        } elseif (! verifDescription($description)) {
            echo "<div class=error_msg>Le champ description comporte des caractères interdits !</div><br>\n";
        }
    }
} else {
    # DEBUG
    # echo "Debug : ".$group[0]["cn"]." ".$description."<BR>\n";
    $entry["description"] = utf8_encode(stripslashes($description));
    // Modification de la description
    $ds = modify_ad($config, $cn, "group", $entry, "replace");
    if ($ds) {

        echo "La description du groupe&nbsp;<strong>" . $group[0]["cn"] . "</strong>&nbsp;à été modifiée avec succès.</br>\n";
        echo "<u>Nouvelle description</u> :&nbsp;" . stripslashes($description) . "<BR>\n";
    } else {
        echo "<strong>Echec de la modification du groupe " . $group[0]["cn"] . "<BR>\n";
    }
}

$html = "";
admin_footer_html($html);
echo $html;
?>