<?php
/**
 * Gestion du professeur remplacant
 * @Version $Id$
 * @Projet SambaEdu
 * @auteurs Equipe SambaÉdu
 * @Licence Distribue selon les termes de la licence GPL
 * @note
 */
/**
 *
 * @Repertoire: annu
 * file: remplace.php
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
include_once "ldap.inc.php";
include "ihm.inc.php";

echo "<h1>Annuaire</h1>\n";

if (! have_right($config, SE_USER_ADMIN)) {
    echo "<div class=error_msg>Cette application, nécessite les droits d'administrateur du serveur SambaEdu !</div>";
    $html = "";
    admin_footer_html($html);
    echo $html;
    die();
}

$cn = $_POST['cn'] ?? "";
$rpl = $_POST['remplacant'] ?? "";

if ($cn == "") {

    $people = search_ad($config, "*", "memberof", "Profs");
    echo aff_trailer("1");
    if (count($people)) {
        // affichage des resultats
        // Nettoyage des _ dans l'intitule du groupe
        echo "<FORM action=\"remplace.php\" method=\"post\">\n";
        $liste = "";
        for ($loop = 0; $loop < count($people); $loop ++) {
            $liste = $liste . "<OPTION VALUE=\"" . $people[$loop]["cn"] . "\">" . $people[$loop]["fullname"] . "</OPTION>";
        }
        // Professeur abs
        echo "<TABLE BORDER=0><TR><TD><BR>Professeur absent</TD><TD><BR>";
        echo "<SELECT name='cn'>";
        echo $liste;
        echo "</SELECT> </TD>\n";
        echo "</TR></TABLE><BR><HR>\n";

        // Professeur remplacant
        echo "<TABLE BORDER=0><TR><TD><BR>Professeur remplaçant</TD><TD><BR>";
        echo "<SELECT name='remplacant'>";
        echo $liste;
        echo "</SELECT> </TD>\n";
        echo "</TR>\n";

        echo "</TABLE><HR><div align=center><input type=\"submit\" Value=\"Vérifier les droits de l'absent et du remplaçant\"></div></FORM>";
    }
} else {
    $absent = search_user($config, $cn);
    if ($rpl == "") {
        die("cette valeur ne peut être vide");
    } else {
        $remplacant = search_user($config, $rpl);
    }

    // var_dump($remplacant);
    // var_dump($absent);

    $list_current_groups_absent = array();
    $rights_branch = $config['dn']['rights'];
    if (isset($absent['memberof'])) {
        foreach ($absent['memberof'] as $line) {
            if (! preg_match("/$rights_branch/i", $line)) {
                $list_current_groups_absent[] = ldap_dn2cn($line);
            }
        }
    }

    $list_current_groups_remplacant = array();
    $rights_branch = $config['dn']['rights'];
    if (isset($remplacant['memberof'])) {
        foreach ($remplacant['memberof'] as $line) {
            if (! preg_match("/$rights_branch/i", $line)) {
                $list_current_groups_remplacant[] = ldap_dn2cn($line);
            }
        }
    }

    if ($absent == $remplacant) {
        echo "<BR>Le professeur <B>" . $remplacant[fullname] . "</B> se remplace lui-même; Vous appliquez les décisions du ministre. C'est bien, poursuivez...<BR><BR><HR>";
    } else {
        echo "Attribution des cours,classes, equipes et droits de gestion serveur de <B>" . $absent[fullname] . "</B> à <B>" . $remplacant[fullname] . "</B>.<BR><BR>";
        echo "<B>" . $remplacant[fullname] . "</B> sera ajouté dans les groupes suivants :";
        echo "<FORM action=\"add_user_group.php\" method=\"post\">\n";
        echo "<TABLE BORDER=0><TR><BR>";
        if (count($list_current_groups_absent)) {
            // var_dump($list_current_groups_absent);
            for ($loop = 0; $loop < count($list_current_groups_absent); $loop ++) {
                // echo "<LI><A href=\"group.php?filter=".$list_current_groups[$loop]["cn"]."\">";
                echo "<BR>";
                $usergrpe = $list_current_groups_absent[$loop];
                if ("$usergrpe" == "Profs") {
                    echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
                }

                if (preg_match("/Cours_/", $list_current_groups_absent[$loop])) {
                    echo "<INPUT TYPE=CHECKBOX NAME=cours_gr[] VALUE='" . $usergrpe . "'  CHECKED> &nbsp;";
                } elseif (preg_match("/Equipe_/", $list_current_groups_absent[$loop])) {
                    echo "<INPUT TYPE=CHECKBOX NAME=equipe_gr[] VALUE='" . $usergrpe . "'  CHECKED> &nbsp;";
                } elseif (preg_match("/Matiere_/", $list_current_groups_absent[$loop])) {
                    echo "<INPUT TYPE=CHECKBOX NAME=matiere_gr[] VALUE='" . $usergrpe . "'  CHECKED> &nbsp;";
                } elseif ("$usergrpe" == "Profs") {
                    echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
                } else {
                    echo "<INPUT TYPE=CHECKBOX NAME=autres_gr[] VALUE='" . $usergrpe . "'  UNCHECKED> &nbsp;";
                }
                echo $list_current_groups_absent[$loop];
                echo "</A>,<font size=\"-2\"> " . $list_current_groups_absent[$loop];
                echo "</font>\n";
            }
        }

        echo "<INPUT type=hidden name=cn value=$rpl>";
        // echo "<input type=\"hidden\" name=\"categorie\" value=\"Profs\">";
        echo "<input type=\"hidden\" name=\"add_user_group\" value=\"true\">";
        echo "<input type=\"hidden\" name=\"remplacant\" value=\"true\">";
        echo "</TABLE><HR><div align=center><input type=\"submit\" Value=\"Attribuer les droits au remplacant\"></div></FORM></TR></HTML>";
    }
}

$html = "";
admin_footer_html($html);
echo $html;
?>