<?php
/*
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
include "ihm.inc.php";
include "firefox.inc.php";

$html = "";

if (have_right($config, SE_ADMIN)) {
    $action = $_POST['valider'] ?? "";
    $suppr = $_POST['suppr'] ?? "";
    $ext_suppr = $_POST['ext_suppr'] ?? "";
    /**
     * Si on a ajouté modifié ou supprimé un lien
     */
    $json = ff_import_policy($config, "", 'linux', false);
    if (! empty($action) || ! empty($suppr) || ! empty($ext_suppr)) {
        if (! empty($_POST['Homepage'])) {
            $json['policies']['Homepage'] = [
                'URL' => $_POST['Homepage'],
                "Locked" => true,
                "StartPage" => "homepage"
            ];
        }
        /**
         * Suppression d'un lien
         */
        if (is_array($suppr)) {
            foreach ($suppr as $key => $value) {
                unset($_POST['Title'][$key]);
            }
        }
        /**
         * Ajout ou modif
         */
        unset($json['policies']['Bookmarks']);
        foreach ($_POST['Title'] as $key => $value) {
            if (! empty($value)) {
                $json['policies']['Bookmarks'][] = [
                    'Title' => $value,
                    'URL' => $_POST['URL'][$key],
                    'Folder' => $_POST['Folder'][$key],
                    "Placement" => "toolbar"
                ];
            }
        }
        if (is_array($ext_suppr)) {
            foreach ($ext_suppr as $key => $value) {
                unset($_POST['installation_mode'][$key]);
                unset($_POST['install_url'][$key]);
            }
        }
        $etoile = $json['policies']['ExtensionSettings']['*'];
        unset($json['policies']['ExtensionSettings']);
        $json['policies']['ExtensionSettings']['*'] = $etoile;
        foreach ($_POST['installation_mode'] as $key => $value) {
            if ($key == "new") {
                if (! empty($_POST['ext_id'])) {
                    $json['policies']['ExtensionSettings'][$_POST['ext_id']]['installation_mode'] = $value;
                } elseif (! empty($_POST['install_url']['new'])) {
                    if ($id = get_ff_ext_id($config, $_POST['install_url']['new'], $html)) {
                        $json['policies']['ExtensionSettings'][$id]['installation_mode'] = $value;
                        if ($value != "blocked") {
                            $json['policies']['ExtensionSettings'][$id]['install_url'] = $_POST['install_url']['new'];
                        }
                    } else {
                        $html .= $html;
                    }
                }
            } else {
                if (! empty($value)) {
                    $json['policies']['ExtensionSettings'][$key]['installation_mode'] = $value;
                    if ($value != "blocked" && ! empty($_POST['install_url'][$key])) {
                        $json['policies']['ExtensionSettings'][$key]['install_url'] = $_POST['install_url'][$key];
                    }
                }
            }
        }
        ff_export_policy($config, $json, "/etc/sambaedu/applications/firefox/default.json");
    }
    $html .= ff_form_policy($config, $json);
} else {
    $html .= "Vous n'avez pas les droits nécessaires pour ouvrir cette page...";
}
echo $html;
// Footer
$html = "";
admin_footer_html($html);
echo $html;
?>
