<?php
//
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
include "ihm.inc.php";
require "wallpaper.inc.php";

if (have_right($config, SE_ADMIN)) {
    $files = [
        "logo.png",
        "default.jpg",
        "wallpaper.jpg",
        "lockscreen.jpg"
    ];
    $files = array_unique(array_merge($files, scandir("/etc/sambaedu/applications/wallpaper")));
    echo "<h1>Gestion des fonds d'écans et de login</h1>";
    echo " Cette page permet de récapituler les images existantes utilisées comme fonds d'écran et de login. 
Pour en ajouter de nouvelles il faut utiliser les pages groupes et parcs.<p>
Attention, pour les fonds définis pour les groupes et salles, le fond effectivement affiché peut dépendre suivent les groupes d'appartenance de l'utilisateur ou le parc de la machine.<p>
Pour les utilisateurs en dépassement de quota disque le fond d'écran n'est pas paramétrable et sera toujours un fond rouge avec un message.";
    echo "<form method=\"post\" action=\"wallpaper.php\" enctype=\"multipart/form-data\">\n";

    foreach ($files as $file) {
        if (preg_match("@(.*)\.(jpg|png)@", $file, $m)) {
            // echo "Image pour " . $m[1] . " :<p>";
            echo upload_wallpaper($config, "/etc/sambaedu/applications/wallpaper/" . $file);
        }
    }
    echo "</form>";
} else {
    print("Vous n'avez pas les droits nécessaires pour ouvrir cette page...");
}
// Footer
$html = "";
admin_footer_html($html);
echo $html;
?>