<?php
/*
 * génération d'un fichier fond d'écran ou fond d'écran de verrouillage
 *
 * curl.exe -F "os=windows" -F "action=$action" -F "user=nomdutilisateur%" -F "machine=%computername%" "http://###_SE4FS_NAME_###/gpo/applications.php">%windir%\chemin
 *
 * on passe le nom de la machine le script et user, et on récupère un fichier jpg au boot ou a l'ouverture de session
 *
 */
require "config.inc.php";
$config = get_config();
require "ldap.inc.php";
require "logs.inc.php";
require "quotas.inc.php";
require "applications.inc.php";
require "wallpaper.inc.php";
$action = $_POST['action'] ?? $_GET['action'] ?? "";
$user = $_POST['user'] ?? $_GET['user'] ?? "";
$format = $_POST['format'] ?? $_GET['format'] ?? "jpg";
$id = $_POST['id'] ?? $_GET['id'] ?? "";
/*
 */
$margin = 80;
$fontSize = 30;

switch ($action) {
    case "lockscreen":
        $image = make_lockscreen($config, $id, $format);
        break;
    case "wallpaper":
        $image = make_wallpaper($config, $id, $format);
        break;
    case "wallpaper-wait":
        $image = make_wallpaper($config, $id, $format, true);
        break;
    case "icone":
        $image = make_icon($user);
        break;
    default:
        exit();
}

header("Content-Type: image/$format");
echo ($image);
?>
