<?php

/*
 * fonctions d'affichage html des pages admin annu
 */
function annu_html($config, &$html)
{
    // $html .= "<h1>Annuaire</h1>\n";
    // new_aff_trailer("1", $html);
    if (! empty($_GET['delete'])) {
        delete_temp_user($config, $html, true);
    }
    aff_mnu_search(have_right($config, SE_USER_ADMIN), $html);
    if (have_right($config, SE_USER_ADMIN)) {
        // $html .= "<ul><li><b>Administration :</b></li>";
        $html .= "<ul><li><b>Administration :</b>\n";
        $html .= "<ul>\n";
        $html .= "<li><a href=\"delete_right.php\">Enlever un droit d'administration.</a></li>\n";
        // $html .= "<li><a href=\"peoples_desac.php\">Désactiver des comptes.</a></li>\n";
        // $html .= "<li><a href=\"peoples_desac.php?action=activ\">Activer des comptes.</a></li>\n";
        $html .= "<li><a href=\"../infos/infomdp.php\">Tester les mots de passe.</a></li>\n";
        $html .= "<li><a href=\"reinit_mdp.php\">Réinitialiser/Modifier les mots de passe.</a></li>\n";
        // $html .= "<li><a href=\"remplace.php\">Attribution des droits à un remplaçant.</a></li>\n";
        $html .= "<li><a href=\"annu.php?delete=true\">Effacer les comptes temporaires.</a></li>\n";
        $html .= "</ul>\n";
        $html .= "</li>\n";
        $html .= "</ul>\n";
        if (isset($_POST['hiddeninput'])) {
            include ("listing.inc.php");
        }
    } elseif (have_right($config, SE_USER_PASSWORD_INIT)) {
        $html .= "<li><a href=\"reinit_mdp.php\">Réinitialiser/Modifier les mots de passe.</a></li>\n";
        $html .= "<li><a href=\"annu.php?delete=true\">Effacer les comptes temporaires.</a></li>\n";
        if (isset($_POST['hiddeninput'])) {
            include ("listing.inc.php");
        }
    }
}

function reinit_mdp_html($config, &$html)
{
    $force = $_POST['force'] ?? "false";
    if ($force == "true") {
        $force = true;
    } else {
        $force = false;
    }

    $change = $_POST['change'] ?? "true";
    if ($change == "true") {
        $change = true;
    } else {
        $change = false;
    }
    $etab = $_POST['uai'] ?? 0;

    if (! have_right($config, SE_USER_ADMIN | SE_USER_PASSWORD_INIT)) {
        $html .= "Vous n'avez pas les droits suffisants pour accéder à cette fonction";
    } else {
        $html .= "<div><h1>Réinitialisation/modification de mots de passe</h1>\n";
        $pwdPolicy = $config['pwdPolicy'];

        // ==========================================================
        // Phase de choix des parametres
        // $html .= "<center>\n";
        if (! isset($_POST['is_posted']) || isset($_POST['uai_posted'])) {
            // $html .= "<center>\n";
            $html .= "<form action=\"reinit_mdp.php\" enctype='multipart/form-data' method=\"post\">\n";

            $html .= "<p>Cette page est destinée à réinitialiser/modifier les mots de passe par lots.</p>\n";

            $etabs = list_etabs($config);
            $etabs[0] = 0;
            /*
             * if (count($etabs) > 1 && ! isset($config['etab_ou'])) {
             * ksort($etabs, SORT_ASC);
             * $choix = "<table><tr><td>Choisir l'établissement pour filtrer les groupes <br>";
             * $choix .= "<SELECT NAME=\"uai\" SIZE=\"1\" onchange=submit()>";
             * foreach ($etabs as $e) {
             * $choix .= "<option value=\"" . $e . "\"";
             * if ($etab == $e) {
             * $choix .= " selected";
             * }
             * if ($e == 0) {
             * $choix .= ">groupes communs à tout le domaine\n";
             * } else {
             * $choix .= ">" . etab_to_name($config, $e) . "\n";
             * }
             * $choix .= "</option>";
             * }
             * $choix .= "</SELECT></td></tr></table>\n";
             * $choix .= "<input type=\"hidden\" name=\"uai_posted\" value=\"1\">\n";
             * $html .= $choix;
             * } else {
             */
            if (empty($config['etab_ou']) && ! empty($etab)) {
                $config['etab_ou'] = $etab;
                $config = get_config($config, true, $etab);
            }
            if (! empty($config['etab_ou']) || count($etabs) == 1) {
                $html .= "<p>Vous pouvez&nbsp;:</p>\n";
                $html .= "<table summary='Choix du mode'>\n";
                $html .= "<tr>\n";
                $html .= "<select name=force>";
                $html .= "<option value=true ";
                if ($force) {
                    $html .= " selected";
                }
                $html .= ">reinitialiser tous les utilisateurs selectionnés</option>";
                $html .= "<option value=false ";
                if (! $force) {
                    $html .= " selected";
                }
                $html .= ">reinitialiser uniquement les utilisateurs sélectionnés non activés</option>";
                $html .= "</select>";
                $html .= "</span></td>\n";
                $html .= "</tr>\n";
                $html .= "<tr>\n";
                $html .= "<select name=change>";
                $html .= "<option value=true ";
                if ($change) {
                    $html .= " selected";
                }
                $html .= ">fixer un code d'activation à changer</option>";
                $html .= "<option value=false ";
                if (! $change) {
                    $html .= " selected";
                }
                $html .= ">imposer un mot de passe définitif (DANGER)</option>";
                $html .= "</select>";
                $html .= "</span></td>\n";
                $html .= "</tr>\n";
                $html .= "</table>\n";

                $html .= "<div id='div_choix_groupes'>\n";
                $html .= affiche_all_groups($config, "left", "user");

                $html .= "<div id=\"attribution\" align='center'>\n";
                $html .= "<input type=\"hidden\" name=\"is_posted\" value=\"1\">\n";
                $html .= "<input type=\"hidden\" name=\"uai\" value=\"" . $etab . "\">\n";
                // $html .= "<input type=\"submit\" value=\"Valider\">\n";
                $html .= "<input type=\"reset\" value=\"Annuler\">\n";
                $html .= "</div>\n";

                $html .= "</div>\n";
            } else {
                // central
                $html .= "<p>Vous pouvez&nbsp;:</p>\n";
                $html .= "<table summary='Choix du mode'>\n";
                $html .= "<tr>\n";
                $html .= "<select name=force>";
                $html .= "<option value=true ";
                if ($force) {
                    $html .= " selected";
                }
                $html .= ">reinitialiser tous les utilisateurs selectionnés</option>";
                $html .= "<option value=false ";
                if (! $force) {
                    $html .= " selected";
                }
                $html .= ">reinitialiser uniquement les utilisateurs sélectionnés non activés</option>";
                $html .= "</select>";
                $html .= "</span></td>\n";
                $html .= "</tr>\n";
                $html .= "<tr>\n";
                $html .= "<select name=change>";
                $html .= "<option value=true ";
                if ($change) {
                    $html .= " selected";
                }
                $html .= ">fixer un code d'activation à changer</option>";
                $html .= "<option value=false ";
                if (! $change) {
                    $html .= " selected";
                }
                $html .= ">imposer un mot de passe définitif (DANGER)</option>";
                $html .= "</select>";
                $html .= "</span></td>\n";
                $html .= "</tr>\n";
                $html .= "</table>\n";

                $html .= "<div id='div_choix_groupes'>\n";
                $html .= affiche_all_groups($config, "left", "central");

                $html .= "<div id=\"attribution\" align='center'>\n";
                $html .= "<input type=\"hidden\" name=\"is_posted\" value=\"1\">\n";
                $html .= "<input type=\"hidden\" name=\"uai\" value=\"" . $etab . "\">\n";
                // $html .= "<input type=\"submit\" value=\"Valider") . "\">\n";
                $html .= "<input type=\"reset\" value=\"Annuler\">\n";
                $html .= "</div>\n";

                $html .= "</div>\n";
            }
            $html .= "<div id=\"div_validation\" align='center'>\n";
            $html .= "<input type=\"submit\" value=\"Valider\">\n";
            $html .= "</div>\n";

            $html .= "</form>\n";
        } else {
            // ==========================================================

            // Phase de traitement

            // $html .= "<center>\n";

            $classe_gr = isset($_POST['classe_gr']) ? $_POST['classe_gr'] : array();
            $equipe_gr = isset($_POST['equipe_gr']) ? $_POST['equipe_gr'] : array();
            $matiere_gr = isset($_POST['matiere_gr']) ? $_POST['matiere_gr'] : array();
            $autres_gr = isset($_POST['autres_gr']) ? $_POST['autres_gr'] : array();
            if (empty($config['etab_ou']) && ! empty($etab)) {
                $config['etab_ou'] = $etab;
                $config = get_config($config, true, $etab);
            }

            // On lance l'operation pour chaque groupe demande !!!
            $listing = [];
            if (count($classe_gr)) {
                foreach ($classe_gr as $grp) {
                    $html .= "<h4>Réinitialisation des mots de passe pour les membres du groupe " . $grp . "&nbsp;:</h4>\n";
                    $html .= "<pre class='listing'>";
                    $members = list_members_group($config, $grp);
                    foreach ($members as $user) {
                        $html .= reinit_passwd($config, $user, $listing, $force, $change, true);
                    }
                    $html .= "</pre>\n";
                    $html .= "<hr />\n";
                }
            }

            if (count($equipe_gr)) {
                foreach ($equipe_gr as $grp) {
                    $html .= "<h4>Réinitialisation des mots de passe pour les membres du groupe " . $grp . "&nbsp;:</h4>\n";
                    $html .= "<pre class='listing'>";
                    $members = list_members_group($config, $grp);
                    foreach ($members as $user) {
                        $html .= reinit_passwd($config, $user, $listing, $force, $change, true);
                    }
                    $html .= "</pre>\n";
                    $html .= "<hr />\n";
                }
            }

            if (count($matiere_gr)) {
                foreach ($matiere_gr as $grp) {
                    $html .= "<h4>Réinitialisation des mots de passe pour les membres du groupe " . $grp . "&nbsp;:</h4>\n";
                    $html .= "<pre class='listing'>";
                    $members = list_members_group($config, $grp);
                    foreach ($members as $user) {
                        $html .= reinit_passwd($config, $user, $listing, $force, $change, true);
                    }
                    $html .= "</pre>\n";
                    $html .= "<hr />\n";
                }
            }

            if (count($autres_gr)) {
                foreach ($autres_gr as $grp) {
                    $html .= "<h4>Réinitialisation des mots de passe pour les membres du groupe " . $grp . "&nbsp;:</h4>\n";
                    $html .= "<pre class='listing'>";
                    $members = list_members_group($config, $grp);
                    foreach ($members as $user) {
                        if (empty($config['etab_ou']) || $user['etab'] == $config['etab_ou']) {
                            $html .= reinit_passwd($config, $user, $listing, $force, $change, true);
                        }
                    }
                    $html .= "</pre>\n";
                    $html .= "<hr />\n";
                }
            }
            if (! empty($_POST['user'])) {
                $html .= "<h4>Réinitialisation des mots de passe pour " . $_POST['user'] . "</h4>\n";
                $html .= "<pre class='listing'>";
                $html .= reinit_passwd($config, search_user($config, $_POST['user']), $listing, $force, $change, true);
                $html .= "</pre>\n";
                $html .= "<hr />\n";
            }
        }
        $html .= "</div>\n";
    }
    apcu_store('listing_' . session_id(), $listing, 1200);
    $html .= generate_listing('listing_' . session_id());
}

function search_html($config, &$html)
{
    if ((have_right($config, SE_USER_READ)) || (have_right($config, SE_USER_ADMIN))) {
        $config = get_config($config, true, $_SESSION['etab']);

        // $html .= "<h1>Annuaire</h1>\n";
        // new_aff_trailer("2", $html);

        $titre = "Rechercher un utilisateur";
        $texte = "<form action=\"peoples_list.php\" method='post' id='form1'>\n";
        $texte .= "<table>\n";
        $texte .= "<tbody>\n";
        $texte .= "<tr>\n";
        $texte .= "<td>Nom complet :</td>\n";
        $texte .= "<td>\n";
        $texte .= "<select name=\"priority_surname\">\n";
        $texte .= "<option value=\"contient\">contient</option>\n";
        $texte .= "<option value=\"commence\">commence par</option>\n";
        $texte .= "<option value=\"finit\">finit par</option>\n";
        $texte .= "<option value=\"\">est</option>\n";
        $texte .= "</select>\n";
        $texte .= "</td>\n";
        $texte .= "<td><input type=\"text\" name=\"fullname\" id=\"fullname\"></td>\n";
        $texte .= "</tr>\n";
        $texte .= "<tr>\n";
        $texte .= "<td>Nom :</td>\n";
        $texte .= "<td>\n";
        $texte .= "<select name=\"priority_name\">\n";
        $texte .= "<option value=\"contient\">contient</option>\n";
        $texte .= "<option value=\"commence\">commence par</option>\n";
        $texte .= "<option value=\"finit\">finit par</option>\n";
        $texte .= "<option value=\"\">est</option>\n";
        $texte .= "</select>\n";
        $texte .= "</td>\n";
        $texte .= "<td><input type=\"text\" name=\"nom\" id=\"nom\"></td>\n";
        $texte .= "</tr>\n";
        $texte .= "<tr>\n";
        $texte .= "<td>Classe :</td>\n";
        $texte .= "<td>\n";
        $texte .= "<select name=\"priority_classe\">\n";
        $texte .= "<option value=\"contient\">contient</option>\n";
        $texte .= "<option value=\"commence\">commence par</option>\n";
        $texte .= "<option value=\"finit\">finit par</option>\n";
        $texte .= "<option value=\"\">est</option>\n";
        $texte .= "</select>\n";
        $texte .= "</td>\n";
        $texte .= "<td><input type=\"text\" name=\"classe\" id=\"classe\"></td>\n";
        $texte .= "</tr>\n";
        $texte .= "<tr>\n";
        $texte .= "<td>Login :</td>\n";
        $texte .= "<td>\n";
        $texte .= "<select name=\"priority_login\">\n";
        $texte .= "<option value=\"contient\">contient</option>\n";
        $texte .= "<option value=\"commence\">commence par</option>\n";
        $texte .= "<option value=\"finit\">finit par</option>\n";
        $texte .= "<option value=\"\">est</option>\n";
        $texte .= "</select>\n";
        $texte .= "</td>\n";
        $texte .= "<td><input type=\"text\" name=\"login\" id=\"login\"></td>\n";
        $texte .= "</tr>\n";

        $texte .= "</tbody>\n";
        $texte .= "</table>\n";
        $texte .= "<div align=center>
    <input type=\"submit\" id='input_submit_1' value=\"Lancer la requête\" />
    <input type=\"button\" id='input_submit_2' value=\"Lancer la requête\" style='display:none' onclick='test_form1()' />
</div>";
        $texte .= "</form>\n";
        $html .= mktable($titre, $texte);

        // Recherche d'un groupe (classe, Equipe, Cours ...)
        $titre = "Rechercher un groupe (classe, équipe, cours ...)</h2>\n";
        $texte = "<form action=\"groups_list.php\" method='post' id='form2'>\n";
        $texte .= "<table>\n";
        $texte .= "<tbody>\n";
        $texte .= "<tr>\n";
        $texte .= "<td>Groupe :</td>\n";
        $texte .= "<td>\n";
        $texte .= "<select name=\"priority_group\">\n";
        $texte .= "<option value=\"contient\">contient</option>\n";
        $texte .= "<option value=\"commence\">commence par</option>\n";
        $texte .= "<option value=\"finit\">finit par</option>\n";
        $texte .= "<option value=\"\">est</option>\n";
        $texte .= "</select>\n";
        $texte .= "</td>\n";
        $texte .= "<td><input type=\"text\" name=\"dn\" id=\"group\"></td>\n";
        $texte .= "</tr>\n";
        $texte .= "</tbody>\n";
        $texte .= "</table>\n";
        $texte .= "<div align=center>
    <input type=\"submit\" id='input_submit_3' value=\"Lancer la requête\" />
    <input type=\"button\" id='input_submit_4' value=\"Lancer la requête\" style='display:none' onclick='test_form2()' />
</div>";
        $texte .= "</form>\n";
        $html .= "<BR>";

        $texte .= "<script type='text/javascript'>
    document.getElementById('input_submit_1').style.display='none';
    document.getElementById('input_submit_2').style.display='';
    document.getElementById('input_submit_3').style.display='none';
    document.getElementById('input_submit_4').style.display='';

    if(document.getElementById('fullname')) {
        document.getElementById('fullname').focus();
    }

    function test_form1() {
        if((document.getElementById('fullname').value=='')&&(document.getElementById('nom').value=='')&&(document.getElementById('classe').value=='')&&(document.getElementById('login').value=='')) {
            alert('Tous les champs du formulaire sont vides.');
        }
        else {
            document.getElementById('form1').submit();
        }
    }

    function test_form2() {
        if(document.getElementById('group').value=='') {
            alert('Le champ groupe ne peut pas etre vide.');
        }
        else {
            document.getElementById('form2').submit();
        }
    }

</script>";

        $html .= mktable($titre, $texte);
    }
}

function peoples_list_html($config, &$html)
{
    $filter_people = '';
    // tableau de profs
    $lesprofs = search_ad($config, "*", "memberof", "Profs");
    $list_prof_grp = array();
    foreach ($lesprofs as $key => $value) {
        $list_prof_grp[$key] = $value["cn"];
    }

    if ((have_right($config, SE_USER_ADMIN)) || (have_right($config, SE_USER_READ)) || (have_right($config, SE_USER_PASSWORD_INIT | SE_USER_READ | SE_USER_MODIFY))) {

        $priority_surname = $_POST['priority_surname'] ?? '';
        $fullname = $_POST['fullname'] ?? '';
        $priority_name = $_POST['priority_name'] ?? '';
        $nom = $_POST['nom'] ?? '';
        $priority_classe = $_POST['priority_classe'] ?? '';
        $classe = $_POST['classe'] ?? '';
        $priority_login = $_POST['priority_login'] ?? '';
        $login = $_POST['login'] ?? $_GET['cn'] ?? '';

        $html .= "<h1>Annuaire</h1>\n";

        $html .= "<div style='float:right; width:16px; '><a href='add_user.php' title='Ajouter un utilisateur'><img src='/elements/images/add.png' width='16px' height='16px'  alt='Ajouter un utilisateur' /></a></div>\n";

        if (! empty($fullname) || ! empty($nom) || ! empty($login)) {
            // Convertion en utf_8
            get_config($config, true, true);
            $nom = utf8_encode($nom);
            $fullname = utf8_encode($fullname);
            if (! empty($_SESSION['etab'])) {
                $filter_people = "(&(objectclass=user)(!(objectclass=computer))(memberof=cn=" . $_SESSION['etab'] . "," . $config['dn']['etablissements'] . ")";
            } else {
                $filter_people = "(&(objectclass=user)(!(objectclass=computer))";
            }
            // Construction du filtre de la branche people
            if ($login) {
                // Recherche sur sn
                if ($priority_login == "contient") {
                    $filter_people .= "(cn=*$login*)";
                } elseif ($priority_login == "commence") {
                    $filter_people .= "(cn=$login*)";
                } elseif ($priority_login == "finit") {
                    $filter_people .= "(cn=*$login)";
                } else {
                    $filter_people .= "(cn=$login)";
                }
            } elseif ($nom && ! $fullname) {
                // Recherche sur sn
                if ($priority_name == "contient") {
                    $filter_people .= "(sn=*$nom*)";
                } elseif ($priority_name == "commence") {
                    $filter_people .= "(sn=$nom*)";
                } elseif ($priority_name == "finit") {
                    $filter_people .= "(sn=$nom*)";
                } else {
                    $filter_people .= "(sn=$nom)";
                }
            } elseif ($fullname && ! $nom) {
                // Recherche sur cn
                if ($priority_surname == "contient") {
                    $filter_people .= "(displayname=*$fullname*)";
                } elseif ($priority_surname == "commence") {
                    $filter_people .= "(displayname=$fullname*)";
                } elseif ($priority_surname == "finit") {
                    $filter_people .= "(displayname=$fullname*)";
                } else {
                    $filter_people .= "(displayname=$fullname)";
                }
            } elseif ($fullname && $nom) {
                // Recherche sur sn ET cn
                if ($priority_name == "contient") {
                    if ($priority_surname == "contient") {
                        $filter_people .= "(sn=*$nom*)(displayname=*$fullname*)";
                    } elseif ($priority_surname == "commence") {
                        $filter_people .= "(sn=$nom*)(displayname=$fullname*)";
                    } elseif ($priority_surname == "finit") {
                        $filter_people .= "(sn=$nom*)(displayname=$fullname*)";
                    } else {
                        $filter_people .= "(sn=*$nom*)(displayname=$fullname)";
                    }
                } elseif ($priority_name == "commence") {
                    if ($priority_surname == "contient") {
                        $filter_people .= "(sn=$nom*)(displayname=*$fullname*)";
                    } elseif ($priority_surname == "commence") {
                        $filter_people .= "(sn=$nom*)(displayname=$fullname*)";
                    } else {
                        $filter_people .= "(sn=$nom*)(displayname=*$fullname)";
                    }
                } else {
                    if ($priority_surname == "contient") {
                        $filter_people .= "(sn=*$nom)(displayname=*$fullname*)";
                    } elseif ($priority_surname == "commence") {
                        $filter_people .= "(sn=*$nom)(displayname=$fullname*)";
                    } else {
                        $filter_people .= "(sn=*$nom)(displayname=*$fullname)";
                    }
                }
            }

            // Remplacement de *** ou ** par *
            $filter_people = preg_replace("/\*\*\*/", "*", $filter_people);
            $filter_people = preg_replace("/\*\*/", "*", $filter_people);
            $filter_people .= ")";
            // $html .= $filter_people . "<br>";
            if (empty($classe)) {
                $users = search_ad($config, $filter_people, "filter", get_config($config, true, true)['dn']['people']);
                @usort($users, "cmp_nom");
                // Affichage menu haut de page
                // new_aff_trailer("3", $html);

                if (! empty($users)) {
                    if (count($users) == 1) {
                        $html .= "<p><STRONG>" . count($users) . "</STRONG> utilisateur répond à ces critères de recherche</p>\n";
                    } else {
                        $html .= "<p><STRONG>" . count($users) . "</STRONG> utilisateurs répondent à ces critères de recherche</p>\n";
                    }
                    foreach ($users as $user) {
                        if (preg_match("/" . $config['dn']['trash'] . "/i", $user['dn'])) {
                            $html .= "<img src=\"images/Poubelle_vide.png\" width=18 height=18 hspace=1 border=0>A supprimer : \n";
                            $html .= "<A href=\"del_user.php?cn=" . $user["cn"] . "\">" . $user["fullname"] . " (" . $user["cn"] . ")</A></br>\n";
                        } else {
                            if (in_array($user["cn"], $list_prof_grp)) {
                                $html .= "<img src=\"images/gender_teacher.gif\" width=18 height=18 hspace=1 border=0>\n";
                            } else {
                                if (@$user["sexe"] == "F") {
                                    $html .= "<img src=\"images/gender_girl.gif\" width=14 height=14 hspace=3 border=0>\n";
                                } else {
                                    $html .= "<img src=\"images/gender_boy.gif\" width=14 height=14 hspace=3 border=0>\n";
                                }
                            }
                            $name = $user["fullname"] ?? "";
                            $html .= "<A href=\"people.php?cn=" . $user["cn"] . "\">" . $name . " (" . $user["cn"] . ")</A></br>\n";
                        }
                    }
                } else {
                    $html .= " <STRONG>Pas de résultats</STRONG> correspondant aux critères sélectionnés.<BR>\n";
                }
            }
        } elseif (! empty($classe)) {
            // new_aff_trailer("3", $html);
            // Recherche des classes et equipes dans la branche groups de l'annuaire
            if ($priority_classe == "contient") {
                $filter_classe = "(|(cn=Classe_*$classe*)(cn=Cours_*$classe*))";
            } elseif ($priority_classe == "commence") {
                $filter_classe = "(|(cn=Classe_$classe*)(cn=Cours_$classe*))";
            } elseif ($priority_classe == "finit") {
                $filter_classe = "(|(cn=Classe_*$classe)(cn=Cours_*$classe))";
            } else {
                $filter_classe = "(|(cn=Classe_$classe)(cn=Cours_$classe))";
            }
            // Remplacement de *** ou ** par *
            $filter_classe = preg_replace("/\*\*\*/", "*", $filter_classe);
            $filter_classe = preg_replace("/\*\*/", "*", $filter_classe);
            // recherches des classes
            $groups = filter_group($config, $filter_classe);
            $people = array();
            for ($loop = 0; $loop < count($groups); $loop ++) {
                $peuple = search_people_group($config, $groups[$loop]["cn"]);
                foreach ($peuple as $key => $value) {
                    $peuple[$key]["group"] = $groups[$loop]["cn"];
                }
                $people = array_merge($peuple, $people);
            }

            if (count($people)) {
                if (count($people) == 1) {
                    $html .= "<p><STRONG>" . count($people) . "</STRONG> utilisateur répond à ces critères de recherche.</p>\n";
                } else {
                    $html .= "<p><STRONG>" . count($people) . "</STRONG> utilisateurs répondent à ces critères de recherche.</p>\n";
                }
                // affichage des resultats
                foreach ($people as $p) {
                    if ($loop == 0 || $p["group"] != $people[$loop - 1]["group"]) {
                        $html .= "<BR><U>Classe</U> : " . $p["group"] . "<BR>\n";
                    }
                    if (preg_match("/" . $config['dn']['trash'] . "/i", $p['dn'])) {
                        $html .= "<img src=\"images/Poubelle_vide.png\" width=18 height=18 hspace=1 border=0>A supprimer : \n";
                        $html .= "<A href=\"del_user.php?cn=" . $p["cn"] . "\">" . $p["fullname"] . " (" . $p["cn"] . ")</A></br>\n";
                    } else {
                        if (in_array($p["cn"], $list_prof_grp)) {
                            $html .= "<img src=\"images/gender_teacher.gif\" width=18 height=18 hspace=1 border=0>\n";
                        } else {
                            // if ($p["sexe"] == "F") {
                            // $html .= "<img src=\"images/gender_girl.gif\" width=14 height=14 hspace=3 border=0>\n";
                            // }
                            // else {
                            $html .= "<img src=\"images/gender_boy.gif\" width=14 height=14 hspace=3 border=0>\n";
                        }
                        $html .= "<A href=\"people.php?cn=" . $p["cn"] . "\">" . $p["fullname"] . "</A><BR>\n";
                    }
                }
            } else {
                $html .= " <STRONG>Pas de résultats</STRONG> correspondant aux critères sélectionnés.<BR>
                      Retour au <A href=\"annu.php\">formulaire de recherche</A>...<BR>\n";
            }
        } else {
            // Aucun criteres de recherche
            $html .= " <STRONG>Pas de résultats !</STRONG><BR>
            Veuillez compléter au moins l'un des trois champs (nom, prénom, classe) du <A href=\"annu.php\">formulaire de recherche</A> !<BR>\n";
        }
    }
}

function people_html($config, &$html)
{
    $cn = $_POST['cn'] ?? $_GET['cn'] ?? "";
    $machine = $_POST['machine'] ?? $_GET['machine'] ?? "";
    $activer = $_POST['activer'] ?? "";
    if (empty($cn)) {
        $html .= "<p style='color:red;'>ERREUR: pas de nom choisi.</p>";
    } else {
        // teste les droits
        $admin_annu = have_right($config, SE_USER_ADMIN);
        $can_read_annu = have_right($config, SE_USER_READ);
        $admin_sovajon = have_right($config, SE_USER_PASSWORD_INIT | SE_USER_READ | SE_USER_MODIFY);
        $admin_se = have_right($config, SE_ADMIN) || have_right($config, SE_USER_ADMIN);
        $user = search_user($config, $cn);
        if (empty($user['cn'])) {
            $html .= "<p style='color:red;'>ERREUR: pas de nom choisi.</p>";
        } else {
            if (! empty($activer)) {
                set_local_admin_right($config, $cn);
            }

            $list_current_rights = array();
            $list_current_groups = array();
            $rights_branch = $config['dn']['rights'];
            // var_dump($rights_branch);
            if (isset($user['memberof'])) {
                foreach ($user['memberof'] as $line) {
                    if (preg_match("/$rights_branch/i", $line)) {
                        $list_current_rights[] = $line;
                    } else {
                        $list_current_groups[] = $line;
                    }
                }
            }
            if (($cn == "Administrator") || ($cn == "administrator")) {
                $user["fullname"] = "Administrator";
                $user["email"] = "root";
            }
            // var_dump($list_current_groups);
            $fullname = $user['fullname'] ?? $user['cn'];
            $html .= "<a href='people.php?cn=" . $user["cn"] . "' title=\"Rafraîchir la page\"><H2>" . $fullname . " (Login : " . $user['cn'] . ")</H2></a>\n";
            if ($etab = etab_to_name($config, $user['etab'])) {
                $html .= "Établissement de rattachement : " . $etab . "<br>\n";
            }
            $html .= "Connexions en cours : ";
            $etabs = activated_etabs($config);
            $cnx = [];
            if (count($etabs) > 1) {
                foreach ($etabs as $etab) {
                    $cnx = array_merge($cnx, get_user_status($config, $user['cn'], $etab['uai]']));
                }
            } else {
                $cnx = get_user_status($config, $user['cn']);
            }
            foreach ($cnx as $m) {
                $html .= "<a href='../parcs/cherche_machine.php?mpenc=" . $m['machine'] . "'> " . $m['machine'] . " le " . $m['logintime'] . " </a>, \n";
            }
            $html .= "<br>\n";

            $from = urlencode("../annu/people.php?cn=" . $cn . "&machine=" . $machine);
            // $html .= "<a href=\"../parcs/rdp.php?refresh=1&machine=" . $machine . "&from=" . $from . "\"><img src=\"../elements/images/rdp.png\" alt=\"Accès distant...\"></a>";

            if ($admin_annu && (isset($_GET['create_home'])) && ($_GET['create_home'] == 'y')) {
                $html .= "<p><b>Création du dossier personnel de " . $user["cn"] . "&nbsp;: </b>";
                exec("sudo /usr/share/sambaedu/shares/shares.avail/mkhome.sh " . $user["cn"], $ReturnValue2);
                if (count($ReturnValue2) == 0) {
                    $html .= "<span style='color:green'>OK</span></p>";
                } else {
                    $html .= "</p><pre style='color:red'>";
                    foreach ($ReturnValue2 as $key => $value) {
                        $html .= "$value";
                    }
                }
                $html .= "</pre>";
            }
            if (isset($user["email"])) {
                $html .= "Adresse mél : <a href=\"mailto:" . $user["email"] . "\"><tt>" . $user["email"] . "</a></tt><br>\n";
            }
            $html .= '
<table valign="top" align="top" border="0" width="80%">
    <tr>
        <td valign="top">
';
            if (isset($user["description"]))
                $html .= "<p>" . $user["description"] . "</p>";
            if (count($list_current_groups)) {
                $html .= "<U>Membre des groupes</U> :<BR><UL>\n";
                foreach ($list_current_groups as $group) {

                    // Si les bons droits on place un lien sur les groupes
                    $html .= "<LI>";
                    if ($can_read_annu or $admin_annu or $admin_sovajon) {
                        $html .= "<A href=\"group.php?dn=" . $group . "\">";
                    }
                    $html .= ldap_dn2cn($group);
                    if (! empty($config['etab_ou']) && ldap_dn2uai($group) != $config['etab_ou'] && ldap_dn2uai($group) != 0) {
                        $html .= " " . etab_to_name($config, ldap_dn2uai($group));
                    }
                    if ($can_read_annu or $admin_annu or $admin_sovajon) {
                        $html .= "</A>";
                    }
                    // $html .="<font size=\"-2\"> " . $group[0]["description"];
                    // if (is_my_pp($config, $group[0]['cn'], $config['login']))
                    // $html .="<strong><font color=\"#ff8f00\">&nbsp;(professeur principal") . ")</font></strong>";
                    $html .= "</LI>\n";
                    // $html .="</font></li>";

                    if ($admin_annu) {
                        $html .= '
             <ul>
                <li><a href="del_user_group_direct.php?cn=' . $user["cn"] . '&dn=' . $group;
                        if (ldap_dn2cn($group) == "Eleves" || ldap_dn2cn($group) == "Profs" || ldap_dn2cn($group) == "Administratifs") {
                            $html .= "\" onclick=\"return getconfirm_all()\"";
                        } else {
                            $html .= "\" onclick=\"return getconfirm()\"";
                        }
                        $html .= '><font size="2">retirer du groupe</font> <br>
                    </a></li>
            </ul>';
                    }
                }
                $html .= "</UL>";
            }
            $html .= '
        </td>
        <td valign="top">';
            if (have_right($config, SE_USER_ADMIN)) {
                $html .= "<U>Droits actuellement attribués</U> :<BR><UL>\n";
                if (count($list_current_rights)) {
                    foreach ($list_current_rights as $right) {
                        $html .= "<li>" . ldap_dn2cn($right) . "<br></li>";
                    }
                } else {
                    $html .= "<li>Aucun droit propre</li>";
                }
                $html .= '<u>Action possible</u>&nbsp;: <br />
            <ul style="color: red;">
                <li><a href="add_user_group.php?cn=' . $user["cn"] . '">Gérer les établissements, fonctions et groupes</a><br>
            </ul>';
            }

            // Affichage Menu people_admin
            if ($admin_annu && $cn != "Administrator") {
                $html .= "
    <br>
    <u>Autres actions possibles</u>&nbsp;: <br/>
    <ul style=\"color: red;\">
        <li><a href=\"mod_user_entry.php?cn=" . $user['cn'] . "\">Modifier le compte</a></li>
        <li><a href=\"pass_user_init.php?cn=" . $user['cn'] . "\">Réinitialiser le mot de passe</a></li>";

                if ($user['useraccountcontrol'] == 512) {
                    $html .= "
        <li><a href=\"desac_user_entry.php?cn=" . $user["cn"] . "\" onclick=\"return getconfirm();\">Désactiver ce compte</a><br/>";
                    if (file_exists('/home/' . $user["cn"])) {
                        $html .= "
        <li><span style='color:black'>Le dossier personnel existe.</span></li>";
                    } else {
                        $html .= "
        <li>Le dossier personnel n'existe pas.<br /><a href='people.php?cn=" . $user["cn"] . "&amp;create_home=y'>Créer le dossier personnel maintenant</a><br />(<em>sinon, il sera créé lors de la premiere connexion de l'utilisateur</em>)</li>";
                    }
                } else {
                    // si compte desactive
                    $html .= "
        <li><a href=\"desac_user_entry.php?cn=" . $user["cn"] . "&action=activ\">Activer ce compte</a><br>\n";
                    if (! file_exists('/home/' . $user["cn"])) {
                        $html .= "
        <li>Le dossier personnel n'existe pas.<br /><a href='people.php?cn=" . $user["cn"] . "&amp;create_home=y'>Créer le dossier personnel maintenant</a><br />(<em>sinon, il sera créé lors de la premiere connexion de l'utilisateur</em>)</li>";
                    }
                }
                $html .= '<li><a href="del_user.php?cn=' . $user["cn"] . '"  onclick="return getconfirm();">Supprimer le compte</a><br>

        <li><a
                href="del_nt_profile.php?cn=' . $user["cn"] . '&action=del"
                 onclick="return getconfirm();">Regénérer le profil errant Windows</a><br>';
            } // Fin affichage menu people_admin

            if ($admin_se) {
                $html .= "<li><a href=\"manage_rights.php?cn=" . $user["cn"] . "\">Gérer les droits</a><br>";
                $html .= "<li><a href=\"../parcs/show_histo.php?selectionne=3&amp;user=$cn\">Voir les connexions</a><br>"; // Ajout leb
            }
            $html .= "</ul>";

            // Test de l'appartenance a la classe pour le droit sovajon_is_admin
            // Afin d'eviter les doublons si le mec est admin_is_admin il ne peut pas
            // voir cette partie puisqu'il peut la voir par ailleurs

            // si les droits étendus du groupe profs sont activés, le test sur la classe n'est pas nécessaire
            $acl_group_profs_classes = exec("cd /var/sambaedu/Classes; /usr/bin/getfacl . | grep group:Profs >/dev/null && $html .=1");

            if ((is_my_eleve($config, $config['login'], $user["cn"])) or ($acl_group_profs_classes == 1) and (have_right($config, SE_USER_PASSWORD_INIT | SE_USER_READ | SE_USER_MODIFY)) and ($config['login'] != $user["cn"])) {
                // On teste si $user[cn] n'est pas un prof
                if (is_eleve($config, $user["cn"])) {
                    $html .= "<br>\n";
                    $html .= "<u>Autres actions possibles</u>&nbsp;: <br />";
                    $html .= "<ul style=\"color: red;\">\n";

                    $html .= "<li><a href=\"pass_user_init.php?cn=" . $user["cn"] . "\">Réinitialiser le mot de passe</a><br>";
                    $html .= "<li><a href=\"mod_user_entry.php?cn=" . $user["cn"] . "\">Modifier le compte de mon élève ...</a><br>\n";
                    // $test_desac = search_ad($config, $user["cn"], "user");
                    // if ($test_desac[0]['useraccountcontrol'] == 512) {
                    // // si compte active
                    // //$html .="<li><a href=\"desac_user_entry.php?cn=" . $user["cn"] . "\" onclick= return getconfirm()>Désactiver ce compte") . " </a><br>\n";
                    // } else {
                    // // si compte desactive
                    // //$html .="<li><a href=\"desac_user_entry.php?cn=" . $user["cn"] . "&action=activ\" >Activer ce compte") . " </a><br>\n";
                    // }

                    $html .= "<li><a href=\"del_nt_profile.php?cn=" . $user["cn"] . "&action=del\">Regénérer le profil Windows de mon élève...</a><br>\n";

                    // exec("/usr/share/sambaedu/sbin/getUserProfileInfo.pl $user[cn]", $AllOutPut, $ReturnValue);
                    // if ($AllOutPut[0] == "lock") {
                    // $html .="<li><a href=\"del_nt_profile.php?cn=" . $user["cn"] . "&action=unlock\">Déverrouiller le profil Windows...") . "</a><br>\n";
                    // } else {
                    // $html .="<li><a href=\"del_nt_profile.php?cn=" . $user["cn"] . "&action=lock\">Verrouiller le profil Windows...") . "</a><br>\n";
                    // }
                    $html .= "</ul>\n";
                } // Fin test si prof
            }

            // test du cas ou on veut modifier son propre compte
            if ($config['login'] == $user["cn"]) {
                $html .= "<u>Action possible</u>&nbsp;: <br />";
                // $html .="<br>\n";
                $html .= "<ul style=\"color: red;\">\n";
                $html .= "<li><A HREF=\"../parcs/show_histo.php?selectionne=3&user=" . $user["cn"] . "\">Voir mes connexions</A>";
                $html .= "<li><A HREF=\"../infos/du.php?wrep=/home/" . $user['cn'] . "&cn=" . $user['cn'] . "\">Espace occupé par mon Home</A>";
                $html .= "</ul>\n";
            }
            $html .= '
        </td>
    </tr>
</table>';
            // modif proposee par Laurent COOPER
            if ((is_prof($config, $user["cn"])) && file_exists("/var/www/sambaedu/annu/teacher.php")) {
                $html .= " \n <ul style=\"color:red;\"> \n <li> <a href=\"teacher.php\"> Mes services </a> </li> </ul>\n";
            }
            if ($config['login'] == $user["cn"]) {
                $liste = list_delegations_right($config, SE_COMPUTER_ELEVATE, $config['login']);
                if (have_right($config, SE_COMPUTER_ADMIN)) {
                    $texte = "toutes les machines du domaine";
                } else {
                    $texte = "les machines et parcs <br>" . implode(" ", array_column($liste, 'cn')) . "</br>";
                }
                $reste = get_local_admin_right($config, $config['login']);
                if ($reste < 0) {
                    $html .= "<h1>Administration locale des postes</h1>";
                    $html .= "Vous avez le droit d'administrer " . $texte . " de façon permanente. Attention vous en êtes admin local !<br>";
                } elseif ($reste > 0) {
                    $html .= "<h1>Administration locale des postes</h1>";
                    $html .= "Vous avez le droit d'administrer " . $texte . " durant " . round($reste / 60, 0) . " minutes. Par mesure de sécurité vous devez vous reconnecter sur les postes pour en être l'administrateur local.<br>";
                } elseif (have_right($config, SE_COMPUTER_ADMIN) || count($liste) > 0) {
                    $html .= "<h1>Administration locale des postes</h1>";
                    $html .= "Vous avez le droit d'administrer " . $texte . ". Par mesure de sécurité vous devez d'abord activer ce droit pour une durée de deux heures. Vous devrez vous reconnecter sur les postes pour en être l'administrateur local.<br>";
                    $html .= "<form action=\"people.php\" method=\"post\">";
                    // if (! empty($salles)) {
                    // $html .="<select name=delegation>";
                    // foreach ($salles as $salle) {
                    // $html .="<option value=" . $salle['name'] . ">" . $salle['name'] . "</option>";
                    // }
                    // $html .="</select>";
                    // }
                    // $html .="<input type=hidden name='activer' value='Activer'>";
                    $html .= "<input type=submit name='activer' value='Activer'>";
                    $html .= "<input type=hidden name='cn' value='" . $config['login'] . "'>";
                    $html .= "</form>";
                }
            }
        }
    }
}

function add_user_group_html($config, &$html)
{
    if (! have_right($config, SE_ADMIN) && ! have_right($config, SE_USER_PASSWORD_INIT)) {
        $html .= ("Vous n'avez pas les droits suffisants pour accéder à cette fonction");
        admin_footer_html($html);
        return;
    }
    $cn = $_GET['cn'] ?? $_POST['cn'] ?? "";
    $classe_gr = $_POST['classe_gr'] ?? array();
    $matieres_gr = $_POST['matieres_gr'] ?? array();
    $cours_gr = $_POST['cours_gr'] ?? array();
    $autres_gr = $_POST['autres_gr'] ?? array();
    $equipe_gr = $_POST['equipe_gr'] ?? array();
    $err = "";

    $dn = isset($_POST['dn']) ? $_POST['dn'] : "";
    $dn = urldecode($dn);
    // debug_var();

    // $html .= "\$filtre=$filtre<br />";

    $user = search_user($config, $cn);
    if (isset($user['dn'])) {
        $etab = $user['etab'];
        $new_etab = $_POST['new_etab'] ?? $etab;
        $my_etabs = array_column(my_etabs($config, $user), 'uai');
        // Affichage des groupes secondaires
        $groups = $user['memberof'] ?? array();

        $list_current_groups = $list_current_matieres = array();
        // var_dump($rights_branch);
        $refnum = false;
        if (isset($groups)) {
            foreach ($groups as $line) {
                $m = [];
                if (preg_match("/(Classe_|Equipe_|Cours_)(.*)/", ldap_dn2cn($line), $m)) {
                    $list_current_groups[] = $m[2];
                } elseif (preg_match("/" . $config['dn']['matieres'] . "/i", $line)) {
                    $list_current_matieres[] = ldap_dn2cn($line);
                }
                $refnum |= preg_match("/CN=RefNum,/i", $line);
            }
        }

        $categorie = ldap_dn2cn_case(ldap_dn2oudn($user['dn']));
        if (preg_match("/Direction|Secretariat|Documentaliste|Medical|VieScol|Agent|AED|Tech|AESH/", $categorie)) {
            $fonction = $categorie;
            $categorie = ldap_dn2cn_case(ldap_dn2oudn(ldap_dn2oudn($user['dn'])));
        } else {
            $fonction = "";
        }
        $new_categorie = $_POST['new_categorie'] ?? $categorie;
        $new_fonction = $_POST['new_fonction'] ?? $fonction;

        // if ($add_user_group) {
        // Reaffectation de l'utilisateur dans une nouvelle categorie
        if ($new_fonction == "Tech") {
            $new_etab = 0;
            $new_categorie = "Administratifs";
        }
        if ($new_fonction == "Documentaliste") {
            $new_categorie = "Profs";
        }
        $sec_etabs = $_POST['sec_etabs'] ?? $my_etabs;
        foreach ($sec_etabs as $k => $e) {
            if ($e == "") {
                unset($sec_etabs[$k]);
            }
        }
        /*
         * Attention le new_etabs est ajouté à la fin du tableau
         * or le premier doit être le new_etab
         */
        add_array_unique($new_etab, $sec_etabs);
        $sec_etabs = array_reverse($sec_etabs);
        // $html .= "<pre>" . print_r($my_etabs, true) . "</pre>";
        if (($categorie != $new_categorie) || ($fonction != $new_fonction) || ($etab != $new_etab) || ($sec_etabs != $my_etabs)) {
            switch ($new_categorie) {
                case "Eleves":
                    $type = "Student";
                    break;
                case "Profs":
                    $type = "Teacher";
                    break;
                default:
                    $type = "Personnel";
                    break;
            }

            $move_user = [
                'ad' => $user,
                'ent' => [
                    'type' => $type,
                    'fonction' => $new_fonction,
                    'structure' => $new_etab,
                    'etabs' => $sec_etabs
                ]
            ];
            // $html .= "<pre>" . print_r($move_user, true) . "</pre>";
            $tmp_html = "";
            if (! move_ad_user($config, $move_user, $tmp_html)) {
                $html .= "ERREUR :  " . $tmp_html;
            } else {
                $etab = $new_etab;
                $fonction = $new_fonction;
                $my_etabs = $sec_etabs;
                $categorie = $new_categorie;
            }
        }

        // Ajout des groupes
        // Classe
        $html .= "<br>";
        if (count($classe_gr) > 0 || count($matieres_gr) > 0 || count($cours_gr) > 0 || count($equipe_gr) > 0 || count($autres_gr) > 0) {
            $html .= "L'utilisateur <a href='people.php?cn=$cn'>$cn</a> ";
            $html .= "a été ajouté dans les <a href='add_user_group.php?cn=$cn'>groupes</a> :<BR>";
        }

        if (count($classe_gr)) {
            for ($loop = 0; $loop < count($classe_gr); $loop ++) {
                $html .= $classe_gr[$loop] . "&nbsp;";
                if (groupaddmember($config, $user, $classe_gr[$loop])) {
                    $html .= "<stong><strong>Réussi</strong></strong><BR>";
                } else {
                    $html .= "<font color=\"orange\">Échec</font><BR>";
                    $err ++;
                }
            }
        }

        // Matiere
        if (count($matieres_gr)) {
            for ($loop = 0; $loop < count($matieres_gr); $loop ++) {
                $html .= $matieres_gr[$loop] . "&nbsp;";
                if (groupaddmember($config, $user, $matieres_gr[$loop])) {
                    $html .= "<strong>Réussi</strong><BR>";
                } else {
                    $html .= "</strong><font color=\"orange\">Échec</font></strong><BR>";
                    $err ++;
                }
            }
        }

        // Cours
        if (count($cours_gr)) {
            for ($loop = 0; $loop < count($cours_gr); $loop ++) {
                $html .= $cours_gr[$loop] . "&nbsp;";
                if (groupaddmember($config, $user, $cours_gr[$loop])) {
                    $html .= "<strong>Réussi</strong><BR>";
                } else {
                    $html .= "</strong><font color=\"orange\">Échec</font></strong><BR>";
                    $err ++;
                }
            }
        }

        // Equipe
        if (count($equipe_gr)) {
            for ($loop = 0; $loop < count($equipe_gr); $loop ++) {
                $html .= $equipe_gr[$loop] . "&nbsp;";
                if (groupaddmember($config, $user, $equipe_gr[$loop])) {
                    $html .= "<strong>Réussi</strong><BR>";
                } else {
                    $html .= "</strong><font color=\"orange\">Échec</font></strong><BR>";
                    $err ++;
                    var_dump($cn);
                    var_dump($equipe_gr[$loop]);
                    // var_dump($cn);
                }
            }
        }

        // Autres
        if (count($autres_gr)) {
            for ($loop = 0; $loop < count($autres_gr); $loop ++) {
                $html .= $autres_gr[$loop] . "&nbsp;";
                if (groupaddmember($config, $user, $autres_gr[$loop])) {
                    $html .= "<strong>Réussi</strong><BR>";
                } else {
                    $html .= "</strong><font color=\"orange\">Échec</font></strong><BR>";
                    $err ++;
                }
            }
        }
        if (! $refnum && isset($_POST['refnum'])) {
            $html .= "Ajout profil référent numérique";
            if (groupaddmember($config, $user, "RefNum") == 1) {
                $html .= "<strong>Réussi</strong><BR>";
            } else {
                $html .= "</strong><font color=\"orange\">Échec</font></strong><BR>";
                $err ++;
            }
        } elseif ($refnum && ! isset($_POST['refnum']) && ! empty($_POST['no_refnum'])) {
            $html .= "Retrait profil référent numérique";
            if (groupdelmember($config, $user, "RefNum")) {
                $html .= "<strong>Réussi</strong><BR>";
            } else {
                $html .= "</strong><font color=\"orange\">Échec</font></strong><BR>";
                $err ++;
            }
        }
        // } else {
        // début formulaire
        $html .= "<form action=\"add_user_group.php?cn=$cn\" method=\"post\">\n";
        // Ajout de groupes
        // Affichage du nom et de la description de l'utilisateur
        $html .= "<H2>" . $user["fullname"] . "</H2>\n";
        // Recherche si le user appartient a une categorie principale
        $html .= "<table>
        <tr>
          <td><u>Etablissement de rattachement</u> :&nbsp;</td>
          <td>";
        $etabs = list_etabs($config);
        if (count($etabs) > 1 && empty($config['etab_ou'])) {
            $ActualValue = $etab;
            $ActualValueName = etab_to_name($config, $etab);
            $html .= '<input list="ListEtab" id="etab" name="new_etab"   size="50" value="' . $ActualValue . '" onfocus="this.value=' . "''" . ';"
                        onClick="document.getElementById(\'buttonChangeEtab\').removeAttribute(\'hidden\');"/>';
            $html .= '<button  id="buttonChangeEtab" class="btn btn-primary" type="button"  onClick="submit();" hidden>
                        <i>Choisir</i>
                    </button>';
            $html .= $ActualValueName;
        } else {
            $html .= etab_to_name($config, $etab);
            $html .= "<input type=hidden name=new_etab value=" . $etab . ">";
            // $etab = $config['etab_ou'] ?? 0;
        }
        $html .= "</td>
        </tr>";
        /*
         * Etab secondaires
         */
        if (empty($config['etab_ou']) || count($sec_etabs) > 1) {
            $html .= "<tr><td><u>Etablissements secondaires</u> </td>";
            $dataListUAISecondaires = '<datalist id="ListEtabSecondaires">';
            $option_selected = "";
            $option_not_selected = "";
            $ListEtabSelected = "";
            foreach ($etabs as $e) {
                if ($e != $etab) {
                    if (! empty($e) && in_array($e, $sec_etabs)) {
                        $option_selected .= "<option value=\"" . $e . "\"  SELECTED>$e " . etab_to_name($config, $e) . "</option>\n";
                        $ListEtabSelected .= "<li class=\"list-group-item\"><button class=\"btn btn-danger btn-sm btn-circle\" type=\"button\" onClick=\"supprimerEtabSec('" . $e . "', '" . etab_to_name($config, $e) . "');\"><i class=\"fas fa-trash fa-2xs\"></i></button> $e " . etab_to_name($config, $e) . "</li>";
                    } else {
                        $dataListUAISecondaires .= "<option value=\"" . $e . "\" EtabName=\"" . etab_to_name($config, $e) . "\">$e " . etab_to_name($config, $e) . "</option>\n";
                    }
                }
            }
            $dataListUAISecondaires .= '</datalist>';
            /* liste des étabs non selectionnés */
            $html .= "<td>";
            /*
             * Le champ d'ajout n'et proposé que sur le central
             */
            if (empty($config['etab_ou'])) {
                $html .= $dataListUAISecondaires;
                $html .= '<div class="input-group">
							<input id ="SearchUAISecond" type="text" class="form-control bg-light border-0
									small" placeholder="Ajouter un établissement secondaire"
									aria-label="Search" aria-describedby="basic-addon2"
									list="ListEtabSecondaires"
									>
								<div class="input-group-append">
									<button class="btn btn-primary" type="button" onClick="ajouterEtabSec();">
										<i class="fas fa-plus fa-sm"></i>
									</button></div></div>';
                $html .= $option_not_selected;
            }
            $html .= "</td></tr>\n";
            /* étabs selectionnés */
            $html .= "<tr><td><SELECT id=\"EtabSecondSelected\"   NAME=\"sec_etabs[]\" MULTIPLE HIDDEN SIZE=\"4\">";
            $html .= $option_selected;
            $html .= "</SELECT></td>\n";
            $html .= "<td class=\"text-xs\">";
            $html .= "<div id=\"EtabSecond\">";
            $html .= "<ul  class=\"list-group\">";
            $html .= $ListEtabSelected;
            $html .= "</ul>";
            $html .= "</div>";
            $html .= "</td>";
            $html .= "</tr>\n";
        }
        $html .= '';
        /**
         * End Etab secondaires
         */
        $html .= "
        <tr>
          <td><u>Membre de la catégorie</u> :&nbsp;</td>
          <td>
            <select name=\"new_categorie\">
        \n";

        if ($categorie == "Administratifs") {
            $html .= "<option>Administratifs</option>
                <option>Profs</option>
                <option>Eleves</option>\n";
        } elseif ($categorie == "Profs") {
            $html .= "<option>Profs</option>
                <option>Administratifs</option>
                <option>Eleves</option>\n";
        } else {
            $html .= "<option>Eleves</option>
                <option>Profs</option>
                <option>Administratifs</option>\n";
        }
        $html .= "        </select>
        </td>
        </tr>";
        if ($categorie != "Eleves") {
            $html .= " <tr>
          <td><u>Fonction</u> :&nbsp;</td>
          <td>
            <select name=\"new_fonction\">\n";
            $old_config = $config;
            $config = get_config($config, true, true);
            $list_fonctions_all = search_ad($config, "*", "groupe", $config['dn']['groups'], [], "base");
            $config = $old_config;
            # Construction du tableau san les groupes déja attribués
            $list_fonctions = array();
            if ($categorie == "Administratifs") {
                $motif = "/Direction|Secretariat|Medical|VieScol|Agent|AED|Tech|Autres/";
            } else {
                $motif = "/Documentaliste|AESH/";
            }
            foreach ($list_fonctions_all as $key => $value) {
                if (preg_match($motif, $value['cn'])) {
                    array_push($list_fonctions, $value['cn']);
                }
            }
            asort($list_fonctions);
            array_unshift($list_fonctions, "");

            foreach ($list_fonctions as $f) {
                $html .= "<option value='" . $f . "'";
                if ($fonction == $f) {
                    $html .= " selected";
                }
                $html .= ">" . $f . "</option>\n";
            }
            $html .= "</select></td></tr><tr><td>Référent numérique</td><td>";
            if ($refnum) {
                $html .= "<input name='refnum' type='checkbox' checked>";
                $html .= "<input type=hidden name='no_refnum' value=1>";
            } else {
                $html .= "<input name='refnum' type='checkbox'>";
                $html .= "<input type=hidden name='no_refnum' value=0>";
            }
            $html .= "</td></tr>";
        }
        $html .= "</table><br>\n";

        if (count($list_current_groups) > 1) {
            // var_dump($list_current_groups);
            $html .= "<U>Membre des groupes</U> :<BR><UL>\n";
            for ($loop = 0; $loop < count($list_current_groups); $loop ++) {
                if (($list_current_groups[$loop] != "Profs") && ($list_current_groups[$loop] != "Eleves") && ($list_current_groups[$loop] != "Administratifs") && ($list_current_groups[$loop] != $user['etab'])) {
                    $html .= "<LI>" . $list_current_groups[$loop] . ",<font size=\"-2\"> ";
                    // $html .= "<LI><A href=\"group.php?dn=" . urlencode($list_current_groups[$loop]) . "\">" . $list_current_groups[$loop] . "</A>,<font size=\"-2\"> ";
                    // $login=preg_split ("#\,#",ldap_dn2ufn($list_current_groups[$loop]["owner"]),2);
                    // if ($login[0] == $cn) $html .= "<strong><font color=\"#ff8f00\">&nbsp;(professeur principal)</font></strong>";
                    $html .= "</font></LI>\n";
                }
            }
            $html .= "</UL>";
        }

        if ($categorie) {
            // Etablissement des listes des groupes disponibles

            // nouvelle entree
            $cours_gr = $classe_gr = $equipe_gr = $matieres_gr = $autres_gr = "";
            // Partie communue groupes autres
            // Affichage Select groupe principaux, projets et autres
            $list_autres_all = search_ad(get_config($config, true, $etab), "*", "projet");
            # Construction du tableau san les groupes déja attribués
            $list_autres = array();
            foreach ($list_autres_all as $key => $value) {
                if (! in_array($value['cn'], $list_current_groups))
                    array_push($list_autres, $value['cn']);
            }
            asort($list_autres);
            $list_autres_all = search_ad(get_config($config, true, $etab), "*", "autre");
            // Construction du tableau san les groupes déja attribués
            $list_autres = array();
            foreach ($list_autres_all as $key => $value) {
                if (! in_array($value['cn'], $list_current_groups))
                    array_push($list_autres, $value['cn']);
            }
            asort($list_autres);
            $sa = count($list_autres);
            $hc = $hg = $hm = $ha = "";
            // Partie 2 du tableau avec les éléments
            switch ($categorie) {
                case "Eleves":
                    $list_classes_all = list_classes_etab_fast(get_config($config, true, $etab), "Eleve");
                    # Construction du tableau san les groupes déja attribués
                    $list_classes = array();
                    foreach ($list_classes_all as $key => $value) {
                        if (! in_array($value, $list_current_groups))
                            array_push($list_classes, $value);
                    }
                    asort($list_classes);
                    $s = count($list_classes);
                    if ($s > 0) {
                        if ($s > 10) {
                            $s = 10;
                        }
                        $hc .= "<select name= \"classe_gr[]\" value=\"$classe_gr\" size=\"$s\" >\n";
                        for ($loop = 0; $loop < count($list_classes); $loop ++) {
                            $hc .= "<option value='Classe_" . $list_classes[$loop] . etab_suffix($etab) . "'>" . $list_classes[$loop];
                        }
                        $hc .= "</select>";
                    } else {
                        $hc .= "Pas de groupe à ajouter";
                    }
                    $hc .= "</td>";

                    // Partie commune

                    // Affichage Select groupe cours
                    $hg .= "<td>\n";
                    // $list_cours=search_ad($config, "*", "cours") ;
                    $list_cours_all = list_cours_etab_fast(get_config($config, true, $etab), "Eleve");
                    # Construction du tableau san les groupes déja attribués
                    $list_cours = array();
                    foreach ($list_cours_all as $key => $value) {
                        if (! in_array($value, $list_current_groups))
                            array_push($list_cours, $value);
                    }
                    asort($list_cours);
                    $s = count($list_classes);
                    if ($s > 0) {
                        if ($s > 10) {
                            $s = 10;
                        }

                        $hg .= "<select name= \"cours_gr[]\" value=\"$cours_gr\" size=\"$s\" multiple=\"multiple\">\n";
                        for ($loop = 0; $loop < count($list_cours); $loop ++) {
                            $hg .= "<option value='Cours_" . $list_cours[$loop] . etab_suffix($etab) . "'>" . $list_cours[$loop];
                        }
                        $hg .= "</select>";
                    } else {
                        $hg .= "Pas de groupe à ajouter";
                    }
                    $hg .= "</td>";
                    break;
                // Partie profs et administratifs
                case "Profs":
                    // Affichage Select groupe Matieres
                    $hm .= "<td>\n";
                    $list_matieres_all = list_matieres($config, "*");
                    # Construction du tableau sans les groupes déja attribués
                    $list_matieres = array();
                    foreach ($list_matieres_all as $key => $value) {
                        if (! in_array($value['cn'], $list_current_matieres))
                            array_push($list_matieres, $value['cn']);
                    }
                    asort($list_matieres);
                    $s = count($list_matieres);
                    if ($s > 0) {
                        if ($s > 10) {
                            $s = 10;
                        }
                        $hm .= "<select name= \"matieres_gr[]\" value=\"$matieres_gr\" size=\"$s\" multiple=\"multiple\">\n";
                        for ($loop = 0; $loop < count($list_matieres); $loop ++) {
                            $hm .= "<option value='" . $list_matieres[$loop] . "'>" . $list_matieres[$loop];
                        }
                        $hm .= "</select>";
                    } else {
                        $hm .= "Pas de matieres à ajouter";
                    }
                    $hm .= "</td>";
                case "Administratifs":
                    // Affichage Select groupe equipes
                    $list_equipes_all = list_classes_etab_fast(get_config($config, true, $etab), "Prof");
                    # Construction du tableau sans les groupes déja attribués
                    $list_equipes = array();
                    foreach ($list_equipes_all as $key => $value) {
                        if (! in_array($value, $list_current_groups))
                            array_push($list_equipes, $value);
                    }
                    asort($list_equipes);
                    $s = count($list_equipes);
                    if ($s > 0) {
                        if ($s > 10) {
                            $s = 10;
                        }

                        $hc .= "<select name= \"equipe_gr[]\" value=\"$equipe_gr\" size=\"$s\" multiple=\"multiple\">\n";
                        for ($loop = 0; $loop < count($list_equipes); $loop ++) {
                            $hc .= "<option value='Equipe_" . $list_equipes[$loop] . etab_suffix($etab) . "'>" . $list_equipes[$loop];
                        }
                        $hc .= "</select>";
                    } else {
                        $hc .= "Pas de groupe à ajouter";
                    }
                    $hc .= "</td>";

                    // Affichage Select groupe cours
                    $hg .= "<td>\n";
                    $list_cours_all = list_cours_etab_fast(get_config($config, true, $etab), "Prof");
                    # Construction du tableau san les groupes déja attribués
                    $list_cours = array();
                    foreach ($list_cours_all as $key => $value) {
                        if (! in_array($value, $list_current_groups))
                            array_push($list_cours, $value);
                    }
                    asort($list_cours);
                    $s = count($list_cours);
                    if ($s > 0) {
                        if ($s > 10) {
                            $s = 10;
                        }
                        $hg .= "<select name= \"cours_gr[]\" value=\"$cours_gr\" size=\"$s\" multiple=\"multiple\">\n";
                        for ($loop = 0; $loop < count($list_cours); $loop ++) {
                            $hg .= "<option value='Equipe_" . $list_cours[$loop] . etab_suffix($etab) . "'>" . $list_cours[$loop];
                        }
                        $hg .= "</select>";
                    } else {
                        $hg .= "Pas de groupe à ajouter";
                    }

                    $hg .= "</td>";

                    if ($sa > 0) {
                        if ($sa > 10) {
                            $sa = 10;
                        }
                        $ha .= "<td valign=\"top\">
    <select name=\"autres_gr[]\" value=\"$autres_gr\" size=\"$sa\" multiple=\"multiple\">";
                        for ($loop = 0; $loop < count($list_autres); $loop ++) {
                            $ha .= "<option value='" . $list_autres[$loop] . "'>" . $list_autres[$loop];
                        }
                        $ha .= "      </select>
            </td>";
                    }
            }
            // Affichage des boites de selection des nouveaux groupes secondaires
            $html .= "<h4>Ajouter aux groupes :</h4><br><i>Attention dans le cas d'un utilisateur issu d'un import automatique les modifications seront annulées par l'importation quotidienne</i>
<table border=\"0\" cellspacing=\"10\">
     <thead>
            <tr>";
            $html .= "<td>Classes</td>";
            $html .= "<td>Cours</td>";

            if ($s > 0) {
                $html .= "<td>Matières</td>";
            }
            if ($sa > 0) {
                $html .= "<td>Autres</td>";
            }
            $html .= "</tr>
    </thead>
    <tbody>
        <tr>
            <td valign=\"top\">";
            $html .= $hc . $hg . $hm . $ha;
            $html .= "</tr>

        <tr>
            <td><input type=\"reset\"
                value=\"Réinitialiser la sélection\">
            </td>";
        } else {
            $html .= "<table>
    <tr>";
        }
        $html .= "<td><input type=\"hidden\" name=\"add_user_group\" value=\"true\"> <input
            type=\"submit\" value=\"Lancer la requête\"></td>
    </tr>
</table>";
        // </small>";
        // nouvelle entree fin

        // fin formulaire
        $html .= "</form>\n";
    }
    // }
}

function mod_user_entry_html($config, &$html)
{
    $login = $config['login'];
    // if ($login != "") {

    // $html .= "Modification parametres utilisateur";

    @session_start();

    $isadmin = have_right($config, SE_USER_ADMIN);

    $cn = isset($_GET['cn']) ? $_GET['cn'] : (isset($_POST['cn']) ? $_POST['cn'] : NULL);

    if (! isset($cn)) {
        $html .= "<p style='color:red'>Erreur&nbsp;: Aucun utilisateur n'a été choisi.</p>\n";
    } else {
        $corriger_givenname_si_diff = "Y";
        $user_entry = isset($_POST['user_entry']) ? $_POST['user_entry'] : '';
        $nom = isset($_POST['nom']) ? $_POST['nom'] : '';
        $prenom = isset($_POST['prenom']) ? $_POST['prenom'] : '';
        $description = isset($_POST['description']) ? $_POST['description'] : '';
        $userpwd = isset($_POST['userpwd']) ? $_POST['userpwd'] : '';
        $mail = isset($_POST['mail']) ? $_POST['mail'] : '';
        $naissance = isset($_POST['naissance']) ? $_POST['naissance'] : '';
        $idg = $_POST['idg'] ?? "";
        $idsi = $_POST['idsi'] ?? "";
        $idnc = $_POST['idnc'] ?? "";
        $newtitles = $_POST['titles'] ?? [];

        if (have_right($config, SE_USER_ADMIN) or ((is_my_eleve($config, $login, $cn)) and (have_right($config, SE_USER_PASSWORD_INIT | SE_USER_READ | SE_USER_MODIFY)))) {
            // Recuperation des entrees de l'utilisateur a modifier
            $user = search_user($config, $cn);
            if (isset($user['hash'])) {
                $user['date'] = decode_birthdate($user['hash']);
            }
            $ids[1] = $user['Id GPEI'] ?? "";
            $ids[0] = $user['Id Siecle'] ?? "";
            $ids[2] = $user['Id ASM'] ?? "";
            $ids[3] = $user['Id Pronote'] ?? "";
            $ids[4] = $user['Id NC'] ?? "";
            $id = implode(",", $ids);

            $titles[0] = $user['id'] ?? "";
            $titles[1] = $user['externalId'] ?? "";
            $title = implode(",", $titles);

            $user["prenom"] = $user["prenom"] ?? "";
            $user["nom"] = $user["nom"] ?? "";

            if (! verifEntree($nom) || ! verifEntree($prenom) || ! verifDescription($description) || ($userpwd && ! verifPwd($userpwd)[0]) || (($naissance != '') && (! verifDateNaissance($naissance)))) {
                $html .= '<form name="auth" action="mod_user_entry.php" method="post"
    onSubmit="encrypt(document.auth)">
    <table align="center" border="0" width="90%">
        <tbody>
            <tr>
                <td width="30%">Login :&nbsp;</td>
                <td width="70%" colspan="5"><tt>
                        <strong>' . $user["cn"] . '</strong>
                    </tt></td>
            </tr>

            <tr>
                <td>Id unique AD :&nbsp;</td>
                <td colspan="5"><tt>
                        <strong>' . strtoupper(to_guid($user["objectguid"])) . '</strong>
                    </tt></td>
            </tr>

            <tr>
                <td>Prénom:&nbsp;</td>
                <td colspan="5"><input type="text" name="prenom"
                    value="' . $user["prenom"] . '" size="20"></td>
            </tr>

            <tr>
                <td>Nom&nbsp;:&nbsp;</td>
                <td colspan="5"><input type="text" name="nom"
                    value="' . $user["nom"] . '" size="20"></td>
            </tr>

            ';
                if ($isadmin) {
                    if (isset($user['date']) && preg_match("/^[0-9]{8}$/", $user['date'])) {
                        $naissance = $user['date'];
                    } else {
                        $naissance = "";
                    }
                    $user['email'] = $user['email'] ?? "";
                    $html .= '

            <tr>
                <td>Login&nbsp;:&nbsp;</td>
                <td colspan="5"><input type="text" name="login"
                    value="' . $user['cn'] . '" size="19"></td>
            </tr>

            <tr>
                <td>Date de naissance (Facultatif)</td>
                <td colspan="5"><input type="text" name="naissance"
                    value="' . $naissance . '" size="8"></td>
            </tr>

            <tr>
                <td valign="top">Identifiants uniques &nbsp;:&nbsp;</td>
                <td colspan="5"><font color="orange"> <u>Attention</u> :
                        Les numéros correspondent aux attributs "title"
                        et "employeeNumber" dans l\'annuaire LDAP.<br>Ces
                        numéros sont utilisés lors d\'une importation des
                        comptes pour déterminer si le compte existe déjà
                        ou non.<br>Ne les changez pas sans bonne raison
                        !
                </font></td>
            </tr>

            <tr>
                <td></td>
                <td>Id ENT</td>
                <td>Id AAF</td>
                <td colspan="3"></td>
            </tr>

            <tr>
                <td></td>
                <td><input type="text" name="titles[0]"
                    value="' . $titles[0] . '" size="20"></td>
                <td><input type="text" name="titles[1]"
                    value="' . $titles[1] . '" size="20"></td>
                <td colspan="3"></td>
            </tr>

            <tr>
                <td></td>
                <td>Id GPEI</td>
                <td>Id Siecle</td>
                <td>Id NC</td>
            </tr>

            <tr>
                <td></td>
                <td><input type="text" name="idg"
                    value="' . $ids[1] . '" size="20"></td>
                <td><input type="text" name="idsi"
                    value="' . $ids[0] . '" size="20"></td>
                <td><input type="text" name="idnc"
                    value="' . $ids[4] . '" size="36"></td>
            </tr>

            <tr>
                <td>Adresse mèl&nbsp;:&nbsp;</td>
                <td colspan="5"><input type="text" name="mail"
                    value="' . $user["email"] . '" size="20"></td>
            </tr>

                ';
                }
                $html .= '
            <tr>
                <td>Mot de passe:&nbsp;</td>
                <td colspan="2"><input type="password" value=""
                    name="userpwd" size="20" maxlength="20"></td>
                <td colspan="3"><font color="orange"> <u>Attention</u> : Si vous laissez ce champ vide,&nbsp;c\'est l\'ancien mot de passe qui sera conservé.
                    </font></td>
            </tr>
            <!--
            <tr>
                <td colspan="4" style="border: 1px solid black"></td>
            </tr>
            -->
            <tr>
                <td align="left" colspan="6"><p>
                        <input type="hidden" name="cn"
                            value="' . $cn . '"> <input
                            type="hidden" name="user_entry" value="true">
                        <input type="submit"
                            value="Valider les modifications">
                    </p></td>
                <td></td>
            </tr>
        </tbody>
    </table>
</form>
';
                if ((isset($user_entry)) && ($user_entry)) {
                    // verification des saisies
                    // nom prenom
                    if (! verifEntree($nom) || ! verifEntree($prenom)) {
                        $html .= "<div class=\"error_msg\">Les champs nom et prenom, doivent comporter au minimum 3 caractères alphabétiques.</div><br />\n";
                    }
                    // profil
                    if ($description && ! verifDescription($description)) {
                        $html .= "<div class=\"error_msg\">Veuillez reformuler le champ description.</div><br />\n";
                    }
                    // Date de naissance
                    if ($naissance != '' && ! verifDateNaissance($naissance)) {
                        $html .= "<div class=\"error_msg\">La date de naissance que vous avez saisie, n'est pas conforme.</div><br />\n";
                    }

                    // mot de passe
                    if ($userpwd && ! verifPwd($userpwd)[0]) {
                        $html .= "<div class='error_msg'>";
                        $html .= verifPwd($userpwd)[1] . "</div><br />\n";
                    }

                    // fin verification des saisies
                }

                // $html .= "<p><a href='people.php?cn=" . $cn . "'>Retour sans modification vers la fiche de $cn</a></p>\n";
            } else {

                if (! empty($_POST['login']) && $_POST['login'] != $user['cn']) {
                    $mod = [
                        'ad' => $user,
                        'ent' => [
                            'login' => $_POST['login']
                        ]
                    ];
                    $html = "Modification du login : <br>";
                    modify_ad_login($config, $mod, $html);
                    $user = search_user($config, $_POST['login']);
                    $cn = $user['cn'];
                    $html .= $html;
                }

                $mode = "replace";
                // Positionnement des entrees a modifier
                // $entry["sn"] = stripslashes ( utf8_encode($nom) );
                // $entry["cn"] = stripslashes ( utf8_encode($prenom)." ".utf8_encode($nom) );
                $entry["sn"] = stripslashes(ucfirst(strtolower(strtr(preg_replace("/Æ/", "AE", preg_replace("/æ/", "ae", preg_replace("/¼/", "OE", preg_replace("/½/", "oe", "$nom")))), "'ÂÄÀÁÃÄÅÇÊËÈÉÎÏÌÍÑÔÖÒÓÕ¦ÛÜÙÚÝ¾´áàâäãåçéèêëîïìíñôöðòóõ¨ûüùúýÿ¸", "_AAAAAAACEEEEIIIINOOOOOSUUUUYYZaaaaaaceeeeiiiinoooooosuuuuyyz"))));
                $entry["displayname"] = stripslashes(ucfirst(strtolower(strtr(preg_replace("/Æ/", "AE", preg_replace("/æ/", "ae", preg_replace("/¼/", "OE", preg_replace("/½/", "oe", "$prenom")))), "'ÂÄÀÁÃÄÅÇÊËÈÉÎÏÌÍÑÔÖÒÓÕ¦ÛÜÙÚÝ¾´áàâäãåçéèêëîïìíñôöðòóõ¨ûüùúýÿ¸", "_AAAAAAACEEEEIIIINOOOOOSUUUUYYZaaaaaaceeeeiiiinoooooosuuuuyyz"))) . " " . ucfirst(strtolower(strtr(preg_replace("/Æ/", "AE", preg_replace("/æ/", "ae", preg_replace("/¼/", "OE", preg_replace("/½/", "oe", "$nom")))), "'ÂÄÀÁÃÄÅÇÊËÈÉÎÏÌÍÑÔÖÒÓÕ¦ÛÜÙÚÝ¾´áàâäãåçéèêëîïìíñôöðòóõ¨ûüùúýÿ¸", "_AAAAAAACEEEEIIIINOOOOOSUUUUYYZaaaaaaceeeeiiiinoooooosuuuuyyz"))));

                // ======================================
                if ($corriger_givenname_si_diff == "Y") {
                    // Le givenName est destiné à prendre pour valeur le Prenom de l'utilisateur
                    $entry["givenname"] = ucfirst(strtolower(strtr(preg_replace("/Æ/", "AE", preg_replace("/æ/", "ae", preg_replace("/¼/", "OE", preg_replace("/½/", "oe", "$prenom")))), "'ÂÄÀÁÃÄÅÇÊËÈÉÎÏÌÍÑÔÖÒÓÕ¦ÛÜÙÚÝ¾´áàâäãåçéèêëîïìíñôöðòóõ¨ûüùúýÿ¸", "_AAAAAAACEEEEIIIINOOOOOSUUUUYYZaaaaaaceeeeiiiinoooooosuuuuyyz")));
                }

                if ($isadmin) {
                    if ($mail != "")
                        $entry["mail"] = $mail;
                    if ($description && verifDescription($description))
                        $entry["description"] = utf8_encode(stripslashes($description));

                    if ($naissance != '' && verifDateNaissance($naissance)) {
                        $entry['physicaldeliveryofficename'] = encode_birthdate($naissance);
                        if (! isset($user['hash'])) {
                            // $mode = "add";
                        }
                    }
                    $newid = $idsi . "," . $idg . "," . $ids[2] . "," . $ids[3] . "," . $idnc;
                    if ($newid != $id) {
                        $entry["employeenumber"] = $newid;
                    }

                    if (implode(",", $newtitles) != $title) {
                        $entry["title"] = implode(",", $newtitles);
                    }
                }
                // Modification des entrees
                $res = modify_ad($config, $user['cn'], "user", $entry, $mode);
                if ($res) {
                    $html .= "<strong>Les entrées ont été modifiées avec succès.</strong><br />\n";
                } else {
                    $html .= "<strong>Echec de la modification</strong><br />\n";
                }

                // Fin modification des entrees
                // Changement du mot de passe
                if ($userpwd && verifPwd($userpwd)[0]) {
                    usersetpassword($config, $cn, $userpwd);
                }

                // $html .= "<p><a href='" . $_SERVER['PHP_SELF'] . "?cn=" . $cn . "'>Retour vers la modification des informations $cn</a></p>\n";
                // $html .= "<p><a href='people.php?cn=" . $cn . "'>Retour vers la fiche de $cn</a></p>\n";
            }
        } else {
            $html .= "<div class=error_msg>Cette fonctionnalité nécessite des droits d'administration SambaEdu !</div>";
        }
    }
}

function group_html($config, &$html)
{
    require_once "wallpaper.inc.php";
    require_once "shortcuts.inc.php";
    $login = $config['login'];
    $dn = $_GET['dn'] ?? $_POST['dn'] ?? '';
    $dn = urldecode($dn);
    // recherche des membres associés
    if (! empty($dn)) {
        // recherche des membres du groupe
        if (preg_match("/(eleves|profs|administratifs)/i", $dn)) {
            // $config = get_config($config, true, true);
            // $group = search_ad($config, $dn, "group", $config['dn']['groups']);
            $group = search_ad(get_config($config, true, true), $dn, "dn");
        } else {
            $group = search_ad($config, $dn, "dn");
        }
        if (isset($group[0])) {
            // tableaux associés dans le cas de classes
            if (preg_match("/^CN=((Equipe|Classe|Cours|PP)_(.*)),(.*)$/Ui", $dn, $m)) {
                $types = [
                    'Classe' => "OU=Classes",
                    'Cours' => "OU=Cours",
                    'Equipe' => "OU=Equipes"
                    // 'PP' => "OU=Equipes"
                ];
                foreach ($types as $type => $ou) {
                    $gdn = "CN=" . $type . "_" . $m[3] . "," . $ou . "," . ldap_dn2oudn($m[4]);
                    if (isset(search_ad($config, $gdn, "dn")[0])) {
                        $groupes[$gdn] = search_people_group(get_config($config, true, $group[0]['etab']), $gdn);
                        $intitule = $m[3];
                        $description = "";
                    }
                }
            } else {
                $groupes[$dn] = search_people_group($config, $dn);
                $intitule = $group[0]['cn'];
                $description = $group[0]["description"] ?? "";
            }
        }
    }

    // affichage des tableaux

    if (! isset($groupes)) {
        $html .= "<div class=error_msg>Le groupe '$dn' n'existe pas !</div>";
    } else {
        // teste les droits
        $admin_annu = have_right($config, SE_USER_ADMIN);
        $can_read_annu = have_right($config, SE_USER_READ);
        $admin_sovajon = have_right($config, SE_USER_PASSWORD_INIT | SE_USER_READ | SE_USER_MODIFY, true);
        $admin_se = have_right($config, SE_ADMIN) || have_right($config, SE_USER_ADMIN);

        // Affiche les membres du groupe
        $etab = 0;
        $etab = $group[0]['etab'];
        // if ($etab != $_SESSION['etab']) {
        if (! empty($etab) && $etab != $config['etab_ou']) {
            $html .= " Établissement : " . etab_to_name($config, $etab) . " <BR> ";
        } else {
            $etab = $config['etab_ou'] ?? 0;
            $html .= " Établissement : " . etab_to_name($config, $etab) . " <BR> ";
        }
        /*
         * conteneur des colonnes
         */
        $html .= "<div class=\"row\">";
        foreach ($groupes as $gdn => $g) {
            $html .= "<div class=\"col\">";
            $gm = [];
            if (! $m) {
                $type = "Groupe";
            } else {
                preg_match("/CN=((Equipe|Classe|Cours|PP)_(.*)),/Ui", $gdn, $gm);
                $type = $gm[2];
            }
            $html .= "<U>" . $type . "</U> : $intitule <font size=\"-2\">" . $description . "</font><BR>\n";
            $html .= "Il y a " . count($g) . " membre";
            if (count($g) > 1) {
                $html .= "s";
            }
            $html .= " dans ce groupe<BR>\n";
            if (count($g) > 0) {
                foreach ($g as $p) {
                    if (is_prof($config, $p)) {
                        $html .= "<img src=\"../annu/images/gender_teacher.gif\" alt=\"Professeur\" width=18 height=18 hspace=1 border=0>\n";
                    } else {
                        if (isset($p["sexe"]) && $p["sexe"] == "F") {
                            $html .= "<img src=\"../annu/images/gender_girl.gif\" alt=\"El&egrave;ve\" width=14 height=14 hspace=3 border=0>\n";
                        } else {
                            $html .= "<img src=\"../annu/images/gender_boy.gif\" alt=\"El&egrave;ve\" width=14 height=14 hspace=3 border=0>\n";
                        }
                    }

                    // Si on a pas les droits on n'a pas de lien
                    if ($admin_annu || $can_read_annu) {
                        $html .= "<A href=\"people.php?cn=" . $p["cn"] . "\">" . $p["fullname"] . "</A>";
                    } else {
                        // si on a les droits sovajon_is_admin on vérifie si on a la classe ou si les droits étendus du groupe prof sont activés
                        $cn_eleve = $p["cn"];
                        if (is_my_eleve($config, $login, $cn_eleve) and $admin_sovajon) {
                            $html .= "<A href=\"people.php?cn=" . $p["cn"] . "\">" . $p["prenom"] . " " . $p["name"] . "</A>";
                        } else {
                            $html .= $p["prenom"] . " " . $p["name"];
                        }
                    }
                    $etab_prof = $p["etab"];
                    $fonction = ldap_dn2cn(ldap_dn2oudn($p['dn']));
                    if (! in_array($fonction, [
                        "Eleves",
                        "Profs",
                        "Administratifs"
                    ])) {
                        foreach ($p['memberof'] as $pg) {
                            if (preg_match("/CN=" . $fonction . ",/i", $pg)) {
                                break;
                            }
                        }
                        $html .= " fonction : <A href=\"group.php?dn=" . urlencode($pg) . "\">" . $fonction . "</A> ,";
                    }
                    if ($etab_prof != $etab) {
                        $html .= " etablissement de rattachement : " . etab_to_name($config, $etab_prof) . "  ";
                    }
                    // if (preg_match("/Equipe/", $dn) && in_array($p["cn"], $list_pp_grp)) {
                    // $html .= "<strong><font size=\"-2\" color=\"#ff8f00\">&nbsp;&nbsp;(professeur principal)</font></strong>";
                    // $owner = $p["cn"];
                    // }
                    $html .= "<BR>\n";
                }
            } else {
                $html .= " <STRONG>Pas de membres</STRONG>  dans le groupe $intitule.<BR>";
            }
            //
            // Affichage menu admin (se3_is_admin et Annu_is_admin)
            // Pour les groupes sauf pour les groupes Eleves Profs Administratifs
            //

            if ($admin_annu) {
                $html .= "<br><ul style=\"color: red;\">\n";

                // Affichage du menu "Ajouter des membres" si le groupe est de type Equipe_ ou Classe
                if (! empty($type)) {
                    $html .= "<li><a href=\"add_list_users_group.php?dn=" . urlencode($gdn) . "\">Ajouter des membres</a></li>\n";
                } else {
                    // pour ajouter dans un sous-groupe
                    $html .= "<li><a href=\"aj_ssgroup.php?dn=" . urlencode($gdn) . "\">Ajouter des membres</a></li>\n";
                }
                // fin ajout
                // Lien pour supprimer des membres
                if (count($g)) {
                    $html .= "<li><a href=\"del_user_group.php?dn=" . urlencode($gdn) . "\">Enlever des membres</a></li>\n";
                }
                if ($type == "Groupe") {
                    // Lien pour supprimer le groupe
                    $html .= "<li><a href=\"del_group.php?dn=" . urlencode($gdn) . "\" onclick= \"return getconfirm();\">Supprimer ce groupe</a></li>\n";
                }
                // Lien pour modifier la description du groupe
                $html .= "<li><a href=\"mod_group_descrip.php?dn=" . urlencode($gdn) . "\">Modifier la description de ce groupe</a></li>\n";
                // Affiche un listing du groupe
                $html .= "<li><a href=\"grouplist.php?dn=" . urlencode($gdn) . "\" target='_new'>Afficher un listing du groupe</a></li>\n";
                // Affichage menu gestion des droits
                // si la personne est admin uniquement
                if ($admin_se) {
                    // Affichage du menu "Deleguer un droit a un groupe"
                    $html .= "<li><a href=\"manage_rights.php?dn=" . urlencode($gdn) . "\">Gérer les droits de ce groupe</a></li>\n";
                    // $html .= "<li><a href=\"../printers/add_printer.php?parc=" . ldap_dn2cn($gdn) . "\">Ajouter une imprimante pour ce groupe</a></li>\n";
                    // $html .= "<li><a href=\"../printers/delete_printer.php?parc=" . ldap_dn2cn($gdn) . "\">Supprimer une imprimante pour ce groupe</a></li>\n";
                    $html .= "<li>Définir un fond d'écran</li>\n";
                    $html .= "<FORM method=\"post\" action=\"group.php\" enctype=\"multipart/form-data\">\n";
                    $html .= "<input type=hidden name=dn value=\"" . ldap_dn2cn($gdn) . "\">";
                    $html .= upload_wallpaper($config, "/etc/sambaedu/applications/wallpaper/wallpaper@" . ldap_dn2cn($gdn) . ".jpg");
                    $html .= "</FORM>";
                    $html .= "<li>Raccourcis</li>\n";
                    $html .= "<FORM method=\"post\" action=\"group.php\" enctype=\"multipart/form-data\">\n";
                    $html .= "<input type=hidden name=dn value=\"" . urlencode($gdn) . "\">";
                    $html .= list_shortcuts($config, ldap_dn2cn($gdn));
                    $html .= "</FORM>";
                } // Fin Affichage menu droits
                $html .= "</ul>\n";
            } elseif ($admin_se || $admin_annu) {
                // Affichage du menu "Deleguer un droit a un groupe"
                $html .= "<br><ul style=\"color: red;\">\n";
                // $html .= "<li><a href=\"pop_group.php?dn='" . ldap_dn2cn($gdn) . "'\">Envoyer un Pop Up à ce groupe") . "</a></li>\n";
                $html .= "<li><a href=\"manage_rights.php?dn=" . urlencode($gdn) . "\">Gérer les droits de ce groupe</a></li>\n";
                $html .= "<li><a href=\"grouplist.php?dn=" . ldap_dn2cn($gdn) . "\" target='_new'>Afficher un listing du groupe</a></li>\n";
                $html .= "<li><a href=\"../printers/add_printer.php?parc=" . ldap_dn2cn($gdn) . "\">Ajouter une imprimante pour ce groupe</a></li>\n";
                $html .= "<li><a href=\"../printers/delete_printer.php?parc=" . ldap_dn2cn($gdn) . "\">Supprimer une imprimante pour ce groupe</a></li>\n";
                $html .= "<li>Définir un fond d'écran</li>\n";
                $html .= "<FORM method=\"post\" action=\"group.php\" enctype=\"multipart/form-data\">\n";
                $html .= "<input type=hidden name=dn value=\"" . urlencode($gdn) . "\">";
                $html .= upload_wallpaper($config, "/etc/sambaedu/applications/wallpaper/wallpaper@" . ldap_dn2cn($gdn) . ".jpg");
                $html .= "</FORM>";
                $html .= "<li>Raccourcis</li>\n";
                $html .= "<FORM method=\"post\" action=\"group.php\" enctype=\"multipart/form-data\">\n";
                $html .= list_shortcuts($config, ldap_dn2cn($gdn));
                $html .= "<input type=hidden name=dn value=\"" . urlencode($gdn) . "\">";
                $html .= "</FORM>";
                $html .= "</ul>\n";
            } elseif ($admin_sovajon) {

                // Affiche un listing du groupe si on a une Classe
                // que pour les eleves

                if ($type == "Classe" || $type == "Cours") {
                    $html .= "<li><a href=\"grouplist.php?dn=" . urlencode($gdn) . "\" target='_new'>Afficher un listing du groupe</a></li>\n";
                }
                $html .= "</ul>\n";
            }
            $html .= "<BR></div>\n";
        }
        /*
         * Fin du conteneur de colonnes
         */
        $html .= "</div>";
    }
}

function del_user_group_direct_html($config, &$html)
{
    $cn = $_GET["cn"] ?? "";
    $dn = $_POST['dn'] ?? $_GET['dn'] ?? '';
    $dn = urldecode($dn);
    if (! empty($dn)) {
        $dn = urldecode($dn);
    }
    if ($cn == "" || $dn == "") {
        $html .= "<p>ERREUR : Il faut choisir un nom ou un groupe</p>\n";
    } elseif (! have_right($config, SE_USER_ADMIN)) {
        $html .= ("Vous n'avez pas les droits suffisants pour accéder à cette fonction");
    } else {
        $user = search_user($config, $cn);
        // cas d'un groupe principal
        $group = search_ad($config, $dn, "dn");
        $sam_group = $group[0]['samaccountname'];
        if ($sam_group == "Eleves" || $sam_group == "Profs" || $sam_group == "Administratifs") {
            $list_current_groups = array();
            $rights_branch = $config['dn']['rights'];
            if (isset($user['memberof'])) {
                foreach ($user['memberof'] as $line) {
                    if (! preg_match("/$rights_branch/i", $line)) {
                        $list_current_groups[] = $line;
                    }
                }
            }
            $ReturnCode = True;
            foreach ($list_current_groups as $dn) {
                $ReturnCode &= groupdelmemberbydn($config, $user['dn'], $dn);
            }
        } else {
            // suppression de l'utilisateurs selectionné
            $ReturnCode = groupdelmemberbydn($config, $user['dn'], $dn); // . $config['suffix']);
        }
        // Compte rendu de suppression

        if ($ReturnCode) {
            $html .= "<div class=error_msg>
                     <a href='people.php?cn=$cn'>$cn </a> a été supprimé du groupe
                      <font color='#0080ff'><A href='group.php?dn=" . $group['dn'] . "'>$sam_group</A></font> avec succès.</div><br>\n";
        } else {
            $html .= "<div class=error_msg>";
            $html .= "Échec, $cn n'a pas été supprimé du groupe <font color='#0080ff'>$sam_group</font>
                </div><BR>\n";
        }
    }
}

function manage_rights_html($config, &$html)
{
    $dn = $_POST['dn'] ?? $_GET['dn'] ?? "";
    if (! empty($dn)) {
        $dn = urldecode($dn);
        $user = search_ad($config, $dn, "dn");
    }
    if (! isset($user[0])) {
        $cn = $_POST['cn'] ?? $_GET['cn'] ?? "";
        if (! empty($cn)) {
            $user = search_user($config, $cn);
            if (empty($user)) {
                $user = search_group($config, $cn);
            }
        }
    } else {
        $user = $user[0];
    }
    if (empty($user)) {
        $html .= "<p>ERREUR : Utilisateur ou groupe inconnu</p>\n";
    } else {
        $cn = $user['cn'];
        $action = $_POST['action'] ?? $_GET['action'] ?? "";
        $delrights = $_POST['delrights'] ?? [];
        $newrights = $_POST['newrights'] ?? [];
        $parc = $_POST['parc'] ?? "";
        $profile = $_POST['profile'] ?? "";
        $delegation = $_POST['delegation'] ?? "";

        // effacement des caches ldap

        apcu_delete(new APCUIterator('#^rights_#'));
        apcu_delete(new APCUIterator('#^delegation_#'));
        apcu_delete(new APCUIterator('#^search_#'));

        if (! have_right($config, SE_USER_ADMIN)) {
            $html .= ("Vous n'avez pas les droits suffisants pour accéder à cette fonction");
        } else {
            // effacement de tous les caches des délégations !
            // apcu_delete(new APCUIterator('#^delegation_#'));
            // apcu_delete(new APCUIterator('#^rights_#'));

            switch ($action) {
                case "AddRights":
                    // Inscription des droits dans l'annuaire
                    $html .= "<H3>Inscription des droits pour <U>" . $user['cn'] . "</U></H3>";
                    $html .= "<P>Vous avez sélectionné " . count($newrights) . " droit(s)<br>\n";
                    for ($loop = 0; $loop < count($newrights); $loop ++) {
                        $right = $newrights[$loop];
                        $html .= "Délégation du droit <U>$right</U> à l'utilisateur " . $user['cn'] . "<br>";
                        add_right_profile($config, $user['cn'], $right);
                        $html .= "<br>";
                    }
                    break;
                case "DelRights":
                    // Suppression des droits dans l'annuaire
                    $html .= "<H3>Suppression des profils de droits pour <U>" . $user['cn'] . "</U></H3>";
                    $html .= "<P>Vous avez sélectionné " . count($delrights) . " droit(s)<BR>\n";
                    for ($loop = 0; $loop < count($delrights); $loop ++) {
                        $right = $delrights[$loop];
                        $html .= "Suppression du droit <U>$right</U> pour l'utilisateur " . $user['cn'] . "<br>";
                        remove_right_profile($config, $user['cn'], $right);
                        $html .= "<br>";
                    }
                    break;
                case "AddDelegation":
                    if (create_delegation($config, $parc, $cn, $profile)) {
                        $html .= "Ajout d'une délégation pour le parc $parc, avec le profil $profile.<br><br>";
                    }
                    break;
                case "DelDelegation":
                    if (delete_delegation($config, $delegation, $cn)) {
                        $html .= "Suppression de la délégation pour le parc $parc, avec le profil $profile.<br><br>";
                    }
                    break;
            }

            // Affichage du nom et de la description de l'utilisateur
            $description = $user["fullname"] ?? $user["description"];
            $html .= "<H3>Délégation de droits à " . $description . " (<U>" . $user['cn'] . "</U>)</H3>\n";
            $html .= "Sélectionnez les profils de droits à supprimer (liste de gauche) ou à ajouter (liste de droite) ";
            $html .= "et validez à l'aide du bouton correspondant.<BR><BR>\n";
            // Lecture des droits disponibles
            apcu_delete(new APCUIterator('#^rights_#'));
            apcu_delete(new APCUIterator('#^delegation_#'));
            apcu_delete(new APCUIterator('#^search_#'));

            $list_current_rights = list_right_profiles($config, $user);
            $list_all_rights = list_right_profiles($config, 'all');
            $list_possible_rights = array_diff($list_all_rights, $list_current_rights);
            $html .= "
<FORM method='post' action='../annu2/manage_rights.php'>
    <INPUT TYPE='hidden' VALUE='" . $cn . "' NAME='cn'>
    <INPUT TYPE='hidden' NAME='action'>
    <INPUT TYPE='hidden' NAME='delegation'>
    <table class='table-bordered' align=center width='50%'>";
            $html .= "<tr><td align=center class=menuheader colspan=\"2\" height=\"30\" >Récapitulatif des profils de droits</td>\n";
            $html .= "</tr>\n";
            $html .= "<tr><td class=menuheader height=\"30\" align=center>Profils de droits effectifs</td>\n";
            $html .= "<td class=menuheader align=center>Profils de droits disponibles</td>\n";
            $html .= "</tr>\n";
            $html .= '  <TR>
            <TD VALIGN="center" align=\"center\">';
            if (count($list_current_rights) > 15) {
                $size = 15;
            } else {
                $size = count($list_current_rights);
            }
            if ($size > 0) {
                $html .= "<SELECT NAME=\"delrights[]\" SIZE=\"$size\" multiple=\"multiple\">";
                for ($loop = 0; $loop < count($list_current_rights); $loop ++) {
                    $found = false;
                    foreach ($user['memberof'] as $g) {
                        if ($found = preg_match("/" . $list_current_rights[$loop] . "/", $g)) {
                            break;
                        }
                    }
                    if ($found) {
                        $html .= "<option value='" . $list_current_rights[$loop] . "'>" . $list_current_rights[$loop] . "\n";
                    } else {
                        $html .= "<option value='" . $list_current_rights[$loop] . "' disabled>" . $list_current_rights[$loop] . " hérité\n";
                    }
                }
                $html .= '</SELECT></td>';
            } else {
                $html .= "<U>" . $user['cn'] . "</U> n'a aucun droit propre";
            }
            // droits disponibles
            $html .= '<TD VALIGN="center" align="center">';
            if (count($list_possible_rights) > 15) {
                $size = 15;
            } else {
                $size = count($list_possible_rights);
            }
            if ($size > 0) {
                $html .= "<SELECT NAME=\"newrights[]\" SIZE=\"$size\" multiple=\"multiple\">";
                foreach ($list_possible_rights as $value) {
                    $html .= "<option value='" . $value . "'>" . $value . "\n";
                }
                $html .= '</SELECT></td></tr></tr><tr><td>';
                // On desactive la possibilite de virer des droits pour admin
                if ($user['cn'] != 'admin' && $size > 0) {
                    $html .= '<input type="submit" value="Retirer ces droits"
                onClick="this.form.action.value=\'DelRights\';return true;">';
                }
            }
            $html .= '          </TD>
<td>
    <input type="submit" value="Ajouter ces droits" onClick="this.form.action.value=\'AddRights\';return true;">';
            $html .= '</TD>
</TR>
</TABLE>';
            // affichage délégations
            $delegations = list_delegations($config, $user);
            $html .= "<table class='table-bordered' align=center width=\"50%\">\n";
            $html .= "<tr><td align=center class=menuheader colspan=\"5\" height=\"30\" >Récapitulatif des délégations</td>\n";
            $html .= "</tr>\n";
            $html .= "<tr><td class=menuheader height=\"30\" align=center>Utilisateur/groupe</td>\n";
            $html .= "<td class=menuheader align=center>groupe d'héritage</td>\n";
            $html .= "<td class=menuheader align=center>Parc</td>\n";
            $html .= "<td class=menuheader align=center>Profil de délégation</td>\n";
            $html .= "<td class=menuheader align=center>Supprimer</td></tr>\n";
            foreach ($delegations as $delegation) {
                $heritage = ($delegation['user'] != ldap_dn2cn($delegation['groupdn']));
                if ($heritage) {
                    $html .= "<tr><td align=center>" . $delegation['user'] . " (hérité)</td>\n";
                    $html .= "<td align=center>" . ldap_dn2cn($delegation['groupdn']) . "</td>\n";
                } else {
                    $html .= "<tr><td align=center>" . $delegation['user'] . "</td>\n";
                    $html .= "<td align=center>-</td>\n";
                }
                $html .= "<td align=center>" . ldap_dn2cn($delegation['parcdn']) . "</td>\n";
                $html .= "<td align=center>" . $delegation['profile'] . "</td>\n";
                if (! $heritage) {
                    $html .= "<td align=center><input type=\"submit\" value=\"Supprimer\"
                onClick=\"this.form.action.value='DelDelegation';this.form.delegation.value='" . $delegation['samaccountname'] . "';return true;\">";
                    $html .= "</td>\n";
                } else {
                    $html .= "<td></td>\n";
                }

                $html .= "</tr>";
            }
            $html .= "<tr><td align=center>Nouvelle délégation...</td><td></td>";
            $html .= "<td align=center><select name=parc>";
            foreach (search_ad($config, "*", "parc") as $parc) {
                $html .= "<option value=\"" . $parc['samaccountname'] . "\">" . $parc['cn'] . "</option>";
            }
            $html .= "</select></td>";
            $html .= "<td align=center><select name=profile>";
            foreach ($list_all_rights as $profile) {
                $html .= "<option value=\"" . $profile . "\">" . $profile . "</option>";
            }
            $html .= "</select></td>";
            $html .= '<td align=center><input type="submit" value="Valider"
                onClick="this.form.action.value=\'AddDelegation\';return true;">';
            $html .= "</tr>";

            $html .= "</table><br><br></FORM>\n";

            $rights = right_info(list_rights($config, $user));
            $available_rights = right_info(SE_ADMIN);
            $html .= "<br>";
            $html .= "<h1>Droits effectifs :</h1>";
            $html .= "<ul>";
            foreach ($available_rights as $k => $msg) {
                if (isset($rights[$k])) {
                    $html .= "<li class=\"\">" . $msg . "</li>";
                } else {
                    $html .= "<li class=\"small\"><strike>" . $msg . "</strike></li>";
                }
            }
            $html .= "</ul>";
            // $html .= "find epage";
            $html .= "<H3>Note : Les profils de droits hérités d'un groupe ne pourront être supprimés au niveau de l'utilisateur.</H3>";
        }
    }
}

function del_user_html($config, $html)
{
    if (have_right($config, SE_USER_ADMIN)) {
        $cn = $_GET['cn'];
        // suppression d'un d'utilisateur
        if ($cn == "admin") {
            $html .= "<div class=error_msg>Vous ne pouvez pas effacer le compte administrateur !</div>";
        } elseif (! $cn) {
            $html .= "<div class=error_msg>Vous devez préciser le login du compte à effacer !</div>";
        } else {
            if (userdel($config, $cn)) {
                $html .= "Le compte <strong>$cn</strong> a été effacé avec succès !<BR>\n";
            } else {
                $html .= "<div class=error_msg>Echec, l'utilisateur $cn n'a pas été effacé !";
            }
        }
    } else {
        $html .= "<div class=error_msg>Cette fonctionnalité, nécessite les droits d'administrateur du serveur SambaEdu !</div>";
    }
}

function pass_user_init_html($config, &$html)
{
    $listing = [];
    if (have_right($config, SE_USER_PASSWORD_INIT)) { // || have_right($config, SE_USER_ADMIN) || have_right($config, SE_USER_PASSWORD_INIT | SE_USER_READ | SE_USER_MODIFY)) {
        $cn_init = $_GET['cn'];
        // Recherche d'utilisateurs dans la branche people
        $info = search_user($config, $cn_init);
        if (count($info) > 0) {
            $prenom = $info["prenom"];
            $info['structure'] = $info['etab'];
            $nom = $info["nom"];
            $html .= "<a href='people.php?cn=" . $cn_init . "' title=\"Retour à la fiche de l'utilisateur " . $nom . " " . $prenom . "\">" . $nom . " " . $prenom . "</a>: ";
            $html .= "<pre class='listing'>";
            $html .= reinit_passwd($config, $info, $listing, true);
            $html .= "</pre>";
        }
        apcu_store('listing_' . session_id(), $listing);
        $html .= generate_listing('listing_' . session_id(), false);
    }
}

function del_user_group_html($config, &$html)
{
    $cn = $_POST['cn'] ?? $_GET['cn'] ?? '';
    $dn = $_POST['dn'] ?? $_GET['dn'] ?? '';
    if (! empty($dn)) {
        $cn = ldap_dn2cn(urldecode($dn));
    }

    $group_del_user = $_POST['group_del_user'] ?? "";
    $members = $_POST['members'] ?? "";

    if (have_right($config, SE_USER_ADMIN)) {
        if ($cn != "Eleves" && $cn != "Profs" && $cn != "Administratifs") {
            $people = search_people_group($config, $cn);
            $html .= "<h4>Modification des membres du groupe $cn</h4>\n";
            if (! $group_del_user || ($group_del_user && ! count($members))) {
                $html .= '
<form action="del_user_group.php" method="post">
    <p>Sélectionnez les membres à supprimer : </p>
    <p>
        <select size="15" name="members[]" multiple="multiple">';
                for ($loop = 0; $loop < count($people); $loop ++) {
                    $html .= "<option value=\"" . $people[$loop]['cn'] . "\">" . $people[$loop]["fullname"];
                }
                $html .= '
        </select>
    </p>
    <p>
        <input type="hidden" name="cn" value="' . $cn . '">
        <input type="hidden" name="group_del_user" value="true">
        <input type="reset" value="Réinitialiser la sélection ">
        <input type="submit" value="Valider">
    </p></form>';
                // Affichage message d'erreur
                if ($group_del_user && ! count($members)) {
                    $html .= "<div class=error_msg>Vous devez sélectionner au moins un membre à supprimer !</div>\n";
                }
            } else {
                // suppression des utilisateurs selectionnes
                $ReturnCode = true;
                for ($loop = 0; $loop < count($members); $loop ++) {
                    $ReturnCode &= groupdelmember($config, $members[$loop], $cn);
                }

                // Compte rendu de suppression
                if ($ReturnCode) {
                    $html .= "<div class=error_msg>Les membres sélectionnés ont été supprimé du groupe <font color='#0080ff'><A href='group.php?dn=$cn'>$cn</A></font> avec succès.</div><br>\n";
                } else {
                    $html .= "<div class=error_msg>Echec, les membres sélectionnés n'ont pas été supprimé du groupe<font color='#0080ff'>$cn</font>";
                }
            }
        } else {
            $html .= "<div class=error_msg>La suppression d'un utilisateur de son groupe principal (Eleves, Profs, Administratifs) n'est pas autorisée !</div>";
        }
    } else {
        $html .= "<div class=error_msg>Cette application, nécessite les droits d'administrateur du serveur !</div>";
    }
}

function aj_ssgroup_html($config, &$html)
{
    $classe_gr = $cours_gr = $equipe_gr = $matiere_gr = $autres_gr = "";
    $html .= "<h1>Annuaire</h1>";

    if (have_right($config, SE_USER_ADMIN)) {

        $cn = urldecode($_GET["cn"] ?? "");
        $dn = $_POST['dn'] ?? $_GET['dn'] ?? '';
        if (! empty($dn)) {
            $cn = ldap_dn2cn(urldecode($dn));
        }
        $description = (isset($_GET["description"]) ? $_GET["description"] : "");

        $html .= "<form action=\"affichageleve.php\" method=\"post\">";
        $html .= "<B>Sélectionner le(s) groupe(s) dans le(s)quel(s) se situent les personnes à mettre dans le groupe : </B><BR><BR>";

        $html .= '
<table border="0" cellspacing="10">
    <tr>
        <td>Classes</td>
        <td>Cours</td>
        <td>Equipes</td>
        <td>Matières</td>
        <td>Autres</td>
    </tr>
';
        $html .= "<tr>";
        $html .= "<td valign=\"top\">";

        $action = '1';
        $html .= "<select name= \"classe_gr[]\" value=\"$classe_gr\" size=\"10\" multiple=\"multiple\">\n";
        $list_classes = filter_group_classes($config);

        // usort($list_classes, "cmp_cn");
        for ($loop = 0; $loop < count($list_classes); $loop ++) {
            $html .= "<option value='" . $list_classes[$loop]["cn"] . "'>" . $list_classes[$loop]["cn"];
        }
        $html .= "</select>";
        $html .= "</td>";

        // Affichage Select groupe cours
        $html .= "<td>\n";
        $html .= "<select name= \"cours_gr[]\" value=\"$cours_gr\" size=\"10\" multiple=\"multiple\">\n";
        $list_cours = filter_group_cours($config);
        // usort($list_cours, "cmp_cn");
        for ($loop = 0; $loop < count($list_cours); $loop ++) {
            $html .= "<option value='" . $list_cours[$loop]["cn"] . "'>" . $list_cours[$loop]["cn"];
        }
        $html .= "</select>";
        $html .= "</td>";

        // Affichage Select groupe equipes
        $html .= "<td>\n";
        $html .= "<select name= \"equipe_gr[]\" value=\"$equipe_gr\" size=\"10\" multiple=\"multiple\">\n";
        $list_equipes = filter_group_equipes($config);
        // usort($list_equipes, "cmp_cn");
        for ($loop = 0; $loop < count($list_equipes); $loop ++) {
            $html .= "<option value='" . $list_equipes[$loop]["cn"] . "'>" . $list_equipes[$loop]["cn"];
        }
        $html .= "</select>";
        $html .= "</td>";

        // Affichage Select groupe matieres
        $html .= "<td>\n";
        $html .= "<select name=\"matiere_gr[]\" value=\"$matiere_gr\" size=\"10\" multiple=\"multiple\">";
        $list_matieres = filter_group_matieres($config);
        // usort($list_matieres, "cmp_cn");
        for ($loop = 0; $loop < count($list_matieres); $loop ++) {
            $html .= "<option value='" . $list_matieres[$loop]["cn"] . "'>" . $list_matieres[$loop]["cn"];
        }
        $html .= "</select>";
        $html .= "</td>";

        // Affichage Select groupe principaux, projets et autres
        $html .= "<td valign=\"top\">
    <select name=\"autres_gr[]\" value=\"$autres_gr\" size=\"10\" multiple=\"multiple\">";
        $html .= "<option value=administratifs>administratifs";
        $html .= "<option value=eleves>eleves";
        $html .= "<option value=profs>profs";
        $list_autres = filter_group_projets($config);
        // usort($list_autres, "cmp_cn");
        for ($loop = 0; $loop < count($list_autres); $loop ++) {
            $html .= "<option value='" . $list_autres[$loop]["cn"] . "'>" . $list_autres[$loop]["cn"];
        }
        $list_autres = filter_group_autres($config);
        usort($list_autres, "cmp_cn");
        for ($loop = 0; $loop < count($list_autres); $loop ++) {
            $html .= "<option value='" . $list_autres[$loop]["cn"] . "'>" . $list_autres[$loop]["cn"];
        }
        $html .= "</select>";
        $html .= "</td>";

        $html .= "</tr></table>";
        $html .= '
    <input type="submit" value="valider">
    <input type="reset" value="Réinitialiser la sélection">
    <input type="hidden" name="cn" value="' . urlencode($cn) . '">>
    <input type="hidden" name="description" value="' . $description . '">
    <input type="hidden" name="action" value="' . $action . '">
';
        $html .= "</form>";
    } else { // fin is_admin
        $html .= "Vous n'avez pas les droits nécessaires pour ouvrir cette page...";
    }
}

function groups_list_html($config, &$html)
{
    $group = $_POST['dn'] ?? $_GET['dn'] ?? "";
    $group = ldap_dn2cn(urldecode($group));
    $priority_group = isset($_POST['priority_group']) ? $_POST['priority_group'] : "";

    if (empty($group)) {
        $html .= 'Erreur : ce script ne peut être appelé directement!';
        return;
    }

    // var_dump($priority_group);
    // var_dump($group);

    $html .= "<h1>Annuaire</h1>\n";

    if ((have_right($config, SE_USER_ADMIN)) || (have_right($config, SE_USER_READ)) || (have_right($config, SE_ADMIN))) {
        // $html .= aff_trailer("3");

        if (! $group) {
            $filter = "(cn=*)";
        } else {
            if ($priority_group == "contient") {
                $filter = "(cn=*$group*)";
            } elseif ($priority_group == "commence") {
                $filter = "(|(cn=Classe_$group*)(cn=Cours_$group*)(cn=Equipe_$group*)(cn=Matiere_$group*)(cn=$group*))";
            } else {
                // $priority_group == "finit"
                $filter = "(|(cn=Classe_*$group)(cn=Cours_*$group)(cn=Equipe_*$group)(cn=Matiere_*$group)(cn=*$group))";
            }
        }

        // Remplacement *** ou ** par *
        $filter = preg_replace("/\*\*\*/", "*", $filter);
        $filter = preg_replace("/\*\*/", "*", $filter);
        // var_dump($filter);
        # $TimeStamp_0=microtime();
        $groups = filter_group($config, $filter);
        // affichage de la liste des groupes trouves
        if (count($groups)) {
            if (count($groups) == 1) {
                $html .= "<p><STRONG>" . count($groups) . "</STRONG> groupe répond à ces critères de recherche</p>\n";
            } else {
                $html .= "<p><STRONG>" . count($groups) . "</STRONG> groupes répondent à ces critères de recherche</p>\n";
            }
            $html .= "<UL>\n";
            $etab_ou = $_SESSION['etab'];
            for ($loop = 0; $loop < count($groups); $loop ++) {
                $html .= "<LI><A href=\"group.php?dn=" . urlencode($groups[$loop]["dn"]) . "\">";
                $html .= "<STRONG>" . $groups[$loop]["cn"] . "</STRONG>";
                if (ldap_dn2uai($groups[$loop]["dn"]) != $etab_ou && ldap_dn2uai($groups[$loop]["dn"]) != 0) {
                    $html .= " " . etab_to_name($config, ldap_dn2uai($groups[$loop]["dn"]));
                }
                $description = $groups[$loop]["description"] ?? "";
                $html .= "</A> <font size=\"-2\">" . $description . "</font></LI>\n";
                if ((have_right($config, SE_USER_ADMIN)) || (have_right($config, SE_ADMIN))) {
                    $html .= "<a href=\"manage_rights.php?dn=" . urlencode($groups[$loop]["dn"]) . "\">Gérer les droits de ce groupe</a>\n";
                }
            }
            $html .= "</UL>\n";
        } else {
            $html .= "<STRONG>Pas de résultats</STRONG> correspondant aux critères sélectionnés.<BR>";
        }
    } else {
        $html .= "Vous n'avez pas les droits suffisants pour accéder à cette fonction";
    }
}

function grouplist_html($config, &$html)
{
    $dn = $_GET['dn'] ?? '';

    if ((have_right($config, SE_USER_ADMIN)) || (have_right($config, SE_USER_PASSWORD_INIT | SE_USER_READ | SE_USER_MODIFY))) {

        // if (preg_match("/(eleves|profs|administratifs|Direction|Secretariat|AED|VieScol|Agent)/i", $dn)) {
        // $config = get_config($config, true, true);
        // }
        // $group = search_ad($config, $dn, "dn", $config['dn']['groups']);
        // $config = get_config($config, true);
        // $people = search_ad($config, "*", "memberof", $dn, [
        // 'pwdlastset'
        // ]);
        $people = search_people_group($config, $dn, true);
        if (count($people)) {
            // affichage des r?sultats
            // Nettoyage des _ dans l'intitul? du groupe
            $html .= "<H1><U>Groupe</U> : " . ldap_dn2cn($dn) . " <font size=\"-2\">" . $config['etab_ou'] . "</font></H1>\n";
            $html .= "<TABLE border=1 cellspacing = 1 cellpadding = 2><thead>
        <tr>
        <th>Nom</th>
        <th>login</th>
        <th>Activé</th><th>code d'activation</th></thead>
        <tbody>\n";
            sync_ent($config);
            $ent = cache_fetch('ent');
            $list = [];

            $complexite = get_password_rule($config)['complexity'];
            if ($complexite == "on") {
                $complexite_mdp = "-#ENT#";
            } else {
                $complexite_mdp = "";
            }
            $listing_name = "export_" . session_id();
            $listing = [];
            foreach ($people as $user) {
                if ($change = $user['pwdlastset'] == 0) {
                    $actif = "<img src=\"../elements/images/disabled.png\" alt=\"non activé\" width=18 height=18 hspace=1 border=0>";
                    if ($ent) {
                        $mode = "ent";
                        $code = $ent[array_search($user["cn"], array_column($ent, "login"))]['code'] ?? "";
                        if (! empty($code)) {
                            $userpwd = $code . $complexite_mdp;
                        }
                    } else {
                        $mode = "sambaedu";
                        reinit_passwd($config, $user, $list, false, true, true);
                        $code = end($list)['pwd'];
                    }
                } else {
                    $actif = "<img src=\"../elements/images/enabled.png\" alt=\"activé\" width=18 height=18 hspace=1 border=0>";
                    $code = "";
                }
                $listing[$user['dn']] = [
                    'nom' => $user['nom'],
                    'pre' => $user['prenom'],
                    'cla' => implode(", ", list_classes($config, $user)) ?? "",
                    'cn' => $user['cn'],
                    // 'or' => $user['fullname'],
                    'change' => ! $change,
                    'mode' => $mode,
                    'pwde' => $code, // mot de passe ent
                    'pwd' => $userpwd ?? $code, // mot de passe sambaedu
                    'structure' => $user['etab'],
                    'email' => $user['email']
                ];

                $html .= "<TR><TD>\n";
                if (preg_match("/Profs|Administratifs/", $user['dn'])) {
                    $html .= "<img src=\"images/gender_teacher.gif\" alt=\"Professeur\" width=18 height=18 hspace=1 border=0>\n";
                } else {
                    if (isset($user["sexe"]) && $user["sexe"] == "F") {
                        $html .= "<img src=\"images/gender_girl.gif\" alt=\"El&egrave;ve\" width=14 height=14 hspace=3 border=0>\n";
                    } else {
                        $html .= "<img src=\"images/gender_boy.gif\" alt=\"El&egrave;ve\" width=14 height=14 hspace=3 border=0>\n";
                    }
                }
                $html .= $user["fullname"] . "</TD><TD>" . $user["cn"] . "</TD><TD>" . $actif . "</TD><TD>" . $code . "</TD>\n";

                $html .= "</TR>\n";
            }
            $html .= "</tbody></table>\n";
        } else {
            $html .= " <STRONG>Pas de membres </STRONG>  dans le groupe $dn.<BR>";
        }
        apcu_store($listing_name, $listing);
        $html .= generate_listing($listing_name, false);
    } else {
        $html .= "<div class=error_msg>Erreur : vous ne disposez pas des droits suffisants !</div>";
    }
}

function add_user_html($config, &$html)
{
    if (! isset($_SESSION['comptes_crees'])) {
        $_SESSION['comptes_crees'] = array(
            array()
        ); // un sous-tableau par compte ; le deuxième tavbleau est, dans l'ordre nom, prenom, classe (?? en fait, non) (ou 'prof'), cn, password
        array_splice($_SESSION['comptes_crees'], 0, 1);
    }
    $etabs = list_etabs($config);
    $etabs[0] = "Domaine entier";
    if (count($etabs) > 1) {
        if (! isset($_POST['uai']) && ! isset($config['etab_ou'])) {
            $choix = "<SELECT NAME=\"uai\" SIZE=\"1\" onchange=submit()>";
            $etab = 0;
            foreach ($etabs as $e) {
                $choix .= "<option value=\"" . $e . "\"";
                if ($etab == $e) {
                    $choix .= " selected";
                }
                $choix .= ">" . etab_to_name($config, $e) . "\n";
                $choix .= "</option>";
            }
            $choix .= "</SELECT>\n";
        } else {
            $etab = $_POST['uai'] ?? $config['etab_ou'];
            $choix = etab_to_name($config, $etab);
        }
    } else {
        $choix = $config['etab_name'] ?? "";
        $etab = 0;
    }
    $users = cache_fetch('ent');
    $nom = $_POST['nom'] ?? $_GET['nom'] ?? $users[0]['ent']['lastName'] ?? "";
    $prenom = $_POST['prenom'] ?? $_GET['prenom'] ?? $users[0]['ent']['firstName'] ?? "";
    $naissance = $_POST['naissance'] ?? $_GET['naissance'] ?? $users[0]['ent']['birthDate'] ?? "";
    $password = $_POST['userpw'] ?? $_GET['userpw'] ?? $users[0]['ent']['code'] ?? "";
    $sexe = $_POST['sexe'] ?? $_GET['sexe'] ?? $users[0]['ent']['sex'] ?? "";
    $categorie = $_POST['categorie'] ?? $_GET['categorie'] ?? map_profil($users[0]['ent']['type'], "manuel", true) ?? "Administratifs";
    $originallogin = $_POST['login'] ?? $_GET['login'] ?? $users[0]['ent']['login'] ?? "";
    $id = $_POST['id'] ?? $_GET['id'] ?? $users[0]['ent']['id Pronote'] ?? "";
    $classes = $_POST['classes'] ?? $users[0]['ent']['allClasses'] ?? [];
    $add_user = isset($_POST['add_user']) ? $_POST['add_user'] : "";
    $fonction = $_POST['fonction'] ?? $users[0]['ent']['fonction'] ?? "";
    $config['pwdPolicy'] = $config['pwdPolicy'] ?? 0;
    $rules = get_password_rule($config);
    $length = $rules['min-pwd-length'];
    $new_etab = $_POST['new_etab'] ?? $users[0]['ent']['structure'] ?? $etab;
    if ($rules['complexity'] == "on")
        $complexity = true;
    else
        $complexity = false;

    if (have_right($config, SE_USER_ADMIN)) {
        // Ajout d'un utilisateur
        if ((! isset($_POST['add_user'])) || (! $nom || ! $prenom) || // absence de nom ou de prenom
        ($password && ! verifPwd($password, $length, $complexity)[0]) || // mot de passe invalide
        ($password && $password != ensure_ascii($password)) || // mot de passe invalide
        ($naissance && ! verifDateNaissance($naissance)) || // date de naissance invalide
        ($categorie == "Administratifs" && empty($fonction)) || // Fonction obligatoire
        ($categorie == "Eleves" && empty($classes)) || // classe obligatoire
        ($categorie == "Profs" && empty($classes) && empty($fonction)) || // classe obligatoire ou fonction obligatoire
        (($naissance && verifDateNaissance($naissance)) && ($password && ! verifPwd($password, $length, $complexity)[0]))) // date de naissance mais password invalide
                                                                                                                            // || ($userpwd && !verifPwd($userpwd) ) // password invalide
        {
            $html .= "<form autocomplete=\"off\" name=\"auth\" action=\"add_user.php\" method=\"post\">
        <table border=\"0\"><tr>
        <td style='width:30%;'>Etablissement de rattachement</td>
        <td>";
            $etabs = list_etabs($config);
            if (count($etabs) > 1 && empty($config['etab_ou'])) {
                array_unshift($etabs, 0);
                $choix = "<SELECT NAME=\"new_etab\" SIZE=\"1\" onchange=submit()>";
                foreach ($etabs as $e) {
                    $choix .= "<option value=\"" . $e . "\"";
                    if ($new_etab == $e) {
                        $choix .= " selected";
                    }
                    $choix .= ">" . etab_to_name($config, $e) . "\n";
                    $choix .= "</option>";
                }
                $choix .= "</SELECT>\n";
                $html .= $choix;
            } else {
                $html .= etab_to_name($config, $new_etab);
                $html .= "<input type=hidden name=new_etab value=" . $new_etab . ">";
            }
            $html .= "</td>
        </tr>
        <tr>
            <td>";
            $html .= "Catégorie</td>
                <td colspan=\"2\" valign=\"top\"><select name=\"categorie\" onchange=\"submit()\">";
            if (($new_etab == 0 && count($etabs) < 2) || $new_etab != 0) {
                $html .= "<option value=\"Eleves\"";
                if ($categorie == "Eleves")
                    $html .= "SELECTED";
                $html .= ">" . "Elèves" . "</option>\n";
                $html .= "<option value=\"Profs\"";
                if ($categorie == "Profs")
                    $html .= "SELECTED";
                $html .= ">" . "Profs" . "</option>\n";
            }
            $html .= "<option value=\"Administratifs\"";
            if ($categorie == "Administratifs")
                $html .= "SELECTED";
            $html .= ">" . "Administratifs" . "</option>\n
            </select></td>
            </tr>";
            if ($categorie != "Eleves") {
                $html .= " <tr>
          <td><u>Fonction</u> :&nbsp;</td>
          <td>
            <select name=\"fonction\">\n";
                $old_config = $config;
                $config = get_config($config, true, true);
                $list_fonctions_all = search_ad($config, "*", "groupe", $config['dn']['groups'], [], "base");
                $config = $old_config;
                # Construction du tableau sans les groupes déja attribués
                $list_fonctions = array();
                if ($categorie == "Administratifs") {
                    $motif = "/Direction|Secretariat|Medical|VieScol|Agent|AED|Tech/";
                } else {
                    $motif = "/Documentaliste|AESH/";
                }
                foreach ($list_fonctions_all as $value) {
                    if (preg_match($motif, $value['cn'])) {
                        array_push($list_fonctions, $value['cn']);
                    }
                }
                asort($list_fonctions);
                array_unshift($list_fonctions, "");

                foreach ($list_fonctions as $f) {
                    $html .= "<option value='" . $f . "'";
                    $html .= ">" . $f;
                }
                $html .= "        </select>
        </td>
        </tr>";
            }

            if ($categorie == "Profs" || $categorie == "Eleves") {
                $html .= "<tr>
                <td>Classe (obligatoire pour les Elèves et les Profs)</td>
                <td colspan=\"2\" valign=\"top\"><select name=\"classes[]\"";
                if ($categorie == "Profs") {
                    $html .= " multiple";
                }
                $html .= ">";
                $old_config = $config;
                $config = get_config($config, true, $new_etab);
                $liste = list_classes_etab_fast($config);
                $config = $old_config;
                foreach ($liste as $classe) {
                    $html .= "<option value=\"" . $classe . "\">" . $classe . "</option>";
                }
                $html .= "</select></td>
            </tr>";
            }

            $html .= '
<tbody>
    <tr>
        <td>Nom :</td>
        <td colspan="2" valign="top"><input autocomplete="new-nom"
            type="text" name="nom" value="' . $nom . '" size="20"></td>
    </tr>
    <tr>
        <td>Prénom :</td>
        <td colspan="2" valign="top"><input autocomplete="new-prenom"
            type="text" name="prenom" value="' . $prenom . '"
            size="20"></td>

    </tr>
    <tr>
        <td>Suggestion de login :</td>
        <td colspan="2" valign="top"><input autocomplete="new-login"
            type="text" name="login"
            value="' . $originallogin . '" size="20"></td>

    </tr>
    <tr>
        <td>Date de naissance :</td>
        <td><input autocomplete="new-naissance" type="text"
            name="naissance" value="' . $naissance . '" size="8"></td>
        <td><font color="#FF9900">
                    &nbsp;"(YYYYMMDD) Ce champ est optionnel. Il ne sert qu\'à faciliter la mise en correspondance avec une base ENT et Pronote."
                </font></td>
    </tr>
    <tr>
        <td>Mot de passe :</td>
        <td><input autocomplete="new-userpw" type="password" value=""
            name="userpw" size="13" maxlength="13"></td>
        <td><font color="#FF9900">
                    &nbsp;"Ce champ est optionnel."
                </font></td>
    </tr>
    <tr>
        <td colspan="3" valign="top">';
            $html .= '<blockquote><font color="#FF9900">';
            $html .= 'Si le champ mot de passe est laissé vide, un mot de passe sera créé selon la politique de mot de passe par défaut qui est définie à : ' . "<br/>";
            $config['pwdPolicy'] = $config['pwdPolicy'] ?? 0;
            switch ($config['pwdPolicy']) {
                case 0: // date de naissance
                case 1:
                    $html .= "date de naissance (YYYYMMDD)";
                    $html .= "<br />Si ni la date de naissance ni le mot de passe ne sont renseignées, un mot de passe aléatoire sera généré";
                    break;
                case 2: // aleatoire
                    $html .= "aléatoire ($length car.)";
                    break;
                case 3: // code
                    $html .= "code d'activation " . $config['activation_code'];
                    break;
            }
            $html .= "</font></blockquote></td>";
            $html .= "          <tr>
                <td></td>
                <td></td>
                <td><input type=\"hidden\" name=\"add_user\" value=\"true\"> <input
                    type=\"submit\" value=\"Lancer la requête\"></td>
            </tr>

        </tbody>
    </table>
</form>";
            if ($add_user) {
                if ((! $nom) || (! $prenom)) {
                    $html .= "<div class=error_msg>" . "Vous devez obligatoirement renseigner les champs : nom, prénom !" . "</div><br>\n";
                } elseif (! $naissance && ! $password && $config['pwdPolicy'] < 2) {
                    $html .= "<div class='error_msg'>";
                    $html .= "Vous devez obligatoirement renseigner un des deux champs mot de passe ou date de naissance.";
                    $html .= "</div><BR>\n";
                } else {
                    if ((($password) && ! verifPwd($password, $length, $complexity)[0]) || (($password) && ($password != ensure_ascii($password)))) {
                        $html .= "<div class='error_msg'>";
                        $html .= verifPwd($password, $length)[1] . "</div><BR>\n";
                    }
                    if (($naissance) && ! verifDateNaissance($naissance)) {
                        $html .= "<div class='error_msg'>";
                        $html .= "Le champ date de naissance doit être obligatoirement au format AnnéeMoisJour (YYYYMMDD).";
                        $html .= "</div><BR>\n";
                    }
                }
            }
        } else {
            // mode ent
            $allClasses = [];
            foreach ($classes as $classe) {
                $allClasses[] = [
                    'name' => $classe,
                    'etab' => $new_etab
                ];
            }
            $ent[0] = [
                'structure' => $new_etab,
                'login' => $originallogin,
                'firstName' => $prenom,
                'lastName' => $nom,
                'birthDate' => $naissance,
                'code' => $password,
                'type' => map_profil($categorie, "manuel"),
                'fonction' => $fonction,
                'sex' => $sexe,
                'Id Pronote' => $id,
                'allClasses' => $allClasses
            ];
            $session = "add_user_" . session_id();
            $lock = apcu_fetch('ent_lock');
            if (isset($lock['lock']) && $lock['lock'] != $session) {
                $html .= "Une tâche d'importation de comptes est déjà en cours. Veuillez réessayer plus tard<br>";
            } else {
                apcu_add('ent_lock', [
                    'lock' => $session
                ], $config['ent_timeout']);
                cache_delete('ent');
                apcu_delete('total');
                cache_delete('match');
                cache_store('ent', $ent, $config['ent_timeout']);
                match_ad_from_ent($config, 120, true, false, true);
                if (! $html = apcu_fetch('ent_html')) {
                    $html = "";
                }
                $match = cache_fetch('match');
                $group = [];
                $members['matieres'] = [];
                $ret = update_user_ent($config, $match, $group, $html, false, true, false, "all", $session);
                // $html .= $html;
                if ($ret || $ret == 0) {
                    cache_delete('ent');
                    $html .= "L'utilisateur " . " <strong>$prenom $nom</strong> " . " a été créé avec succès." . "<BR>";
                    if (count($group) > 0) {
                        $html .= "Son identifiant est " . "<STRONG><a href='people.php?cn=" . $group[0]['ad']['cn'] . "' title=\"Modifier le compte.\">" . $group[0]['ad']["cn"] . "</a></STRONG><BR>\n";
                        $html .= "Son mot de passe initial est " . "<STRONG>" . $group[0]['ent']["code"] . "</STRONG><BR>\n";
                        $nouveau = array(
                            'nom' => "$nom",
                            'pre' => "$prenom",
                            'cn' => $group[0]['ad']["cn"],
                            'pwd' => $group[0]['ent']["code"]
                        );
                        $_SESSION['comptes_crees'][] = $nouveau;
                        $group['groupes'] = [];
                        list_members_ent($config, $group, $members, $html);
                        diff_members_ad($config, $members, $html);
                        $html .= $members['add'] . " ajout(s) et " . $members['suppr'] . " suppression(s)  de groupes restants<br>\n";
                        update_group_ent($config, $members, $html, false, true, $session);
                        // $html .= $html;
                        $html .= "<LI><A HREF=\"add_user_group.php?cn=" . $group[0]['ad']["cn"] . "\">" . "Ajouter à des groupes..." . "</A>\n";
                        $html .= generate_listing($session, false);
                    }

                    if ((isset($_POST['create_home'])) && ($_POST['create_home'] == 'y')) {
                        $html .= "<p><b>Création du dossier personnel de " . $group[0]['ad']["cn"] . "</b><br />";
                        exec("sudo /usr/share/sambaedu/shares/shares.avail/mkhome.sh " . $group[0]['ad']["cn"], $ReturnValue2);
                        $html .= "<pre style='color:red'>";
                        foreach ($ReturnValue2 as $key => $value) {
                            $html .= "$value";
                        }
                        $html .= "</pre>\n";
                    }
                } else {
                    $html .= "<div class='error_msg'>" . "Erreur lors de la création du nouvel utilisateur" . " $prenom $nom
                                </font>," . " veuillez contacter" . "
                <a href='mailto:admin@" . $config['domain'] . "?subject=PB creation nouvel utilisateur Sambaedu'>" . "l'administrateur du système" . "</a></div><br />\n";
                    $html .= "<p><br /></p>\n";
                }
                apcu_delete('ent_lock');
                apcu_delete('ent_count');
                cache_delete('match');
                apcu_delete('ent_html');
                cache_delete('group');
                cache_delete('ent');
            }
        }

        include ("listing.inc.php");
    } else {
        $html .= "<div class=error_msg>" . "Cette application, nécessite les droits d'administrateur du serveur SambaEdu !" . "</div>";
    }
}
?>