<?php

function export_asm($config)
{
    return false;
    $out = [];

    $etabs = search_ad($config, "*", "etablissement");
    $ad_users = search_ad($config, "*", "user", "all", [], "subtree", false, true);
    // liste des dn des classes afin de limiter l'import des équipes à celles ci
    $ad_classes = array_column(search_ad($config, "Classe_*", "group", "all", [
        'dn',
        'samaccountname'
    ], "subtree", true, true), 'dn');
    // entetes
    $locations[] = '"location_id","location_name"';
    $students[] = '"person_id","person_number","first_name","middle_name","last_name","grade_level","email_address","sis_username","password_policy","location_id"';
    $staff[] = '"person_id","person_number","first_name","middle_name","last_name","email_address","sis_username","location_id"';
    $courses[] = '"course_id","course_number","course_name","location_id"';
    $e_classes = '"class_id","class_number","course_id","instructor_id",';
    for ($i = 2; $i < 50; $i ++) {
        $e_classes .= '"instructor_id_' . $i . '",';
    }
    $e_classes .= '"location_id"';
    $classes[] = $e_classes;

    foreach ($etabs as $etab) {
        $locations[] = '"' . strtoupper($etab['cn']) . '","' . etab_to_name($config, $etab['cn']) . '"';
        for ($i = 1; $i < 10; $i ++) {
            $ad_users[] = [
                'Id ASM' => strtoupper($etab['cn']) . "_PROF" . $i,
                'Id GPEI' => strtoupper($etab['cn']) . "_PROF" . $i,
                'nom' => strtoupper($etab['cn']),
                'etab' => strtoupper($etab['cn']),
                'prenom' => "PROF" . $i,
                'email' => "",
                'cn' => "",
                'memberof' => [
                    "CN=Profs," . $config['dn']['groups']
                ]
            ];
        }
        for ($i = 1; $i < 5; $i ++) {
            $ad_users[] = [
                'Id ASM' => strtoupper($etab['cn']) . "_PROF_SEGPA_0" . $i,
                'Id GPEI' => strtoupper($etab['cn']) . "_PROF_SEGPA_0" . $i,
                'nom' => strtoupper($etab['cn']),
                'etab' => strtoupper($etab['cn']),
                'prenom' => "PROF_SEGPA_0" . $i,
                'email' => "",
                'cn' => "",
                'memberof' => [
                    "CN=Profs," . $config['dn']['groups']
                ]
            ];
        }
        for ($i = 1; $i < 5; $i ++) {
            $ad_users[] = [
                'Id ASM' => strtoupper($etab['cn']) . "_PROF_ULIS_0" . $i,
                'Id GPEI' => strtoupper($etab['cn']) . "_PROF_ULIS_0" . $i,
                'nom' => strtoupper($etab['cn']),
                'etab' => strtoupper($etab['cn']),
                'prenom' => "PROF_ULIS_0" . $i,
                'email' => "",
                'cn' => "",
                'memberof' => [
                    "CN=Profs," . $config['dn']['groups']
                ]
            ];
        }
        for ($i = 1; $i < 5; $i ++) {
            $ad_users[] = [
                'Id ASM' => strtoupper($etab['cn']) . "_PROF_UPE2A_0" . $i,
                'Id GPEI' => strtoupper($etab['cn']) . "_PROF_UPE2A_0" . $i,
                'nom' => strtoupper($etab['cn']),
                'etab' => strtoupper($etab['cn']),
                'prenom' => "PROF_UPE2A_0" . $i,
                'email' => "",
                'cn' => "",
                'memberof' => [
                    "CN=Profs," . $config['dn']['groups']
                ]
            ];
        }
        for ($i = 1; $i < 5; $i ++) {
            $ad_users[] = [
                'Id ASM' => strtoupper($etab['cn']) . "_PROF_EPS_0" . $i,
                'Id GPEI' => strtoupper($etab['cn']) . "_PROF_EPS_0" . $i,
                'nom' => strtoupper($etab['cn']),
                'etab' => strtoupper($etab['cn']),
                'prenom' => "PROF_EPS_0" . $i,
                'email' => "",
                'cn' => "",
                'memberof' => [
                    "CN=Profs," . $config['dn']['groups']
                ]
            ];
        }
        for ($i = 1; $i < 5; $i ++) {
            $ad_users[] = [
                'Id ASM' => strtoupper($etab['cn']) . "_PROF_REFERENT_0" . $i,
                'Id GPEI' => strtoupper($etab['cn']) . "_PROF_REFERENT_0" . $i,
                'nom' => strtoupper($etab['cn']),
                'etab' => strtoupper($etab['cn']),
                'prenom' => "PROF_REFERENT_0" . $i,
                'email' => "",
                'cn' => "",
                'memberof' => [
                    "CN=Profs," . $config['dn']['groups']
                ]
            ];
        }

        /*
         * for ($i = 1; $i < 21; $i ++) {
         * $ad_users[] = [
         * 'Id ASM' => strtoupper($etab['cn']) . "_ELEVE" . $i,
         * 'Id GPEI' => strtoupper($etab['cn']) . "_ELEVE" . $i,
         * 'nom' => strtoupper($etab['cn']),
         * 'etab' => strtoupper($etab['cn']),
         * 'prenom' => "ELEVE" . $i,
         * 'email' => "",
         * 'cn' => "",
         * 'memberof' => [
         * "CN=Eleves,OU=Groups"
         * ]
         * ];
         * }
         */
    }
    $rosters[] = '"roster_id","class_id","student_id"';
    $cours = $ids = [];
    $ad = [];
    foreach ($ad_users as $user) {
        if (! preg_match("/CNF:/", $user['cn'])) {
            if (empty($user['Id GPEI'])) {
                $user['Id GPEI'] = to_guid($user['objectguid']);
            }
            if (in_array($user['Id GPEI'], $ids)) {
                $user['Id GPEI'] = to_guid($user['objectguid']);
            }
            if (empty($user['Id ASM']) || strlen($user['Id ASM']) < 4) {
                $user['Id ASM'] = $user['Id GPEI'];
            }
            if ($user['etab'] != 0 && isset($user['memberof'])) {
                $type = "";
                foreach ($user['memberof'] as $groupe) {
                    if (! preg_match("/CNF:/", $groupe)) {
                        $m = array();
                        if (preg_match("/^CN=(Eleves|Profs)," . $config['dn']['groups'] . "/i", $groupe, $m)) {
                            if ($m[1] == "Eleves") {
                                $students[$user['Id ASM']] = '"' . $user['Id ASM'] . '","' . $user['Id GPEI'] . '","' . $user['prenom'] . '","","' . $user['nom'] . '","3","' . $user['email'] . '","' . $user['cn'] . '","4","' . strtoupper($user['etab']) . '"';
                                $type = "eleve";
                                $ad['eleves'][] = $user;
                            } elseif ($m[1] == "Profs") {
                                $staff[$user['Id ASM']] = '"' . $user['Id ASM'] . '","' . $user['Id GPEI'] . '","' . $user['prenom'] . '","","' . $user['nom'] . '","' . $user['email'] . '","' . $user['cn'] . '","' . strtoupper($user['etab']) . '"';
                                $type = "prof";
                                $ad['profs'][] = $user;
                            }
                            $ids[] = $user['Id ASM'];
                            break;
                        }
                    }
                }
            }
        }
    }

    // on traite d'abord les profs pour constituer les classes
    foreach ($ad['profs'] as $user) {
        foreach ($user['memberof'] as $groupe) {
            if (! preg_match("/CNF:/", $groupe)) {
                $m = array();
                // analyse des classes et equipes
                if (preg_match("/^CN=(Equipe)_(.*),OU=(Equipes),.*/i", $groupe, $m)) {
                    // génération id unique du cours
                    $id = strtoupper(ldap_dn2uai($groupe)) . "_" . $m[2];
                    $test = preg_replace("/Equipe/i", "Classe", $groupe);
                    // $out[] = "test -> " . $test;
                    $found = false;
                    foreach ($ad_classes as $cla) {
                        if (strcasecmp($test, $cla) == 0) {
                            $found = true;
                            break;
                        }
                    }
                    if ($found) {
                        // $out[] = $groupe . " -> ";
                        if (! isset($cours[$id]['n'])) {
                            $cours[$id]['n'] = 0;
                        }
                        // nom de la classe
                        $cours[$id]['d'] = $m[2];
                        // etablissement
                        $cours[$id]['f'] = '"' . strtoupper($user['etab']) . '"';
                        // ajout du prof
                        $cours[$id]['p'][] = '"' . $user['Id ASM'] . '",';
                        $cours[$id]['n'] ++;
                        // ajout des 9 profs
                        if (! isset($cours[$id]['q'])) {
                            for ($i = 1; $i < 10; $i ++) {
                                $cours[$id]['q'][] = '"' . strtoupper($user['etab']) . '_PROF' . $i . '",';
                                $cours[$id]['n'] ++;
                            }
                        }
                    }
                }
            }
        }
    }
    foreach ($ad['eleves'] as $user) {
        foreach ($user['memberof'] as $groupe) {
            if (! preg_match("/CNF:/", $groupe)) {
                $m = array();
                // analyse des classes et equipes
                if (preg_match("/^CN=(Classe)_(.*),OU=(Classes),.*/i", $groupe, $m)) {
                    // génération id unique du cours
                    $id = strtoupper(ldap_dn2uai($groupe)) . "_" . $m[2];
                    if (isset($cours[$id]) && ldap_dn2uai($groupe) == $user['etab']) {
                        // on ajoute l'éléve uniquement à une classe correspondant à son etab et pour laquelle on a déjà créé la classe avec des profs
                        $key = $id . '_' . $user['Id ASM'];
                        $rosters[$key] = '"' . $key . '","' . $id . '","' . $user['Id ASM'] . '"';
                    }
                }
            }
        }
    }

    foreach ($cours as $id => $l) {
        // ligne pour courses
        $lcourse = '"' . $id . '","' . $id . '","' . $l['d'] . '",' . $l['f'];
        // ligne pour classes
        $ligne = '"' . $id . '","' . $l['d'] . '","' . $id . '",';
        if (isset($l['p'])) {
            foreach ($l['p'] as $p) {
                $ligne .= $p;
            }
        }
        if (isset($l['q'])) {
            foreach ($l['q'] as $p) {
                $ligne .= $p;
            }
        }
        while ($l['n'] ++ < 49) {
            $ligne .= '"",';
        }
        $ligne .= $l['f'];
        $classes[] = $ligne;
        $courses[] = $lcourse;
    }
    $destination = "/tmp/asm/asm.zip";
    $zip = new ZipArchive();
    if (! $zip->open($destination, ZIPARCHIVE::CREATE)) {
        return false;
    }
    $zip->addFromString("locations.csv", implode("\n", $locations));
    $zip->addFromString("staff.csv", implode("\n", $staff));
    $zip->addFromString("students.csv", implode("\n", $students));
    $zip->addFromString("rosters.csv", implode("\n", $rosters));
    $zip->addFromString("classes.csv", implode("\n", $classes));
    $zip->addFromString("courses.csv", implode("\n", $courses));
    $zip->close();
    exec("echo \"put /tmp/asm/asm.zip dropbox\" | sshpass -f /etc/sambaedu/asm.pass sftp " . $config['asm_url'] . " -b 2>&1", $out, $ret);
    if ($ret == 0) {
        return "<H1>Export ASM :</H1><br>" . count($staff) . " Profs et  " . count($students) . " élèves exportés.\n" . implode("<br>\n", $out) . "<br>\n";
    } else {
        return "problème Export ASM : " . implode("<br>\n", $out) . "<br>\n";
    }
}

function sync_asm($config)
{
    $html = "<h1>Import asm</h1>\n";
    // @TODO !!!
    // récupération non fonctionnelle

    if (! empty($config['asm_url'])) {
        // on est sur le central
        $rsync = "rsync -e \"ssh -i /etc/sambaedu/id_rsa\" " . $config['asm_url'] . "/tmp/gpei/";
        system($rsync);
        $list = scandir("/tmp/gpei/");
        if (file_exists("/tmp/gpei/list.json")) {
            $oldlist = json_decode(file_get_contents("/tmp/gpei/list.json"));
        } else {
            $oldlist = [];
        }
        $new = array_diff($list, $oldlist);
        $html .= "Récupération de " . count($new) . " fichiers gpei<br>\n";
        foreach (list_etabs($config) as $etab) {
            if (fping("se4fs-" . $etab)) {
                foreach ($new as $gpei) {
                    $scp = "scp -i /etc/sambaedu/id_rsa " . $gpei . " root@se4fs-" . $etab . ":" . $gpei;
                    system($scp);
                }
                $html .= " envoi au serveur " . $etab . "<br>\n";
            }
        }
        $file = "";
    } else {
        $list = scandir("/tmp/gpei/");
        $complet = $delta = [];
        foreach ($list as $gpei) {
            preg_match("/^.*_GPEI_(Complet|Delta)_([0-9]{8})\.zip$/", $gpei, $m);
            if ($m[1] == "Complet") {
                $complet[] = $gpei;
            } else {
                $delta[] = $gpei;
            }
        }
        sort($complet, SORT_DESC);
        if (count($complet) > 0) {
            // on prend le plus récent complet pour commencer
            $file = array_shift($complet);
        } elseif (count($delta) > 0) {
            sort($delta, SORT_ASC);
            $file = array_shift($delta);
        } else {
            $file = "";
        }
    }
    if (! empty($file)) {
        $html .= import_archive($config, $file, "gpei");
        unlink($file);
    }
    return $html;
}
?>