<?php

function title($name)
{
    // the max number of characters for resolution 1024 x 768 is 107
    $total_length = 107;
    $name_length = strlen($name);
    $start = intval(($total_length - $name_length) / 2);
    $end = $total_length - $start - $name_length;
    $title = str_repeat("-", $start) . $name . str_repeat("-", $end);
    return "item --gap -- {$title}\n";
}

function boot_disk()
{
    // pour les postes qui refusent de booter le disque depuis Ipxe en mode legacy
    // ajouter ici la valeur de "product" renvoyée par la commande "config" depuis le shell ipxe
    $products = [
        "Precision T1700",
        "Precision Tower 3620",
        "Precision Tower 3420",
        "OptiPlex 3050",
        "OptiPlex 3010",
        "OptiPlex 3020",
        "OptiPlex 3030",
        "OptiPlex 3040",
        "HP Z240 Tower Workstation",
        "HP 280 G2 SFF",
        "HP EliteBook 850 G1",
        "10M8S1B000",
        "30AT0025FR"
    ];

    $ipxe = "iseq \${platform} efi && goto uefi || goto legacy\n";
    $ipxe .= ":uefi\n";
    $ipxe .= "exit 1 || sleep 100\n";
    $ipxe .= ":legacy\n";
    $ipxe .= "set sp:hex 20 && set sp \${sp:string}\n";
    foreach ($products as $i => $product) {
        $product = preg_replace("/ /", "\${sp}", $product);
        $ipxe .= "iseq \${product} " . $product . " && goto uefi || goto suite" . $i . "\n";
        $ipxe .= ":suite" . $i . "\n";
    }
    $ipxe .= "sanboot --no-describe --drive 0x80 || sleep 100\n";
    return $ipxe;
}

function q2a($texte, $platform = "legacy")
{
    // pas utile si UEFI configuré en English, le clavier est correct
    if (false) { // ($platform == "uefi") {
        $Azerty = "aAzZ01m";
        $Qwerty = "qQwW)!";
        $texte = strtr($texte, $Qwerty, $Azerty);
    }
    return $texte;
}

function ipxe_out($config, $ipxe)
{
    header("Content-type: text/plain");
    echo $ipxe;

    if (@$config['client_debug'] == "ipxe") {
        if (! empty($config['se4install_passwd'])) {
            $ipxe = str_replace($config['se4install_passwd'], "*********", $ipxe);
        }
        if (! empty($config['admin_passwd'])) {
            $ipxe = str_replace($config['adminse_passwd'], "*********", $ipxe);
        }
        if (! empty($config['linux_user_passwd'])) {
            $ipxe = str_replace($config['linux_user_passwd'], "*********", $ipxe);
        }
        file_put_contents("/tmp/ipxe-" . basename($_SERVER["SCRIPT_FILENAME"], '.php') . ".log", $ipxe);
    }
}

$config['version_debian'] = $config['version_debian'] ?? "bookworm";
$os_url = "http://" . $config['se4fs_ip'] . "/os";
$script_url = "http://" . $config['se4fs_ip'] . "/ipxe";

?>
