<?php

/**
 * Menu Annuaire
 * @Projet SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL
 * @Repertoire: annu
 * file: 30annu.inc
 * @Repertoire: includes/menu.d/ 
 */
$liens1 = array(
    array(
        'text' => "Annuaire",
        'right' => SE_NO_RIGHT,
        'level' => 1,
        'sub' => [
            [
                'text' => "Accès à l'annuaire",
                'link' => "annu/annu.php",
                'right' => SE_USER_READ,
                'level' => 1
            ],
            [
                'text' => "Modifier mon compte",
                'link' => "annu/mod_entry.php",
                'right' => SE_NO_RIGHT,
                'level' => 1
            ],
            [
                'text' => "Mon mot de passe",
                'link' => "annu/mod_pwd.php",
                'right' => SE_NO_RIGHT,
                'level' => 1
            ],
            [
                'text' => "Voir ma fiche",
                'link' => "annu/me.php",
                'right' => SE_NO_RIGHT,
                'level' => 1
            ],
            [
                'text' => "Mon espace personnel",
                'link' => "individuel.php",
                'right' => SE_NO_RIGHT,
                'level' => 1
            ],
            [
                'text' => "Nettoyage des comptes",
                'link' => "annu/ldap_cleaner.php",
                'right' => SE_USER_ADMIN,
                'level' => 1
            ]
        ]
    )
);
$liens = array_merge($liens, $liens1);
?>
