<?php

/**
 * Menu Gestion des imprimantes

 * @Projet SambaEdu

 * @Auteurs equipe sambaedu

 * @Note:

 * @Licence Distribue sous la licence GPL
 */

/**
 *
 * file: 55printers.inc.inc
 *
 * @Repertoire: includes/menu.d/
 */
$liens1 = array(
    array(
        'text' => "Gestion des imprimantes",
        'right' => SE_COMPUTER_VIEW,
        'level' => 1,
        'sub' => [
            [
                'text' => "Liste",
                'link' => "printers/list_printers.php",
                'right' => SE_COMPUTER_ADMIN,
                'level' => 1
            ],
            [
                'text' => "Détails",
                'link' => "printers/view_printers.php",
                'right' => SE_COMPUTER_ADMIN,
                'level' => 1
            ],
            [
                'text' => "Ajouter ou configurer",
                'link' => "printers/config_printer.php",
                'right' => SE_COMPUTER_ADMIN,
                'level' => 1
            ],
            [
                'text' => "Supprimer",
                'link' => "printers/delete_printer_choice.php",
                'right' => SE_COMPUTER_ADMIN,
                'level' => 1
            ],
            [
                'text' => "Ajouter des pilotes Windows",
                'link' => "printers/add_driver.php",
                'right' => SE_COMPUTER_ADMIN,
                'level' => 1
            ]
        ]
    )
);
$liens = array_merge($liens, $liens1);
?>
