<?php

/**
 * Menu Gestion des parcs

 *@Projet SambaEdu

 * @Auteurs Equipe Sambaedu

 * @Note: Ce fichier de fonction doit etre appele par un include

 * @Licence Distribue sous la licence GPL
 */

/**
 *
 * file: 60parcs.inc
 *
 * @Repertoire: includes/menu.d/
 */
$liens1 = array(
    array(
        'text' => "Gestion des parcs",
        'right' => SE_COMPUTER_VIEW,
        'level' => 1,
        'sub' => [
            [
                'text' => "Liste des parcs",
                'link' => "parcs/show_parc.php",
                'right' => SE_COMPUTER_VIEW,
                'level' => 1
            ],
            [
                'text' => "Action sur les parcs",
                'link' => "parcs/action_parc.php",
                'right' => SE_COMPUTER_VIEW,
                'level' => 1
            ],
            [
                'text' => "Installations",
                'link' => "parcs/lance_action.php",
                'right' => SE_COMPUTER_INSTALL,
                'level' => 1
            ],
            [
                'text' => "Programmer l'allumage",
                'link' => "parcs/wolstop_station.php?action=timing",
                'right' => SE_COMPUTER_ADMIN,
                'level' => 1
            ],
            [
                'text' => "Recherche et modification des machines",
                'link' => "parcs/cherche_machine.php",
                'right' => SE_COMPUTER_VIEW,
                'level' => 1
            ],
            [
                'text' => "Ajout et création",
                'link' => "parcs/create_parc.php",
                'right' => SE_COMPUTER_ADMIN,
                'level' => 1
            ],
            [
                'text' => "Renommage",
                'link' => "parcs/rename_parc.php",
                'right' => SE_COMPUTER_ADMIN,
                'level' => 1
            ],
            [
                'text' => "Suppression",
                'link' => "parcs/delete_parc.php",
                'right' => SE_COMPUTER_ADMIN,
                'level' => 1
            ],
            [
                'text' => "Import CSV",
                'link' => "parcs/import_csv.php",
                'right' => SE_COMPUTER_ADMIN,
                'level' => 1
            ],
            [
                'text' => "Export CSV",
                'link' => "parcs/export_csv.php",
                'right' => SE_COMPUTER_ADMIN,
                'level' => 1
            ],
            [
                'text' => "Délégation",
                'link' => "parcs/delegate_parc.php",
                'right' => SE_COMPUTER_ADMIN,
                'level' => 1
            ]
        ]
    )
);
$liens = array_merge($liens, $liens1);
?>
