<?php

/**
 * Menu sambaedu-bbb

 *@Projet SambaEdu

 * @Auteurs Equipe Sambaedu

 * @Note: Ce fichier de fonction doit etre appele par un include

 * @Licence Distribue sous la licence GPL
 */

/**
 *
 * file: 97dhcp.inc
 *
 * @Repertoire: includes/menu.d/
 */
if (is_dir("/var/www/sambaedu/bbb/")) {
    $liens1 = array(
        array(
            'text' => "Visioconférences",
            'right' => SE_NO_RIGHT,
            'level' => 1,
            'sub' => [
                [
                    'text' => "Configurer",
                    'link' => "bbb/config.php",
                    'right' => SE_SERVER_ADMIN,
                    'level' => 1
                ],
                [
                    'text' => "Créer un salon",
                    'link' => "bbb/create.php",
                    'right' => SE_NO_RIGHT,
                    'level' => 1
                ],
                [
                    'text' => "Rejoindre un salon",
                    'link' => "bbb/join.php",
                    'right' => SE_NO_RIGHT,
                    'level' => 1
                ],
                [
                    'text' => "Enregistrements",
                    'link' => "bbb/records.php",
                    'right' => SE_NO_RIGHT,
                    'level' => 1
                ]
            ]
        )
    );

    $liens = array_merge($liens, $liens1);
}
?>
