<?php

/**
 * Menu sambaedu-display

 *@Projet SambaEdu

 * @Auteurs Equipe Sambaedu

 * @Note: Ce fichier de fonction doit etre appele par un include

 * @Licence Distribue sous la licence GPL
 */

/**
 *
 * file: 92display.php
 *
 * @Repertoire: includes/menu.d/
 */
if (is_dir("/var/www/sambaedu/display/")) {
    $liens1 = array(
        array(
            'text' => "Affichage dynamique",
            'right' => SE_SERVER_ADMIN,
            'level' => 1,
            'sub' => [
                [
                    'text' => "Configurer les flux",
                    'link' => "display/config.php",
                    'right' => SE_SERVER_ADMIN,
                    'level' => 1
                ],
                [
                    'text' => "Configurer les écrans",
                    'link' => "display/screen.php",
                    'right' => SE_SERVER_ADMIN,
                    'level' => 1
                ]
            ]
        )
    );

    $liens = array_merge($liens, $liens1);
}
?>
