<?php

/**

 * Affiche l'espace libre sur les partitions

 * @Projet / SambaEdu

 * @auteurs Equipe SambaÉdu

 * @Licence Distribue selon les termes de la licence GPL

 * @note

 */

/**
 *
 * @Repertoire: /
 * file: df.php
 *
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
require ("ihm.inc.php");

$login = $config['login'];

if (! have_right($config, SE_ADMIN, $login)) {
    die("Vous n'avez pas les droits suffisants pour accéder à cette fonction" . "</BODY></HTML>");
}

echo "<H1>Espace libre sur le disque</H1>";

exec("df -h -x tmpfs", $df_result);

$liste_part = preg_grep("/^\/dev/", $df_result);

foreach ($liste_part as $key => $line) {
    # nettoyage espaces
    $line = preg_replace('/\s{2,}/', ' ', $line);

    list ($dev, $taille, $util, $dispo, $util_pc, $point_montage) = explode(" ", $line);
    $tab_partitions[$key]['device'] = $dev;
    $tab_partitions[$key]['taille'] = $taille;
    $tab_partitions[$key]['util'] = $util;
    $tab_partitions[$key]['dispo'] = $dispo;
    $tab_partitions[$key]['util_pc'] = $util_pc;
    $tab_partitions[$key]['point_montage'] = $point_montage;
}
// var_dump($tab_partitions);

echo "<TABLE class='table-bordered' width=\"80%\">";
echo "<TR><TD align=\"center\" class=\"menuheader\" height=\"30\">\n";
echo "Partition</TD>";
echo "<TD align=\"center\" class=\"menuheader\" height=\"30\">\n";
echo "Point de montage</TD>";
echo "<TD align=\"center\" class=\"menuheader\" height=\"30\">\n";
echo "Espace total</TD>";
echo "<TD align=\"center\" class=\"menuheader\" height=\"30\">\n";
echo "Espace occupé</TD>";
echo "<TD align=\"center\" class=\"menuheader\" height=\"30\">\n";
echo "Espace libre</TD>";
echo "<TD align=\"center\" class=\"menuheader\" height=\"30\">\n";
echo "Poucentage occupé</TD>";
echo "</TR>";

foreach ($tab_partitions as $tab_line) {
    // var_dump($tab_line);
    echo "<TR>";
    echo "<TD >" . $tab_line['device'] . "</TD>";
    echo "<TD align=\"center\" >" . $tab_line['point_montage'] . "</TD>";
    echo "<TD align=\"center\" >" . $tab_line['taille'] . "</TD>";
    echo "<TD align=\"center\" >" . $tab_line['util'] . "</TD>";
    echo "<TD align=\"center\" >" . $tab_line['dispo'] . "</TD>";
    echo "<TD align=\"center\" >" . $tab_line['util_pc'] . "</TD>";
    echo "</TR>";
}
echo "</TABLE>";

$html = "";
admin_footer_html($html);
echo $html;
?>
