<?php

/**

 * Affiche l'espace utilise sur le disque par repertoire

 * @Projet / SambaEdu

 * @auteurs Equipe SambaÉdu

 * @Licence Distribue selon les termes de la licence GPL

 * @note

 */

/**
 *
 * @Repertoire: /
 * file: du.php
 *
 */
$locale = setlocale(LC_CTYPE, 0);
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
require ("ihm.inc.php");

$lock = "/var/lock/du.lock";
$login = $config['login'];
$erreur = "";

$wrep = (isset($_POST['wrep']) ? $_POST['wrep'] : (isset($_GET['wrep']) ? $_GET['wrep'] : ""));

$wrep = preg_replace("/(\.\.|\$|`|~|\|)/", "", $wrep);

if (! have_right($config, SE_ADMIN))
    if (! preg_match("!/home/" . $config['login'] . "!", $wrep)) {
        die("<h1>Occupation disque</h1><br>Vous n'avez pas les droits suffisants pour accéder à cette fonction</BODY></HTML>");
    }

exec('/usr/bin/find $chemin_lock -name du.lock -cmin +15 -delete');

if (file_exists($lock)) {
    die("Instance en cours.....Patientez 15 mn qu'elle se termine</BODY></HTML>");
}

// if($wrep=="") { $wrep=$_GET['wrep']; }
if ($wrep != "" && preg_match("|/.+/.+|", $wrep)) {
    // test si l'entree est correcte
    if ((is_dir($wrep)) || (is_file($wrep))) {
        $fp = fopen($lock, 'w');
        fclose($fp);
        echo "<H1>Occupation de $wrep</H1>";
        echo "<center>";
        echo "<table class='table-bordered' width=\"80%\">";
        echo "<tr><td align=\"center\" class=\"menuheader\" height=\"30\">\n";
        echo "Dossier";
        echo "</td>";
        echo "<td align=\"center\" class=\"menuheader\" height=\"30\">\n";
        echo "Taille";
        echo "</td></tr>";
        setlocale(LC_CTYPE, $locale);
        $liste_dossiers = [];
        $liste_dossiers[] = exec("sudo /usr/bin/du -sh " . escapeshellarg($wrep) . "/");
        exec("sudo /usr/bin/du -sh " . escapeshellarg($wrep) . "/*/", $liste_dossiers);
        foreach ($liste_dossiers as $dossier) {
            $taille_dossier = preg_split('/\s+/', $dossier, 2);
            echo "<tr><td>$taille_dossier[1]</td>";
            echo "<td>$taille_dossier[0]</td></tr>";
        }
        echo "</table>";
        unlink($lock);
        // $reponse=system("/usr/bin/sudo /usr/share/sambaedu/scripts/du.sh $wrep");
        // echo "$reponse";
        $html = "";
        admin_footer_html($html);
        echo $html;
        exit();
    } else {
        $erreur = "1";
    }
}

?>
<SCRIPT Language="javascript" type="text/javascript">
  function setpath(rep)
  {
        document.forms[0].wrep.value=rep;
        document.forms[0].submit();
  }
</SCRIPT>
<H1><?php echo "Occupation disque pour les partages"; ?></H1>

<H2><?php echo "Choix du répertoire à analyser"; ?></H2>
<?php

if ($erreur == "1") {
    echo "<CENTER><font color=\"#FFA500\">Erreur le répertoire ou fichier n'est pas correct</font></CENTER><br><br>";
}
echo "Cliquez sur un répertoire prédéfini, ou bien choisissez-en un autre en indiquant son chemin dans le champ prévu à cet effet.";
?>
<FORM ACTION="du.php" METHOD="post">
    <TABLE ALIGN="center" WIDTH="50%" class='table-bordered'>
        <TR>
            <TD><?php echo "Dossier Programmes"; ?></TD>
            <TD><IMG SRC="/elements/images/folder.png" BORDER="0"
                ALT="Répertoire">&nbsp;&nbsp;<A
                HREF="Javascript:setpath('/var/sambaedu/Progs');">/var/sambaedu/Progs</A></TD>
        </TR>
        <TR>
            <TD><?php echo "Dossier Documents"; ?></TD>
            <TD><IMG SRC="/elements/images/folder.png" BORDER="0"
                ALT="Répertoire">&nbsp;&nbsp;<A
                HREF="Javascript:setpath('/var/sambaedu/Docs');">/var/sambaedu/Docs</A></TD>
        </TR>
        <TR>
            <TD><?php echo "Dossier public"; ?></TD>
            <TD><IMG SRC="/elements/images/folder.png" BORDER="0"
                ALT="Répertoire">&nbsp;&nbsp;<A
                HREF="Javascript:setpath('/var/sambaedu/Docs/public');">/var/sambaedu/Docs/public</A></TD>
        </TR>
        <TR>
            <TD><?php echo "Dossier Classes"; ?></TD>
            <TD><IMG SRC="/elements/images/folder.png" BORDER="0"
                ALT="Répertoire">&nbsp;&nbsp;<A
                HREF="Javascript:setpath('/var/sambaedu/Classes');">/var/sambaedu/Classes</A></TD>
        </TR>

        <TR>
            <TD><?php echo "Autre ..."; ?></TD>
            <TD><IMG SRC="/elements/images/folder.png" BORDER="0"
                ALT="Répertoire">&nbsp;&nbsp;<INPUT TYPE="TEXT"
                NAME="wrep"></TD>
        </TR>
    </TABLE>
    <BR>
    <TABLE ALIGN="CENTER" WIDTH="50%">
        <TR>
            <TD ALIGN="center"><INPUT TYPE="submit"
                VALUE="<?php echo "Valider"; ?>"></TD>
            <TD ALIGN="center"><INPUT TYPE="reset"
                VALUE="<?php echo "Effacer"; ?>"></TD>
        </TR>
    </TABLE>
</FORM>
<?php
$html = "";
admin_footer_html($html);
echo $html;
?>