<?php

/**

 * Retourne des informations sur le systeme (nbr de comptes - memoire dispo)
 * @Projet SambaEdu

 * @auteurs Equipe SambaEdu

 * @Licence Distribue selon les termes de la licence GPL

 * @note 

 */

/**
 *
 * @Repertoire: /
 * file: infose.php
 *
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
require ("ihm.inc.php");
$login = $config['login'];

if (! have_right($config, SE_ADMIN, $login))
    die("Vous n'avez pas les droits suffisants pour accéder à cette fonction</BODY></HTML>");

$list_groups = search_ad($config, "*", "group_fast");
$people = search_ad($config, "*", "user", $config['dn']['people']);
$lesprofs = search_ad($config, "*", "memberof", "Profs");
$leseleves = search_ad($config, "*", "memberof", "Eleves");
$lesadministratifs = search_ad($config, "*", "memberof", "Administratifs");
$trashusers = search_ad($config, "*", "user", $config['dn']['trash']);

echo "<H1>Informations générales SambaEdu</H1>";
echo "<H2>Informations sur les comptes</H2>";
echo "<UL>";
echo "<LI>Nombre de groupes : " . count($list_groups) . "</LI>";
echo "<LI>Nombre de Classes actives : " . exec('ls /var/sambaedu/Classes | wc -l') . "</LI>";
echo "<LI>Nombre de comptes : " . count($people) . "</LI>";
echo "<LI>Nombre de comptes professeurs : " . count($lesprofs) . "</LI>";
echo "<LI>Nombre de comptes élèves : " . count($leseleves) . "</LI>";
echo "<LI>Nombre de comptes administratifs : " . count($lesadministratifs) . "</LI>";
echo "<LI>Nombre de comptes dans la corbeille  : " . count($trashusers) . "</LI>";
echo "</UL>";

echo "<H2>Informations sur le Noyau</H2>";
echo "<PRE>";
system('uname -a');
echo "</PRE>";

echo "<H2>Utilisation de la mémoire</H2>";
echo "<PRE>";
system('free -h');
echo "</PRE>";

echo "<H2>Processus en cours</H2>";
echo "<PRE>";
system('top -b -n1');
echo "</PRE>";

$html = "";
admin_footer_html($html);
echo $html;
?>
