<?php

/**
 * Page qui teste les differents services
 * @Version dernière modif 11-2019 
 * @Projet LCS / SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL
 * lancement des scripts bash par la technologie asynchrone Ajax.
 */
/**
 *
 * @Repertoire: /
 * file: majtest.php
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;

// if (have_right($config, SE_USER_ADMIN)) {
if (! have_right($config, SE_ADMIN)) {
    die("<HTML><BODY>Vous n'avez pas les droits suffisants pour accéder à cette fonction</BODY></HTML>");
}
// $action="";
$action = $_POST['action'] ?? $_GET['action'] ?? "";

//
if ($action == "majsambaedu") {
/*     $info_1 = "Mise à jour lancée, ne fermez pas cette fenêtre avant que le script ne soit terminé. vous recevrez un mail récapitulatif de tout ce qui sera effectué...";
    echo $info_1;
    echo "<pre>";
    system("sudo -H apt-get dist-upgrade -y 2>&1");
    echo "</pre>";
    echo "<FORM action=\"majtest.php?action=test \"method=\"post\"><CENTER><INPUT type='submit' VALUE='Vérifier'></CENTER></FORM>\n"; */
} else {
    echo "<H1>Mise à jour du serveur SambaÉdu</H1>\n";
    echo "<br><br>";
    echo "<center>";
    echo "<TABLE class='table-bordered' width=\"80%\">";
    // Modules disponibles
    // echo "<TR><TD colspan=\"4\" align=\"center\" class=\"menuheader\" height=\"30\">\n";
    // echo "Etat des paquets";
    // echo "</TD></TR>";
    echo "<TR><TD align=\"center\" class=\"menuheader\" height=\"30\">\n";
    echo "Nom du paquet à mettre à jour";
    echo "</TD><TD align=\"center\" class=\"menuheader\" height=\"30\">Version installée</TD><TD align=\"center\" class=\"menuheader\" height=\"30\">Version disponible</TD></TR>";

    // paquets sambaedu
    // On teste si on a bien la derniere version
    exec("dpkg -l | grep \"ii *sambaedu\" | cut -d \" \" -f3", $liste_package);
    foreach ($liste_package as $se_package) {
        $se_version_install = exec("apt policy $se_package | grep \"Install\" | cut -d\":\" -f2");
        $se_version_dispo = exec("apt policy $se_package | grep \"Candidat\" | cut -d\":\" -f2");
        if ("$se_version_install" != "$se_version_dispo") {
            echo "<TR><TD>Paquet $se_package</TD>";
            echo "<TD align=\"center\">$se_version_install</TD>";
            echo "<TD align=\"center\"><b>$se_version_dispo</b></TD>";
            echo "</TR>";
        }
    }
    ;

    echo "</table>";
    echo "<BR><BR>";

    echo "Avant de lancer la mise à jour dans une console, consultez les informations liées à cette mise à jour et suivez <a href=\"https://www.sambaedu.org/-Mises-a-jour-\" target=\"_blank\">la procédure indiquée sur le site SambaÉdu</a>.";
    // , ou alors cliquez ici
    echo "<BR><BR>";
    // echo "<FORM action=\"majtest.php?action=majsambaedu \"method=\"post\"><CENTER><INPUT type='submit' VALUE='Lancer la mise à jour'></CENTER></FORM>\n";
}
// pied de page
$html = "";
admin_footer_html($html);
echo $html;

?>
