<?php

/**

 * Cree un nouveau parc
 * @Version $Id$

 * @Projet LCS / SambaEdu

 * @auteurs Equipe Tice académie de Caen

 * @Licence Distribue selon les termes de la licence GPL

 * @note

 */

/**
 *
 * @Repertoire: parcs/
 * file: create_parc.php
 *
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
include_once "ldap.inc.php";
include "ihm.inc.php";

$parc = $_POST['parc'] ?? $_GET['parc'] ?? "";
$newparc = $_POST['newparc'] ?? "";
$description = $_POST['newparc'] ?? "";
$create_parc = $_POST['create_parc'] ?? "";
$parent = $_POST['parent'] ?? "";
$new_computers = $_POST['new_computers'] ?? $_GET['new_computers'] ?? array();
$type = $_POST['type'] ?? $_GET['type'] ?? "salle";
$move = $_POST['move'] ?? $_GET['move'] ?? "true";
if (have_right($config, SE_COMPUTER_ADMIN)) {

    // Titre
    echo "<h1>Ajout - Création</h1>";

    $nb_etab = count(activated_etabs($config));

    if ((count($new_computers) == 0) && ($parc == "")) {
        echo "<H3>Création d'un nouveau parc</H3>";
        echo "<FORM method=\"post\" action=\"create_parc.php\">\n";
        echo "Nom : <INPUT TYPE=\"text\" SIZE=\"10\" value=\"$newparc\" name=\"newparc\"><br>\n";
        echo "Description : <INPUT TYPE=\"text\" SIZE=\"30\" value=\"$description\" name=\"description\">\n";

        echo "<u onmouseover=\"return escape('Indiquer le nom du nouveau parc que vous souhaitez créer. Ne pas utiliser de caractères étranges.')\"><img name=\"action_image2\"  src=\"../elements/images/system-help.png\" alt=\"help\"></u> ";

        // =============================================================
        // AJOUT
        echo "Créer un parc de type Salle ?";
        echo "<u onmouseover=\"return escape('un parc de type salle permet, en plus des logiciels installés par wpkg, d\'associer des GPO et des imprimantes. Une machine ne peut appartenir qu\'à une seule salle, mais en revanche les salles peuvent avoir une autre salle pour parent. Dans ce cas les machines héritent des GPO et des applications.')\"><img name=\"action_image2\"  src=\"../elements/images/system-help.png\" alt=\"help\"></u> ";
        echo "salle : <INPUT TYPE=\"radio\" VALUE=\"salle\" name=\"type\" CHECKED> Oui \n";
        echo "<INPUT TYPE=\"radio\" VALUE=\"parc\" name=\"type\"> Non \n";
        echo "<br>\n";
        // =============================================================

        if ($type == "salle") {
            // Choix du parent
            echo "<br>";
            echo "<H3>Créer des parcs de type salle pour pouvoir appliquer des GPO</H3>";
            $list_parcs = search_parcs($config, "*", "salle");
            if (count($list_parcs) > 0) {
                // echo "<FORM method=\"post\" action=\"create_parc.php\">\n";
                echo "<table>\n";
                echo "<tr><td valign=\"top\">Choisir un parc parent : </td>\n";
                if (count($list_parcs) > 10)
                    $size = 10;
                else
                    $size = count($list_parcs);
                echo "<td><SELECT NAME=\"parent\" SIZE=\"$size\" >";
                for ($loop = 0; $loop < count($list_parcs); $loop ++) {
                    $nom_etab = "";
                    if ($nb_etab > 1) {
                        $nom_etab = " " . etab_to_name($config, $list_parcs[$loop]["etab"]);
                    }
                    if ($list_parcs[$loop]["samaccountname"] != $parc) {
                        echo "<option value=\"" . $list_parcs[$loop]["samaccountname"] . "\">" . $list_parcs[$loop]["name"] . $nom_etab . "</option>\n";
                    }
                }
                echo "</SELECT></td></tr>\n";
                echo "</table>\n";
            }
        }
        echo "<input type=\"submit\" value=\"Valider\">\n";
        echo "</FORM>\n";
    }
    if (($newparc == "") && ($parc == "")) {
        // Ajout de nouvelles machines dans les parcs
        echo "<H1>Alimentation du parc <U>$parc</U></H1>";

        echo "<H3>Sélection du parc à alimenter</H3>";
        $list_parcs = search_parcs($config, "*");
        if (count($list_parcs) > 0) {
            echo "<FORM method=\"post\" action=\"create_parc.php\">\n";
            echo "<SELECT NAME=\"parc\" SIZE=\"1\">";
            for ($loop = 0; $loop < count($list_parcs); $loop ++) {
                $nom_etab = "";
                if ($nb_etab > 1) {
                    $nom_etab = " " . etab_to_name($config, $list_parcs[$loop]["etab"]);
                }
                echo "<option value=\"" . $list_parcs[$loop]["samaccountname"] . "\">" . $list_parcs[$loop]["name"] . $nom_etab . "</option>\n";
            }
            echo "</SELECT>&nbsp;&nbsp;\n";

            echo "<input type=\"hidden\" name=\"create_parc\" value=\"$create_parc\">\n";
            for ($loop = 0; $loop < count($new_computers); $loop ++) {
                echo "<input type=\"hidden\" name=\"new_computers[]\" value=\"" . $new_computers[$loop] . "\">\n";
            }

            echo "<input type=\"submit\" value=\"Valider\">\n";
            echo "<u onmouseover=\"return escape('Sélectionner un parc dans lequel vous souhaitez ajouter des machines.')\"><img name=\"action_image2\"  src=\"../elements/images/system-help.png\" alt=\"help\"></u> ";
            echo "</FORM>\n";
        }
        echo "<BR>";

        // Création de nouveau parc

        // on ne propose pas de creer un nouveau parc si la page d'origine est recherche
    /**
     * *******************************************************************************
     */
    }

    // Debut du traitement

    // Affichage du formulaire de remplissage du parc
    if ((($type == "salle") && ($parent != "")) || ($type == "parc")) {
        if ($newparc == "") {
            echo "<p>Le nom du parc ne doit pas être vide.</p>\n";
            $html = "";
            admin_footer_html($html);
            echo $html;
            exit();
        }

        // On pourrait meme ajouter un test ereg plus haut pour exclure les caracteres speciaux
        if (strlen(preg_replace("/[0-9a-z_]/", "", $newparc)) != 0) {
            echo "<p>Le nom du parc proposé comporte des caractères non valides.<br>\n";
            echo "Veuillez n'utiliser que des caractères alphanumériques en minuscules (<i>surtout les chiffres;o</i>) et éventuellement le caractère '_'.</p>\n";
            echo "<br><center>";
            echo "<a href=create_parc.php>Retour</a>";
            echo "</center>";
            $html = "";
            admin_footer_html($html);
            echo $html;
            exit();
        } else {
            // =============================================================
            // Création d'un nouveau parc
            echo "Création du parc " . $newparc;
            echo "<BR>\n";
            $newparc = strtolower($newparc);
            if (create_parc($config, $newparc, $description, $type, $parent))
                echo "parc $newparc créé<br>\n";
            else
                echo "ERREUR à la création de $newparc<br>\n";

            // =============================================================
        }
    } elseif ($parc != "") {
        echo "<H3>Alimentation du parc <U>$parc</U></H3>";
        echo "<P>Vous avez sélectionné " . count($new_computers) . " machine(s)<BR>\n";
        for ($loop = 0; $loop < count($new_computers); $loop ++) {
            $computer = $new_computers[$loop];
            if ($move == "true") {
                echo "Déplacement de l'ordinateur<a href='cherche_machine.php?mpenc=$computer' title='Voir les connexions'> $computer </a>au parc <U><a href='show_parc.php?parc=$parc' title='Voir les machines du parc.'>$parc</a></U> <a href='action_parc.php?parc=$parc' title='Action sur les stations du parc'><img src='../elements/images/magic.png' width='22' height='24' /></a><br />";
                if (move_member_parc($config, $parc, $computer))
                    echo "OK<BR>";
            } else {
                echo "Ajout de l'ordinateur<a href='cherche_machine.php?mpenc=$computer' title='Voir les connexions'> $computer </a>au parc <U><a href='show_parc.php?parc=$parc' title='Voir les machines du parc.'>$parc</a></U> <a href='action_parc.php?parc=$parc' title='Action sur les stations du parc'><img src='../elements/images/magic.png' width='22' height='24' /></a><br />";
                if (add_member_parc($config, $parc, $computer))
                    echo "OK<BR>";
            }
        }

        $info = search_parcs($config, $parc);
        $type = $info[0]['type'];

        $filtrecomp = isset($_POST['filtrecomp']) ? $_POST['filtrecomp'] : "";

        echo "<H3>Alimentation du parc <U>$parc</U></H3>";
        // Filtrage des noms
        echo "<form action=\"create_parc.php\" method=\"post\">\n";
        echo "<P>Lister les noms contenant: ";
        echo "<INPUT TYPE=\"text\" NAME=\"filtrecomp\"\n VALUE=\"$filtrecomp\" SIZE=\"8\">";

        if ($parc != "") {
            echo "<input type=\"hidden\" name=\"parc\" value=\"$parc\">\n";
        }
        echo "<input type=\"submit\" value=\"Valider\">\n";
        echo "</form>\n";
        // Initialisation:
        $list_new_machines = array();
        // Lecture des membres du parc
        $members_of_parc = list_members_parc($config, $parc, true);
        // Creation d'un tableau des nouvelles machines à intégrer
        if ($filtrecomp == '')
            $filtrel = '*';
        else
            $filtrel = "*$filtrecomp*";
        $list_machines = search_ad($config, $filtrel, "machine", $config['dn']['computers']);
        sort_by_key("cn", $list_machines);

        for ($loop = 0; $loop < count($list_machines); $loop ++) {
            if (! is_printer($config, $list_machines[$loop])) {
                $list_machines_cor[] = ldap_hostname($config, $list_machines[$loop]);
            }
        }
        // $list_new_machines = array_diff($list_machines_cor, array_column($members_of_parc, "cn"));
        $list_new_machines = $list_machines_cor;
        // Affichage menu de sélection des machines à ajouter au parc
        if (count($list_new_machines) > 15)
            $size = 15;
        else
            $size = count($list_new_machines);
        if (count($list_new_machines) > 0) {
            sort($list_new_machines);
            $form = "<form action=\"create_parc.php\" method=\"post\">\n";
            $form .= "<p>Sélectionnez les nouvelles machines à intégrer au parc :</p>\n";
            $form .= "<p><select size=\"" . $size . "\" name=\"new_computers[]\" multiple=\"multiple\">\n";
            echo $form;
            for ($loop = 0; $loop < count($list_new_machines); $loop ++) {
                if (($list_new_machines[$loop] != $config['se4ad_name']) && ($list_new_machines[$loop] != $config['se4fs_name'])) {
                    echo "<option value=\"" . $list_new_machines[$loop] . "\"";
                    if (in_array($list_new_machines[$loop], $new_computers))
                        echo "disabled";
                    echo ">" . $list_new_machines[$loop];
                }
            }
            $form = "</select></p>\n";
            if ($type == "salle") {
                $form .= "<u onmouseover=\"return escape('Si la case est cochée, la machine sera déplacée. Sinon elle sera ajoutée au parc.')\"><img name=\"action_image2\"  src=\"../elements/images/system-help.png\" alt=\"help\"></u> ";
                $form .= "Déplacer la machine <INPUT TYPE=\"radio\" VALUE=\"true\" name=\"move\" CHECKED> Oui \n";
                $form .= "<INPUT TYPE=\"radio\" VALUE=\"false\" name=\"move\"> Non <br>\n";
            } else {
                $form .= "<input type=\"hidden\" name=\"move\" value=\"false\">\n";
            }

            $form .= "<input type=\"hidden\" name=\"parent\" value=\"$parent\">\n";
            $form .= "<input type=\"hidden\" name=\"parc\" value=\"$parc\">\n";
            $form .= "<input type=\"reset\" value=\"Réinitialiser la sélection\">\n";
            $form .= "<input type=\"submit\" value=\"Valider\">\n";
            $form .= "</form>\n";
            echo $form;
        } else {
            $message = "Il n'y a pas de nouvelles machines à ajouter !";
            echo $message;
        }

        echo "<BR><BR><CENTER>\n";
        echo "<A HREF=\"show_parc.php?parc=$parc\">Retour</A>";
    }
}

$html = "";
admin_footer_html($html);
echo $html;
?>
