<?php
/**

 * import de fichiers csv

 * @Projet SambaEdu

 * @auteurs denis bonnenfant

 * @Licence Distribue selon les termes de la licence GPL
 * 
 * 
 */
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
include "ihm.inc.php";
require_once ("ldap.inc.php");
require_once ("fonc_outils.inc.php");
require_once ("fonc_parc.inc.php");
require_once 'ent.inc.php';
require_once "sites.inc.php";

$end = false;
$files = $_FILES;
$action = $_POST['action'] ?? $_GET['action'] ?? "nouveau";
$session = $_POST['lock'] ?? "";

function form_site_next($type = "apply")
{
    $types = array(
        "nouveau" => "1 - Récupération des données",
        "nouveau_force" => "1 - Forcer la récupération",
        "commit" => "8 - Appliquer les changements"
    );
    $html = "Sélectionner l'étape suivante :  <SELECT NAME=\"action\"\">";
    foreach ($types as $t => $txt) {
        $html .= "<option value=\"$t\"";
        if ($type == $t) {
            $html .= " selected>";
        } else {
            $html .= ">";
        }
        $html .= "$txt</option>";
    }
    $html .= "<input type=\"submit\" value=\"Valider\">";
    $html .= "</SELECT><br>";
    return $html;
}

if (have_right($config, SE_COMPUTER_ADMIN)) {
    echo "<h1>Importation Fichiers CSV sites</h1><br>\n";
    // echo refresh_page($page);
    $page = "import_sites.php#end";
    echo "<FORM name=\"sites\" enctype=\"multipart/form-data\" action=\"" . $page . "\" method=\"post\">\n";
    if (empty($session)) {
        // nouvel import
        $session = session_id();
    }

    $file_type = "csv_sites";
    echo "<input type=\"hidden\" name=\"file_type\" value=\"" . $file_type . "\">";
    echo "<input type=\"hidden\" name=\"ent[ent_type]\" value=\"" . $file_type . "\">";
    $lock = apcu_fetch('sites_lock');
    if (empty($lock) || $action == "nouveau_force") {
        echo "Suppression du verrou.<br>";
        $session = session_id();
        apcu_add('sites_lock', $session);
        $lock = $session;
    }
    if ($lock != $session) {
        echo "session : " . $session . " lock :  " . $lock . "<br>";
        echo "Un import est déjà en cours, ou a été interrompu avant d'être fini. Vous pouvez recommencer plus tard, ou forcer une nouvelle importation.<br>\n";
        echo "<input type=\"hidden\" name=\"lock\" value=\"" . $session . "\">";
        echo form_site_next("nouveau_force");
    } else {
        apcu_add('sites_lock', $session);
        echo "<input type=\"hidden\" name=\"lock\" value=\"" . $session . "\">";
        if ($action == "nouveau_force")
            $force = true;
        if ($action == "nouveau" || $action == "nouveau_force") {
            apcu_delete('sites_html');
            apcu_delete('ent');
            apcu_delete('sites_count');
            switch ($file_type) {
                case "csv_sites":
                    echo upload_ent($config, $files, $file_type);
                    echo form_site_next("read_file");
                    break;
                default:
                    echo upload_ent($config, $files, $file_type);
                    echo form_site_next("read_file");
            }
        } elseif ($action == "commit") {
            $end = update_sites($config, 20);
            echo apcu_fetch('sites_html');
            echo apcu_fetch('sites_count') . " sites restant à traiter...<br>";
            if ($end) {
                apcu_delete('sites_lock');
                $headers = 'MIME-Version: 1.0' . "\n";
                $headers .= 'Content-type: text/html; charset=utf-8' . "\n";
                mail("root", "[" . $config['se4fs_name'] . "] Fin d'import CSV manuel", "<b>Début d'import :</b><p>" . apcu_fetch('sites_html') . "<b>Fin d'import</b>", $headers);
                apcu_delete('sites_html');
                echo form_site_next("nouveau_force");
            } else {
                echo form_site_next("commit");
            }
        }
    }
    echo "</form>";
    echo "<a id=\"end\"></a>";
    if ($end) {
        echo "<b> Importation terminée </b>";
        batch_write();
        apcu_delete('sites_lock');
        apcu_delete('sites_html');
        apcu_delete('ent');
        apcu_delete('sites_count');
    } elseif ($action == "commit") {
        echo "<script type=\"text/javascript\">";
        // $html .= "document.forms[\"ent\"].submit()";
        echo "var wait = setTimeout(document.sites.submit(), 29000)";
        echo "</script>";
    }
}
$html = "";
admin_footer_html($html);
echo $html;
?>
