<?php

/**

 * Stop - start les machines clientes
 * @Version $Id$ 

 * @Projet LCS / SambaEdu 

 * @auteurs Equipe Tice academie de Caen
 * @auteurs Sandrine Dangreville

 * @Licence Distribue selon les termes de la licence GPL

 * @note modifie par jean navarro - Carip Lyon introduction du choix de l'ordre de tri de l'affichage des connexions

 */

/**
 *
 * @Repertoire: parcs/
 * file: wolstop_station.php
 */
?>
<script type="text/javascript">
window.onload=montre;

/**

* Montre
* @language Javascript
* @Parametres  
* @Return
*/


function montre(id)
{
    var d = document.getElementById(id);
    for (var i = 1; i<=10; i++) {
        if (document.getElementById('smenu'+i)) {document.getElementById('smenu'+i).style.display='none';}
    }
    if (d) {d.style.display='block';}
}

/**

* Valide l'arret
* @language Javascript
* @Parametres  
* @Return
*/

function okshutdown()
{
    resultat=confirm('Confirmez l\'arret des postes');
    if(resultat !="1")
    window.history.back()
}
//==================================
/**

* Valide le reboot
* @language Javascript
* @Parametres  
* @Return
*/

function okreboot()
{
    resultat=confirm('Confirmez le reboot des postes');
    if(resultat !="1")
    window.history.back()
}
//==================================

/**

* Valide le demarrge
* @language Javascript
* @Parametres  
* @Return
*/

function okwol()
{
    resultat=confirm('Confirmez l\'allumage des postes');
    if(resultat !="1")
    window.history.back()
}

/**

* Active ou désactive des contrôles suivant les choix
* @langage Javascript
* @Parametres
* @Return
*/

function maj_radio()
{
    document.getElementById('choix_acad').disabled=true;
    document.getElementById('radio_boulot').disabled=true;
    document.getElementById('radio_vacances').disabled=true;
    document.getElementById('bouton_valider').disabled=true;

    if (document.getElementById('radio_manuel').checked) {
        document.getElementById('radio_boulot').disabled=false;
        document.getElementById('radio_vacances').disabled=false;
        if (document.getElementById('radio_boulot').checked || document.getElementById('radio_vacances').checked) {
            document.getElementById('bouton_valider').disabled=false;
        }
    }

    if (document.getElementById('radio_auto').checked) {
        document.getElementById('choix_acad').disabled=false;
        if (document.getElementById('choix_acad').value != 'no_select') {
            document.getElementById('bouton_valider').disabled=false;
        }
    }
}

</script>


<?php
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
require_once "ihm.inc.php";
require_once "ldap.inc.php";
require_once "fonc_parc.inc.php";
require_once "fonc_outils.inc.php";
require_once "dhcpd.inc.php";

// ***************Definition des droits de lecture et aide en ligne
$detail = false;
// Verifie les droits
if (have_right_or_delegation($config, SE_COMPUTER_VIEW)) {

    // affichage de la suite
    // echo "<div id=main>";

    // *****************cas des parcs delegues***********************************/
    $acces_restreint = false;
    if (! have_right($config, SE_COMPUTER_ADMIN) and (count($delegations = list_delegations_right($config, SE_COMPUTER_VIEW) > 0))) {
        echo "<h3>Votre délégation a été prise en compte pour l'affichage de cette page.</h3>";
        $acces_restreint = true;
    }

    /**
     * *********************** Declaration des variables ***********************************
     */
    $action = $_POST['action'] ?? $_GET['action'] ?? "timing";
    $academie = $_POST['academie'] ?? $_GET['academie'] ?? "";
    $mode = $_POST['mode'] ?? $_GET['mode'] ?? "";
    $vacances = $_POST['vacances'] ?? $_GET['vacances'] ?? "";
    $parc = $_POST['parc'] ?? $_GET['parc'] ?? "";

    if ($acces_restreint) {
        if ((! have_delegation($config, $parc, "manage")) and (! have_delegation($config, $parc, "view"))) {
            exit();
        }
    }

    if (! empty($academie)) {
        set_config($config, 'academie', $academie, 'api-calendrier-scolaire');
    }
    if (! empty($mode)) {
        set_config($config, 'mode_programmation', $mode, 'api-calendrier-scolaire');
    }
    if (! empty($vacances)) {
        set_config($config, 'vacances', $vacances);
    }

    $config = get_config();

    if (! empty($config['academie'])) {
        $academie = $config['academie'];
    }
    if (! empty($config['mode_programmation'])) {
        $mode = $config['mode_programmation'];
    }
    if (! empty($config['vacances'])) {
        $vacances = $config['vacances'];
    }

    $api_vac = get_vacances($config);
    $api_fer = get_feries($config);
    if ($mode == 'auto') {
        $vacances = max($api_vac['etat'], $api_fer['etat']);
        set_config($config, 'vacances', $vacances);
    }

    echo "<h1>Suspension de l'allumage automatique</h1>\n";

    echo "En mode <b>Manuel</b>, vous pouvez choisir la période de programmation :<br>\n";
    echo "<ul><li><b>Période scolaire</b> : la programmation est active.</li>\n";
    echo "<li><b>Vacances</b> : la programmation est suspendue.</li></ul>\n";
    echo "En mode <b>Automatique</b>, vous sélectionnez votre académie et la programmation suit automatiquement le calendrier scolaire et les jours fériés.<br><br>\n";

    echo "<form action='wolstop_station.php' method='post'>\n";
    echo "<fieldset><legend>Choix du mode de programmation</legend>\n";

    // Choix du mode de programmation
    echo "<label for='mode'><b>Mode : </b></label>\n";
    echo "<input type='radio' name='mode' id='radio_manuel' value='manuel'" . ($mode == 'manuel' ? " checked" : "") . " onclick='maj_radio()'>Manuel\n";
    echo "<input type='radio' name='mode' id='radio_auto' value='auto'" . ($mode == 'auto' ? " checked" : "") . " onclick='maj_radio()'>Automatique<br><br>\n";

    // Choix de l'académie
    echo "<label for='choix_acad'><b>Académie : </b></label>\n";
    echo "<select name='academie' id='choix_acad' onchange='maj_radio()'>\n";
    echo "<option value='no_select'>Sélectionnez une académie</option>\n";
    $academies = get_academies($config);
    if ($academies != '0') {
        foreach ($academies as $acad) {
            echo "<option value='$acad'" . ($acad == $academie ? " selected" : "") . ">" . $acad . "</option>\n";
        }
        echo "</select><br><br>\n";
    } else {
        echo "</select><span style='color:red;'> Problème d'accès à l'API</span><br><br>\n";
    }

    // Choix de la période
    if (! empty($api_vac['description']) and ! empty($api_fer['description'])) {
        $description = ' - ';
    } else {
        $description = '';
    }
    $description = $api_vac['description'] . $description . $api_fer['description'];

    echo "<label for='periode'><b>Période : </b></label>\n";
    echo "<input type='radio' name='vacances' id='radio_boulot' value='1'" . ($vacances == '1' ? " checked" : "") . " onclick='maj_radio()'>Période scolaire\n";
    echo "<input type='radio' name='vacances' id='radio_vacances' value='2'" . ($vacances == '2' ? " checked" : "") . " onclick='maj_radio()'>Vacances" . (($mode == 'auto' and $vacances == '2') ? " (" . $description . ")" : "") . (($mode == 'auto' and ($api_vac['etat'] == '0' or $api_fer['etat'] == '0')) ? "<span style='color:red;'> Problème d'accès à l'API</span>" : "") . "<br><br>\n";

    echo "<input type='submit' id='bouton_valider' value='Enregistrer'/>\n";
    echo "</fieldset>\n";
    echo "</form>\n";

    echo "<script>maj_radio()</script>\n";

    // echo "action : $action";
    switch ($action) {

        // Arret de toutes les machines
        case "stop":
            if (($parc) and ($parc != "SELECTIONNER")) {
                if ($acces_restreint) {
                    if (! have_delegation($config, $parc, SE_COMPUTER_VIEW)) {
                        break;
                    }
                }
                echo "<h1>Extinction des machines</h1>";
                echo "<HEAD><META HTTP-EQUIV=\"refresh\" CONTENT=\"15; URL=action_parc.php?parc=$parc&action=detail\">";
                echo "</HEAD>Commandes prises en compte pour le parc <b>$parc</b><br>";
                // echo "! <br>";
                // echo " Commandes prises en compte ! ";
                echo "<h3>Arrêt lancé pour le parc <b>$parc</b></h3>\n";
                echo "<br>";
                // echo "(Ne concerne que les machines XP/2000)";
                $commandes = start_parc($config, "shutdown", $parc, true, false);
                echo $commandes;
            } else {
                echo "Vous devez choisir un parc";
            }
            break;
        // ==============================
        // Reboot de toutes les machines
        case "reboot":
            if (($parc) and ($parc != "SELECTIONNER")) {
                if ($acces_restreint) {
                    if (! have_delegation($config, $parc, SE_COMPUTER_VIEW)) {
                        break;
                    }
                }
                echo "<h1>Redémarrage des machines</h1>";
                echo "<HEAD><META HTTP-EQUIV=\"refresh\" CONTENT=\"15; URL=action_parc.php?parc=$parc&action=detail\">";
                echo "</HEAD>Commandes prises en compte pour le parc <b>$parc</b><br>";
                // echo " Commandes prises en compte ! <br>";
                echo "<h3>Reboot lancé pour le parc <b>$parc</b></h3>\n";
                echo "<br>";
                // echo "(Ne concerne que les machines XP/2000)";
                $commandes = start_parc($config, "reboot", $parc, true, false);
                echo $commandes;
            } else {
                echo "Vous devez choisir un parc";
            }
            break;
        // ==============================

        // Essaye de demarrer les machines
        case "start":
            if (($parc) and ($parc != "SELECTIONNER")) {
                if ($acces_restreint) {
                    if (! have_delegation($config, $parc, SE_COMPUTER_VIEW)) {
                        break;
                    }
                }
                echo "<h1>Démarrage des machines</h1>";
                echo "<HEAD><META HTTP-EQUIV=\"refresh\" CONTENT=\"15; URL=action_parc.php?parc=$parc&action=detail\">";
                echo "</HEAD>Commandes prises en compte pour le parc <b>$parc</b><br>";
                // echo "Commandes prises en compte ! ";
                echo "<br>";
                echo "<h3>Demarrage effectué pour le parc <b>$parc</b>. (Ne concerne que les machines equipées du système 'wake on lan')</h3>\n<br>";

                $commandes = start_parc($config, "wol", $parc, true, false);
                echo $commandes;
            } else {
                echo "Vous devez choisir un parc";
            }
            break;

        case "pose_heure":
            // pour obliger a passer par le formulaire
            // if ($force<>"pose_heure_wol") { exit; }

            // si parc non defini
            if ((! $parc) or ($parc == "SELECTIONNER")) {
                echo "<h1 align=center>Vous devez choisir un parc!</h1>";
                exit();
            }

            // si la personne n'a pas le droit d'effectuer cette action
            if ($acces_restreint) {
                if (! have_delegation($config, $parc, SE_COMPUTER_VIEW)) {
                    break;
                }
            }
            $authlink = db_connect($config);
            $result_delete = mysqli_query($authlink, "DELETE FROM `actions` WHERE action='wol' and parc='$parc';") or die("Impossible d'effectuer la requete 1");
            $result_delete = mysqli_query($authlink, "DELETE FROM `actions` WHERE action='stop' and parc='$parc';") or die("Impossible d'effectuer la requete 2");

            $wol = $_POST['wol'];
            $stop = $_POST['stop'];
            $heure_jour_wol = $_POST['time_day_wol'];
            $heure_jour_stop = $_POST['time_day_stop'];

            $jours = array(
                'l',
                'ma',
                'me',
                'j',
                'v',
                's',
                'd'
            );
            foreach ($jours as $jour) {

                if (isset($wol[$jour])) {
                    // echo "<br>3 $jour:INSERT INTO actions values ('wol','$parc','$jour','$heure_jour_wol[$jour]');<br>";

                    $result_insert = mysqli_query($authlink, "INSERT INTO actions values ('wol','$parc','$jour','$heure_jour_wol[$jour]');") or die("Impossible d'effectuer la requete 3 pour le jour $jour ");
                }

                if (isset($stop[$jour])) {
                    // echo "4: $jour INSERT INTO actions values ('stop','$parc','$jour','$heure_jour_stop[$jour]');<br>";

                    $result_insert = mysqli_query($authlink, "INSERT INTO actions values ('stop','$parc','$jour','$heure_jour_stop[$jour]');") or die("Impossible d'effectuer la requete 4 pour le jour $jour");
                }
            }

            echo "<div id=main_txt>Modifications enregistrées</div>";
        // break;

        // On affiche le tableau avec la possibilite de programmer les arrets
        // et demarrages des stations
        case "timing":

            echo "<h1>Programmation de l'allumage et de l'extinction des machines</h1>";
            $list_parcs = search_parcs($config, "*");
            if (count($list_parcs) > 0) {
                sort($list_parcs);
                echo "<CENTER>";
                echo "<FORM method=\"post\" action=\"wolstop_station.php\">\n";
                echo "<input type=\"hidden\" name=\"action\" value=\"timing\" />\n";
                echo "<SELECT NAME=\"parc\" SIZE=\"1\" onchange=submit()>";
                echo "<option value=\"SELECTIONNER\">Sélectionner</option>";
                if ($acces_restreint == "1") {
                    $list_delegate = list_delegations($config);
                    foreach ($list_delegate as $info_parc_delegate) {
                        echo "<option value=\"" . $info_parc_delegate['cn'] . "\"";
                        if ($parc == $info_parc_delegate['cn']) {
                            echo " selected";
                        }
                        echo ">$info_parc_delegate</option>";
                    }
                } else {
                    for ($loop = 0; $loop < count($list_parcs); $loop ++) {
                        echo "<option value=\"" . $list_parcs[$loop]['name'] . "\"";
                        if ($parc == $list_parcs[$loop]['name']) {
                            echo " selected";
                        }
                        echo ">" . $list_parcs[$loop]['name'] . "\n";
                        echo "</option>";
                    }
                }
                echo "</SELECT>&nbsp;&nbsp;\n";
                echo "<u onmouseover=\"return escape('Sélectionner un parc.')\"><img name=\"action_image2\"  src=\"../elements/images/system-help.png\" alt=\"help\"></u> ";
                // echo "<input type=\"submit\" value=\"Valider\">\n";
                echo "</FORM>\n";
                echo "</CENTER>\n";
                echo "<br>";
            } else {
                echo "<br><center>";
                echo "Il n'existe pas encore de parc";
                echo "</center>\n";
            }

            if (($parc != "") && ($parc != "SELECTIONNER")) {
                echo "<CENTER><table align=center><tr>\n";
                echo "<td><form action=\"wolstop_station.php\" method=\"post\">\n";
                echo "<input type=\"hidden\" name=\"wolstop_station.php\" value=\"shutdown\" />";
                echo "<input type=\"hidden\" name=\"parc\" value=\"$parc\" />";
                echo "<input type=\"hidden\" name=\"action\" value=\"stop\" />";
                echo "<input  type=\"submit\" value=\"Eteindre tous les postes\" onclick=\"if (window.confirm('Etes-vous sur de vouloir éteindre le parc $parc ?')) {return true;} else {return false;}\"/>";
                echo "</form></td>";
                echo "<td><form action=\"wolstop_station.php\" method=\"post\">\n";
                echo "<input type=\"hidden\" name=\"action_poste\" value=\"wol\" />";
                echo "<input type=\"hidden\" name=\"parc\" value=\"$parc\" />";
                echo "<input type=\"hidden\" name=\"action\" value=\"start\" />";
                echo "<input  type=\"submit\" value=\"Allumer tous les postes\" />";
                echo "</form></td>";
                echo "<td><form action=\"action_parc.php\" method=\"post\">\n";
                echo "<input type=\"hidden\" name=\"parc\" value=\"$parc\" />";
                echo "<input type=\"submit\" value=\"Contrôler\" />";
                echo "</form>\n";

                echo "</td></tr></table>\n";
                echo "<br>";
            }
            echo "<table class='table-bordered' align=center width=\"60%\">\n";
            $detail = $_POST['detail'] ?? false;
            if (! $detail) {
                $detail = $_GET['detail'] ?? false;
            }
            echo "<tr><TD height=\"30\" align=\"center\" class=\"menuheader\" >\n";
            echo "Allumer les postes ( uniquement avec l'option wake on lan )</TD></tr>\n";
            echo "<TR><TD height=\"30\" align=\"center\" class=\"menuheader\" >Eteindre les postes</TD></TR>\n";
            echo "</table>\n";

            if (($parc != "") && ($parc != "SELECTIONNER")) {
                $type_action = "wol";
                $type_action2 = "stop";

                echo "<script language='javascript' type='text/javascript'>
	function coche_jours(mode,statut){
		for(k=0;k<7;k++){
			if(document.getElementById(mode+'_'+k)){
				document.getElementById(mode+'_'+k).checked=statut;
			}
		}
	}

	function recopie_heure(wakeorstop){
		index=document.getElementById('time_'+wakeorstop+'_0').selectedIndex;
		for(k=1;k<7;k++){
			document.getElementById('time_'+wakeorstop+'_'+k).selectedIndex=index;
		}
	}
	</script>\n";

                echo "<form action=\"wolstop_station.php\" method=\"post\">\n";

                echo "<CENTER><table class='table-bordered' width=\"60%\">\n";
                echo "<TR><TD  height=\"30\" align=\"center\"  class=\"menuheader\">";
                echo "Planification par semaine : ";
                echo "</TD>\n<td  class=\"menuheader\" align=\"center\">";
                echo "Allumage";
                echo "<br />\n";
                echo "<a href=\"javascript:coche_jours('allumage',true)\">";
                echo "<img src='../elements/images/enabled.png' alt='Cocher tout' title='Cocher tout' border='0' /></a>";
                echo " / \n";
                echo "<a href=\"javascript:coche_jours('allumage',false)\">";
                echo "<img src='../elements/images/disabled.png' alt='Décocher tout' title='Décocher tout' border='0' /></a>\n";
                echo "</td>\n";
                echo "<td  class=\"menuheader\" align=\"center\">";
                echo "Heure";
                echo "<br />\n";
                echo "<a href=\"javascript:recopie_heure('wake');\">";
                echo "<img src='../elements/images/magic.png' alt='Recopie de l heure du lundi' title='Recopie de l heure du lundi' border='0' />";
                echo "</a>";
                echo " </td>\n";
                echo "<td  class=\"menuheader\" align=\"center\">Extinction";
                echo "<br />\n";
                echo "<a href=\"javascript:coche_jours('extinction',true)\">";
                echo "<img src='../elements/images/enabled.png' alt='Cocher tout' title='Cocher tout' border='0' /></a>";
                echo " / \n";
                echo "<a href=\"javascript:coche_jours('extinction',false)\">";
                echo "<img src='../elements/images/disabled.png' alt='Décocher tout' title='Décocher tout' border='0' /></a>\n";
                echo "</td>\n";
                echo "<td  class=\"menuheader\" align=\"center\">Heure";
                echo "<br />\n";
                echo "<a href=\"javascript:recopie_heure('stop');\">";
                echo "<img src='../elements/images/magic.png' alt='Recopie de l heure du lundi' title='Recopie de l heure du lundi' border='0' />";
                echo "</a>";
                echo " </td></tr>\n";

                echo "<tr><td align=\"center\">Lundi</td>\n";
                echo "<td align=\"center\"><input type=\"checkbox\" id='allumage_0' name=\"wol[l]\" value=\"l\" " . jour_check($config, $parc, "l", $type_action) . "/></td>\n";
                echo "<td align=\"center\"><select id='time_wake_0' name=\"time_day_wol[l]\" size=\"1\">\n";
                heure_deroulante($config, $parc, "l", $type_action);
                echo "</select></td>\n";
                echo "<td align=\"center\"><input type=\"checkbox\" id='extinction_0' name=\"stop[l]\" value=\"l\" " . jour_check($config, $parc, "l", $type_action2) . "/></td>\n";
                echo "<td align=\"center\"><select id='time_stop_0' name=\"time_day_stop[l]\" size=\"1\">\n";
                heure_deroulante($config, $parc, "l", $type_action2);
                echo "</select></td></tr>\n";
                echo "<tr ><td align=\"center\">Mardi</td><td align=\"center\"><input type=\"checkbox\" id='allumage_1' name=\"wol[ma]\" value=\"ma\" " . jour_check($config, $parc, "ma", $type_action) . "/></td>\n";
                echo "<td align=\"center\"><select id='time_wake_1' name=\"time_day_wol[ma]\" size=\"1\">\n";
                heure_deroulante($config, $parc, "ma", $type_action);
                echo "</select></td>\n";
                echo "<td align=\"center\"><input type=\"checkbox\" id='extinction_1' name=\"stop[ma]\" value=\"l\" " . jour_check($config, $parc, "ma", $type_action2) . "/></td>\n";
                echo "<td align=\"center\"><select id='time_stop_1' name=\"time_day_stop[ma]\" size=\"1\">\n";
                heure_deroulante($config, $parc, "ma", $type_action2);
                echo "</select></td></tr>\n";
                echo "<tr ><td align=\"center\">Mercredi</td><td align=\"center\"><input type=\"checkbox\" id='allumage_2' name=\"wol[me]\" value=\"me\" " . jour_check($config, $parc, "me", $type_action) . "/></td>\n";
                echo "<td align=\"center\"><select id='time_wake_2' name=\"time_day_wol[me]\" size=\"1\">\n";
                heure_deroulante($config, $parc, "me", $type_action);
                echo "</select></td>\n";
                echo "<td align=\"center\"><input type=\"checkbox\" id='extinction_2' name=\"stop[me]\" value=\"l\" " . jour_check($config, $parc, "me", $type_action2) . "/></td>\n";
                echo "<td align=\"center\"><select id='time_stop_2' name=\"time_day_stop[me]\" size=\"1\">\n";
                heure_deroulante($config, $parc, "me", $type_action2);
                echo "</select></td></tr>\n";
                echo "<tr><td align=\"center\">Jeudi</td><td align=\"center\"><input type=\"checkbox\" id='allumage_3' name=\"wol[j]\" value=\"j\" " . jour_check($config, $parc, "j", $type_action) . "/></td>\n";
                echo "<td align=\"center\"><select id='time_wake_3' name=\"time_day_wol[j]\" size=\"1\">\n";
                heure_deroulante($config, $parc, "j", $type_action);
                echo "</select></td>\n";
                echo "<td align=\"center\"><input type=\"checkbox\" id='extinction_3' name=\"stop[j]\" value=\"l\" " . jour_check($config, $parc, "j", $type_action2) . "/></td>\n";
                echo "<td align=\"center\"><select id='time_stop_3' name=\"time_day_stop[j]\" size=\"1\">\n";
                heure_deroulante($config, $parc, "j", $type_action2);
                echo "</select></td></tr>\n";
                echo "<tr><td align=\"center\">Vendredi</td><td align=\"center\"><input type=\"checkbox\" id='allumage_4' name=\"wol[v]\" value=\"v\" " . jour_check($config, $parc, "v", $type_action) . "/></td>\n";
                echo "<td align=\"center\"><select id='time_wake_4' name=\"time_day_wol[v]\" size=\"1\">\n";
                heure_deroulante($config, $parc, "v", $type_action);
                echo "</select></td>\n";
                echo "<td align=\"center\"><input type=\"checkbox\" id='extinction_4' name=\"stop[v]\" value=\"l\" " . jour_check($config, $parc, "v", $type_action2) . "/></td>";
                echo "<td align=\"center\"><select id='time_stop_4' name=\"time_day_stop[v]\" size=\"1\">\n";
                heure_deroulante($config, $parc, "v", $type_action2);
                echo "</select></td></tr>";

                echo "<tr><td align=\"center\">Samedi</td><td align=\"center\"><input type=\"checkbox\" id='allumage_5' name=\"wol[s]\" value=\"s\" " . jour_check($config, $parc, "s", $type_action) . "/></td>";

                echo "<td align=\"center\"><select id='time_wake_5' name=\"time_day_wol[s]\" size=\"1\">\n";
                heure_deroulante($config, $parc, "s", $type_action);
                echo "</select></td>\n";
                echo "<td align=\"center\"><input type=\"checkbox\" id='extinction_5' name=\"stop[s]\" value=\"l\" " . jour_check($config, $parc, "s", $type_action2) . "/></td>";
                echo "<td align=\"center\"><select id='time_stop_5' name=\"time_day_stop[s]\" size=\"1\">\n";
                heure_deroulante($config, $parc, "s", $type_action2);
                echo "</select></td></tr>\n";
                echo "<tr><td align=\"center\">Dimanche</td><td align=\"center\"><input type=\"checkbox\" id='allumage_6' name=\"wol[d]\" value=\"d\" " . jour_check($config, $parc, "d", $type_action) . "/></td>";

                echo "<td align=\"center\"><select id='time_wake_6' name=\"time_day_wol[d]\" size=\"1\">\n";
                heure_deroulante($config, $parc, "d", $type_action);

                echo "</select></td>\n";
                echo "<td align=\"center\"><input type=\"checkbox\" id='extinction_6' name=\"stop[d]\" value=\"l\" " . jour_check($config, $parc, "d", $type_action2) . "/></td>";
                echo "<td align=\"center\"><select id='time_stop_6' name=\"time_day_stop[d]\" size=\"1\">\n";
                heure_deroulante($config, $parc, "d", $type_action2);
                echo "</select></td></tr>\n";

                echo "</tr><table>\n";

                echo "<input type=\"hidden\" name=\"parc\" value=\"$parc\" />\n";
                echo "<input type=\"hidden\" name=\"action\" value=\"pose_heure\" />\n";
                echo "</td></tr>\n";
                echo "<tr><td align=center><input type=\"hidden\" name=\"force\" value=\"pose_heure_wol\" />";
                echo "<input type=\"submit\" value=\"Enregistrer mes modifications\" />";
                echo "</form><br><br></td></tr>\n";
                echo "</table>\n";
            }
            break;
        default:
            if (empty($parc)) {
                echo "<div id=main>choisir un parc</div>";
                exit();
            }
    }

    // echo "</div>";

    if ($detail) {
        detail_parc($config, $parc);
    }
}

$html = "";
admin_footer_html($html);
echo $html;
?>
