<?php
include ("config.inc.php");
$config = get_config();
include ("ldap.inc.php");
include ("stats_libsql.php");

if ($config['login'] == "") {
    die("Authentifiez-vous pour accéder à cette fonction");
}

if (! have_right($config, SE_COMPUTER_ADMIN)) {
    die("Droits insufisants pour accéder à cette fonction");
}

header("Content-Type: image/png");

$nb_creneau = 11;
$hr_debut = 8;
$nb_jour = 6;
$nb_semaine = 44;
$startx = 50;
$starty = 60;
$hauteur_qh = 6;
$largeur_jr = 100;
$largeur_chr = 5;
$largeur_chr2 = 8;
$jour = array(
    "Dimanche",
    "Lundi",
    "Mardi",
    "Mercredi",
    "Jeudi",
    "Vendredi",
    "Samedi"
);

if (isset($_GET['netbios_name']))
    $netbios_name = $_GET['netbios_name'];
else
    $netbios_name = "";

if (isset($_GET['date_start']))
    $date_start = $_GET['date_start'];
else
    $date_start = date("Y-m-d", mktime(0, 0, 0, date("m"), date("d") - 7, date("Y")));

$date_day = date("w", strtotime($date_start));
$date_start = date("Y-m-d", strtotime("-" . ($date_day - 1) . "day", strtotime($date_start)));

if (isset($_GET['hr_debut']))
    $hr_debut = $_GET['hr_debut'] + 0;
else
    $hr_debut = 8;

if (isset($_GET['nb_creneau']))
    $nb_creneau = $_GET['nb_creneau'] + 0;
else
    $nb_creneau = 11;

if (isset($_GET['nb_jour']))
    $nb_jour = $_GET['nb_jour'] + 0;
else
    $nb_jour = 6;

if (isset($_GET['nb_semaine']))
    $nb_semaine = $_GET['nb_semaine'] + 0;
else
    $nb_semaine = 44;

$largeur_im = $starty * 2 + $largeur_jr * $nb_jour;
$hauteur_im = $startx * 2 + $hauteur_qh * 4 * $nb_creneau;

$im = @imagecreate($largeur_im, $hauteur_im) or die("Impossible d'initialiser la bibliotheque GD");
$background_color = imagecolorallocate($im, 255, 255, 255);

$color_red = imagecolorallocate($im, 233, 14, 91);
$color_orange = imagecolorallocate($im, 233, 120, 14);
$color_yellow = imagecolorallocate($im, 233, 233, 14);
$color_green = imagecolorallocate($im, 14, 233, 91);
$color_black = imagecolorallocate($im, 0, 0, 0);
$color_gray = imagecolorallocate($im, 100, 100, 100);
$color_lvl0 = imagecolorallocate($im, 255, 250, 192);
$color_lvl1 = imagecolorallocate($im, 255, 227, 102);
$color_lvl2 = imagecolorallocate($im, 254, 196, 50);
$color_lvl3 = imagecolorallocate($im, 255, 181, 50);
$color_lvl4 = imagecolorallocate($im, 255, 133, 0);
$color_lvl5 = imagecolorallocate($im, 255, 104, 1);
$color_lvl6 = imagecolorallocate($im, 255, 75, 0);
$color_lvl7 = imagecolorallocate($im, 204, 38, 0);
$color_lvl8 = imagecolorallocate($im, 153, 16, 0);
$color_lvl9 = imagecolorallocate($im, 102, 2, 0);
$text_color = imagecolorallocate($im, 0, 0, 0);

imagefilledrectangle($im, $starty, $startx, $starty + $largeur_jr * $nb_jour, $startx + 4 * $hauteur_qh * $nb_creneau, $color_gray);

$stats_link = connexion_db_stats($config);
for ($i = 0; $i < $nb_jour; $i ++) {
    $tab2[$i] = array(
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0,
        0
    );
    for ($j = 0; $j < $nb_semaine; $j ++) {
        $date_tmp = date("Y-m-d", strtotime("+" . $j . "week " . $i . "day", strtotime($date_start)));
        $tab = get_stats_poste_date($stats_link, $netbios_name, $date_tmp);
        for ($ii = 0; $ii < 4; $ii ++) {
            for ($jj = 0; $jj < 24; $jj ++) {
                $tab2[$i][$jj * 4 + $ii] += $tab[$jj][$ii];
            }
        }
    }
    for ($jj = 0; $jj < $nb_creneau * 4; $jj ++) {
        $tmp = round($tab2[$i][$hr_debut * 4 + $jj] / $nb_semaine * 100, 0);
        if ($tmp < 10)
            imagefilledrectangle($im, $starty + $largeur_jr * $i, $startx + $jj * $hauteur_qh, $starty + $largeur_jr * ($i + 1), $startx + ($jj + 1) * $hauteur_qh, $color_lvl0);
        elseif ($tmp < 20)
            imagefilledrectangle($im, $starty + $largeur_jr * $i, $startx + $jj * $hauteur_qh, $starty + $largeur_jr * ($i + 1), $startx + ($jj + 1) * $hauteur_qh, $color_lvl1);
        elseif ($tmp < 30)
            imagefilledrectangle($im, $starty + $largeur_jr * $i, $startx + $jj * $hauteur_qh, $starty + $largeur_jr * ($i + 1), $startx + ($jj + 1) * $hauteur_qh, $color_lvl2);
        elseif ($tmp < 40)
            imagefilledrectangle($im, $starty + $largeur_jr * $i, $startx + $jj * $hauteur_qh, $starty + $largeur_jr * ($i + 1), $startx + ($jj + 1) * $hauteur_qh, $color_lvl3);
        elseif ($tmp < 50)
            imagefilledrectangle($im, $starty + $largeur_jr * $i, $startx + $jj * $hauteur_qh, $starty + $largeur_jr * ($i + 1), $startx + ($jj + 1) * $hauteur_qh, $color_lvl4);
        elseif ($tmp < 60)
            imagefilledrectangle($im, $starty + $largeur_jr * $i, $startx + $jj * $hauteur_qh, $starty + $largeur_jr * ($i + 1), $startx + ($jj + 1) * $hauteur_qh, $color_lvl5);
        elseif ($tmp < 70)
            imagefilledrectangle($im, $starty + $largeur_jr * $i, $startx + $jj * $hauteur_qh, $starty + $largeur_jr * ($i + 1), $startx + ($jj + 1) * $hauteur_qh, $color_lvl6);
        elseif ($tmp < 80)
            imagefilledrectangle($im, $starty + $largeur_jr * $i, $startx + $jj * $hauteur_qh, $starty + $largeur_jr * ($i + 1), $startx + ($jj + 1) * $hauteur_qh, $color_lvl7);
        elseif ($tmp < 90)
            imagefilledrectangle($im, $starty + $largeur_jr * $i, $startx + $jj * $hauteur_qh, $starty + $largeur_jr * ($i + 1), $startx + ($jj + 1) * $hauteur_qh, $color_lvl8);
        else
            imagefilledrectangle($im, $starty + $largeur_jr * $i, $startx + $jj * $hauteur_qh, $starty + $largeur_jr * ($i + 1), $startx + ($jj + 1) * $hauteur_qh, $color_lvl9);
    }
}
deconnexion_db_stats($stats_link);

imageline($im, $starty, $startx, $starty + $largeur_jr * $nb_jour, $startx, $color_black);
imagestring($im, 1, $starty - 20, $startx, $hr_debut . "h", $text_color);

for ($i = 1; $i <= $nb_creneau; $i ++) {
    imagestring($im, 1, $starty - 20, $startx + ($hauteur_qh * 4) * $i, ($i + $hr_debut) . "h", $text_color);
    imageline($im, $starty, $startx + ($hauteur_qh * 4) * $i, $starty + $largeur_jr * $nb_jour, $startx + ($hauteur_qh * 4) * $i, $color_black);
    // imageline($im, $starty,$startx+($hauteur_qh*4)*$i-$hauteur_qh,$starty+$largeur_jr*$nb_jour,$startx+($hauteur_qh*4)*$i-$hauteur_qh,$color_gray);
    // imageline($im, $starty,$startx+($hauteur_qh*4)*$i-$hauteur_qh*2,$starty+$largeur_jr*$nb_jour,$startx+($hauteur_qh*4)*$i-$hauteur_qh*2,$color_gray);
    // imageline($im, $starty,$startx+($hauteur_qh*4)*$i-$hauteur_qh*3,$starty+$largeur_jr*$nb_jour,$startx+($hauteur_qh*4)*$i-$hauteur_qh*3,$color_gray);
}
imageline($im, $starty, $startx, $starty, $startx + ($hauteur_qh * 4) * $nb_creneau, $color_black);
for ($i = 1; $i <= $nb_jour; $i ++) {
    $ratio = round(($largeur_jr - strlen($jour[$i % 7]) * $largeur_chr) / 2, 0);
    imagestring($im, 1, $starty + $largeur_jr * ($i - 1) + $ratio, $startx - 10, $jour[$i % 7], $text_color);
    imageline($im, $starty + $largeur_jr * $i, $startx, $starty + $largeur_jr * $i, $startx + ($hauteur_qh * 4) * $nb_creneau, $color_black);
}

$titre = "Poste " . $netbios_name;
$titre2 = "du " . date("d/m/Y", strtotime($date_start)) . " au " . date("d/m/Y", strtotime("+" . $nb_semaine . "week -1day", strtotime($date_start)));
$len_titre = strlen($titre);
imagestring($im, 4, ($largeur_im - $len_titre * $largeur_chr2) / 2, 5, $titre, $text_color);
$len_titre = strlen($titre2);
imagestring($im, 4, ($largeur_im - $len_titre * $largeur_chr2) / 2, 20, $titre2, $text_color);

$hauteur_tmp = $hauteur_im - round(($startx) / 2, 0);
$largeur_tmp = round(($largeur_im - $hauteur_qh * 4 * 10) / 2, 0);
for ($i = 0; $i < 10; $i ++) {
    imagefilledrectangle($im, $largeur_tmp + $hauteur_qh * 4 * $i, $hauteur_tmp, $largeur_tmp + $hauteur_qh * 4 * ($i + 1), $hauteur_tmp + $hauteur_qh * 2, ${"color_lvl" . $i});
    imagerectangle($im, $largeur_tmp + $hauteur_qh * 4 * $i, $hauteur_tmp, $largeur_tmp + $hauteur_qh * 4 * ($i + 1), $hauteur_tmp + $hauteur_qh * 2, $color_black);
    imagestring($im, 1, $largeur_tmp + $hauteur_qh * 4 * $i - 5, $hauteur_tmp - 10, ($i * 10) . "%", $text_color);
}
$i = 10;
imagestring($im, 1, $largeur_tmp + $hauteur_qh * 4 * $i - 5, $hauteur_tmp - 10, ($i * 10) . "%", $text_color);

// imagefilledrectangle($im,

imagepng($im);
imagedestroy($im);

?>
