<?php
include "config.inc.php";
require "ldap.inc.php";
require_once ("functions.inc.php");
require_once ("traitement_data.inc.php");
$config = get_config();
include 'admin_ui.inc.php';
$html = "";
admin_header_html($config, $html);
admin_topbar_html($config, $html);
admin_menu_html($config, $html);
$html .= header_authorize($config);
echo $html;
include ("stats_libsql.php");

if (! have_right($config, SE_COMPUTER_ADMIN)) {
    die("Droits insufisants pour accéder à cette fonction");
}


echo "<h1>Statistiques des postes</h1>";

$jour = array(
    "Dimanche",
    "Lundi",
    "Mardi",
    "Mercredi",
    "Jeudi",
    "Vendredi",
    "Samedi"
);

if (isset($_POST['netbios_name']))
    $netbios_name = $_POST['netbios_name'];
else
    $netbios_name = array();

if (! is_array($netbios_name))
    $netbios_name = array();
$count = count($netbios_name);

if (isset($_POST['day_start']) and isset($_POST['month_start']) and isset($_POST['year_start']))
    $date_start = $_POST['year_start'] . "-" . $_POST['month_start'] . "-" . $_POST['day_start'];
else
    $date_start = date("Y-m-d");

$date_day = date("w", strtotime($date_start));
$date_start = date("Y-m-d", strtotime("-" . ($date_day - 1) . "day", strtotime($date_start)));

if (isset($_POST['hr_debut']))
    $hr_debut = $_POST['hr_debut'] + 0;
else
    $hr_debut = 8;

if (isset($_POST['nb_creneau']))
    $nb_creneau = $_POST['nb_creneau'] + 0;
else
    $nb_creneau = 11;

$nb_creneau = min($nb_creneau, 24 - $hr_debut);

if (isset($_POST['nb_jour']))
    $nb_jour = $_POST['nb_jour'] + 0;
else
    $nb_jour = 6;

if (isset($_POST['nb_semaine']))
    $nb_semaine = $_POST['nb_semaine'] + 0;
else
    $nb_semaine = 44;

$stats_link = connexion_db_stats($config);
for ($i = 0; $i < $nb_jour; $i ++) {
    for ($j = 0; $j < $nb_semaine; $j ++) {
        $tab2[$i][$j] = array(
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0
        );
        $date_tmp = date("Y-m-d", strtotime("+" . $j . "week " . $i . "day", strtotime($date_start)));
        foreach ($netbios_name as $nn1) {
            $tab = get_stats_poste_date($stats_link, $nn1, $date_tmp);
            for ($ii = 0; $ii < 4; $ii ++) {
                for ($jj = 0; $jj < 24; $jj ++) {
                    $tab2[$i][$j][$jj * 4 + $ii] += $tab[$jj][$ii] / $count;
                }
            }
        }
    }
    $tmp[$i] = array();
    for ($ii = 0; $ii < $nb_semaine; $ii ++) {
        $tmp[$i][$ii] = 0;
        $tmp[$i]["avg"] = 0;
        for ($jj = 0; $jj < $nb_creneau * 4; $jj ++) {
            $tmp[$i][$ii] += $tab2[$i][$ii][$hr_debut * 4 + $jj] / 4;
            $tmp[$i]["avg"] += $tab2[$i][$ii][$hr_debut * 4 + $jj] / 4 / $nb_semaine;
        }
        $tmp[$i][$ii] = round($tmp[$i][$ii], 1);
    }
    $tmp[$i]["avg"] = round($tmp[$i]["avg"], 1);
}
$liste_postes = get_list_netbios_name($stats_link);
deconnexion_db_stats($stats_link);

echo "<table width='100%' border=0>";
echo "<tr><td align='center'>";

echo "<form action='' method='POST'>";
echo "Choix du poste : ";
echo "<select name='netbios_name[]' multiple>";
foreach ($liste_postes as $lp) {
    echo "<option value='" . $lp . "'";
    if (in_array($lp, $netbios_name))
        echo " selected";
    echo ">" . $lp . "</option>";
}
echo "</select>";
echo "<br>";
echo "Date de début : ";
echo "<input type='text' value='" . date("d", strtotime($date_start)) . "' name='day_start' maxlength='2' style='width:25px;'>";
echo "<input type='text' value='" . date("m", strtotime($date_start)) . "' name='month_start' maxlength='2' style='width:25px;'>";
echo "<input type='text' value='" . date("Y", strtotime($date_start)) . "' name='year_start' maxlength='4' style='width:50px;'>";
echo "<br>";
echo "Heure de début : ";
echo "<select name='hr_debut'>";
for ($i = 0; $i < 24; $i ++) {
    echo "<option value='" . $i . "'";
    if ($i == $hr_debut)
        echo " selected";
    echo ">" . $i . "h</option>";
}
echo "</select>";
echo "<br>";
echo "Amplitude horaire : ";
echo "<select name='nb_creneau'>";
for ($i = 1; $i <= 24; $i ++) {
    echo "<option value='" . $i . "'";
    if ($i == $nb_creneau)
        echo " selected";
    echo ">" . $i . "h</option>";
}
echo "</select>";
echo "<br>";
echo "Nombre de semaine : ";
echo "<select name='nb_semaine'>";
for ($i = 1; $i <= 52; $i ++) {
    echo "<option value='" . $i . "'";
    if ($i == $nb_semaine)
        echo " selected";
    echo ">" . $i . " semaines</option>";
}
echo "</select>";
echo "<br>";
echo "<input type='submit' value='Valider'>";
echo "</form>";

echo "</td><td>";
echo "<center>";
echo "<img src='planning_periode_postes.php?";
foreach ($netbios_name as $nn2)
    echo "&netbios_name[]=" . $nn2;
echo "&date_start=" . $date_start . "&hr_debut=" . $hr_debut . "&nb_creneau=" . $nb_creneau . "&nb_jour=" . $nb_jour . "&nb_semaine=" . $nb_semaine . "'>";
echo "</center>";
echo "</td></tr></table>";

echo "<table width='100%' border=0>";
echo "<tr>";
$nb_graphe = 0;
foreach ($netbios_name as $nn2) {
    if ($nb_graphe == 3) {
        echo "</tr><tr>";
        $nb_graphe = 0;
    }
    $nb_graphe ++;
    echo "<td align='center'>";
    echo "<img width='360' src='planning_periode_poste.php?netbios_name=" . $nn2 . "&date_start=" . $date_start . "&hr_debut=" . $hr_debut . "&nb_creneau=" . $nb_creneau . "&nb_jour=" . $nb_jour . "&nb_semaine=" . $nb_semaine . "'>";
    echo "</td>";
}
echo "</tr>";
echo "</table>";

echo "<table class='table-bordered' width='80%' align='center'>";
echo "<tr><td class='menuheader' width='80'></td>";
for ($i = 0; $i < $nb_jour; $i ++) {
    echo "<td align='center' class='menuheader' width='60'>" . $jour[($i + 1) % 7] . "</td>";
}
echo "<td align='center' class='menuheader' width='60'>Total</td>";
echo "</tr>";
for ($ii = 0; $ii < $nb_semaine; $ii ++) {
    echo "<tr align='center'>";
    echo "<th>" . date("d/m/Y", strtotime("+" . $ii . "week", strtotime($date_start))) . "<br>-<br>" . date("d/m/Y", strtotime("+" . $ii . "week 6day", strtotime($date_start))) . "</th>";
    $somme = 0;
    for ($i = 0; $i < $nb_jour; $i ++) {
        echo "<td align='center'>" . $tmp[$i][$ii] . "h</td>";
        $somme += $tmp[$i][$ii];
    }
    echo "<td align='center'>" . $somme . "h</td>";
    echo "</tr>";
}
echo "<tr>";
echo "<th><br>Moyenne<br> </th>";
$somme = 0;
for ($i = 0; $i < $nb_jour; $i ++) {
    echo "<td align='center'>" . $tmp[$i]["avg"] . "h</td>";
    $somme += $tmp[$i]["avg"];
}
echo "<td align='center'>" . $somme . "h</td>";
echo "</tr>";
echo "<tr><td class='menuheader'></td>";
for ($i = 0; $i < $nb_jour; $i ++) {
    echo "<td align='center' class='menuheader'>" . $jour[($i + 1) % 7] . "</td>";
}
echo "<td align='center' class='menuheader' width='60'>Total</td>";
echo "</tr>";
echo "</table>";

$html = "";
admin_footer_html($html);
echo $html;
?>
