/**

 * Page qui teste les differents services
 * @Version $Id: gest_messages.js 3002 2008-05-30 12:58:43Z keyser $
 *
   * @Projet LCS / SambaEdu
   * @Auteurs Equipe Sambaedu
   * @Licence Distribue sous la licence GPLlancement des scripts bash par la technologie asynchrone Ajax.


 * Ce script affecte les messages par defaut au chargement de la page
 * Le contenu des info-bulles sont modifiees ensuite  dans le script tests.js en fonction du resultat du test
 */

/**
 *
 * @Repertoire: /tests/js/ file: gest_messages.js
 */

// Affecte les messages par defaut des info-bulles.
var duration = 5000;

function init_default_msg() {

	$('help_maj_se3').onmouseover = function() {

		UnTip();
		Tip('Vérifie si votre serveur est à jour.<br>Si ce n\'est pas le cas, vous pouvez le mettre à jour à partir <a href=../majtest.php>d\'ici</a>', STICKY, true, CLICKCLOSE, true, WIDTH, 250, SHADOW,
				true, DURATION, duration);
		this.onmousout = function() {
			unTip();
		}

	}
	$('help_clonage_se3').onmouseover = function() {
		UnTip();
		Tip('Pas de message', STICKY, true, CLICKCLOSE, true, WIDTH, 250,
				SHADOW, true, DURATION, duration);

	}
	$('help_gateway_se3').onmouseover = function() {
		UnTip();
		Tip('Test si la passerelle est joignable.<br> Si la réponse est négative, cela peut vouloir dire que votre routeur n\'est pas pingable, ou que celui-ci est mal configuré.<br>La passerelle est le routeur ou machine qui est le passage obligatoire pour aller sur internet. Si celui-ci est en erreur, mais que vous pouvez vous connecter à internet ne pas tenir compte de ce test.', WIDTH, 250, SHADOW, true, DURATION, duration);
		this.onmouseout = function() {
			UnTip();
		}

	}
	$('help_net_se3').onmouseover = function() {
		UnTip();
		Tip('Test si une machine sur internet est joignable.<br><br> Si la réponse est négative, vous devez vérifier votre connexion internet.<br><br> - Si la connexion à votre routeur était en erreur, vous devez commencer par corriger la route par defaut puis retester <br><br> - Si vous avez un Slis devant ne pas oublier de laisser internet accessible depuis cette machine<br><br> - Ne pas oublier de déclarer le proxy si vous en avez un, pour accèder à internet.', WIDTH, 250, SHADOW, true, DURATION, duration);
		this.onmouseout = function() {
			UnTip();
		}

	}
	$('help_dns_se3').onmouseover = function() {
		UnTip();
		Tip('Vérifie si la résolution DNS est correcte<br>Si vous avez une erreur, vous devez vérifier que le fichier /etc/resolv.conf déclare bien Se4ad comme serveur DNS.', WIDTH, 250, SHADOW, true, DURATION, duration);
		this.onmouseout = function() {
			UnTip();
		}

	}
	$('help_dns2_se3').onmouseover = function() {
		UnTip();
		Tip('Le nom DNS est enregistré dans le serveur Se4ad. C\'est indispensable au bon fonctionnement de votre serveur', STICKY, true, WIDTH, 250, SHADOW, true, DURATION,
				duration);

	}

	$('help_web_se3').onmouseover = function() {
		UnTip();
		Tip('Teste si une machine sur internet est joignable sur le port 80 (Web).<br><br>Si la réponse est négative, vous devez vérifier votre connexion internet ou la configuration du Proxy depuis l\'interface.', WIDTH, 250, SHADOW, true, DURATION, duration);
		this.onmouseout = function() {
			UnTip();
		}

	}

	$('check_mail').onmouseover = function() {
		UnTip();
		TagToTip('mail_menu', STICKY, true, CLICKCLOSE, true, DURATION,
				duration);

	}

	$('help_mail_se3').onmouseover = function() {
		UnTip();
		Tip('Vérifie si votre serveur est configuré pour vous expédier des mails en cas de problème.<BR>Si ce n\'est pas le cas vous devez <a href=../conf_smtp.php>renseigner les informations permettant d\'envoyer des mails</a>', STICKY, true, CLICKCLOSE, true, WIDTH, 250, SHADOW,
				true, DURATION, duration);

	}

	$('help_samba_se3').onmouseover = function() {
		UnTip();
		Tip('Teste la connexion à Samba.<br /> En cas d\'echec, vous pouvez lancer la commande systemctl start samba ou tenter d\'utiliser l\'interface', WIDTH, 250, SHADOW, true, DURATION, duration);
		this.onmouseout = function() {
			UnTip();
		}

	}

//	$('help_mysql_se3').onmouseover = function() {
//		UnTip();
//		Tip('Teste l\'intégrité de votre base MySQL, par rapport à ce qu\'elle devrait avoir.<br><br>Si cela est en erreur, lancer la commande <b>/usr/share/se3/sbin/testMySQL -v</b> afin de connaitre la cause du problème.', WIDTH, 250, SHADOW, true, DURATION, duration);
//		this.onmouseout = function() {
//			UnTip();
//		}
//
//	}

	$('help_ondul_se3').onmouseover = function() {
		UnTip();
		Tip('Test la présence et l\'état d\'un onduleur<BR><BR>Il n\'y a pas d\'onduleur détecté sur ce serveur.<br>Cela peut provoquer la perte des données. On vous conseille d\'en installer un.', WIDTH, 250, SHADOW, true, DURATION, duration);
		this.onmouseout = function() {
			UnTip();
		}
	}
	if ($('help_dhcp_se3')) {

		$('help_dhcp_se3').onmouseover = function() {
			UnTip();
			Tip('Test l\'état du serveur DHCP.<br> Pour l\'activer ou le désactiver aller sur <a href=dhcp/config.php>la page suivante</a>.', STICKY, true, CLICKCLOSE, true, WIDTH, 250,
					SHADOW, true, DURATION, duration);
		}

	}

	if ($('help_time_se3')) {

		$('help_time_se3').onmouseover = function() {
			UnTip();
			Tip('Vérifie si votre serveur est à l\'heure par rapport au serveur de temps.<br>Cette différence doit rester inférieure à 60 sec', STICKY, true, CLICKCLOSE, true, WIDTH, 250,
					SHADOW, true, DURATION, duration);
		}

	}

	$('help_secu_se3').onmouseover = function() {
		UnTip();
		Tip('Teste si ce serveur est bien à jour par rapport aux serveurs Debian ou SambaÉdu.<br>Pour mettre à jour votre serveur, lancez la commande<br><b>apt update && apt full-upgrade</b><br> dans une console', WIDTH, 250, SHADOW, true, DURATION, duration);
		this.onmouseout = function() {
			UnTip();
		}

	}

//	$('help_client_se3').onmouseover = function() {
//		UnTip();
//		Tip('Vérifie que le mot de passe samba du compte adminse3 .<br><br>Si ce n\'est pas le cas, vous ne pourrez pas intégrer de nouvelles machines.<br><br>Dans ce cas pour reforcer ce mot de passe, taper la commande : <br><br><b>smbpasswd adminse3</b><br><br>Puis taper le mot de passe qui correspond à celui de la BDD.', WIDTH, 250, SHADOW, true, DURATION, duration);
//		this.onmouseout = function() {
//			UnTip();
//		}
//	}

	$('check_maj').onmouseover = function() {
		UnTip();
		Tip('Impossible de vérifier les mises à jour', WIDTH, 250, SHADOW, true, DURATION, duration);
		this.onmouseout = function() {
			UnTip();
		}
	}
	$('check_clonage').onmouseover = function() {
		UnTip();
		Tip('Pas de message', WIDTH, 250, SHADOW, true, DURATION, duration);
		this.onmouseout = function() {
			UnTip();
		}
	}
	$('check_web').onmouseover = function() {
		UnTip();
		Tip('Impossible de tester la connexion au web, sans connexion à internet', WIDTH, 250, SHADOW, true, DURATION, duration);
		this.onmouseout = function() {
			UnTip();
		}
	}
	$('check_secu').onmouseover = function() {
		UnTip();
		Tip('Impossible de tester les mises à jour de sécurité Debian, sans connexion à internet', WIDTH, 250, SHADOW, true, DURATION, duration);
		this.onmouseout = function() {
			UnTip();
		}
	}
//	$('check_ntp').onmouseover = function() {
//		UnTip();
//		Tip('Impossible de tester le serveur de temps, sans connexion à internet', WIDTH, 250, SHADOW, true, DURATION, duration);
//		this.onmouseout = function() {
//			UnTip();
//		}
//	}
	$('check_dns').onmouseover = function() {
		UnTip();
		Tip('Test de la résolution DNS impossible, sans connexion à internet', WIDTH, 250, SHADOW, true, DURATION, duration);
		this.onmouseout = function() {
			UnTip();
		}
	}

}