<?php

/**

 * Test les services qui tournent :onduleur, samba ...
 * @Version $Id$
 * @Projet LCS / SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL
 * @Repertoire: /tests/
 * file: test_services.php
 */
require_once ('entete_ajax.inc.php');

// ######################## CONTROLE LES SERVICES ##################################//
// Controle le temps de la machine
$la = date("G:i:s d/m/Y");
$okmail = $oksmb = $oksid = $okmysql = $okdhcp = $okondul = "0";
// Controle si le fichier msmtp a ete configure
$msmtp = exec("dpkg -l | grep msmtp-mta > /dev/null && echo 1");
if ($msmtp == "1") {
    if (file_exists("/etc/msmtprc")) {
        $okmail = "1";
    } else {
        $okmail = "0";
    }
}
// Test le serveur smb
$smb = exec("systemctl -q is-active smbd && echo 1");

if ($smb == "1") {
    $oksmb = "1";
} else {
    $oksmb = "0";
}

// Test le sid samba et la presence d'un eventuel doublon de sid
$oksid = "1";


// Test la base MySQL
// $mysql = exec('sudo /usr/share/sambaedu/sbin/testMySQL.sh',$out,$err);
$err = "0";
if ($err == "0") {
    $okmysql = "1";
} else {
    $okmysql = "0";
}

// Controle si le dhcp tourne si celui-ci a ete installe
$dhcp_install = exec("dpkg -l | grep dhcp3 > /dev/null && echo 1");
// if (($config["dhcp_install == "1") && ($dhcp =="1")"]) {
if (isset($config["dhcp_install"]) && ($config["dhcp_install"] == "1") && ($dhcp == "1")) {
    $dhcp_state = exec("sudo /usr/share/sambaedu/scripts/makedhcpdconf state");
    // if($config["dhcp_state==1"]) {
    if (isset($config["dhcp_state"]) && $config["dhcp_state"] == 1) {
        $okdhcp = "1";
    } else {
        $okdhcp = "0";
    }
} else {
    $okdhcp = "-1";
}

die("var arr_services=new Array('$okmail','$oksmb','$oksid','$okmysql','$okdhcp');");

?>