<?php
/**

 * Test une requete sur le web wawadeb
 * @Projet LCS / SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL
 * @Repertoire: /tests/
 * file: test_web.php
 */
require_once ('entete_ajax.inc.php');
require_once ('/var/www/sambaedu/vendor/autoload.php');
require_once "config.inc.php";
$config = get_config();
$opt = [];
curl_proxy_options($config, $opt);
$client = new GuzzleHttp\Client($opt);

try {
    $response = $client->request('GET', "https://deb.sambaedu.org/debian/");
    if ($response) {
        $ok = "1";
    } else {
        $ok = "0";
    }
} catch (\GuzzleHttp\Exception\RequestException $e) {
    $ok = "0";
}

die($ok);
?>
